GNU bug report logs - #38748
28.0.50; crash on MacOS 10.15.2

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrii Kolomoiets <andreyk.mad@HIDDEN>; merged with #38822; dated Thu, 26 Dec 2019 09:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 27.1. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 38748 38822. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 12 Jan 2020 03:33:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 22:33:41 2020
Received: from localhost ([127.0.0.1]:56922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqU0S-0005q7-Rg
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 22:33:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqU0R-0005pu-QS
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 22:33:40 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57876)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqU0L-00023D-Bs; Sat, 11 Jan 2020 22:33:33 -0500
Received: from [176.228.60.248] (port=4933 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqU0K-0002s7-Nj; Sat, 11 Jan 2020 22:33:33 -0500
Date: Sun, 12 Jan 2020 05:33:35 +0200
Message-Id: <83imlh73hs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-reply-to: <lxsgklk7q2.fsf@HIDDEN> (message from Pieter
 van Oostrum on Sat, 11 Jan 2020 22:23:49 +0100)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN> <lx36cllu0h.fsf@HIDDEN>
 <83lfqd7s0s.fsf@HIDDEN> <lxsgklk7q2.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 alan@HIDDEN, pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Cc: rpluim@HIDDEN,  pipcet@HIDDEN,  jguenther@HIDDEN,
>   alan@HIDDEN,  andreyk.mad@HIDDEN,  38748 <at> debbugs.gnu.org
> Date: Sat, 11 Jan 2020 22:23:49 +0100
> 
> > Can you show the values of variables I asked about regarding that
> > crash?
> 
> Sorry, no. I wasn't running under gdb when that crash occurred (now I do). And I wasn't aware that you asked about some variables for this particular crash. Only for the other one with all the  mark-related stuff. So which variables would that be? I couldn't find it in the discussion.

The values of f, FRAME_TERMINAL (f), and
FRAME_TERMINAL(f)->mouse_position_hook.

Also, can you show exactly in the terms of C source where does it
crash?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 21:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 16:36:26 2020
Received: from localhost ([127.0.0.1]:56805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqOQk-0005MN-J1
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 16:36:26 -0500
Received: from [145.132.212.31] (port=50857 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1iqOQf-0005M5-Nt
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 16:36:24 -0500
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id 766FDA5FF4CE;
 Sat, 11 Jan 2020 22:36:14 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN> <lx36cllu0h.fsf@HIDDEN>
 <CAOqdjBcbRPkaJPtr2MrTnzrrdJO81XV6+_irfeq+Sw27iq3+qQ@HIDDEN>
Date: Sat, 11 Jan 2020 22:36:12 +0100
In-Reply-To: <CAOqdjBcbRPkaJPtr2MrTnzrrdJO81XV6+_irfeq+Sw27iq3+qQ@HIDDEN>
 (Pip Cet's message of "Sat, 11 Jan 2020 19:14:38 +0000")
Message-ID: <lxo8v9k75f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 38748
Cc: Robert Pluim <rpluim@HIDDEN>, 38748 <at> debbugs.gnu.org, jguenther@HIDDEN,
 andreyk.mad@HIDDEN, alan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Pip Cet <pipcet@HIDDEN> writes:

> On Sat, Jan 11, 2020 at 6:37 PM Pieter van Oostrum
> <pieter-l@HIDDEN> wrote:
>> I compiled HEAD with this patch applied, and it still crashed but with
>> the other crash cause (in Fmouse_pixel_position).
>
> Do you have a backtrace? I think it's a NULL pointer reference now.
> The attached patch might help.

I have a backtrace, but without debug info. I am now compiling with your patch and with debug info, as described in etc/DEBUG.


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment;
 filename=Emacs_2020-01-11-144434_Cochabamba.crash
Content-Transfer-Encoding: base64

UHJvY2VzczogICAgICAgICAgICAgICBFbWFjcyBbNTQzMzhdClBhdGg6ICAgICAgICAgICAgICAg
ICAgL0FwcGxpY2F0aW9ucy9FbWFjc1Rlc3QuYXBwL0NvbnRlbnRzL01hY09TL0VtYWNzCklkZW50
aWZpZXI6ICAgICAgICAgICAgRW1hY3MKVmVyc2lvbjogICAgICAgICAgICAgICBWZXJzaW9uIDI4
LjAuNTAgKDkuMCkKQ29kZSBUeXBlOiAgICAgICAgICAgICBYODYtNjQgKE5hdGl2ZSkKUGFyZW50
IFByb2Nlc3M6ICAgICAgICA/Pz8gWzFdClJlc3BvbnNpYmxlOiAgICAgICAgICAgRW1hY3MgWzU0
MzM4XQpVc2VyIElEOiAgICAgICAgICAgICAgIDUwNgoKRGF0ZS9UaW1lOiAgICAgICAgICAgICAy
MDIwLTAxLTExIDE0OjQzOjQwLjAyNiArMDEwMApPUyBWZXJzaW9uOiAgICAgICAgICAgIE1hYyBP
UyBYIDEwLjEzLjYgKDE3RzEwMDIxKQpSZXBvcnQgVmVyc2lvbjogICAgICAgIDEyCkFub255bW91
cyBVVUlEOiAgICAgICAgQzlENTVFODItNEUxRi0yREE4LUIwNDctRDEzRjdDRUVEMEJGCgpTbGVl
cC9XYWtlIFVVSUQ6ICAgICAgIDQ3QzIyNTBGLTIwMUMtNDFDNS04OTcyLTRDOUU0QkQ3OUU1QQoK
VGltZSBBd2FrZSBTaW5jZSBCb290OiA0ODAwMCBzZWNvbmRzClRpbWUgU2luY2UgV2FrZTogICAg
ICAgMjAwMDAgc2Vjb25kcwoKU3lzdGVtIEludGVncml0eSBQcm90ZWN0aW9uOiBlbmFibGVkCgpD
cmFzaGVkIFRocmVhZDogICAgICAgIDAgIERpc3BhdGNoIHF1ZXVlOiBjb20uYXBwbGUubWFpbi10
aHJlYWQKCkV4Y2VwdGlvbiBUeXBlOiAgICAgICAgRVhDX0JBRF9BQ0NFU1MgKFNJR0FCUlQpCkV4
Y2VwdGlvbiBDb2RlczogICAgICAgS0VSTl9JTlZBTElEX0FERFJFU1MgYXQgMHgwMDAwMDAwOTA0
MjljYzhkCkV4Y2VwdGlvbiBOb3RlOiAgICAgICAgRVhDX0NPUlBTRV9OT1RJRlkKClZNIFJlZ2lv
bnMgTmVhciAweDkwNDI5Y2M4ZDoKICAgIE1BTExPQ19MQVJHRV9SRVVTQUJMRSAgMDAwMDAwMDE2
ODUxMTAwMC0wMDAwMDAwMTY4YThmMDAwIFsgNTYyNEtdIHJ3LS9yd3ggU009Q09XICAKLS0+IAog
ICAgTUFMTE9DX05BTk8gICAgICAgICAgICAwMDAwNjAwMDAwMDAwMDAwLTAwMDA2MDAwMDE2MDAw
MDAgWyAyMi4wTV0gcnctL3J3eCBTTT1QUlYgIAoKVGhyZWFkIDAgQ3Jhc2hlZDo6IERpc3BhdGNo
IHF1ZXVlOiBjb20uYXBwbGUubWFpbi10aHJlYWQKMCAgIGxpYnN5c3RlbV9rZXJuZWwuZHlsaWIg
ICAgICAgIAkweDAwMDA3ZmZmNjk0NjBiNjYgX19wdGhyZWFkX2tpbGwgKyAxMAoxICAgbGlic3lz
dGVtX3B0aHJlYWQuZHlsaWIgICAgICAgCTB4MDAwMDdmZmY2OTYyYjA4MCBwdGhyZWFkX2tpbGwg
KyAzMzMKMiAgIGxpYnN5c3RlbV9jLmR5bGliICAgICAgICAgICAgIAkweDAwMDA3ZmZmNjkzNmU2
ZmUgcmFpc2UgKyAyNgozICAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4MDAwMDAw
MDEwMDQ2Y2EzMSB0ZXJtaW5hdGVfZHVlX3RvX3NpZ25hbCArIDI3Mwo0ICAgb3JnLmdudS5FbWFj
cyAgICAgICAgICAgICAgICAgCTB4MDAwMDAwMDEwMDRhMjA0MyBlbWFjc19hYm9ydCArIDE5CjUg
ICBvcmcuZ251LkVtYWNzICAgICAgICAgICAgICAgICAJMHgwMDAwMDAwMTAwNjgwY2Y4IG5zX3Rl
cm1fc2h1dGRvd24gKyAxNjgKNiAgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAw
MDAwMDAxMDA0NmNlMzMgc2h1dF9kb3duX2VtYWNzICsgNjExCjcgICBvcmcuZ251LkVtYWNzICAg
ICAgICAgICAgICAgICAJMHgwMDAwMDAwMTAwNDZjOWNkIHRlcm1pbmF0ZV9kdWVfdG9fc2lnbmFs
ICsgMTczCjggICBvcmcuZ251LkVtYWNzICAgICAgICAgICAgICAgICAJMHgwMDAwMDAwMTAwNGE2
YTk4IGhhbmRsZV9mYXRhbF9zaWduYWwgKyAyNAo5ICAgb3JnLmdudS5FbWFjcyAgICAgICAgICAg
ICAgICAgCTB4MDAwMDAwMDEwMDRhNmIzMiBkZWxpdmVyX3RocmVhZF9zaWduYWwgKyAxNDYKMTAg
IG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA0YTQzMWEgZGVsaXZl
cl9mYXRhbF90aHJlYWRfc2lnbmFsICsgMjYKMTEgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAg
ICAgIAkweDAwMDAwMDAxMDA0YTZiZDYgaGFuZGxlX3NpZ3NlZ3YgKyAxMzQKMTIgIGxpYnN5c3Rl
bV9wbGF0Zm9ybS5keWxpYiAgICAgIAkweDAwMDA3ZmZmNjk2MWVmNWEgX3NpZ3RyYW1wICsgMjYK
MTMgID8/PyAgICAgICAgICAgICAgICAgICAgICAgICAgIAkwMDAwMDAwMDAwMDAwMDAwMDAgMCAr
IDAKMTQgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDAzMmNiNGIg
Rm1vdXNlX3BpeGVsX3Bvc2l0aW9uICsgMTg3CjE1ICBvcmcuZ251LkVtYWNzICAgICAgICAgICAg
ICAgICAJMHgwMDAwMDAwMTAwNTdhZjAyIGZ1bmNhbGxfc3ViciArIDQ2NgoxNiAgb3JnLmdudS5F
bWFjcyAgICAgICAgICAgICAgICAgCTB4MDAwMDAwMDEwMDU3OWM4MCBGZnVuY2FsbCArIDQ2NAox
NyAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4MDAwMDAwMDEwMDVlYzcyNyBleGVj
X2J5dGVfY29kZSArIDg5ODMKMTggIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAw
MDAwMDAxMDA1N2IzYjUgZnVuY2FsbF9sYW1iZGEgKyA1MzMKMTkgIG9yZy5nbnUuRW1hY3MgICAg
ICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA1NzljYzggRmZ1bmNhbGwgKyA1MzYKMjAgIG9yZy5n
bnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA1N2E4MDQgY2FsbDEgKyA2OAoy
MSAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4MDAwMDAwMDEwMDQ3NzRmMSBzaG93
X2hlbHBfZWNobyArIDI0MQoyMiAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4MDAw
MDAwMDEwMDQ3YTFkMCByZWFkX2NoYXIgKyAxMDg2NAoyMyAgb3JnLmdudS5FbWFjcyAgICAgICAg
ICAgICAgICAgCTB4MDAwMDAwMDEwMDQ3M2M2YyByZWFkX2tleV9zZXF1ZW5jZSArIDE5ODAKMjQg
IG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA0NzI2MWIgY29tbWFu
ZF9sb29wXzEgKyAxNDgzCjI1ICBvcmcuZ251LkVtYWNzICAgICAgICAgICAgICAgICAJMHgwMDAw
MDAwMTAwNTczMjBmIGludGVybmFsX2NvbmRpdGlvbl9jYXNlICsgMTI3CjI2ICBvcmcuZ251LkVt
YWNzICAgICAgICAgICAgICAgICAJMHgwMDAwMDAwMTAwNDhhNzdjIGNvbW1hbmRfbG9vcF8yICsg
NDQKMjcgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA1NzI5ODgg
aW50ZXJuYWxfY2F0Y2ggKyA3MgoyOCAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4
MDAwMDAwMDEwMDQ3MTQ0OCBjb21tYW5kX2xvb3AgKyAyODAKMjkgIG9yZy5nbnUuRW1hY3MgICAg
ICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA0NzEyODAgcmVjdXJzaXZlX2VkaXRfMSArIDE5Mgoz
MCAgb3JnLmdudS5FbWFjcyAgICAgICAgICAgICAgICAgCTB4MDAwMDAwMDEwMDQ3MTYxNCBGcmVj
dXJzaXZlX2VkaXQgKyAzMDgKMzEgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAw
MDAwMDAxMDA0NmVhNTggbWFpbiArIDcwNDgKMzIgIGxpYmR5bGQuZHlsaWIgICAgICAgICAgICAg
ICAgIAkweDAwMDA3ZmZmNjkzMTAwMTUgc3RhcnQgKyAxCgpUaHJlYWQgMTo6IGdtYWluCjAgICBs
aWJzeXN0ZW1fa2VybmVsLmR5bGliICAgICAgICAJMHgwMDAwN2ZmZjY5NDYwY2YyIF9fc2VsZWN0
ICsgMTAKMSAgIGxpYmdsaWItMi4wLjAuZHlsaWIgICAgICAgICAgIAkweDAwMDAwMDAxMDEyNTFj
ZTYgZ19wb2xsICsgNDA1CjIgICBsaWJnbGliLTIuMC4wLmR5bGliICAgICAgICAgICAJMHgwMDAw
MDAwMTAxMjQ1OWRkIGdfbWFpbl9jb250ZXh0X2l0ZXJhdGUgKyAzNDAKMyAgIGxpYmdsaWItMi4w
LjAuZHlsaWIgICAgICAgICAgIAkweDAwMDAwMDAxMDEyNDVhOGIgZ19tYWluX2NvbnRleHRfaXRl
cmF0aW9uICsgNTUKNCAgIGxpYmdsaWItMi4wLjAuZHlsaWIgICAgICAgICAgIAkweDAwMDAwMDAx
MDEyNDZiNmEgZ2xpYl93b3JrZXJfbWFpbiArIDMwCjUgICBsaWJnbGliLTIuMC4wLmR5bGliICAg
ICAgICAgICAJMHgwMDAwMDAwMTAxMjY3NWE3IGdfdGhyZWFkX3Byb3h5ICsgOTAKNiAgIGxpYnN5
c3RlbV9wdGhyZWFkLmR5bGliICAgICAgIAkweDAwMDA3ZmZmNjk2Mjg2NjEgX3B0aHJlYWRfYm9k
eSArIDM0MAo3ICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIgICAgICAgCTB4MDAwMDdmZmY2OTYy
ODUwZCBfcHRocmVhZF9zdGFydCArIDM3Nwo4ICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIgICAg
ICAgCTB4MDAwMDdmZmY2OTYyN2JmOSB0aHJlYWRfc3RhcnQgKyAxMwoKVGhyZWFkIDI6CjAgICBs
aWJzeXN0ZW1fa2VybmVsLmR5bGliICAgICAgICAJMHgwMDAwN2ZmZjY5NDYwY2YyIF9fc2VsZWN0
ICsgMTAKMSAgIG9yZy5nbnUuRW1hY3MgICAgICAgICAgICAgICAgIAkweDAwMDAwMDAxMDA2ODI1
NWEgLVtFbWFjc0FwcCBmZF9oYW5kbGVyOl0gKyAyMDIKMiAgIGNvbS5hcHBsZS5Gb3VuZGF0aW9u
ICAgICAgICAgIAkweDAwMDA3ZmZmNDM0NTlhMTggX19OU1RocmVhZF9fc3RhcnRfXyArIDExOTcK
MyAgIGxpYnN5c3RlbV9wdGhyZWFkLmR5bGliICAgICAgIAkweDAwMDA3ZmZmNjk2Mjg2NjEgX3B0
aHJlYWRfYm9keSArIDM0MAo0ICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIgICAgICAgCTB4MDAw
MDdmZmY2OTYyODUwZCBfcHRocmVhZF9zdGFydCArIDM3Nwo1ICAgbGlic3lzdGVtX3B0aHJlYWQu
ZHlsaWIgICAgICAgCTB4MDAwMDdmZmY2OTYyN2JmOSB0aHJlYWRfc3RhcnQgKyAxMwoKVGhyZWFk
IDM6OiBjb20uYXBwbGUuTlNFdmVudFRocmVhZAowICAgbGlic3lzdGVtX2tlcm5lbC5keWxpYiAg
ICAgICAgCTB4MDAwMDdmZmY2OTQ1NzFmYSBtYWNoX21zZ190cmFwICsgMTAKMSAgIGxpYnN5c3Rl
bV9rZXJuZWwuZHlsaWIgICAgICAgIAkweDAwMDA3ZmZmNjk0NTY3MTQgbWFjaF9tc2cgKyA2MAoy
ICAgY29tLmFwcGxlLkNvcmVGb3VuZGF0aW9uICAgICAgCTB4MDAwMDdmZmY0MTMzMGY2NSBfX0NG
UnVuTG9vcFNlcnZpY2VNYWNoUG9ydCArIDM0MQozICAgY29tLmFwcGxlLkNvcmVGb3VuZGF0aW9u
ICAgICAgCTB4MDAwMDdmZmY0MTMzMDJiNyBfX0NGUnVuTG9vcFJ1biArIDE3ODMKNCAgIGNvbS5h
cHBsZS5Db3JlRm91bmRhdGlvbiAgICAgIAkweDAwMDA3ZmZmNDEzMmY5MjcgQ0ZSdW5Mb29wUnVu
U3BlY2lmaWMgKyA0ODcKNSAgIGNvbS5hcHBsZS5BcHBLaXQgICAgICAgICAgICAgIAkweDAwMDA3
ZmZmM2U5ZjlmYzQgX05TRXZlbnRUaHJlYWQgKyAxODQKNiAgIGxpYnN5c3RlbV9wdGhyZWFkLmR5
bGliICAgICAgIAkweDAwMDA3ZmZmNjk2Mjg2NjEgX3B0aHJlYWRfYm9keSArIDM0MAo3ICAgbGli
c3lzdGVtX3B0aHJlYWQuZHlsaWIgICAgICAgCTB4MDAwMDdmZmY2OTYyODUwZCBfcHRocmVhZF9z
dGFydCArIDM3Nwo4ICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIgICAgICAgCTB4MDAwMDdmZmY2
OTYyN2JmOSB0aHJlYWRfc3RhcnQgKyAxMwoKVGhyZWFkIDQ6CjAgICBsaWJzeXN0ZW1fa2VybmVs
LmR5bGliICAgICAgICAJMHgwMDAwN2ZmZjY5NDYxMjhhIF9fd29ya3Ffa2VybnJldHVybiArIDEw
CjEgICBsaWJzeXN0ZW1fcHRocmVhZC5keWxpYiAgICAgICAJMHgwMDAwN2ZmZjY5NjI4MjBlIF9w
dGhyZWFkX3dxdGhyZWFkICsgMTU1MgoyICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIgICAgICAg
CTB4MDAwMDdmZmY2OTYyN2JlOSBzdGFydF93cXRocmVhZCArIDEzCgpUaHJlYWQgNToKMCAgIGxp
YnN5c3RlbV9rZXJuZWwuZHlsaWIgICAgICAgIAkweDAwMDA3ZmZmNjk0NjEyOGEgX193b3JrcV9r
ZXJucmV0dXJuICsgMTAKMSAgIGxpYnN5c3RlbV9wdGhyZWFkLmR5bGliICAgICAgIAkweDAwMDA3
ZmZmNjk2MjgwMDkgX3B0aHJlYWRfd3F0aHJlYWQgKyAxMDM1CjIgICBsaWJzeXN0ZW1fcHRocmVh
ZC5keWxpYiAgICAgICAJMHgwMDAwN2ZmZjY5NjI3YmU5IHN0YXJ0X3dxdGhyZWFkICsgMTMKClRo
cmVhZCA2OgowICAgbGlic3lzdGVtX2tlcm5lbC5keWxpYiAgICAgICAgCTB4MDAwMDdmZmY2OTQ2
MTI4YSBfX3dvcmtxX2tlcm5yZXR1cm4gKyAxMAoxICAgbGlic3lzdGVtX3B0aHJlYWQuZHlsaWIg
ICAgICAgCTB4MDAwMDdmZmY2OTYyODAwOSBfcHRocmVhZF93cXRocmVhZCArIDEwMzUKMiAgIGxp
YnN5c3RlbV9wdGhyZWFkLmR5bGliICAgICAgIAkweDAwMDA3ZmZmNjk2MjdiZTkgc3RhcnRfd3F0
aHJlYWQgKyAxMwoKVGhyZWFkIDc6CjAgICBsaWJzeXN0ZW1fcHRocmVhZC5keWxpYiAgICAgICAJ
MHgwMDAwN2ZmZjY5NjI3YmRjIHN0YXJ0X3dxdGhyZWFkICsgMAoKVGhyZWFkIDAgY3Jhc2hlZCB3
aXRoIFg4NiBUaHJlYWQgU3RhdGUgKDY0LWJpdCk6CiAgcmF4OiAweDAwMDAwMDAwMDAwMDAwMDAg
IHJieDogMHgwMDAwN2ZmZmExYTJjMzgwICByY3g6IDB4MDAwMDAwMDEwMGIyOTM0OCAgcmR4OiAw
eDAwMDAwMDAwMDAwMDAwMDAKICByZGk6IDB4MDAwMDAwMDAwMDAwMDMwNyAgcnNpOiAweDAwMDAw
MDAwMDAwMDAwMDYgIHJicDogMHgwMDAwMDAwMTAwYjI5MzgwICByc3A6IDB4MDAwMDAwMDEwMGIy
OTM0OAogICByODogMHgwMDAwNjAwMDAwYzZhMzgwICAgcjk6IDB4MDAwMDdmZmY5YjJhZDlkMCAg
cjEwOiAweDAwMDAwMDAwMDAwMDAwMDAgIHIxMTogMHgwMDAwMDAwMDAwMDAwMjg3CiAgcjEyOiAw
eDAwMDAwMDAwMDAwMDAzMDcgIHIxMzogMHgwMDAwMDAwMDAwMDAwMDAwICByMTQ6IDB4MDAwMDAw
MDAwMDAwMDAwNiAgcjE1OiAweDAwMDAwMDAwMDAwMDAwMmQKICByaXA6IDB4MDAwMDdmZmY2OTQ2
MGI2NiAgcmZsOiAweDAwMDAwMDAwMDAwMDAyODYgIGNyMjogMHgwMDAwNjA0MDAwMDcxZDIwCiAg
CkxvZ2ljYWwgQ1BVOiAgICAgMApFcnJvciBDb2RlOiAgICAgIDB4MDIwMDAxNDgKVHJhcCBOdW1i
ZXI6ICAgICAxMzMKCgpCaW5hcnkgSW1hZ2VzOgogICAgICAgMHgxMDAzMGQwMDAgLSAgICAgICAg
MHgxMDA3MWFmZjcgK29yZy5nbnUuRW1hY3MgKFZlcnNpb24gMjguMC41MCAtIDkuMCkgPEQ4MjIy
NjRELUVDM0QtMzc4MS1CNDcyLURGRDkxQkM0M0FFQz4gL0FwcGxpY2F0aW9ucy9FbWFjc1Rlc3Qu
YXBwL0NvbnRlbnRzL01hY09TL0VtYWNzCiAgICAgICAweDEwMGJmNDAwMCAtICAgICAgICAweDEw
MGYzNGZlZiArbGlicnN2Zy0yLjIuZHlsaWIgKDApIDw5REQ4QUEwNS01QTEzLTM3MUMtQThBNy02
Q0RGMTk2NzY4QTE+IC9vcHQvbG9jYWwvbGliL2xpYnJzdmctMi4yLmR5bGliCiAgICAgICAweDEw
MTAzZTAwMCAtICAgICAgICAweDEwMTEzOGZmMyArbGliZ2lvLTIuMC4wLmR5bGliICgwKSA8NTQ1
NTUxNjEtNTUxOC0zNjgzLUE0NjgtNTg3MzhDMjA4OEFEPiAvb3B0L2xvY2FsL2xpYi9saWJnaW8t
Mi4wLjAuZHlsaWIKICAgICAgIDB4MTAxMWFmMDAwIC0gICAgICAgIDB4MTAxMWM1ZmZiICtsaWJn
ZGtfcGl4YnVmLTIuMC4wLmR5bGliICgwKSA8QTA4NEQ2QTctQjBBNi0zRUVBLUE5MDAtNTY0Q0U0
ODk4NUQ4PiAvb3B0L2xvY2FsL2xpYi9saWJnZGtfcGl4YnVmLTIuMC4wLmR5bGliCiAgICAgICAw
eDEwMTFkMTAwMCAtICAgICAgICAweDEwMTIwMmZmYiArbGliZ29iamVjdC0yLjAuMC5keWxpYiAo
MCkgPDBFQTlFMDkxLTc5RDMtMzZBQi1BMTMwLTg1MDMzNEE2QUZBNj4gL29wdC9sb2NhbC9saWIv
bGliZ29iamVjdC0yLjAuMC5keWxpYgogICAgICAgMHgxMDEyMTYwMDAgLSAgICAgICAgMHgxMDEy
ZTZmZjMgK2xpYmdsaWItMi4wLjAuZHlsaWIgKDApIDxDODNDRDkyMS1BQTJELTNENjYtOUI4Qy0w
M0UwRjg1QjAyRjc+IC9vcHQvbG9jYWwvbGliL2xpYmdsaWItMi4wLjAuZHlsaWIKICAgICAgIDB4
MTAxMzBmMDAwIC0gICAgICAgIDB4MTAxMzE3ZmY3ICtsaWJpbnRsLjguZHlsaWIgKDApIDxFQjJB
NjI0Qi0yQTBGLTNGQUUtQUFEQS0yQ0JGODRCRkRDRDQ+IC9vcHQvbG9jYWwvbGliL2xpYmludGwu
OC5keWxpYgogICAgICAgMHgxMDEzMWMwMDAgLSAgICAgICAgMHgxMDEzZGJmZmYgK2xpYmNhaXJv
LjIuZHlsaWIgKDApIDwzNTk1Nzg4RC1EQjAwLTMyMTItQkM4RC0yOEUyQjc0MUFBMzU+IC9vcHQv
bG9jYWwvbGliL2xpYmNhaXJvLjIuZHlsaWIKICAgICAgIDB4MTAxNDBmMDAwIC0gICAgICAgIDB4
MTAxNGYyZmYzICtsaWJ4bWwyLjIuZHlsaWIgKDApIDxEOEEwMDM0RS0xNkU2LTM3MDYtOURFQi1D
RDYzMzVGMEFENzA+IC9vcHQvbG9jYWwvbGliL2xpYnhtbDIuMi5keWxpYgogICAgICAgMHgxMDE1
MjkwMDAgLSAgICAgICAgMHgxMDE1NjNmZmYgK2xpYm5jdXJzZXMuNi5keWxpYiAoMCkgPDNCOTA0
QzQ0LTI2MkEtM0I2QS05MEU3LTIzMjk3NjZCMTdGMz4gL29wdC9sb2NhbC9saWIvbGlibmN1cnNl
cy42LmR5bGliCiAgICAgICAweDEwMTU3YzAwMCAtICAgICAgICAweDEwMTZjYWZkZiArbGliZ251
dGxzLjMwLmR5bGliICgwKSA8MUIxOEIxNzYtMDJCRC0zRjczLTg3RDAtN0M0NjUxRjdFRDk5PiAv
b3B0L2xvY2FsL2xpYi9saWJnbnV0bHMuMzAuZHlsaWIKICAgICAgIDB4MTAxNzExMDAwIC0gICAg
ICAgIDB4MTAxNzQ4ZmZmICtsaWJsY21zMi4yLmR5bGliICgwKSA8OUJCNzBENDMtNTk3Qi0zRjBC
LTk5NzUtREEzNEQwMkU0MUE5PiAvb3B0L2xvY2FsL2xpYi9saWJsY21zMi4yLmR5bGliCiAgICAg
ICAweDEwMTc1YzAwMCAtICAgICAgICAweDEwMTc2Y2ZmMyArbGliei4xLmR5bGliICgwKSA8QUNC
NzI2OUItQTEyNy0zMEYyLThFRTQtMUY2RTBCMjg2QUYxPiAvb3B0L2xvY2FsL2xpYi9saWJ6LjEu
ZHlsaWIKICAgICAgIDB4MTAxNzc2MDAwIC0gICAgICAgIDB4MTAxNzk5ZmZiICtsaWJwbmcxNi4x
Ni5keWxpYiAoMCkgPDI0M0M3M0FCLUM5NDItM0IzRC05RjI3LTVBRTYwQjA5QkU5Rj4gL29wdC9s
b2NhbC9saWIvbGlicG5nMTYuMTYuZHlsaWIKICAgICAgIDB4MTAxN2E5MDAwIC0gICAgICAgIDB4
MTAxN2IwZmZmICtsaWJjYWlyby1nb2JqZWN0LjIuZHlsaWIgKDApIDw0MDFBNjE2OS0xNDA2LTMz
N0EtOTUxQi04N0ZGMUZGQjUyNjI+IC9vcHQvbG9jYWwvbGliL2xpYmNhaXJvLWdvYmplY3QuMi5k
eWxpYgogICAgICAgMHgxMDE3YmIwMDAgLSAgICAgICAgMHgxMDE3YzlmZmIgK2xpYnBhbmdvY2Fp
cm8tMS4wLjAuZHlsaWIgKDApIDxBNUU2NDk5My0xNzNDLTM3OUItODU0MS0xQ0E5NjI0NkY3MEY+
IC9vcHQvbG9jYWwvbGliL2xpYnBhbmdvY2Fpcm8tMS4wLjAuZHlsaWIKICAgICAgIDB4MTAxN2Rj
MDAwIC0gICAgICAgIDB4MTAxN2U4ZmYzICtsaWJwYW5nb2Z0Mi0xLjAuMC5keWxpYiAoMCkgPEI4
MzE5OEFGLTQyODYtMzc1Ny1CQjJELTU5RjIyRjJBOTBFQT4gL29wdC9sb2NhbC9saWIvbGlicGFu
Z29mdDItMS4wLjAuZHlsaWIKICAgICAgIDB4MTAxN2Y5MDAwIC0gICAgICAgIDB4MTAxODI0ZmY3
ICtsaWJwYW5nby0xLjAuMC5keWxpYiAoMCkgPDRDMEY3RDY0LTYxMkQtM0Y0RC04MzJDLUNDQzUx
MDRERjY2OT4gL29wdC9sb2NhbC9saWIvbGlicGFuZ28tMS4wLjAuZHlsaWIKICAgICAgIDB4MTAx
ODNjMDAwIC0gICAgICAgIDB4MTAxODZkZmZmICtsaWJmb250Y29uZmlnLjEuZHlsaWIgKDApIDw2
RTAwNkY5MS1GRURGLTNBREItOEQ5RS0yNzIzN0QyOTVBNUM+IC9vcHQvbG9jYWwvbGliL2xpYmZv
bnRjb25maWcuMS5keWxpYgogICAgICAgMHgxMDE4ODEwMDAgLSAgICAgICAgMHgxMDE5MDNmZmYg
K2xpYmZyZWV0eXBlLjYuZHlsaWIgKDApIDw0ODNGRTI3My0wODAyLTNBNUMtOTE3QS1CREU0MERF
MUM4QjY+IC9vcHQvbG9jYWwvbGliL2xpYmZyZWV0eXBlLjYuZHlsaWIKICAgICAgIDB4MTAxOTFm
MDAwIC0gICAgICAgIDB4MTAxOTQzZmYzICtsaWJjcm9jby0wLjYuMy5keWxpYiAoMCkgPDBCN0Y2
OENDLUI0MjQtMzU1QS1BMTlDLThGMUVDNkUyQTY2MT4gL29wdC9sb2NhbC9saWIvbGliY3JvY28t
MC42LjMuZHlsaWIKICAgICAgIDB4MTAxOTU1MDAwIC0gICAgICAgIDB4MTAxOWMwZmZiICtsaWJw
aXhtYW4tMS4wLmR5bGliICgwKSA8QzA3Q0VGNEQtRTBCOS0zNzNBLUIwMkUtOENGRUE3QkZBRDIy
PiAvb3B0L2xvY2FsL2xpYi9saWJwaXhtYW4tMS4wLmR5bGliCiAgICAgICAweDEwMTlkYTAwMCAt
ICAgICAgICAweDEwMTlkYWZmZiArbGliWDExLXhjYi4xLmR5bGliICgwKSA8QzEwNkZGMUMtMTNB
RC0zNDA3LUFGNzAtODREQzk2QzVGRDkxPiAvb3B0L2xvY2FsL2xpYi9saWJYMTEteGNiLjEuZHls
aWIKICAgICAgIDB4MTAxOWUwMDAwIC0gICAgICAgIDB4MTAxOWYzZmYzICtsaWJ4Y2IuMS5keWxp
YiAoMCkgPDZGOUI5Q0FDLTFDODctMzVENy1CRjVBLTEwMUQwNUQ1ODMyNj4gL29wdC9sb2NhbC9s
aWIvbGlieGNiLjEuZHlsaWIKICAgICAgIDB4MTAxYTBiMDAwIC0gICAgICAgIDB4MTAxYTEwZmZm
ICtsaWJ4Y2ItcmVuZGVyLjAuZHlsaWIgKDApIDxBMjdBMjVBMC1FNDIwLTM3RUYtQTU1RC0yRTU3
QjQzMjM0RUU+IC9vcHQvbG9jYWwvbGliL2xpYnhjYi1yZW5kZXIuMC5keWxpYgogICAgICAgMHgx
MDFhMWQwMDAgLSAgICAgICAgMHgxMDFhMjNmZmYgK2xpYlhyZW5kZXIuMS5keWxpYiAoMCkgPEMy
RTdGQzU5LUI1QkEtMzhBRS1CMjY3LUM0NjQ2MjI3OEEzMj4gL29wdC9sb2NhbC9saWIvbGliWHJl
bmRlci4xLmR5bGliCiAgICAgICAweDEwMWEyYzAwMCAtICAgICAgICAweDEwMWIxYWZmZiArbGli
WDExLjYuZHlsaWIgKDApIDwxNDZBOEQ0MC1CQzM0LTNDQkQtOEUxNS02NEZFMDc3MjNGREE+IC9v
cHQvbG9jYWwvbGliL2xpYlgxMS42LmR5bGliCiAgICAgICAweDEwMWIzZTAwMCAtICAgICAgICAw
eDEwMWI0OGZmMyArbGliWGV4dC42LmR5bGliICgwKSA8NDY4MTNCNzQtOUVGMi0zNTVFLUEyNTgt
Qjk4OUU0OUExMjc2PiAvb3B0L2xvY2FsL2xpYi9saWJYZXh0LjYuZHlsaWIKICAgICAgIDB4MTAx
YjUxMDAwIC0gICAgICAgIDB4MTAxYzQ1ZmYzICtsaWJpY29udi4yLmR5bGliICgwKSA8MjM1ODMz
NzQtQkUxQy0zMTRDLUIxQzctM0REOTRFMUQzOTRCPiAvb3B0L2xvY2FsL2xpYi9saWJpY29udi4y
LmR5bGliCiAgICAgICAweDEwMWM1NDAwMCAtICAgICAgICAweDEwMWM2ZGZmYiArbGliZXhwYXQu
MS5keWxpYiAoMCkgPEZFMEUzODI3LUIwMzEtMzM5My1CRDJCLTg4QUJGMjZCQUI5Nz4gL29wdC9s
b2NhbC9saWIvbGliZXhwYXQuMS5keWxpYgogICAgICAgMHgxMDFjN2IwMDAgLSAgICAgICAgMHgx
MDFjODJmZjcgK2xpYnV1aWQuMTYuZHlsaWIgKDApIDwxMjc1OTI5Ni0wMzQ4LTNCMTQtQjJBOC1B
N0ZEMzMyRUU3MzQ+IC9vcHQvbG9jYWwvbGliL2xpYnV1aWQuMTYuZHlsaWIKICAgICAgIDB4MTAx
Yzg5MDAwIC0gICAgICAgIDB4MTAxYzk5ZmZmICtsaWJiejIuMS4wLmR5bGliICgwKSA8RDJEOEUx
RUEtOTEzRC0zQjhCLTk4MkYtNTJCOTAzRjUzRjExPiAvb3B0L2xvY2FsL2xpYi9saWJiejIuMS4w
LmR5bGliCiAgICAgICAweDEwMWNhMDAwMCAtICAgICAgICAweDEwMWNhMWZmZiArbGliWGF1LjYu
ZHlsaWIgKDApIDw4MDBENTQ1Ni1ENDcxLTM0RTMtQkIxRS1GNzNENDlDODRDQjc+IC9vcHQvbG9j
YWwvbGliL2xpYlhhdS42LmR5bGliCiAgICAgICAweDEwMWNhNzAwMCAtICAgICAgICAweDEwMWNh
YWZmNyArbGliWGRtY3AuNi5keWxpYiAoMCkgPEZBMjVDOTcyLTdGMkMtMzk3NS04OEVFLUM4RDZB
RTBGQUZCOD4gL29wdC9sb2NhbC9saWIvbGliWGRtY3AuNi5keWxpYgogICAgICAgMHgxMDFjYjMw
MDAgLSAgICAgICAgMHgxMDFkMTlmZjcgK2xpYnBjcmUuMS5keWxpYiAoMCkgPEI1NzY1MURGLTQx
N0QtMzgyMy04NjhDLUExMTNBMzY2NjRGQj4gL29wdC9sb2NhbC9saWIvbGlicGNyZS4xLmR5bGli
CiAgICAgICAweDEwMWQyMDAwMCAtICAgICAgICAweDEwMWQyNGZmZiArbGliZmZpLjYuZHlsaWIg
KDApIDw4RDVBQzhGNS1FRjQ3LTMwRjYtODJFNy02RTg2MDgzMkU4Qzk+IC9vcHQvbG9jYWwvbGli
L2xpYmZmaS42LmR5bGliCiAgICAgICAweDEwMWQyYzAwMCAtICAgICAgICAweDEwMWQzMGZmZiAr
bGliZ21vZHVsZS0yLjAuMC5keWxpYiAoMCkgPDNBOTY4MkYxLUI1NTItMzEzRi1CNDFFLUYzNkQ5
QjU2RUYyQj4gL29wdC9sb2NhbC9saWIvbGliZ21vZHVsZS0yLjAuMC5keWxpYgogICAgICAgMHgx
MDFkMzYwMDAgLSAgICAgICAgMHgxMDFkNGVmZjcgK2xpYmZyaWJpZGkuMC5keWxpYiAoMCkgPEMy
MzEwNzAwLUFEOTItM0MyNC05OUFFLUU5MDVEMEY2QkJENT4gL29wdC9sb2NhbC9saWIvbGliZnJp
YmlkaS4wLmR5bGliCiAgICAgICAweDEwMWQ1MjAwMCAtICAgICAgICAweDEwMWQ1NWZmZiArbGli
Z3RocmVhZC0yLjAuMC5keWxpYiAoMCkgPDk0RjJDQjI4LTZGQkItMzQ4Qi04NzQwLUFDMDlFRUNB
MDQ5Qj4gL29wdC9sb2NhbC9saWIvbGliZ3RocmVhZC0yLjAuMC5keWxpYgogICAgICAgMHgxMDFk
NWIwMDAgLSAgICAgICAgMHgxMDFkZWVmZjcgK2xpYmhhcmZidXp6LjAuZHlsaWIgKDApIDw5QTkz
QUMyRC01QzEzLTNFQzktQTVGOS05MkY3RjVBQUM2ODQ+IC9vcHQvbG9jYWwvbGliL2xpYmhhcmZi
dXp6LjAuZHlsaWIKICAgICAgIDB4MTAxZTM4MDAwIC0gICAgICAgIDB4MTAxZTRlZmYzICtsaWJn
cmFwaGl0ZTIuMy5keWxpYiAoMCkgPDAyNUNBMjIxLTZBRkYtMzc0MC04NTc3LTkwQTkyNTI4NEUy
Nj4gL29wdC9sb2NhbC9saWIvbGliZ3JhcGhpdGUyLjMuZHlsaWIKICAgICAgIDB4MTAxZTU5MDAw
IC0gICAgICAgIDB4MTAxZmRiZmYzICtsaWJpY3VpMThuLjY1LmR5bGliICgwKSA8RDY2N0QxNzUt
QzI5Ni0zMzBBLTlDRDEtQjkwQTc1NDZEMzNEPiAvb3B0L2xvY2FsL2xpYi9saWJpY3VpMThuLjY1
LmR5bGliCiAgICAgICAweDEwMjBlZjAwMCAtICAgICAgICAweDEwMjIwYWZmMyArbGliaWN1dWMu
NjUuZHlsaWIgKDApIDxGOUY3MjQ3QS05QzA4LTM0MDctODZCOS0xOTg1RkZBRTJEREI+IC9vcHQv
bG9jYWwvbGliL2xpYmljdXVjLjY1LmR5bGliCiAgICAgICAweDEwMjI4MzAwMCAtICAgICAgICAw
eDEwM2QzMWZmZiArbGliaWN1ZGF0YS42NS5keWxpYiAoMCkgPDQ4RDQwMDJGLTAzQ0MtM0M3RS05
NUE1LTE3RUIyN0M3NEY1Qz4gL29wdC9sb2NhbC9saWIvbGliaWN1ZGF0YS42NS5keWxpYgogICAg
ICAgMHgxMDNkMzYwMDAgLSAgICAgICAgMHgxMDNkNTFmZjcgK2xpYmx6bWEuNS5keWxpYiAoMCkg
PDRBRDA5NEQ5LUJBQ0YtMzdEQS05OUU2LTdCNTUwNkU2QjQ4RD4gL29wdC9sb2NhbC9saWIvbGli
bHptYS41LmR5bGliCiAgICAgICAweDEwM2Q1YTAwMCAtICAgICAgICAweDEwM2UwMmZmZiArbGli
cDExLWtpdC4wLmR5bGliICgwKSA8RDU5QjI2RkEtQzIwQi0zOTM0LThFREEtQ0ZCNURENjMwQjZE
PiAvb3B0L2xvY2FsL2xpYi9saWJwMTEta2l0LjAuZHlsaWIKICAgICAgIDB4MTAzZWMyMDAwIC0g
ICAgICAgIDB4MTAzZWUwZmZmICtsaWJpZG4yLjAuZHlsaWIgKDApIDxCNEQwREE2NC05QTlBLTMy
MTgtQjU4QS0yQjJCOTRFQjU0OUI+IC9vcHQvbG9jYWwvbGliL2xpYmlkbjIuMC5keWxpYgogICAg
ICAgMHgxMDNlZWIwMDAgLSAgICAgICAgMHgxMDQwNGVmZmYgK2xpYnVuaXN0cmluZy4yLmR5bGli
ICgwKSA8MjgxNjQ0MTktM0NCMS0zMzYzLTlFNTAtMDgxNUZCODFFNEEzPiAvb3B0L2xvY2FsL2xp
Yi9saWJ1bmlzdHJpbmcuMi5keWxpYgogICAgICAgMHgxMDQwNjcwMDAgLSAgICAgICAgMHgxMDQw
NzNmZmYgK2xpYnRhc24xLjYuZHlsaWIgKDApIDw5QTg3N0I1Mi00OTYyLTMxM0YtQjlCNC0wOTcw
NTdEQjUxODg+IC9vcHQvbG9jYWwvbGliL2xpYnRhc24xLjYuZHlsaWIKICAgICAgIDB4MTA0MDdi
MDAwIC0gICAgICAgIDB4MTA0MGEzZmZmICtsaWJuZXR0bGUuNy5keWxpYiAoMCkgPDQ3QzQyQjVG
LUQ3NTItM0ExQi1CM0E4LUI3MkNBRDFDMzE0Nj4gL29wdC9sb2NhbC9saWIvbGlibmV0dGxlLjcu
ZHlsaWIKICAgICAgIDB4MTA0MGM5MDAwIC0gICAgICAgIDB4MTA0MGYxZmZmICtsaWJob2d3ZWVk
LjUuZHlsaWIgKDApIDxDNTAwQTJGNS00RDcwLTNCQzgtQjkwRS1GMDAyODI3RERFN0M+IC9vcHQv
bG9jYWwvbGliL2xpYmhvZ3dlZWQuNS5keWxpYgogICAgICAgMHgxMDQxMDkwMDAgLSAgICAgICAg
MHgxMDQxN2FmZGYgK2xpYmdtcC4xMC5keWxpYiAoMCkgPEVFMDQxNkVDLTczRDUtM0I3MC1CRUY1
LUU5NkEyRUE4RDc3RT4gL29wdC9sb2NhbC9saWIvbGliZ21wLjEwLmR5bGliCiAgICAgICAweDEw
NTUyZjAwMCAtICAgICAgICAweDEwNTUzMWZmNyAgY29tLmFwcGxlLkNsb3VkRG9jc0ZpbGVQcm92
aWRlciAoMS4wIC0gNTc1LjE0KSA8QjQ0OTYxRjItNDczNS0zQ0U1LUI1MTktMEVEMzhBRDVGMUU1
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRmlsZVByb3ZpZGVyLmZyYW1ld29y
ay9PdmVycmlkZUJ1bmRsZXMvQ2xvdWREb2NzRmlsZVByb3ZpZGVyLmJ1bmRsZS9Db250ZW50cy9N
YWNPUy9DbG91ZERvY3NGaWxlUHJvdmlkZXIKICAgICAgIDB4MTA1NTY1MDAwIC0gICAgICAgIDB4
MTA1NWFmYWRmICBkeWxkICg1NTEuNSkgPEFDQzZBQzdGLUVBRDktMzQwRS1CMkE4LUFEMjZGRTVC
Mzg3Qj4gL3Vzci9saWIvZHlsZAogICAgICAgMHgxMDg2YTgwMDAgLSAgICAgICAgMHgxMDg2YzZm
ZmIgK3AxMS1raXQtdHJ1c3Quc28gKDApIDwxNkIxNzczQi04OEM2LTMwQTUtODFGMi0xQUI2RkYx
QjBDQ0Q+IC9vcHQvbG9jYWwvbGliLyovcDExLWtpdC10cnVzdC5zbwogICAgICAgMHgxMDhlZmUw
MDAgLSAgICAgICAgMHgxMDhmMDFmZmYgIGNvbS5hcHBsZS5GaWxlUHJvdmlkZXJPdmVycmlkZSAo
MTI1LjE1IC0gMTI1LjE1KSA8QTc4NTREOUUtNTEwMC0zMUZDLUE4NEEtQTg2RDY1MTlGREVEPiAv
U3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRmlsZVByb3ZpZGVyLmZyYW1ld29yay9P
dmVycmlkZUJ1bmRsZXMvRmlsZVByb3ZpZGVyT3ZlcnJpZGUuYnVuZGxlL0NvbnRlbnRzL01hY09T
L0ZpbGVQcm92aWRlck92ZXJyaWRlCiAgICAgICAweDEwOGYwNzAwMCAtICAgICAgICAweDEwOGYw
ZGZmZiAgY29tLmFwcGxlLkZpbmRlclN5bmNDb2xsYWJvcmF0aW9uRmlsZVByb3ZpZGVyT3ZlcnJp
ZGUgKDEuMCAtIDEwNTQuNi4xKSA8NEIyQTc4RDMtQjI5My0zRDBFLTgwMTItNENDNkQxODIzMjUw
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRmlsZVByb3ZpZGVyLmZyYW1ld29y
ay9PdmVycmlkZUJ1bmRsZXMvRmluZGVyU3luY0NvbGxhYm9yYXRpb25GaWxlUHJvdmlkZXJPdmVy
cmlkZS5idW5kbGUvQ29udGVudHMvTWFjT1MvRmluZGVyU3luY0NvbGxhYm9yYXRpb25GaWxlUHJv
dmlkZXJPdmVycmlkZQogICAgMHg3ZmZmMzk1Y2IwMDAgLSAgICAgMHg3ZmZmMzk5MTlmZjcgIGNv
bS5hcHBsZS5SYXdDYW1lcmEuYnVuZGxlICg4LjA1LjAgLSAxMDE3LjQuMSkgPENBRjQ5MEU2LUNC
MEUtM0VGMC1CM0QyLUM0ODgwQ0Y4NTA3Nz4gL1N5c3RlbS9MaWJyYXJ5L0NvcmVTZXJ2aWNlcy9S
YXdDYW1lcmEuYnVuZGxlL0NvbnRlbnRzL01hY09TL1Jhd0NhbWVyYQogICAgMHg3ZmZmM2FlYTYw
MDAgLSAgICAgMHg3ZmZmM2FmMjdmZjcgIGNvbS5hcHBsZS5kcml2ZXIuQXBwbGVJbnRlbEhENDAw
MEdyYXBoaWNzTVRMRHJpdmVyICgxMC4zNi4yNiAtIDEwLjMuNikgPDZGMzY3QzFELUQ2RTYtMzc1
Qi1BOUE0LUU4MzM2REFDMDhDMj4gL1N5c3RlbS9MaWJyYXJ5L0V4dGVuc2lvbnMvQXBwbGVJbnRl
bEhENDAwMEdyYXBoaWNzTVRMRHJpdmVyLmJ1bmRsZS9Db250ZW50cy9NYWNPUy9BcHBsZUludGVs
SEQ0MDAwR3JhcGhpY3NNVExEcml2ZXIKICAgIDB4N2ZmZjNkMWVkMDAwIC0gICAgIDB4N2ZmZjNk
M2NkZmYzICBjb20uYXBwbGUuYXZmb3VuZGF0aW9uICgyLjAgLSAxNTM2LjM2KSA8QkI2NUVENTEt
Q0U0NC0zMUJELUE2RUMtNEIxRUM1RUFEREQ5PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9B
VkZvdW5kYXRpb24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvQVZGb3VuZGF0aW9uCiAgICAweDdmZmYz
ZDNjZTAwMCAtICAgICAweDdmZmYzZDQ4N2ZmZiAgY29tLmFwcGxlLmF1ZGlvLkFWRkF1ZGlvICgx
LjAgLSA/Pz8pIDxFQ0U2M0JBMy00MzQ0LTM1MjItOTA0Qi03MUY4OTY3N0FDN0Q+IC9TeXN0ZW0v
TGlicmFyeS9GcmFtZXdvcmtzL0FWRm91bmRhdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFt
ZXdvcmtzL0FWRkF1ZGlvLmZyYW1ld29yay9WZXJzaW9ucy9BL0FWRkF1ZGlvCiAgICAweDdmZmYz
ZDU4ZDAwMCAtICAgICAweDdmZmYzZDU4ZGZmZiAgY29tLmFwcGxlLkFjY2VsZXJhdGUgKDEuMTEg
LSBBY2NlbGVyYXRlIDEuMTEpIDwyRUYwMEVGRS0wNkU4LTMwODItODVDMy0yOTg4QjQyMkExOUQ+
IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FjY2VsZXJhdGUuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQWNjZWxlcmF0ZQogICAgMHg3ZmZmM2Q1OGUwMDAgLSAgICAgMHg3ZmZmM2Q1YTVmZjcgIGxp
YkNHSW50ZXJmYWNlcy5keWxpYiAoNDE3LjIpIDxDOTE3NUVERC1BMkUzLTM0RTktQTcyRS0xQkY4
OTVBNjBERDM+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FjY2VsZXJhdGUuZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy92SW1hZ2UuZnJhbWV3b3JrL1ZlcnNpb25zL0EvTGlicmFy
aWVzL2xpYkNHSW50ZXJmYWNlcy5keWxpYgogICAgMHg3ZmZmM2Q1YTYwMDAgLSAgICAgMHg3ZmZm
M2RjZjRmZmIgIGNvbS5hcHBsZS52SW1hZ2UgKDguMSAtID8/PykgPDU2QzI3NUMxLTQ1OUYtMzdD
RC1CRjI5LTJFNkQ4MUMyOUU1Mz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQWNjZWxlcmF0
ZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL3ZJbWFnZS5mcmFtZXdvcmsvVmVyc2lv
bnMvQS92SW1hZ2UKICAgIDB4N2ZmZjNkY2Y1MDAwIC0gICAgIDB4N2ZmZjNkZTk1ZmYzICBsaWJC
TEFTLmR5bGliICgxMjExLjUwLjIpIDw5MzI1OTIyMi0yRDk0LTMzM0QtQTFFQi0wOUM2RkM0QTY0
QjQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FjY2VsZXJhdGUuZnJhbWV3b3JrL1ZlcnNp
b25zL0EvRnJhbWV3b3Jrcy92ZWNMaWIuZnJhbWV3b3JrL1ZlcnNpb25zL0EvbGliQkxBUy5keWxp
YgogICAgMHg3ZmZmM2RlOTYwMDAgLSAgICAgMHg3ZmZmM2RlZDBmZWYgIGxpYkJOTlMuZHlsaWIg
KDM4LjEpIDwwQUFFMDEwOS03MUQ1LTNCMjYtODQwMS0zRTYyRERGOTc2MjQ+IC9TeXN0ZW0vTGli
cmFyeS9GcmFtZXdvcmtzL0FjY2VsZXJhdGUuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jr
cy92ZWNMaWIuZnJhbWV3b3JrL1ZlcnNpb25zL0EvbGliQk5OUy5keWxpYgogICAgMHg3ZmZmM2Rl
ZDEwMDAgLSAgICAgMHg3ZmZmM2UyYWFmZjcgIGxpYkxBUEFDSy5keWxpYiAoMTIxMS41MC4yKSA8
NzA3ODFEMEItQUVBRC0zM0VCLTk5MDAtMTBEQzMwRjM3RDYxPiAvU3lzdGVtL0xpYnJhcnkvRnJh
bWV3b3Jrcy9BY2NlbGVyYXRlLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvdmVjTGli
LmZyYW1ld29yay9WZXJzaW9ucy9BL2xpYkxBUEFDSy5keWxpYgogICAgMHg3ZmZmM2UyYWIwMDAg
LSAgICAgMHg3ZmZmM2UyYzFmZjcgIGxpYkxpbmVhckFsZ2VicmEuZHlsaWIgKDEyMTEuNTAuMikg
PEZCNUEzNUVBLUQ2MzYtM0Q2OS1BQjUzLUI2N0UxRUI4MTM0Qz4gL1N5c3RlbS9MaWJyYXJ5L0Zy
YW1ld29ya3MvQWNjZWxlcmF0ZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL3ZlY0xp
Yi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9saWJMaW5lYXJBbGdlYnJhLmR5bGliCiAgICAweDdmZmYz
ZTJjMjAwMCAtICAgICAweDdmZmYzZTJjN2ZmMyAgbGliUXVhZHJhdHVyZS5keWxpYiAoMykgPDNE
NkJGNjZBLTU1QjItMzY5Mi1CQUM3LURFQjBDNjc2RUQyOT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1l
d29ya3MvQWNjZWxlcmF0ZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL3ZlY0xpYi5m
cmFtZXdvcmsvVmVyc2lvbnMvQS9saWJRdWFkcmF0dXJlLmR5bGliCiAgICAweDdmZmYzZTJjODAw
MCAtICAgICAweDdmZmYzZTM0OGZmZiAgbGliU3BhcnNlLmR5bGliICg3OS41MC4yKSA8MERDMjVD
REQtRjhDMS0zRDZFLUI0NzItOEIwNjA3MDg0MjRGPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jr
cy9BY2NlbGVyYXRlLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvdmVjTGliLmZyYW1l
d29yay9WZXJzaW9ucy9BL2xpYlNwYXJzZS5keWxpYgogICAgMHg3ZmZmM2UzNDkwMDAgLSAgICAg
MHg3ZmZmM2UzNWJmZjcgIGxpYlNwYXJzZUJMQVMuZHlsaWIgKDEyMTEuNTAuMikgPDk5NEE3RDdF
LUZBM0ItMzk0My1BNTlDLTgxNTBCOUFGODZCRT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3Mv
QWNjZWxlcmF0ZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL3ZlY0xpYi5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9saWJTcGFyc2VCTEFTLmR5bGliCiAgICAweDdmZmYzZTM1YzAwMCAtICAg
ICAweDdmZmYzZTRjZmZlNyAgbGlidkRTUC5keWxpYiAoNjIyLjUwLjUpIDw0QkYzMTBGNC0zMUEz
LTNEQTUtODBFNC03RjgwMTRBRDM4MEI+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FjY2Vs
ZXJhdGUuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy92ZWNMaWIuZnJhbWV3b3JrL1Zl
cnNpb25zL0EvbGlidkRTUC5keWxpYgogICAgMHg3ZmZmM2U0ZDAwMDAgLSAgICAgMHg3ZmZmM2U1
ODZmZWYgIGxpYnZNaXNjLmR5bGliICg2MjIuNTAuNSkgPDg4MTQzQTg4LTRGREUtMzVBMS04NUZF
LTU0RkYwQzJBOUU0Mz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQWNjZWxlcmF0ZS5mcmFt
ZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL3ZlY0xpYi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9s
aWJ2TWlzYy5keWxpYgogICAgMHg3ZmZmM2U1ODcwMDAgLSAgICAgMHg3ZmZmM2U1ODdmZmYgIGNv
bS5hcHBsZS5BY2NlbGVyYXRlLnZlY0xpYiAoMy4xMSAtIHZlY0xpYiAzLjExKSA8ODgwREVGNDAt
Mzg5QS0zRjU2LUFDQTEtQjYyQTVCQzU3RTU5PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9B
Y2NlbGVyYXRlLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvdmVjTGliLmZyYW1ld29y
ay9WZXJzaW9ucy9BL3ZlY0xpYgogICAgMHg3ZmZmM2U1ODgwMDAgLSAgICAgMHg3ZmZmM2U1ZTJm
ZjcgIGNvbS5hcHBsZS5BY2NvdW50cyAoMTEzIC0gMTEzKSA8RDI4OTJCMkItMjg0Ni0zRTc1LTlB
NEItMjI0QTlGMzQzQTQ0PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9BY2NvdW50cy5mcmFt
ZXdvcmsvVmVyc2lvbnMvQS9BY2NvdW50cwogICAgMHg3ZmZmM2U1ZTMwMDAgLSAgICAgMHg3ZmZm
M2U4N2FmZjcgIGNvbS5hcHBsZS5BZGRyZXNzQm9vay5mcmFtZXdvcmsgKDExLjAgLSAxODA4Ljgp
IDwwRjlGRDRENi02OUU2LTMxMTAtQTY2MS0yNTM0NkMxN0Q2OTE+IC9TeXN0ZW0vTGlicmFyeS9G
cmFtZXdvcmtzL0FkZHJlc3NCb29rLmZyYW1ld29yay9WZXJzaW9ucy9BL0FkZHJlc3NCb29rCiAg
ICAweDdmZmYzZTg3YjAwMCAtICAgICAweDdmZmYzZjZkOWZmZiAgY29tLmFwcGxlLkFwcEtpdCAo
Ni45IC0gMTU2MS42MS4xMDApIDxFMDhFNEZEMS00MUY2LTM4N0MtQTVCMC1FRjdDQTBCREFBNzg+
IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FwcEtpdC5mcmFtZXdvcmsvVmVyc2lvbnMvQy9B
cHBLaXQKICAgIDB4N2ZmZjNmNzJiMDAwIC0gICAgIDB4N2ZmZjNmNzJiZmZmICBjb20uYXBwbGUu
QXBwbGljYXRpb25TZXJ2aWNlcyAoNDggLSA1MCkgPDBFNEFBODgzLTdFRkMtMzZFRS04QjhFLUUy
MjZFMkMzNzk2NT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQXBwbGljYXRpb25TZXJ2aWNl
cy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BcHBsaWNhdGlvblNlcnZpY2VzCiAgICAweDdmZmYzZjcy
YzAwMCAtICAgICAweDdmZmYzZjc5MmZmZiAgY29tLmFwcGxlLkFwcGxpY2F0aW9uU2VydmljZXMu
QVRTICgzNzcgLSA0NDUuNSkgPDcwM0NFN0U0LTQyNkEtMzVDMC1BMjI5LUYxNDBGMzBGNTM0MD4g
L1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQXBwbGljYXRpb25TZXJ2aWNlcy5mcmFtZXdvcmsv
VmVyc2lvbnMvQS9GcmFtZXdvcmtzL0FUUy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BVFMKICAgIDB4
N2ZmZjNmODJiMDAwIC0gICAgIDB4N2ZmZjNmOTRkZmZmICBsaWJGb250UGFyc2VyLmR5bGliICgy
MjIuMS43KSA8OUM0Q0VGQjQtMEYwOC0zQjYwLUJENTAtMDEyMEEzN0Y2RUEyPiAvU3lzdGVtL0xp
YnJhcnkvRnJhbWV3b3Jrcy9BcHBsaWNhdGlvblNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9B
L0ZyYW1ld29ya3MvQVRTLmZyYW1ld29yay9WZXJzaW9ucy9BL1Jlc291cmNlcy9saWJGb250UGFy
c2VyLmR5bGliCiAgICAweDdmZmYzZjk0ZTAwMCAtICAgICAweDdmZmYzZjk5OWZmNyAgbGliRm9u
dFJlZ2lzdHJ5LmR5bGliICgyMjEuNikgPDMwQzZEMURFLUMwRTMtMzQ0Ny1BMEVGLTgyOTQ0M0Q5
NUYwRT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQXBwbGljYXRpb25TZXJ2aWNlcy5mcmFt
ZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL0FUUy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9SZXNv
dXJjZXMvbGliRm9udFJlZ2lzdHJ5LmR5bGliCiAgICAweDdmZmYzZjllYjAwMCAtICAgICAweDdm
ZmYzZjlmMGZmZiAgbGliRm9udFJlZ2lzdHJ5VUkuZHlsaWIgKDIyMS42KSA8QzlGRjVGMUEtMDdC
Qy0zNDcyLUFERDgtQzA3MDA1RTFBQjUzPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9BcHBs
aWNhdGlvblNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvQVRTLmZyYW1l
d29yay9WZXJzaW9ucy9BL1Jlc291cmNlcy9saWJGb250UmVnaXN0cnlVSS5keWxpYgogICAgMHg3
ZmZmM2ZhM2UwMDAgLSAgICAgMHg3ZmZmM2ZhNzFmZjcgIGxpYlRydWVUeXBlU2NhbGVyLmR5bGli
ICgyMjIuMS43KSA8RTQwMUJEMzgtNUYwRS0zODJGLUI0Q0ItQUM2MDYzODcxQzBGPiAvU3lzdGVt
L0xpYnJhcnkvRnJhbWV3b3Jrcy9BcHBsaWNhdGlvblNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9u
cy9BL0ZyYW1ld29ya3MvQVRTLmZyYW1ld29yay9WZXJzaW9ucy9BL1Jlc291cmNlcy9saWJUcnVl
VHlwZVNjYWxlci5keWxpYgogICAgMHg3ZmZmM2ZhZGIwMDAgLSAgICAgMHg3ZmZmM2ZhZGZmZjMg
IGNvbS5hcHBsZS5Db2xvclN5bmNMZWdhY3kgKDQuMTMuMCAtIDEpIDxBNUZCMjY5NC0xNTU5LTM0
QTgtQTNEMy0yMDI5RjY4QTYzQ0E+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FwcGxpY2F0
aW9uU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9Db2xvclN5bmNMZWdh
Y3kuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29sb3JTeW5jTGVnYWN5CiAgICAweDdmZmYzZmI3ZjAw
MCAtICAgICAweDdmZmYzZmJkMWZmYiAgY29tLmFwcGxlLkhJU2VydmljZXMgKDEuMjIgLSA2MjUp
IDw3OEExRkI0Ri1BMzlDLTMxNTktQjI4NS02MDBDOTk3MzM1RkI+IC9TeXN0ZW0vTGlicmFyeS9G
cmFtZXdvcmtzL0FwcGxpY2F0aW9uU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3
b3Jrcy9ISVNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9BL0hJU2VydmljZXMKICAgIDB4N2Zm
ZjNmYmQyMDAwIC0gICAgIDB4N2ZmZjNmYmUwZmZmICBjb20uYXBwbGUuTGFuZ0FuYWx5c2lzICgx
LjcuMCAtIDEuNy4wKSA8QjY1RkY3RTYtRTlCNS0zNEQ4LThDQTctNjNENDE1QThBOUE2PiAvU3lz
dGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9BcHBsaWNhdGlvblNlcnZpY2VzLmZyYW1ld29yay9WZXJz
aW9ucy9BL0ZyYW1ld29ya3MvTGFuZ0FuYWx5c2lzLmZyYW1ld29yay9WZXJzaW9ucy9BL0xhbmdB
bmFseXNpcwogICAgMHg3ZmZmM2ZiZTEwMDAgLSAgICAgMHg3ZmZmM2ZjMmRmZmYgIGNvbS5hcHBs
ZS5wcmludC5mcmFtZXdvcmsuUHJpbnRDb3JlICgxMy40IC0gNTAzLjIpIDxCOTBDNjdDMS0wMjky
LTNDRUMtODg1RC1GMTg4MkNEMTA0QkU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FwcGxp
Y2F0aW9uU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9QcmludENvcmUu
ZnJhbWV3b3JrL1ZlcnNpb25zL0EvUHJpbnRDb3JlCiAgICAweDdmZmYzZmMyZTAwMCAtICAgICAw
eDdmZmYzZmM2OGZmZiAgY29tLmFwcGxlLlFEICgzLjEyIC0gNDA0LjIpIDwzOEIyMEFGRi05RDU0
LTNCNTItQTZEQy1DMEQ3MTM4MEFBNUY+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0FwcGxp
Y2F0aW9uU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9RRC5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9RRAogICAgMHg3ZmZmM2ZjNjkwMDAgLSAgICAgMHg3ZmZmM2ZjNzVmZmYg
IGNvbS5hcHBsZS5zcGVlY2guc3ludGhlc2lzLmZyYW1ld29yayAoNy44LjEgLSA3LjguMSkgPEEw
OERFMDE2LUM4RjItM0IwRS1CRDM0LTE1OTU5RDEzREJGMD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1l
d29ya3MvQXBwbGljYXRpb25TZXJ2aWNlcy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtz
L1NwZWVjaFN5bnRoZXNpcy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9TcGVlY2hTeW50aGVzaXMKICAg
IDB4N2ZmZjNmYzc2MDAwIC0gICAgIDB4N2ZmZjNmZjA0ZmY3ICBjb20uYXBwbGUuYXVkaW8udG9v
bGJveC5BdWRpb1Rvb2xib3ggKDEuMTQgLSAxLjE0KSA8NTE0REMwOUEtNTRGMy0zMTM2LTlGRUYt
RjA5MDIwOEZCQkU1PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9BdWRpb1Rvb2xib3guZnJh
bWV3b3JrL1ZlcnNpb25zL0EvQXVkaW9Ub29sYm94CiAgICAweDdmZmYzZmYwNjAwMCAtICAgICAw
eDdmZmYzZmYwNmZmZiAgY29tLmFwcGxlLmF1ZGlvLnVuaXRzLkF1ZGlvVW5pdCAoMS4xNCAtIDEu
MTQpIDwyOTQ4MDJCOS1FMjRELTM0RUItOTczRi02RDJCOEUyRTg2Q0I+IC9TeXN0ZW0vTGlicmFy
eS9GcmFtZXdvcmtzL0F1ZGlvVW5pdC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BdWRpb1VuaXQKICAg
IDB4N2ZmZjQwMjI5MDAwIC0gICAgIDB4N2ZmZjQwNWM2ZmZmICBjb20uYXBwbGUuQ0ZOZXR3b3Jr
ICg5MDIuNSAtIDkwMi41KSA8MkQzN0U3NUEtNDJGRC0zQ0RFLUJBRTMtRDQyMjhFRjgxM0YwPiAv
U3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9DRk5ldHdvcmsuZnJhbWV3b3JrL1ZlcnNpb25zL0Ev
Q0ZOZXR3b3JrCiAgICAweDdmZmY0MDVkYjAwMCAtICAgICAweDdmZmY0MDVkYmZmZiAgY29tLmFw
cGxlLkNhcmJvbiAoMTU4IC0gMTU4KSA8RjhCMzcwRDktMjEwMy0zMjc2LTgyMUQtQUNDNzU2MTY3
Rjg2PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9DYXJib24uZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQ2FyYm9uCiAgICAweDdmZmY0MDVkYzAwMCAtICAgICAweDdmZmY0MDVkZmZmYiAgY29tLmFw
cGxlLkNvbW1vblBhbmVscyAoMS4yLjYgLSA5OCkgPDIzOTE3NjFDLTVDQUEtM0Y2OC04NkI3LTUw
QjM3OTI3QjEwND4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ2FyYm9uLmZyYW1ld29yay9W
ZXJzaW9ucy9BL0ZyYW1ld29ya3MvQ29tbW9uUGFuZWxzLmZyYW1ld29yay9WZXJzaW9ucy9BL0Nv
bW1vblBhbmVscwogICAgMHg3ZmZmNDA1ZTAwMDAgLSAgICAgMHg3ZmZmNDA4ZTVmZmYgIGNvbS5h
cHBsZS5ISVRvb2xib3ggKDIuMS4xIC0gOTExLjEwKSA8QkY3RjlDMEUtQzczMi0zRkIyLTlCQkMt
MzYyODg4QkRBNTdCPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9DYXJib24uZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9ISVRvb2xib3guZnJhbWV3b3JrL1ZlcnNpb25zL0EvSElU
b29sYm94CiAgICAweDdmZmY0MDhlNjAwMCAtICAgICAweDdmZmY0MDhlOWZmYiAgY29tLmFwcGxl
LmhlbHAgKDEuMy44IC0gNjYpIDxERUJBREZBOC1DMTg5LTMxOTUtQjBENi1BMUYyREU5NTg4MkE+
IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NhcmJvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9G
cmFtZXdvcmtzL0hlbHAuZnJhbWV3b3JrL1ZlcnNpb25zL0EvSGVscAogICAgMHg3ZmZmNDA4ZWEw
MDAgLSAgICAgMHg3ZmZmNDA4ZWZmZmYgIGNvbS5hcHBsZS5JbWFnZUNhcHR1cmUgKDkuMCAtIDku
MCkgPDIzQjQ5MTZGLTNCNDMtM0RGRi1COTU2LUZDMzkwRUVDQTI4ND4gL1N5c3RlbS9MaWJyYXJ5
L0ZyYW1ld29ya3MvQ2FyYm9uLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvSW1hZ2VD
YXB0dXJlLmZyYW1ld29yay9WZXJzaW9ucy9BL0ltYWdlQ2FwdHVyZQogICAgMHg3ZmZmNDA4ZjAw
MDAgLSAgICAgMHg3ZmZmNDA5ODVmZmIgIGNvbS5hcHBsZS5pbmsuZnJhbWV3b3JrICgxMC45IC0g
MjIxKSA8NTIwNkM4QjAtMjJEQS0zNkM5LTk5OEUtODQ2RURCNjI2RDVCPiAvU3lzdGVtL0xpYnJh
cnkvRnJhbWV3b3Jrcy9DYXJib24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9Jbmsu
ZnJhbWV3b3JrL1ZlcnNpb25zL0EvSW5rCiAgICAweDdmZmY0MDk4NjAwMCAtICAgICAweDdmZmY0
MDlhMGZmNyAgY29tLmFwcGxlLm9wZW5zY3JpcHRpbmcgKDEuNyAtIDE3NCkgPDFCMkExRjlFLTU1
MzQtM0Q2MS04M0NBLTkxOTlCMzlFODcwOD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ2Fy
Ym9uLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvT3BlblNjcmlwdGluZy5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9PcGVuU2NyaXB0aW5nCiAgICAweDdmZmY0MDljMTAwMCAtICAgICAweDdm
ZmY0MDljMmZmZiAgY29tLmFwcGxlLnByaW50LmZyYW1ld29yay5QcmludCAoMTIgLSAyNjcpIDwz
NjgyQUJGQi0yNTYxLTM0MTktODQ3RC0wMkMyNDdGNDgwMEQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFt
ZXdvcmtzL0NhcmJvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL1ByaW50LmZyYW1l
d29yay9WZXJzaW9ucy9BL1ByaW50CiAgICAweDdmZmY0MDljMzAwMCAtICAgICAweDdmZmY0MDlj
NWZmNyAgY29tLmFwcGxlLnNlY3VyaXR5aGkgKDkuMCAtIDU1MDA2KSA8QzE0MDZCOEQtN0QwNS0z
OTU5LTgwOEYtOUM4MjE4OUNGNTdGPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9DYXJib24u
ZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9TZWN1cml0eUhJLmZyYW1ld29yay9WZXJz
aW9ucy9BL1NlY3VyaXR5SEkKICAgIDB4N2ZmZjQwOWM2MDAwIC0gICAgIDB4N2ZmZjQwOWNjZmZm
ICBjb20uYXBwbGUuc3BlZWNoLnJlY29nbml0aW9uLmZyYW1ld29yayAoNi4wLjMgLSA2LjAuMykg
PDJFRDg2NDNELUIwQzMtM0YxNy04MkEyLUJCRjEzRTZDQkFCQz4gL1N5c3RlbS9MaWJyYXJ5L0Zy
YW1ld29ya3MvQ2FyYm9uLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvU3BlZWNoUmVj
b2duaXRpb24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvU3BlZWNoUmVjb2duaXRpb24KICAgIDB4N2Zm
ZjQwOWNkMDAwIC0gICAgIDB4N2ZmZjQwYWVjZmZmICBjb20uYXBwbGUuY2xvdWRraXQuQ2xvdWRL
aXQgKDczNi4xNiAtIDczNi4xNikgPDJDOUVGMkIwLTAzNzgtMzA3Qi1BNkI4LTgwRTczNTI4REQ5
Qj4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ2xvdWRLaXQuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQ2xvdWRLaXQKICAgIDB4N2ZmZjQwYWVkMDAwIC0gICAgIDB4N2ZmZjQwYWVkZmZmICBjb20u
YXBwbGUuQ29jb2EgKDYuMTEgLSAyMikgPDE3QTk4QzA4LTY0Q0YtMzIzMi04MEVFLUUxMEJBRjY4
Nzc4Rj4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ29jb2EuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQ29jb2EKICAgIDB4N2ZmZjQwYWZiMDAwIC0gICAgIDB4N2ZmZjQwYmI0ZmZmICBjb20uYXBw
bGUuQ29sb3JTeW5jICg0LjEzLjAgLSAzMzI1KSA8RDI4M0MyODUtNDQ3RC0zMjU4LUE3RTQtNTk1
MzIxMjNCOEZGPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9Db2xvclN5bmMuZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvQ29sb3JTeW5jCiAgICAweDdmZmY0MGQ0MTAwMCAtICAgICAweDdmZmY0MGRk
NGZmNyAgY29tLmFwcGxlLmF1ZGlvLkNvcmVBdWRpbyAoNC4zLjAgLSA0LjMuMCkgPEVCMzVEM0VD
LTU2RUEtMzNFNi05OERDLUJEQzNBNUZBOEFDRT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3Mv
Q29yZUF1ZGlvLmZyYW1ld29yay9WZXJzaW9ucy9BL0NvcmVBdWRpbwogICAgMHg3ZmZmNDBlM2Iw
MDAgLSAgICAgMHg3ZmZmNDBlNjRmZmIgIGNvbS5hcHBsZS5Db3JlQmx1ZXRvb3RoICgxLjAgLSAx
KSA8RTEzMzUwNzQtOUQwNy0zNzBFLTg0NDAtNjFDNDg3NEJBQzU2PiAvU3lzdGVtL0xpYnJhcnkv
RnJhbWV3b3Jrcy9Db3JlQmx1ZXRvb3RoLmZyYW1ld29yay9WZXJzaW9ucy9BL0NvcmVCbHVldG9v
dGgKICAgIDB4N2ZmZjQwZTY1MDAwIC0gICAgIDB4N2ZmZjQxMWM5ZmYzICBjb20uYXBwbGUuQ29y
ZURhdGEgKDEyMCAtIDg1MSkgPDhENjA1NDY2LTg2NzYtM0Q0NS05QTRCLTg5ODA5NzE1NTFDMz4g
L1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ29yZURhdGEuZnJhbWV3b3JrL1ZlcnNpb25zL0Ev
Q29yZURhdGEKICAgIDB4N2ZmZjQxMWNhMDAwIC0gICAgIDB4N2ZmZjQxMmFkZmZmICBjb20uYXBw
bGUuQ29yZURpc3BsYXkgKDk5LjE0IC0gOTkuMTQpIDxBMUI5MUFERC04MjhELTMzQTAtOEE5Mi1D
QzNGODNERjg5RDA+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVEaXNwbGF5LmZyYW1l
d29yay9WZXJzaW9ucy9BL0NvcmVEaXNwbGF5CiAgICAweDdmZmY0MTJhZTAwMCAtICAgICAweDdm
ZmY0MTc0YWZmZiAgY29tLmFwcGxlLkNvcmVGb3VuZGF0aW9uICg2LjkgLSAxNDU1LjEyKSA8RDhE
RjkzRjUtNDU1OC0zQjI4LThCREYtOTczOUM5OTVEMjdDPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3
b3Jrcy9Db3JlRm91bmRhdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Db3JlRm91bmRhdGlvbgog
ICAgMHg3ZmZmNDE3NGMwMDAgLSAgICAgMHg3ZmZmNDFkN2JmZjcgIGNvbS5hcHBsZS5Db3JlR3Jh
cGhpY3MgKDIuMCAtIDExNjEuMjEuMykgPDkwNzM2OTc3LUYyNTctM0M5QS1CNDdDLUVFMDNGN0FG
NjA2OD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ29yZUdyYXBoaWNzLmZyYW1ld29yay9W
ZXJzaW9ucy9BL0NvcmVHcmFwaGljcwogICAgMHg3ZmZmNDFkN2QwMDAgLSAgICAgMHg3ZmZmNDIw
NmNmZmYgIGNvbS5hcHBsZS5Db3JlSW1hZ2UgKDEzLjAuMCAtIDU3OS41KSA8QUFFMkRGRDAtOUIw
QS0zRDU2LThBM0UtQzQ2MEJBRjcwMzk0PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9Db3Jl
SW1hZ2UuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZUltYWdlCiAgICAweDdmZmY0MjA2ZDAwMCAt
ICAgICAweDdmZmY0MjBkOGZmNyAgY29tLmFwcGxlLmNvcmVsb2NhdGlvbiAoMjI0NS4wLjQxKSA8
QzVCQzY5QTItQzZCRC0zNjRDLTlEM0UtNTNDMjQ0NUFCNjg1PiAvU3lzdGVtL0xpYnJhcnkvRnJh
bWV3b3Jrcy9Db3JlTG9jYXRpb24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZUxvY2F0aW9uCiAg
ICAweDdmZmY0MjJmYjAwMCAtICAgICAweDdmZmY0MjNmMWZmYiAgY29tLmFwcGxlLkNvcmVNZWRp
YSAoMS4wIC0gMjI3Ni44MC40KSA8REU3N0Q4RTItN0Q1Ri0zQUFCLTg4MUItN0VFODQwNDZDMTk0
PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9Db3JlTWVkaWEuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQ29yZU1lZGlhCiAgICAweDdmZmY0MjNmMjAwMCAtICAgICAweDdmZmY0MjQ0MGZmZiAgY29t
LmFwcGxlLkNvcmVNZWRpYUlPICg4MTQuMCAtIDQ5OTUpIDw3N0VFNDNBOS1FQjMxLTNDMTUtQTIx
NS1DOUI5OENEM0FGQzI+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVNZWRpYUlPLmZy
YW1ld29yay9WZXJzaW9ucy9BL0NvcmVNZWRpYUlPCiAgICAweDdmZmY0MjQ0MTAwMCAtICAgICAw
eDdmZmY0MjQ0MWZmZiAgY29tLmFwcGxlLkNvcmVTZXJ2aWNlcyAoODIyLjM3IC0gODIyLjM3KSA8
N0IwNDk4OEItQzBENC0zMTRFLThCM0ItQUU0NDZCNEEzOENEPiAvU3lzdGVtL0xpYnJhcnkvRnJh
bWV3b3Jrcy9Db3JlU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZVNlcnZpY2VzCiAg
ICAweDdmZmY0MjQ0MjAwMCAtICAgICAweDdmZmY0MjRiNmZmYiAgY29tLmFwcGxlLkFFICg3MzUu
MiAtIDczNS4yKSA8NjkwQTZGNDctMTMwNi0zNzFGLUIyNTctNzgzRDhGODNFQTlFPiAvU3lzdGVt
L0xpYnJhcnkvRnJhbWV3b3Jrcy9Db3JlU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJh
bWV3b3Jrcy9BRS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BRQogICAgMHg3ZmZmNDI0YjcwMDAgLSAg
ICAgMHg3ZmZmNDI3OGVmZmYgIGNvbS5hcHBsZS5Db3JlU2VydmljZXMuQ2FyYm9uQ29yZSAoMTE3
OC40LjIgLSAxMTc4LjQuMikgPDA4QUY3QjdCLTIxOUItMzk1Ny04NkNFLUM5NkI0MjNDODIzQz4g
L1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvQ29yZVNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9u
cy9BL0ZyYW1ld29ya3MvQ2FyYm9uQ29yZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9DYXJib25Db3Jl
CiAgICAweDdmZmY0Mjc4ZjAwMCAtICAgICAweDdmZmY0MjdjM2ZmZiAgY29tLmFwcGxlLkRpY3Rp
b25hcnlTZXJ2aWNlcyAoMS4yIC0gMjg0LjIpIDw2NTA1QjA3NS00MUMzLTNDNjItQTRDMy04NUNF
M0Y2ODI1Q0Q+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVTZXJ2aWNlcy5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL0RpY3Rpb25hcnlTZXJ2aWNlcy5mcmFtZXdvcmsvVmVy
c2lvbnMvQS9EaWN0aW9uYXJ5U2VydmljZXMKICAgIDB4N2ZmZjQyN2M0MDAwIC0gICAgIDB4N2Zm
ZjQyN2NjZmZiICBjb20uYXBwbGUuQ29yZVNlcnZpY2VzLkZTRXZlbnRzICgxMjM5LjUwLjIgLSAx
MjM5LjUwLjIpIDxBQzNBMUE3Mi05MkIzLTM3NDYtQkFFRC00NEYyQkIyNDU2NTM+IC9TeXN0ZW0v
TGlicmFyeS9GcmFtZXdvcmtzL0NvcmVTZXJ2aWNlcy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFt
ZXdvcmtzL0ZTRXZlbnRzLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZTRXZlbnRzCiAgICAweDdmZmY0
MjdjZDAwMCAtICAgICAweDdmZmY0Mjk4YmZmNyAgY29tLmFwcGxlLkxhdW5jaFNlcnZpY2VzICg4
MjIuMzcgLSA4MjIuMzcpIDw2QUE5MzMwNy0yMjBBLTM0MTctQkJDMi1GRTFDMERFMEI2NTI+IC9T
eXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVTZXJ2aWNlcy5mcmFtZXdvcmsvVmVyc2lvbnMv
QS9GcmFtZXdvcmtzL0xhdW5jaFNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9BL0xhdW5jaFNl
cnZpY2VzCiAgICAweDdmZmY0Mjk4YzAwMCAtICAgICAweDdmZmY0MmEzY2ZmZiAgY29tLmFwcGxl
Lk1ldGFkYXRhICgxMC43LjAgLSAxMTkxLjcpIDwxRjdBQzY4Mi0wNkExLTMzRDUtQTlCOC0wQkNE
OTM0Mjg2RTY+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVTZXJ2aWNlcy5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL01ldGFkYXRhLmZyYW1ld29yay9WZXJzaW9ucy9BL01l
dGFkYXRhCiAgICAweDdmZmY0MmEzZDAwMCAtICAgICAweDdmZmY0MmE5ZGZmZiAgY29tLmFwcGxl
LkNvcmVTZXJ2aWNlcy5PU1NlcnZpY2VzICg4MjIuMzcgLSA4MjIuMzcpIDw0QUQyRkM5OC1DNkNC
LTM5MkEtQTIyRi0xOTZBNzIzRDdGQUU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVT
ZXJ2aWNlcy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL09TU2VydmljZXMuZnJhbWV3
b3JrL1ZlcnNpb25zL0EvT1NTZXJ2aWNlcwogICAgMHg3ZmZmNDJhOWUwMDAgLSAgICAgMHg3ZmZm
NDJiMGNmZmYgIGNvbS5hcHBsZS5TZWFyY2hLaXQgKDEuNC4wIC0gMS40LjApIDwzNjYyNTQ1QS1C
MUNGLTMwNzktQkRDRC1DODM4NTVDRUZFRUU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0Nv
cmVTZXJ2aWNlcy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL1NlYXJjaEtpdC5mcmFt
ZXdvcmsvVmVyc2lvbnMvQS9TZWFyY2hLaXQKICAgIDB4N2ZmZjQyYjBkMDAwIC0gICAgIDB4N2Zm
ZjQyYjMxZmZiICBjb20uYXBwbGUuY29yZXNlcnZpY2VzLlNoYXJlZEZpbGVMaXN0ICg3MS4yMSAt
IDcxLjIxKSA8MUI1MjI4RUYtRDg2OS0zQTUwLUEzNzMtN0Y0QjAyODlGQUREPiAvU3lzdGVtL0xp
YnJhcnkvRnJhbWV3b3Jrcy9Db3JlU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3
b3Jrcy9TaGFyZWRGaWxlTGlzdC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9TaGFyZWRGaWxlTGlzdAog
ICAgMHg3ZmZmNDJkZDIwMDAgLSAgICAgMHg3ZmZmNDJmMjJmZmYgIGNvbS5hcHBsZS5Db3JlVGV4
dCAoMzUyLjAgLSA1NzguMjIpIDw2MTI5RjM5RC0yODRELTNCQkYtODk5OS03ODU0QUI2MUMwMUM+
IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0NvcmVUZXh0LmZyYW1ld29yay9WZXJzaW9ucy9B
L0NvcmVUZXh0CiAgICAweDdmZmY0MmYyMzAwMCAtICAgICAweDdmZmY0MmY1ZGZmZiAgY29tLmFw
cGxlLkNvcmVWaWRlbyAoMS44IC0gMC4wKSA8ODZDQ0MwMzYtNTFCQi0zREQxLTk2MDEtRDkzNzk4
QkNDRDBGPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9Db3JlVmlkZW8uZnJhbWV3b3JrL1Zl
cnNpb25zL0EvQ29yZVZpZGVvCiAgICAweDdmZmY0MmY1ZTAwMCAtICAgICAweDdmZmY0MmZlOWZm
MyAgY29tLmFwcGxlLmZyYW1ld29yay5Db3JlV0xBTiAoMTMuMCAtIDEzNTAuMikgPERDOUUxQjBC
LUZEOTYtMzhBNy1BNkUwLTgyMENBNDE0QUE5ND4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3Mv
Q29yZVdMQU4uZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZVdMQU4KICAgIDB4N2ZmZjQzMTc3MDAw
IC0gICAgIDB4N2ZmZjQzMTgyZmY3ICBjb20uYXBwbGUuRGlyZWN0b3J5U2VydmljZS5GcmFtZXdv
cmsgKDEwLjEzIC0gMjA3LjUwLjEpIDxCRTBEODAzOC03OTc0LTNCMDYtODBFMS0zMUUyN0U1Q0Q2
MzQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0RpcmVjdG9yeVNlcnZpY2UuZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvRGlyZWN0b3J5U2VydmljZQogICAgMHg3ZmZmNDMyNjQwMDAgLSAgICAgMHg3
ZmZmNDMyNjlmZmYgIGNvbS5hcHBsZS5EaXNrQXJiaXRyYXRpb24gKDIuNyAtIDIuNykgPDJGNjI4
NTg0LTgxNzctMzg5NC05MkNFLTlDQTYwODlCNjFDNj4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29y
a3MvRGlza0FyYml0cmF0aW9uLmZyYW1ld29yay9WZXJzaW9ucy9BL0Rpc2tBcmJpdHJhdGlvbgog
ICAgMHg3ZmZmNDM0MmEwMDAgLSAgICAgMHg3ZmZmNDM3ZjFmZmIgIGNvbS5hcHBsZS5Gb3VuZGF0
aW9uICg2LjkgLSAxNDU1LjEyKSA8NTQwOTUwNDUtQzgyOS0zNThGLUI4RUUtOTUzRjY3MDQ5MkY1
PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9Gb3VuZGF0aW9uLmZyYW1ld29yay9WZXJzaW9u
cy9DL0ZvdW5kYXRpb24KICAgIDB4N2ZmZjQzODYyMDAwIC0gICAgIDB4N2ZmZjQzODkyZmYzICBj
b20uYXBwbGUuR1NTICg0LjAgLSAyLjApIDxGQzY5QTEyMC0zQzE5LTM4MDItODdCNC1DMjkyMTc3
NTgxNDM+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0dTUy5mcmFtZXdvcmsvVmVyc2lvbnMv
QS9HU1MKICAgIDB4N2ZmZjQzOWE0MDAwIC0gICAgIDB4N2ZmZjQzYWE4ZmZiICBjb20uYXBwbGUu
Qmx1ZXRvb3RoICg2LjAuNyAtIDYuMC43ZjE2KSA8Qzc1QzQzQjYtMTkzNi0zRTNDLTk0RTYtQjU2
OEQ4Q0REMjMzPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9JT0JsdWV0b290aC5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9JT0JsdWV0b290aAogICAgMHg3ZmZmNDNiMDgwMDAgLSAgICAgMHg3ZmZm
NDNiYTNmZmYgIGNvbS5hcHBsZS5mcmFtZXdvcmsuSU9LaXQgKDIuMC4yIC0gMTQ0NS43MS42KSA8
QzY4Q0U3RUQtODVDQS0zRDFGLUJBQTAtOTA4MzI3QkVDMERFPiAvU3lzdGVtL0xpYnJhcnkvRnJh
bWV3b3Jrcy9JT0tpdC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9JT0tpdAogICAgMHg3ZmZmNDNiYTUw
MDAgLSAgICAgMHg3ZmZmNDNiYWNmZmYgIGNvbS5hcHBsZS5JT1N1cmZhY2UgKDIxMS4xNSAtIDIx
MS4xNSkgPDlGRDQwNkYxLTZCRjItMzVCMC04MzM5LURGODNBMUE2NjFFQj4gL1N5c3RlbS9MaWJy
YXJ5L0ZyYW1ld29ya3MvSU9TdXJmYWNlLmZyYW1ld29yay9WZXJzaW9ucy9BL0lPU3VyZmFjZQog
ICAgMHg3ZmZmNDNiYWQwMDAgLSAgICAgMHg3ZmZmNDNjMDJmZjMgIGNvbS5hcHBsZS5JbWFnZUNh
cHR1cmVDb3JlICg3LjAgLSA3LjApIDwwREFCM0Q3RS04QzNGLTM1REUtOTZERi1DMzcwQUQzNUVC
NjU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0ltYWdlQ2FwdHVyZUNvcmUuZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvSW1hZ2VDYXB0dXJlQ29yZQogICAgMHg3ZmZmNDNjMDMwMDAgLSAgICAgMHg3
ZmZmNDNkODFmZjcgIGNvbS5hcHBsZS5JbWFnZUlPLmZyYW1ld29yayAoMy4zLjAgLSAxNzM5LjMu
MikgPEI2MjFGOTg1LUJBOEUtM0U1Ny1CRkE2LTFCQTFFODAxMEU3OD4gL1N5c3RlbS9MaWJyYXJ5
L0ZyYW1ld29ya3MvSW1hZ2VJTy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9JbWFnZUlPCiAgICAweDdm
ZmY0M2Q4MjAwMCAtICAgICAweDdmZmY0M2Q4NmZmYiAgbGliR0lGLmR5bGliICgxNzM5LjMuMikg
PEQ2QkQ5RTZBLTFGMDMtM0M0Ny1BRjcwLUQ3MEI0QkJBQjQ4Qj4gL1N5c3RlbS9MaWJyYXJ5L0Zy
YW1ld29ya3MvSW1hZ2VJTy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9SZXNvdXJjZXMvbGliR0lGLmR5
bGliCiAgICAweDdmZmY0M2Q4NzAwMCAtICAgICAweDdmZmY0M2U2ZWZmNyAgbGliSlAyLmR5bGli
ICgxNzM5LjMuMikgPDU4ODQwQzFCLTEyMjEtM0I0Qi1CNEY3LUY2RTNBM0M3NDYzNz4gL1N5c3Rl
bS9MaWJyYXJ5L0ZyYW1ld29ya3MvSW1hZ2VJTy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9SZXNvdXJj
ZXMvbGliSlAyLmR5bGliCiAgICAweDdmZmY0M2U2ZjAwMCAtICAgICAweDdmZmY0M2U5MmZmZiAg
bGliSlBFRy5keWxpYiAoMTczOS4zLjIpIDxCNDI4OEE0Mi05NEVFLTNERDgtODI4MC02NTZERUNB
QUVBMDY+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0ltYWdlSU8uZnJhbWV3b3JrL1ZlcnNp
b25zL0EvUmVzb3VyY2VzL2xpYkpQRUcuZHlsaWIKICAgIDB4N2ZmZjQ0MTZmMDAwIC0gICAgIDB4
N2ZmZjQ0MTk1ZmYzICBsaWJQbmcuZHlsaWIgKDE3MzkuMy4yKSA8OTYzMTk1NkQtMDU0RC0zMkUz
LTg3MEEtRTc5MzkzMkMyRTM2PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9JbWFnZUlPLmZy
YW1ld29yay9WZXJzaW9ucy9BL1Jlc291cmNlcy9saWJQbmcuZHlsaWIKICAgIDB4N2ZmZjQ0MTk2
MDAwIC0gICAgIDB4N2ZmZjQ0MTk4ZmYzICBsaWJSYWRpYW5jZS5keWxpYiAoMTczOS4zLjIpIDxB
OTgzNDk1RS1FMTE1LTMyMDYtOTUyMi1COUM0QzNBQjI0NDM+IC9TeXN0ZW0vTGlicmFyeS9GcmFt
ZXdvcmtzL0ltYWdlSU8uZnJhbWV3b3JrL1ZlcnNpb25zL0EvUmVzb3VyY2VzL2xpYlJhZGlhbmNl
LmR5bGliCiAgICAweDdmZmY0NDE5OTAwMCAtICAgICAweDdmZmY0NDFlNmZmMyAgbGliVElGRi5k
eWxpYiAoMTczOS4zLjIpIDw0MEUwRUU4Ny1FOEQwLTM3QjUtQTQ2My01Q0Y1QkY0NkFCMzU+IC9T
eXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0ltYWdlSU8uZnJhbWV3b3JrL1ZlcnNpb25zL0EvUmVz
b3VyY2VzL2xpYlRJRkYuZHlsaWIKICAgIDB4N2ZmZjQ0M2EyMDAwIC0gICAgIDB4N2ZmZjQ1MDg4
ZmZmICBjb20uYXBwbGUuSmF2YVNjcmlwdENvcmUgKDEzNjA1IC0gMTM2MDUuMy44KSA8RTZCNDlD
REEtNzJGMC0zRTU4LTg1RUYtOThBRjEwQ0UwNEIwPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jr
cy9KYXZhU2NyaXB0Q29yZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9KYXZhU2NyaXB0Q29yZQogICAg
MHg3ZmZmNDUwYTAwMDAgLSAgICAgMHg3ZmZmNDUwYjlmZjcgIGNvbS5hcHBsZS5LZXJiZXJvcyAo
My4wIC0gMSkgPEY4NkRDQ0RGLTkzQzEtMzhCMy04MkMyLTQ3N0MxMkU4RUU2RD4gL1N5c3RlbS9M
aWJyYXJ5L0ZyYW1ld29ya3MvS2VyYmVyb3MuZnJhbWV3b3JrL1ZlcnNpb25zL0EvS2VyYmVyb3MK
ICAgIDB4N2ZmZjQ1MGJhMDAwIC0gICAgIDB4N2ZmZjQ1MGVmZmZmICBjb20uYXBwbGUuTERBUEZy
YW1ld29yayAoMi40LjI4IC0gMTk0LjUpIDwwQzlEQTU5NS01NkZELTM3NUItOUVFRC03MTNGQUEx
RUU5RkU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL0xEQVAuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvTERBUAogICAgMHg3ZmZmNDUzNzgwMDAgLSAgICAgMHg3ZmZmNDUzN2ZmZmYgIGNvbS5hcHBs
ZS5NZWRpYUFjY2Vzc2liaWxpdHkgKDEuMCAtIDExNCkgPDlGNzJBQUNELUJBRUItMzY0Ni1CRDBG
LTEyQzQ3NTkxQzIwRD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvTWVkaWFBY2Nlc3NpYmls
aXR5LmZyYW1ld29yay9WZXJzaW9ucy9BL01lZGlhQWNjZXNzaWJpbGl0eQogICAgMHg3ZmZmNDU0
MmYwMDAgLSAgICAgMHg3ZmZmNDVhOTlmZjcgIGNvbS5hcHBsZS5NZWRpYVRvb2xib3ggKDEuMCAt
IDIyNzYuODAuNCkgPDgxREY0NkQzLTQwRTAtMzAyNS05NjQzLTY5RkJDODc1RUMxQj4gL1N5c3Rl
bS9MaWJyYXJ5L0ZyYW1ld29ya3MvTWVkaWFUb29sYm94LmZyYW1ld29yay9WZXJzaW9ucy9BL01l
ZGlhVG9vbGJveAogICAgMHg3ZmZmNDVhOWIwMDAgLSAgICAgMHg3ZmZmNDViMWNmZmYgIGNvbS5h
cHBsZS5NZXRhbCAoMTI1LjMwIC0gMTI1LjMwKSA8NkI5RUJERUUtQzY0Qy0zQzFDLTkyMkEtMDM2
M0I2NDJDOUJDPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9NZXRhbC5mcmFtZXdvcmsvVmVy
c2lvbnMvQS9NZXRhbAogICAgMHg3ZmZmNDViMzkwMDAgLSAgICAgMHg3ZmZmNDViNTRmZmYgIGNv
bS5hcHBsZS5NZXRhbFBlcmZvcm1hbmNlU2hhZGVycy5NUFNDb3JlICgxLjAgLSAxKSA8QUQ3NTRF
OEYtQ0EwMC0zODc4LTlBRjMtMjA4QzIyNEEyMzBCPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jr
cy9NZXRhbFBlcmZvcm1hbmNlU2hhZGVycy5mcmFtZXdvcmsvRnJhbWV3b3Jrcy9NUFNDb3JlLmZy
YW1ld29yay9WZXJzaW9ucy9BL01QU0NvcmUKICAgIDB4N2ZmZjQ1YjU1MDAwIC0gICAgIDB4N2Zm
ZjQ1YmM0ZmVmICBjb20uYXBwbGUuTWV0YWxQZXJmb3JtYW5jZVNoYWRlcnMuTVBTSW1hZ2UgKDEu
MCAtIDEpIDwzMzhCNzc3OS1FNjA4LTNENjgtOEEwNy0yQUNDMTEyOTk3NDQ+IC9TeXN0ZW0vTGli
cmFyeS9GcmFtZXdvcmtzL01ldGFsUGVyZm9ybWFuY2VTaGFkZXJzLmZyYW1ld29yay9GcmFtZXdv
cmtzL01QU0ltYWdlLmZyYW1ld29yay9WZXJzaW9ucy9BL01QU0ltYWdlCiAgICAweDdmZmY0NWJj
NTAwMCAtICAgICAweDdmZmY0NWJlOWZmZiAgY29tLmFwcGxlLk1ldGFsUGVyZm9ybWFuY2VTaGFk
ZXJzLk1QU01hdHJpeCAoMS4wIC0gMSkgPDlDRTA3MkQ3LTg1M0ItMzkzOS05NjQ1LTdFQjk1MTM3
NkI4Nz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvTWV0YWxQZXJmb3JtYW5jZVNoYWRlcnMu
ZnJhbWV3b3JrL0ZyYW1ld29ya3MvTVBTTWF0cml4LmZyYW1ld29yay9WZXJzaW9ucy9BL01QU01h
dHJpeAogICAgMHg3ZmZmNDViZWEwMDAgLSAgICAgMHg3ZmZmNDVjZDFmZjcgIGNvbS5hcHBsZS5N
ZXRhbFBlcmZvcm1hbmNlU2hhZGVycy5NUFNOZXVyYWxOZXR3b3JrICgxLjAgLSAxKSA8MERFODkx
QUQtMjdFNS0zOEZGLUFFQzgtNEE5NTM1NkM0MzU3PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jr
cy9NZXRhbFBlcmZvcm1hbmNlU2hhZGVycy5mcmFtZXdvcmsvRnJhbWV3b3Jrcy9NUFNOZXVyYWxO
ZXR3b3JrLmZyYW1ld29yay9WZXJzaW9ucy9BL01QU05ldXJhbE5ldHdvcmsKICAgIDB4N2ZmZjQ1
Y2QyMDAwIC0gICAgIDB4N2ZmZjQ1Y2QyZmY3ICBjb20uYXBwbGUuTWV0YWxQZXJmb3JtYW5jZVNo
YWRlcnMuTWV0YWxQZXJmb3JtYW5jZVNoYWRlcnMgKDEuMCAtIDEpIDwyRDJEMjYxQy01MEIwLTMy
RjktQkY5QS01QzAxMzgyQkI1Mjg+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL01ldGFsUGVy
Zm9ybWFuY2VTaGFkZXJzLmZyYW1ld29yay9WZXJzaW9ucy9BL01ldGFsUGVyZm9ybWFuY2VTaGFk
ZXJzCiAgICAweDdmZmY0NmNkMTAwMCAtICAgICAweDdmZmY0NmNkZGZmYiAgY29tLmFwcGxlLk5l
dEZTICg2LjAgLSA0LjApIDw0NzFERDk2Ri1GQTJFLTNGRTktOTc0Ni0yNTE5QTY3ODBEMUE+IC9T
eXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL05ldEZTLmZyYW1ld29yay9WZXJzaW9ucy9BL05ldEZT
CiAgICAweDdmZmY0OWFjZjAwMCAtICAgICAweDdmZmY0OWIyOWZmNyAgY29tLmFwcGxlLm9wZW5j
bCAoMi44LjI0IC0gMi44LjI0KSA8Q0Y5MjJBRkQtQ0JBNC0zQjIzLUEwQzEtRTNFNTM2MkJCNkM3
PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9PcGVuQ0wuZnJhbWV3b3JrL1ZlcnNpb25zL0Ev
T3BlbkNMCiAgICAweDdmZmY0OWIyYTAwMCAtICAgICAweDdmZmY0OWI0NmZmYiAgY29tLmFwcGxl
LkNGT3BlbkRpcmVjdG9yeSAoMTAuMTMgLSAyMDcuNTAuMSkgPDI5RjU1RjdCLTM3OUYtMzA1My04
RkYzLTVDNjY3NUEzREQ0RD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvT3BlbkRpcmVjdG9y
eS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL0NGT3BlbkRpcmVjdG9yeS5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9DRk9wZW5EaXJlY3RvcnkKICAgIDB4N2ZmZjQ5YjQ3MDAwIC0gICAgIDB4
N2ZmZjQ5YjUyZmZmICBjb20uYXBwbGUuT3BlbkRpcmVjdG9yeSAoMTAuMTMgLSAyMDcuNTAuMSkg
PEY4OTU1NDdELTQ5MTUtMzUzRi05QzFFLUU5NTE3MkJBODAzQj4gL1N5c3RlbS9MaWJyYXJ5L0Zy
YW1ld29ya3MvT3BlbkRpcmVjdG9yeS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9PcGVuRGlyZWN0b3J5
CiAgICAweDdmZmY0YWNkMTAwMCAtICAgICAweDdmZmY0YWNkM2ZmZiAgbGliQ1ZNU1BsdWdpblN1
cHBvcnQuZHlsaWIgKDE2LjcuNCkgPDY4NDZEOTM5LTQ3OEMtM0FFMy05RENELUNENEY0Q0QwNTQw
OT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvT3BlbkdMLmZyYW1ld29yay9WZXJzaW9ucy9B
L0xpYnJhcmllcy9saWJDVk1TUGx1Z2luU3VwcG9ydC5keWxpYgogICAgMHg3ZmZmNGFjZDQwMDAg
LSAgICAgMHg3ZmZmNGFjZDlmZmIgIGxpYkNvcmVGU0NhY2hlLmR5bGliICgxNjIuOSkgPEREOURE
NzIxLTI5NTctM0QwNS1CMzYxLTcwQUY5RUJGQjI4MD4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29y
a3MvT3BlbkdMLmZyYW1ld29yay9WZXJzaW9ucy9BL0xpYnJhcmllcy9saWJDb3JlRlNDYWNoZS5k
eWxpYgogICAgMHg3ZmZmNGFjZGEwMDAgLSAgICAgMHg3ZmZmNGFjZGVmZmYgIGxpYkNvcmVWTUNs
aWVudC5keWxpYiAoMTYyLjkpIDw0RTRGM0VBMi01QjUzLTMxQTMtODI1Ni01NEVGQUE5NEU0RDY+
IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL09wZW5HTC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9M
aWJyYXJpZXMvbGliQ29yZVZNQ2xpZW50LmR5bGliCiAgICAweDdmZmY0YWNkZjAwMCAtICAgICAw
eDdmZmY0YWNlOGZmMyAgbGliR0ZYU2hhcmVkLmR5bGliICgxNi43LjQpIDw2MTg3QUQ4Qi0xQ0Qy
LTM3NzUtODRDRC03NkEwRUE4QkNERDQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL09wZW5H
TC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9MaWJyYXJpZXMvbGliR0ZYU2hhcmVkLmR5bGliCiAgICAw
eDdmZmY0YWNlOTAwMCAtICAgICAweDdmZmY0YWNmNGZmZiAgbGliR0wuZHlsaWIgKDE2LjcuNCkg
PDJCQjMzM0QzLTVDNjEtMzNERi04NTQ1LTA2REYyRDA4QjgzRD4gL1N5c3RlbS9MaWJyYXJ5L0Zy
YW1ld29ya3MvT3BlbkdMLmZyYW1ld29yay9WZXJzaW9ucy9BL0xpYnJhcmllcy9saWJHTC5keWxp
YgogICAgMHg3ZmZmNGFjZjUwMDAgLSAgICAgMHg3ZmZmNGFkMzBmZTcgIGxpYkdMSW1hZ2UuZHls
aWIgKDE2LjcuNCkgPDREQTAwM0NFLTBCNzQtM0ZFNC04MDhDLUIyRkJDRTUxN0VCND4gL1N5c3Rl
bS9MaWJyYXJ5L0ZyYW1ld29ya3MvT3BlbkdMLmZyYW1ld29yay9WZXJzaW9ucy9BL0xpYnJhcmll
cy9saWJHTEltYWdlLmR5bGliCiAgICAweDdmZmY0YWU5ZjAwMCAtICAgICAweDdmZmY0YWVkZGZm
YiAgbGliR0xVLmR5bGliICgxNi43LjQpIDxCQ0IwOUNEOC1FQjBFLTM4RkEtOEI1QS05RTI5NTMy
RUUzNjQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL09wZW5HTC5mcmFtZXdvcmsvVmVyc2lv
bnMvQS9MaWJyYXJpZXMvbGliR0xVLmR5bGliCiAgICAweDdmZmY0Yjg1NTAwMCAtICAgICAweDdm
ZmY0Yjg2NGZmMyAgY29tLmFwcGxlLm9wZW5nbCAoMTYuNy40IC0gMTYuNy40KSA8N0I3MUE1OTYt
QjZEOC0zMzVBLUI3Q0EtODY4NEQ4M0I5QzBFPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9P
cGVuR0wuZnJhbWV3b3JrL1ZlcnNpb25zL0EvT3BlbkdMCiAgICAweDdmZmY0YmJlMzAwMCAtICAg
ICAweDdmZmY0YmQyZmZmNyAgY29tLmFwcGxlLlFUS2l0ICg3LjcuMyAtIDMwMTQuOCkgPEU4NzMz
OTNBLTQ4NjUtMzVFQS1BMjQwLUY1MTQ0RDBDNDhGQz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29y
a3MvUVRLaXQuZnJhbWV3b3JrL1ZlcnNpb25zL0EvUVRLaXQKICAgIDB4N2ZmZjRiZDMwMDAwIC0g
ICAgIDB4N2ZmZjRiZjk1ZmY3ICBjb20uYXBwbGUuaW1hZ2VLaXQgKDMuMCAtIDEwNDMpIDxGMDA3
RjQwQi1EMUMzLTM3NEItOTJGMS1GMjFBRTJDNTA5NEQ+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdv
cmtzL1F1YXJ0ei5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL0ltYWdlS2l0LmZyYW1l
d29yay9WZXJzaW9ucy9BL0ltYWdlS2l0CiAgICAweDdmZmY0YmY5NjAwMCAtICAgICAweDdmZmY0
YzA4NWZmMyAgY29tLmFwcGxlLlBERktpdCAoMS4wIC0gNjc3LjY4KSA8MDc4ODhEODAtRjRGRC0z
OEFELThGMjEtNDhGNTlFNDg2ODg2PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9RdWFydHou
ZnJhbWV3b3JrL1ZlcnNpb25zL0EvRnJhbWV3b3Jrcy9QREZLaXQuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvUERGS2l0CiAgICAweDdmZmY0YzA4NjAwMCAtICAgICAweDdmZmY0YzU5OGZmNyAgY29tLmFw
cGxlLlF1YXJ0ekNvbXBvc2VyICg1LjEgLSAzNjQpIDwxMzY5RDZEQS04ODQyLTM4NzgtQjU0Ni0x
RDA5ODI4MzMxRjU+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL1F1YXJ0ei5mcmFtZXdvcmsv
VmVyc2lvbnMvQS9GcmFtZXdvcmtzL1F1YXJ0ekNvbXBvc2VyLmZyYW1ld29yay9WZXJzaW9ucy9B
L1F1YXJ0ekNvbXBvc2VyCiAgICAweDdmZmY0YzU5OTAwMCAtICAgICAweDdmZmY0YzViY2ZmZiAg
Y29tLmFwcGxlLnF1YXJ0emZpbHRlcnMgKDEuMTAuMCAtIDEuMTAuMCkgPEM5NUNCODlELTE0OEQt
MzQxQi1CQzUwLTgyRDhDMzJCRjc2Nz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvUXVhcnR6
LmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvUXVhcnR6RmlsdGVycy5mcmFtZXdvcmsv
VmVyc2lvbnMvQS9RdWFydHpGaWx0ZXJzCiAgICAweDdmZmY0YzViZDAwMCAtICAgICAweDdmZmY0
YzZiNmZmNyAgY29tLmFwcGxlLlF1aWNrTG9va1VJRnJhbWV3b3JrICg1LjAgLSA3NDMuMTMpIDww
OUIyOTZCMy00MjQyLTMyMjQtOUY0NC01REZCNEFCODk0Q0M+IC9TeXN0ZW0vTGlicmFyeS9GcmFt
ZXdvcmtzL1F1YXJ0ei5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL1F1aWNrTG9va1VJ
LmZyYW1ld29yay9WZXJzaW9ucy9BL1F1aWNrTG9va1VJCiAgICAweDdmZmY0YzZiNzAwMCAtICAg
ICAweDdmZmY0YzZiN2ZmZiAgY29tLmFwcGxlLnF1YXJ0emZyYW1ld29yayAoMS41IC0gMjEpIDxE
Q0VCMEZDQy0yQzMyLTNEMDItODc1Mi03QjZGQTAwOUFCODU+IC9TeXN0ZW0vTGlicmFyeS9GcmFt
ZXdvcmtzL1F1YXJ0ei5mcmFtZXdvcmsvVmVyc2lvbnMvQS9RdWFydHoKICAgIDB4N2ZmZjRjNmI4
MDAwIC0gICAgIDB4N2ZmZjRjOTA0ZmY3ICBjb20uYXBwbGUuUXVhcnR6Q29yZSAoMS4xMSAtIDU4
NC42NC4yKSA8RERBMzkzMzItREUwOS0zNzM3LUEzMzItMDAwMkFFMDVERDM5PiAvU3lzdGVtL0xp
YnJhcnkvRnJhbWV3b3Jrcy9RdWFydHpDb3JlLmZyYW1ld29yay9WZXJzaW9ucy9BL1F1YXJ0ekNv
cmUKICAgIDB4N2ZmZjRjOTA1MDAwIC0gICAgIDB4N2ZmZjRjOTVjZmY3ICBjb20uYXBwbGUuUXVp
Y2tMb29rRnJhbWV3b3JrICg1LjAgLSA3NDMuMTMpIDw4MjU0RkZGMi1FRTBELTMyM0QtQTZGMy1C
RUI1OTYxNUVFNDc+IC9TeXN0ZW0vTGlicmFyeS9GcmFtZXdvcmtzL1F1aWNrTG9vay5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9RdWlja0xvb2sKICAgIDB4N2ZmZjRjYjIyMDAwIC0gICAgIDB4N2ZmZjRj
YjNjZmYzICBjb20uYXBwbGUuU2FmYXJpU2VydmljZXMuZnJhbWV3b3JrICgxMzYwOCAtIDEzNjA4
LjQuOS4xLjQpIDxFMUM2RUFFNy1COEU5LTNENTAtODlCQy1BMEM3ODhCODIwRTU+IC9TeXN0ZW0v
TGlicmFyeS9GcmFtZXdvcmtzL1NhZmFyaVNlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9BL1Nh
ZmFyaVNlcnZpY2VzCiAgICAweDdmZmY0ZDEzYzAwMCAtICAgICAweDdmZmY0ZDQ2N2ZmZiAgY29t
LmFwcGxlLnNlY3VyaXR5ICg3LjAgLSA1ODI4Ni43MC4xNSkgPDRFM0U5QkU1LTkzOUYtM0QzRi1B
QUEzLTE1MzcwNzk5N0M2RT4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvU2VjdXJpdHkuZnJh
bWV3b3JrL1ZlcnNpb25zL0EvU2VjdXJpdHkKICAgIDB4N2ZmZjRkNDY4MDAwIC0gICAgIDB4N2Zm
ZjRkNGY0ZmY3ICBjb20uYXBwbGUuc2VjdXJpdHlmb3VuZGF0aW9uICg2LjAgLSA1NTE4NS41MC41
KSA8RUI2MjQ5MEEtQUE3Ny0zRjUxLTg2QjMtMDM2NjlDMzg5N0IzPiAvU3lzdGVtL0xpYnJhcnkv
RnJhbWV3b3Jrcy9TZWN1cml0eUZvdW5kYXRpb24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvU2VjdXJp
dHlGb3VuZGF0aW9uCiAgICAweDdmZmY0ZDRmNTAwMCAtICAgICAweDdmZmY0ZDUyNWZmZiAgY29t
LmFwcGxlLnNlY3VyaXR5aW50ZXJmYWNlICgxMC4wIC0gNTUxMDkuNTAuNikgPDg0MkZFNkMyLTcw
NDAtM0U0Ri05NTc3LUFEQjY2RUJFMUU2Nz4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29ya3MvU2Vj
dXJpdHlJbnRlcmZhY2UuZnJhbWV3b3JrL1ZlcnNpb25zL0EvU2VjdXJpdHlJbnRlcmZhY2UKICAg
IDB4N2ZmZjRkNTI2MDAwIC0gICAgIDB4N2ZmZjRkNTJhZmZiICBjb20uYXBwbGUueHBjLlNlcnZp
Y2VNYW5hZ2VtZW50ICgxLjAgLSAxKSA8RTMxNDZCQkUtN0YzMi0zNjA1LUFEMkItNTRDMEU3MDc1
OURDPiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9TZXJ2aWNlTWFuYWdlbWVudC5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9TZXJ2aWNlTWFuYWdlbWVudAogICAgMHg3ZmZmNGQ4Y2YwMDAgLSAgICAg
MHg3ZmZmNGQ5M2ZmZjMgIGNvbS5hcHBsZS5TeXN0ZW1Db25maWd1cmF0aW9uICgxLjE3IC0gMS4x
NykgPENENEE0QzY2LTc4ODYtMzMyMy1BM0I5LTBDODk1MjUwMDg1Nj4gL1N5c3RlbS9MaWJyYXJ5
L0ZyYW1ld29ya3MvU3lzdGVtQ29uZmlndXJhdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9TeXN0
ZW1Db25maWd1cmF0aW9uCiAgICAweDdmZmY0ZGFmNDAwMCAtICAgICAweDdmZmY0ZGU2ZmZmZiAg
Y29tLmFwcGxlLlZpZGVvVG9vbGJveCAoMS4wIC0gMjI3Ni44MC40KSA8OTU4NDUyNUItRUFFQy0z
QjhELTgxRUUtMDlGNzA1MjQ5OUI1PiAvU3lzdGVtL0xpYnJhcnkvRnJhbWV3b3Jrcy9WaWRlb1Rv
b2xib3guZnJhbWV3b3JrL1ZlcnNpb25zL0EvVmlkZW9Ub29sYm94CiAgICAweDdmZmY0ZTExNzAw
MCAtICAgICAweDdmZmY0ZTY3NmZlYiAgbGlid2VicnRjLmR5bGliICg3NjA1LjMuOCkgPEJDRkEx
NzZCLTQ1NTMtMzg2Qi1CMkU3LUU1NzhBQzg5RTNFMj4gL1N5c3RlbS9MaWJyYXJ5L0ZyYW1ld29y
a3MvV2ViS2l0LmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvV2ViQ29yZS5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL2xpYndlYnJ0Yy5keWxpYgogICAgMHg3ZmZmNGU2Nzcw
MDAgLSAgICAgMHg3ZmZmNGZkNGFmZjcgIGNvbS5hcHBsZS5XZWJDb3JlICgxMzYwNSAtIDEzNjA1
LjMuOCkgPDdBNDQ4ODhELUM3MEUtMzlENi1BN0E3LURCODIyOEI0Q0I2Mz4gL1N5c3RlbS9MaWJy
YXJ5L0ZyYW1ld29ya3MvV2ViS2l0LmZyYW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvV2Vi
Q29yZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9XZWJDb3JlCiAgICAweDdmZmY0ZmQ0YjAwMCAtICAg
ICAweDdmZmY0ZmYzMmZmNyAgY29tLmFwcGxlLldlYktpdExlZ2FjeSAoMTM2MDUgLSAxMzYwNS4z
LjgpIDxBRTMxMDg1Ni0xMUVGLTNCMTktQTE0OS0yOEIyNDEzQjVCMTQ+IC9TeXN0ZW0vTGlicmFy
eS9GcmFtZXdvcmtzL1dlYktpdC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9GcmFtZXdvcmtzL1dlYktp
dExlZ2FjeS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9XZWJLaXRMZWdhY3kKICAgIDB4N2ZmZjRmZjMz
MDAwIC0gICAgIDB4N2ZmZjUwM2NjZmZmICBjb20uYXBwbGUuV2ViS2l0ICgxMzYwNSAtIDEzNjA1
LjMuOCkgPEEzMEEwQjAxLTgxQzctMzVBMy05QTY4LUE2RTI5QjhGNjVFQz4gL1N5c3RlbS9MaWJy
YXJ5L0ZyYW1ld29ya3MvV2ViS2l0LmZyYW1ld29yay9WZXJzaW9ucy9BL1dlYktpdAogICAgMHg3
ZmZmNTA4M2MwMDAgLSAgICAgMHg3ZmZmNTA4Y2ZmZjMgIGNvbS5hcHBsZS5BUEZTICgxLjAgLSAx
KSA8NzAxMzNEMzctRkREMy0zQjJDLUIyOTUtMDBCRUNFQTdFREE4PiAvU3lzdGVtL0xpYnJhcnkv
UHJpdmF0ZUZyYW1ld29ya3MvQVBGUy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BUEZTCiAgICAweDdm
ZmY1MTRmYzAwMCAtICAgICAweDdmZmY1MTUyNGZmZiAgY29tLmFwcGxlLmZyYW1ld29yay5BcHBs
ZTgwMjExICgxMy4wIC0gMTM3MC40KSA8QjM3QTkxQTAtNTgyMy0zRjk3LUI1NzUtOUJCODA0RkNF
QjAwPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQXBwbGU4MDIxMS5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9BcHBsZTgwMjExCiAgICAweDdmZmY1MTUyNjAwMCAtICAgICAweDdmZmY1
MTUzNWZlZiAgY29tLmFwcGxlLkFwcGxlRlNDb21wcmVzc2lvbiAoOTYuNjAuMSAtIDEuMCkgPEE3
Qzg3NUM0LUY1RUUtMzI3Mi1BRkI2LTU3QzlGRDUzNTJCMz4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZh
dGVGcmFtZXdvcmtzL0FwcGxlRlNDb21wcmVzc2lvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BcHBs
ZUZTQ29tcHJlc3Npb24KICAgIDB4N2ZmZjUxNjM0MDAwIC0gICAgIDB4N2ZmZjUxNjNmZmY3ICBj
b20uYXBwbGUuQXBwbGVJREF1dGhTdXBwb3J0ICgxLjAgLSAxKSA8MkZBRjU1NjctQ0RCMy0zM0VG
LUFCNzEtMDVEMzdGMjI0OEI3PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQXBw
bGVJREF1dGhTdXBwb3J0LmZyYW1ld29yay9WZXJzaW9ucy9BL0FwcGxlSURBdXRoU3VwcG9ydAog
ICAgMHg3ZmZmNTE2NzkwMDAgLSAgICAgMHg3ZmZmNTE2YzFmZjMgIGNvbS5hcHBsZS5BcHBsZUpQ
RUcgKDEuMCAtIDEpIDw4REQ0MTBDQi03NkExLTNGMjItOUE5Ri0wNDkxRkEwQ0VCNEE+IC9TeXN0
ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9BcHBsZUpQRUcuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvQXBwbGVKUEVHCiAgICAweDdmZmY1MTZkNDAwMCAtICAgICAweDdmZmY1MTZmMmZmMyAgY29t
LmFwcGxlLmFwcy5mcmFtZXdvcmsgKDQuMCAtIDQuMCkgPDE0MkEzOEJDLTgyNjYtMzQ2Mi04NkE3
LUMzOTE5ODY1MUYyQT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0FwcGxlUHVz
aFNlcnZpY2UuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQXBwbGVQdXNoU2VydmljZQogICAgMHg3ZmZm
NTE2ZjMwMDAgLSAgICAgMHg3ZmZmNTE2ZmJmZjMgIGNvbS5hcHBsZS5BcHBsZVNSUCAoNS4wIC0g
MSkgPDRDRUMzNENGLTYzRTMtMzAyMy1CNjFCLUY4RDEzMzY5ODUzND4gL1N5c3RlbS9MaWJyYXJ5
L1ByaXZhdGVGcmFtZXdvcmtzL0FwcGxlU1JQLmZyYW1ld29yay9WZXJzaW9ucy9BL0FwcGxlU1JQ
CiAgICAweDdmZmY1MTZmYzAwMCAtICAgICAweDdmZmY1MTcyNGZmZiAgY29tLmFwcGxlLmFwcGxl
c2F1Y2UgKDEuMCAtID8/PykgPENDQThCMDk0LTFCQ0UtM0FFMy1BMEE3LUQ1NDRDODE4REUzNj4g
L1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0FwcGxlU2F1Y2UuZnJhbWV3b3JrL1Zl
cnNpb25zL0EvQXBwbGVTYXVjZQogICAgMHg3ZmZmNTE3ZWQwMDAgLSAgICAgMHg3ZmZmNTE3ZjBm
ZmYgIGNvbS5hcHBsZS5BcHBsZVN5c3RlbUluZm8gKDMuMS41IC0gMy4xLjUpIDwzOTQxOTM2NS0x
MTY2LTNCMjctQkZGQi1BREQyODFFMzgyOTA+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3
b3Jrcy9BcHBsZVN5c3RlbUluZm8uZnJhbWV3b3JrL1ZlcnNpb25zL0EvQXBwbGVTeXN0ZW1JbmZv
CiAgICAweDdmZmY1MTdmMTAwMCAtICAgICAweDdmZmY1MTg0MWZmNyAgY29tLmFwcGxlLkFwcGxl
VkFGcmFtZXdvcmsgKDUuMC40MSAtIDUuMC40MSkgPDNFMzIyQjI0LTI2REMtM0ExRi1BMjUzLTQy
NUJCQUQyOTNEOD4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0FwcGxlVkEuZnJh
bWV3b3JrL1ZlcnNpb25zL0EvQXBwbGVWQQogICAgMHg3ZmZmNTFiNzcwMDAgLSAgICAgMHg3ZmZm
NTFlMTBmZmIgIGNvbS5hcHBsZS5BdXRoS2l0ICgxLjAgLSAxKSA8NkNBNzFBMTEtOTFDNS0zMDdD
LUI5MzMtOUZDREVEQ0I1ODBBPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQXV0
aEtpdC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9BdXRoS2l0CiAgICAweDdmZmY1MWY0NzAwMCAtICAg
ICAweDdmZmY1MWY0ZWZmNyAgY29tLmFwcGxlLmNvcmVzZXJ2aWNlcy5CYWNrZ3JvdW5kVGFza01h
bmFnZW1lbnQgKDEuMCAtIDU3LjEpIDw1MUE0MUNBMy1EQjFELTMzODAtOTkzRS05OUM1NEFFRTUx
OEU+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9CYWNrZ3JvdW5kVGFza01hbmFn
ZW1lbnQuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQmFja2dyb3VuZFRhc2tNYW5hZ2VtZW50CiAgICAw
eDdmZmY1MWY0ZjAwMCAtICAgICAweDdmZmY1MWZkNmZmNyAgY29tLmFwcGxlLmJhY2t1cC5mcmFt
ZXdvcmsgKDEuOS42IC0gMS45LjYpIDwzQzk2RkQyNi1DN0YyLTNGMzctODg1QS01QTcxMzcyRkE4
RjQ+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9CYWNrdXAuZnJhbWV3b3JrL1Zl
cnNpb25zL0EvQmFja3VwCiAgICAweDdmZmY1MWZkZjAwMCAtICAgICAweDdmZmY1MWZlNWZmNyAg
Y29tLmFwcGxlLkJlemVsU2VydmljZXNGVyAoMzA1LjEgLSAzMDUuMSkgPDdEMkM0NzE3LUZGRjIt
MzI2Mi1CODIyLTE5ODI1OTZCRTQ2Qj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtz
L0JlemVsU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQmV6ZWxTZXJ2aWNlcwogICAgMHg3
ZmZmNTIwNTAwMDAgLSAgICAgMHg3ZmZmNTIwOGNmZmYgIGNvbS5hcHBsZS5ib20gKDE0LjAgLSAx
OTQuMi40KSA8MzFDRUIyOTUtN0RGRi0zMEM5LTk2M0QtMUExNzE4OUZBMjk2PiAvU3lzdGVtL0xp
YnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQm9tLmZyYW1ld29yay9WZXJzaW9ucy9BL0JvbQogICAg
MHg3ZmZmNTI2YzAwMDAgLSAgICAgMHg3ZmZmNTI2ZWRmZmYgIGNvbS5hcHBsZS5DYWxlbmRhckFn
ZW50TGluayAoOC4wIC0gMjUwKSA8NTVCNjBCMDQtMkVBQS0zRjIyLTg4RUYtMTYwMjEyOUQ1Mjk0
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ2FsZW5kYXJBZ2VudExpbmsuZnJh
bWV3b3JrL1ZlcnNpb25zL0EvQ2FsZW5kYXJBZ2VudExpbmsKICAgIDB4N2ZmZjUyZGI4MDAwIC0g
ICAgIDB4N2ZmZjUyZTA3ZmYzICBjb20uYXBwbGUuQ2h1bmtpbmdMaWJyYXJ5ICgxODkgLSAxODkp
IDxDMDIxQTBFQi04MkU3LTNBMUUtQTc3Mi05NkIwRTdFMDM4RDk+IC9TeXN0ZW0vTGlicmFyeS9Q
cml2YXRlRnJhbWV3b3Jrcy9DaHVua2luZ0xpYnJhcnkuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ2h1
bmtpbmdMaWJyYXJ5CiAgICAweDdmZmY1MmUwZTAwMCAtICAgICAweDdmZmY1MmU5ZmZmNyAgY29t
LmFwcGxlLkNsb3VkRG9jcyAoMS4wIC0gNTc1LjE0KSA8N0IzOUVFQkUtODhGQS0zOUI5LUJCODkt
RjJBRTZERjlGQjUwPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ2xvdWREb2Nz
LmZyYW1ld29yay9WZXJzaW9ucy9BL0Nsb3VkRG9jcwogICAgMHg3ZmZmNTM5OTAwMDAgLSAgICAg
MHg3ZmZmNTM5OTlmZjMgIGNvbS5hcHBsZS5Db21tb25BdXRoICg0LjAgLSAyLjApIDwyMUFGNEFD
Mi1FNjUwLTM1RjktQUIzMy0zRUJBMjc2OUZCQzA+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9Db21tb25BdXRoLmZyYW1ld29yay9WZXJzaW9ucy9BL0NvbW1vbkF1dGgKICAgIDB4
N2ZmZjUzOWFlMDAwIC0gICAgIDB4N2ZmZjUzOWMzZmY3ICBjb20uYXBwbGUuY29tbW9udXRpbGl0
aWVzICg4LjAgLSA5MDApIDw1RUMwMkJENC1GMUY4LTNBOTYtQkUxQS02NjIwRDMwODBDRDQ+IC9T
eXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Db21tb25VdGlsaXRpZXMuZnJhbWV3b3Jr
L1ZlcnNpb25zL0EvQ29tbW9uVXRpbGl0aWVzCiAgICAweDdmZmY1M2JmMjAwMCAtICAgICAweDdm
ZmY1M2M1MmZmZiAgY29tLmFwcGxlLkFkZHJlc3NCb29rLkNvbnRhY3RzRm91bmRhdGlvbiAoOC4w
IC0gPz8/KSA8OTk3QUFEQTQtREQ4QS0zOEM1LUI0NDEtQzNGRURDNUFGQ0U3PiAvU3lzdGVtL0xp
YnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ29udGFjdHNGb3VuZGF0aW9uLmZyYW1ld29yay9WZXJz
aW9ucy9BL0NvbnRhY3RzRm91bmRhdGlvbgogICAgMHg3ZmZmNTNjNTMwMDAgLSAgICAgMHg3ZmZm
NTNjNzVmZmYgIGNvbS5hcHBsZS5jb250YWN0cy5Db250YWN0c1BlcnNpc3RlbmNlICgxLjAgLSAy
MzMwLjMpIDxCN0VBMkQwQS04QTQzLTNFOUMtQTdEMi1FOTU4NTA2NEMzMjg+IC9TeXN0ZW0vTGli
cmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Db250YWN0c1BlcnNpc3RlbmNlLmZyYW1ld29yay9WZXJz
aW9ucy9BL0NvbnRhY3RzUGVyc2lzdGVuY2UKICAgIDB4N2ZmZjUzY2Q1MDAwIC0gICAgIDB4N2Zm
ZjU0MGRkZmZmICBjb20uYXBwbGUuQ29yZUFVQyAoMjU5LjAuMCAtIDI1OS4wLjApIDwxRTBGQjJD
Ny0xMDlFLTM5MjQtOEU3Ri04QzZBQ0Q3OEFGMjY+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9Db3JlQVVDLmZyYW1ld29yay9WZXJzaW9ucy9BL0NvcmVBVUMKICAgIDB4N2ZmZjU0
MGRlMDAwIC0gICAgIDB4N2ZmZjU0MTBlZmY3ICBjb20uYXBwbGUuQ29yZUFWQ0hEICg1LjkuMCAt
IDU5MDAuNC4xKSA8RTlGRjk1NzQtMTIyQS0zOTY2LUFBMkItNTQ2RTUxMkFDRDA2PiAvU3lzdGVt
L0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ29yZUFWQ0hELmZyYW1ld29yay9WZXJzaW9ucy9B
L0NvcmVBVkNIRAogICAgMHg3ZmZmNTQxYTUwMDAgLSAgICAgMHg3ZmZmNTQxZjdmZjcgIGNvbS5h
cHBsZS5jb3JlYnJpZ2h0bmVzcyAoMS4wIC0gMSkgPDlFMjA3NzdGLTQ3NTgtMzU4RS05MzlBLUY4
RDRBMzIwM0I4Nz4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0NvcmVCcmlnaHRu
ZXNzLmZyYW1ld29yay9WZXJzaW9ucy9BL0NvcmVCcmlnaHRuZXNzCiAgICAweDdmZmY1NDMzNjAw
MCAtICAgICAweDdmZmY1NDMzZmZmNyAgY29tLmFwcGxlLmZyYW1ld29ya3MuQ29yZURhZW1vbiAo
MS4zIC0gMS4zKSA8MzVBNDM1ODQtMkFGOC0zMjAyLUExMzktMjdEOTE2RTQ0NEJFPiAvU3lzdGVt
L0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ29yZURhZW1vbi5mcmFtZXdvcmsvVmVyc2lvbnMv
Qi9Db3JlRGFlbW9uCiAgICAweDdmZmY1NDRhZDAwMCAtICAgICAweDdmZmY1NDRiZGZmNyAgY29t
LmFwcGxlLkNvcmVFbW9qaSAoMS4wIC0gNjkuMykgPEE0MzU3RjVDLTBDMzgtM0E2MS1CNDU2LUQ3
MzIxRUIyQ0VFNT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0NvcmVFbW9qaS5m
cmFtZXdvcmsvVmVyc2lvbnMvQS9Db3JlRW1vamkKICAgIDB4N2ZmZjU0N2MxMDAwIC0gICAgIDB4
N2ZmZjU0N2Q3ZmY3ICBjb20uYXBwbGUuQ29yZU1lZGlhQXV0aG9yaW5nICgyLjIgLSA5NTYpIDxG
QkEyOEE3Ni05N0UyLTMwMjMtQTNGNi1EMDMyODBBRTI4ODk+IC9TeXN0ZW0vTGlicmFyeS9Qcml2
YXRlRnJhbWV3b3Jrcy9Db3JlTWVkaWFBdXRob3JpbmcuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29y
ZU1lZGlhQXV0aG9yaW5nCiAgICAweDdmZmY1NDkyMDAwMCAtICAgICAweDdmZmY1NDk3ZGZmNyAg
Y29tLmFwcGxlLkNvcmVOTFAgKDEuMCAtIDEzMC41LjQpIDwxRkRCMzYwOS1GNzQ1LTM4NzQtODRF
Qi00NzM1NzA2MzJFNTA+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Db3JlTkxQ
LmZyYW1ld29yay9WZXJzaW9ucy9BL0NvcmVOTFAKICAgIDB4N2ZmZjU0YjA2MDAwIC0gICAgIDB4
N2ZmZjU0YjBiZmY3ICBjb20uYXBwbGUuQ29yZU9wdGltaXphdGlvbiAoMS4wIC0gMSkgPDc4NUI2
MjJCLThGN0QtM0I0RC04M0FGLUVCOThDQjc5RkZGNj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVG
cmFtZXdvcmtzL0NvcmVPcHRpbWl6YXRpb24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZU9wdGlt
aXphdGlvbgogICAgMHg3ZmZmNTRiMGMwMDAgLSAgICAgMHg3ZmZmNTRiYjFmZmYgIGNvbS5hcHBs
ZS5Db3JlUERGICg0LjAgLSA0MTQpIDxENjREMTdDMy05QUQwLTNBMjktODlERS0zNkJFRjAxNTYz
ODE+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Db3JlUERGLmZyYW1ld29yay9W
ZXJzaW9ucy9BL0NvcmVQREYKICAgIDB4N2ZmZjU0YzUxMDAwIC0gICAgIDB4N2ZmZjU0YzU5ZmYz
ICBjb20uYXBwbGUuQ29yZVBob25lTnVtYmVycyAoMS4wIC0gMSkgPEE1RDQxMjUxLTlGMzgtM0FC
OS05REU3LUY3NzAyM0ZBQUE0ND4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0Nv
cmVQaG9uZU51bWJlcnMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29yZVBob25lTnVtYmVycwogICAg
MHg3ZmZmNTRjNWEwMDAgLSAgICAgMHg3ZmZmNTRjYjZmZmYgIGNvbS5hcHBsZS5Db3JlUHJlZGlj
dGlvbiAoMS4wIC0gMSkgPEEyNjQyNURGLUUyMjItMzMzQi04Q0FFLTYxNDFBNThCMTcyQz4gL1N5
c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0NvcmVQcmVkaWN0aW9uLmZyYW1ld29yay9W
ZXJzaW9ucy9BL0NvcmVQcmVkaWN0aW9uCiAgICAweDdmZmY1NGRlNDAwMCAtICAgICAweDdmZmY1
NGUxNWZmMyAgY29tLmFwcGxlLkNvcmVTZXJ2aWNlc0ludGVybmFsICgzMDkuMSAtIDMwOS4xKSA8
NEVDRDE0RUEtQTQ5My0zQjg0LUEzMkYtQ0Y5Mjg0NzRBNDA1PiAvU3lzdGVtL0xpYnJhcnkvUHJp
dmF0ZUZyYW1ld29ya3MvQ29yZVNlcnZpY2VzSW50ZXJuYWwuZnJhbWV3b3JrL1ZlcnNpb25zL0Ev
Q29yZVNlcnZpY2VzSW50ZXJuYWwKICAgIDB4N2ZmZjU1MThmMDAwIC0gICAgIDB4N2ZmZjU1MjIw
ZmZmICBjb20uYXBwbGUuQ29yZVN5bWJvbGljYXRpb24gKDkuMyAtIDY0MDI2LjIpIDxBOEQ0MzE1
Ri01REQ1LTMxNjQtODY3Mi1FQ0RBRjI3NjY2NDQ+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9Db3JlU3ltYm9saWNhdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Db3JlU3ltYm9s
aWNhdGlvbgogICAgMHg3ZmZmNTUyYTMwMDAgLSAgICAgMHg3ZmZmNTUzZDhmZmYgIGNvbS5hcHBs
ZS5jb3JldWkgKDIuMSAtIDQ5NC4xKSA8QjJDNTE1QzMtRkNFOC0zQjI4LUEyMjUtMDVBRDkxN0Y1
MDlCPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ29yZVVJLmZyYW1ld29yay9W
ZXJzaW9ucy9BL0NvcmVVSQogICAgMHg3ZmZmNTUzZDkwMDAgLSAgICAgMHg3ZmZmNTU1MGFmZmYg
IGNvbS5hcHBsZS5Db3JlVXRpbHMgKDUuNiAtIDU2MC4xMSkgPDFBMDJENkYwLThDNjUtM0ZBRS1B
RDYzLTU2NDc3RURFNDc3Mz4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0NvcmVV
dGlscy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Db3JlVXRpbHMKICAgIDB4N2ZmZjU1NTVmMDAwIC0g
ICAgIDB4N2ZmZjU1NWMzZmZmICBjb20uYXBwbGUuZnJhbWV3b3JrLkNvcmVXaUZpICgxMy4wIC0g
MTM1MC4yKSA8NTBFODU5OEEtMDYxMS0zMjNELUI5QTgtNzJBMzM2NDI0MDkwPiAvU3lzdGVtL0xp
YnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvQ29yZVdpRmkuZnJhbWV3b3JrL1ZlcnNpb25zL0EvQ29y
ZVdpRmkKICAgIDB4N2ZmZjU1NWM0MDAwIC0gICAgIDB4N2ZmZjU1NWQ0ZmY3ICBjb20uYXBwbGUu
Q3Jhc2hSZXBvcnRlclN1cHBvcnQgKDEwLjEzIC0gMSkgPEE5MDlGNDY4LTA2NDgtM0Y1MS1BNzdF
LTNGOUFEQkM5QTk0MT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0NyYXNoUmVw
b3J0ZXJTdXBwb3J0LmZyYW1ld29yay9WZXJzaW9ucy9BL0NyYXNoUmVwb3J0ZXJTdXBwb3J0CiAg
ICAweDdmZmY1NTY1MzAwMCAtICAgICAweDdmZmY1NTY2MmZmNyAgY29tLmFwcGxlLmZyYW1ld29y
ay5ERlJGb3VuZGF0aW9uICgxLjAgLSAxOTEuNykgPDlCQkNDQTYyLUY3QkEtM0I0NC1CMDQ0LUU3
QzEyQUNDNDlGMj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0RGUkZvdW5kYXRp
b24uZnJhbWV3b3JrL1ZlcnNpb25zL0EvREZSRm91bmRhdGlvbgogICAgMHg3ZmZmNTU2NjUwMDAg
LSAgICAgMHg3ZmZmNTU2NjlmZmIgIGNvbS5hcHBsZS5EU0V4dGVybmFsRGlzcGxheSAoMy4xIC0g
MzgwKSA8OTAxQjdGNkQtMzc2QS0zODQ4LTk5RDAtMTcwQzREMDBGNzc2PiAvU3lzdGVtL0xpYnJh
cnkvUHJpdmF0ZUZyYW1ld29ya3MvRFNFeHRlcm5hbERpc3BsYXkuZnJhbWV3b3JrL1ZlcnNpb25z
L0EvRFNFeHRlcm5hbERpc3BsYXkKICAgIDB4N2ZmZjU1NmFhMDAwIC0gICAgIDB4N2ZmZjU1NmVh
ZmZiICBjb20uYXBwbGUuZGF0YWRldGVjdG9ycyAoNS4wIC0gMzc2LjEpIDwxMkJGODM0Qy0wQjE5
LTM3MTktQkNDNC03OTY1Njg5MDExMDc+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jr
cy9EYXRhRGV0ZWN0b3JzLmZyYW1ld29yay9WZXJzaW9ucy9BL0RhdGFEZXRlY3RvcnMKICAgIDB4
N2ZmZjU1NmViMDAwIC0gICAgIDB4N2ZmZjU1NzYxZmZmICBjb20uYXBwbGUuZGF0YWRldGVjdG9y
c2NvcmUgKDcuMCAtIDU5MC4zKSA8QjQ3MDYxOTUtQ0JFNi0zMjBELUEwRTEtQTlENEJERjUyNzkx
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRGF0YURldGVjdG9yc0NvcmUuZnJh
bWV3b3JrL1ZlcnNpb25zL0EvRGF0YURldGVjdG9yc0NvcmUKICAgIDB4N2ZmZjU1N2FmMDAwIC0g
ICAgIDB4N2ZmZjU1N2VmZmY3ICBjb20uYXBwbGUuRGVidWdTeW1ib2xzICgxODEuMCAtIDE4MS4w
KSA8Mjk5QTAyMzgtRUQ3OC0zNjc2LUIxMzEtMjc0RDk3MjgyNEFBPiAvU3lzdGVtL0xpYnJhcnkv
UHJpdmF0ZUZyYW1ld29ya3MvRGVidWdTeW1ib2xzLmZyYW1ld29yay9WZXJzaW9ucy9BL0RlYnVn
U3ltYm9scwogICAgMHg3ZmZmNTU3ZjAwMDAgLSAgICAgMHg3ZmZmNTU5MWZmZmYgIGNvbS5hcHBs
ZS5kZXNrdG9wc2VydmljZXMgKDEuMTIuNSAtIDEuMTIuNSkgPDc3MzlDOUE1LTY0RDktMzFBNS04
OTlCLTVGRkEyNDJBRDcwRD4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0Rlc2t0
b3BTZXJ2aWNlc1ByaXYuZnJhbWV3b3JrL1ZlcnNpb25zL0EvRGVza3RvcFNlcnZpY2VzUHJpdgog
ICAgMHg3ZmZmNTU5OTIwMDAgLSAgICAgMHg3ZmZmNTU5OTNmZjcgIGNvbS5hcHBsZS5kaWFnbm9z
dGljbG9nY29sbGVjdGlvbiAoMTAuMCAtIDEwMDApIDxEQTI0MjdEMS04MkFBLTM3MTgtOTA3Ri0w
NTU0MzY2NTE4NEI+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9EaWFnbm9zdGlj
TG9nQ29sbGVjdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9EaWFnbm9zdGljTG9nQ29sbGVjdGlv
bgogICAgMHg3ZmZmNTViZWQwMDAgLSAgICAgMHg3ZmZmNTViZjFmZjcgIGNvbS5hcHBsZS5EaXNw
bGF5U2VydmljZXNGVyAoMy4xIC0gMzgwKSA8NkYwQjhBQzYtN0U2Mi0zREZDLUIzNzMtQkYwNDgz
MzcyNEMwPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRGlzcGxheVNlcnZpY2Vz
LmZyYW1ld29yay9WZXJzaW9ucy9BL0Rpc3BsYXlTZXJ2aWNlcwogICAgMHg3ZmZmNTYzZGEwMDAg
LSAgICAgMHg3ZmZmNTYzZjJmZmYgIGNvbS5hcHBsZS5FbmdyYW0gKDEuMCAtIDEpIDw0N0I1NjhB
Ri1ERjc1LTMwMzktQUQ1NS04MDJBMkM4MjZEMDg+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9FbmdyYW0uZnJhbWV3b3JrL1ZlcnNpb25zL0EvRW5ncmFtCiAgICAweDdmZmY1Njcz
NDAwMCAtICAgICAweDdmZmY1NmI2MmZmZiAgY29tLmFwcGxlLnZpc2lvbi5GYWNlQ29yZSAoMy4z
LjIgLSAzLjMuMikgPEI1NzRGRTMzLTRBNDEtMzYxMS05NzM4LTM4OEVCQUYwM0UzNz4gL1N5c3Rl
bS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0ZhY2VDb3JlLmZyYW1ld29yay9WZXJzaW9ucy9B
L0ZhY2VDb3JlCiAgICAweDdmZmY1NmI5NTAwMCAtICAgICAweDdmZmY1NmMxZWZmMyAgY29tLmFw
cGxlLkZpbGVQcm92aWRlciAoMTI1LjE1IC0gMTI1LjE1KSA8MDM3MDE4REQtMDExRS0zM0FCLUEx
MTItODVDMzJEQzIxMUJBPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvRmlsZVBy
b3ZpZGVyLmZyYW1ld29yay9WZXJzaW9ucy9BL0ZpbGVQcm92aWRlcgogICAgMHg3ZmZmNTg3YmUw
MDAgLSAgICAgMHg3ZmZmNTg3YmVmZmYgIGxpYm1ldGFsX3RpbWVzdGFtcC5keWxpYiAoODAyLjQu
OCkgPEI0MjhEMDg0LTY4MUEtM0EyMC04MzdELTZCQ0IzQjJBRTJBMz4gL1N5c3RlbS9MaWJyYXJ5
L1ByaXZhdGVGcmFtZXdvcmtzL0dQVUNvbXBpbGVyLmZyYW1ld29yay9WZXJzaW9ucy8zODAyL0xp
YnJhcmllcy9saWJtZXRhbF90aW1lc3RhbXAuZHlsaWIKICAgIDB4N2ZmZjU5ZTJhMDAwIC0gICAg
IDB4N2ZmZjU5ZTJmZmZmICBjb20uYXBwbGUuR1BVV3JhbmdsZXIgKDMuMjAuMTcgLSAzLjIwLjE3
KSA8MzM4OTlBQjEtNjVBRi0zRTI4LTg1RDEtRTE1MkQzNTg5NTJEPiAvU3lzdGVtL0xpYnJhcnkv
UHJpdmF0ZUZyYW1ld29ya3MvR1BVV3JhbmdsZXIuZnJhbWV3b3JrL1ZlcnNpb25zL0EvR1BVV3Jh
bmdsZXIKICAgIDB4N2ZmZjVhMWUzMDAwIC0gICAgIDB4N2ZmZjVhMjA4ZmYzICBjb20uYXBwbGUu
R2VuZXJhdGlvbmFsU3RvcmFnZSAoMi4wIC0gMjg1LjMpIDwxM0I5NjQwMC1GRjcwLTM3NkItQjIw
RS1GQjdENjEwNjQ4MDA+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9HZW5lcmF0
aW9uYWxTdG9yYWdlLmZyYW1ld29yay9WZXJzaW9ucy9BL0dlbmVyYXRpb25hbFN0b3JhZ2UKICAg
IDB4N2ZmZjVhMjIwMDAwIC0gICAgIDB4N2ZmZjVhYjYyZmY3ICBjb20uYXBwbGUuR2VvU2Vydmlj
ZXMgKDEuMCAtIDEzNjMuMjQuOC4xNS41OCkgPDk2ODZBRDg2LUZFMDctMzYwNC1COTFDLUQzNzJG
RjY0MUU4RT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0dlb1NlcnZpY2VzLmZy
YW1ld29yay9WZXJzaW9ucy9BL0dlb1NlcnZpY2VzCiAgICAweDdmZmY1YWJhNTAwMCAtICAgICAw
eDdmZmY1YWJiNGZmZiAgY29tLmFwcGxlLkdyYXBoVmlzdWFsaXplciAoMS4wIC0gNSkgPEI5OTNC
OEEyLTU3MDAtM0RGQy05RUI3LTRDQ0VFOEY5NTlGMT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVG
cmFtZXdvcmtzL0dyYXBoVmlzdWFsaXplci5mcmFtZXdvcmsvVmVyc2lvbnMvQS9HcmFwaFZpc3Vh
bGl6ZXIKICAgIDB4N2ZmZjVhYzM3MDAwIC0gICAgIDB4N2ZmZjVhY2FiZmZmICBjb20uYXBwbGUu
SGVpbWRhbCAoNC4wIC0gMi4wKSA8QkFFM0Q5NzgtMjI4NS0zNURGLTkwN0UtMDJCQzM3OTg2RDAy
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvSGVpbWRhbC5mcmFtZXdvcmsvVmVy
c2lvbnMvQS9IZWltZGFsCiAgICAweDdmZmY1YWNhYzAwMCAtICAgICAweDdmZmY1YWNkYWZmZiAg
Y29tLmFwcGxlLkhlbHBEYXRhICgyLjMgLSAxNjcuMikgPEYzOTE5MjRCLTFGNUItM0ZFNS05MTkw
LTVFRTlGNDBDQTBEMz4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0hlbHBEYXRh
LmZyYW1ld29yay9WZXJzaW9ucy9BL0hlbHBEYXRhCiAgICAweDdmZmY1YWQ0NjAwMCAtICAgICAw
eDdmZmY1YWU1YmZmMyAgY29tLmFwcGxlLmlkcyAoMTAuMCAtIDEwMDApIDwyOTI1RDMwOC04QTMy
LTM1MDAtODk0Ny0zOEY5MEE4RDNCMTg+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jr
cy9JRFMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvSURTCiAgICAweDdmZmY1YWU1YzAwMCAtICAgICAw
eDdmZmY1YWYzY2ZmNyAgY29tLmFwcGxlLmlkc2ZvdW5kYXRpb24gKDEwLjAgLSAxMDAwKSA8MkY0
NUQ2OUQtOTFFNy0zNzU5LUFFRTMtNjZFODI2RTU2NEMxPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0
ZUZyYW1ld29ya3MvSURTRm91bmRhdGlvbi5mcmFtZXdvcmsvVmVyc2lvbnMvQS9JRFNGb3VuZGF0
aW9uCiAgICAweDdmZmY1YjQ4ZTAwMCAtICAgICAweDdmZmY1YjRmNGZmMyAgY29tLmFwcGxlLmlt
Zm91bmRhdGlvbiAoMTAuMCAtIDEwMDApIDxFOTE0NjBBQi01QTM4LTMwRkUtQUUwOC02NTlCRjBD
MzE5NzE+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9JTUZvdW5kYXRpb24uZnJh
bWV3b3JrL1ZlcnNpb25zL0EvSU1Gb3VuZGF0aW9uCiAgICAweDdmZmY1YjViZTAwMCAtICAgICAw
eDdmZmY1YjVjNWZmNyAgY29tLmFwcGxlLklPQWNjZWxlcmF0b3IgKDM3OC4yOCAtIDM3OC4yOCkg
PEJFNUNCRUFBLTMxNEUtMzQ4Qi1CRTg1LTdFNEIyRTRDNDJGRj4gL1N5c3RlbS9MaWJyYXJ5L1By
aXZhdGVGcmFtZXdvcmtzL0lPQWNjZWxlcmF0b3IuZnJhbWV3b3JrL1ZlcnNpb25zL0EvSU9BY2Nl
bGVyYXRvcgogICAgMHg3ZmZmNWI1YzkwMDAgLSAgICAgMHg3ZmZmNWI1ZTBmZmYgIGNvbS5hcHBs
ZS5JT1ByZXNlbnRtZW50ICgxLjAgLSAzNS4xKSA8NTNCNDdGMkEtOUE5QS0zM0Y1LUFEQ0ItRkY3
NjYyOTJCOTNBPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvSU9QcmVzZW50bWVu
dC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9JT1ByZXNlbnRtZW50CiAgICAweDdmZmY1YjlhYjAwMCAt
ICAgICAweDdmZmY1YjlkMWZmYiAgY29tLmFwcGxlLkljb25TZXJ2aWNlcyAoOTcuNiAtIDk3LjYp
IDxBNTZEODI2RC0yMEQyLTM0QkUtQUFDQy1BODBDRkNCNEU5MTU+IC9TeXN0ZW0vTGlicmFyeS9Q
cml2YXRlRnJhbWV3b3Jrcy9JY29uU2VydmljZXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvSWNvblNl
cnZpY2VzCiAgICAweDdmZmY1YmFkZTAwMCAtICAgICAweDdmZmY1YmFlMWZmMyAgY29tLmFwcGxl
LkludGVybmF0aW9uYWxTdXBwb3J0ICgxLjAgLSAxKSA8NUFCMzgyRkQtQkY4MS0zNkExLTk1NjUt
NjFGMUZEMzk4RUNBPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvSW50ZXJuYXRp
b25hbFN1cHBvcnQuZnJhbWV3b3JrL1ZlcnNpb25zL0EvSW50ZXJuYXRpb25hbFN1cHBvcnQKICAg
IDB4N2ZmZjViYjRmMDAwIC0gICAgIDB4N2ZmZjViYjVmZmZiICBjb20uYXBwbGUuSW50bFByZWZl
cmVuY2VzICgyLjAgLSAyMjcuNS4yKSA8N0ZDMzc4M0YtQzk2QS0zQ0Q2LUJCQTgtMkJDNjgyQkM3
MTA5PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvSW50bFByZWZlcmVuY2VzLmZy
YW1ld29yay9WZXJzaW9ucy9BL0ludGxQcmVmZXJlbmNlcwogICAgMHg3ZmZmNWJjNTYwMDAgLSAg
ICAgMHg3ZmZmNWJjNjlmZjMgIGNvbS5hcHBsZS5zZWN1cml0eS5LZXljaGFpbkNpcmNsZS5LZXlj
aGFpbkNpcmNsZSAoMS4wIC0gMSkgPDNBNkQ2MzU0LTlDRDYtM0VFNS1CMEFCLUQyNUIwMkQ0ODQ3
RD4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0tleWNoYWluQ2lyY2xlLmZyYW1l
d29yay9WZXJzaW9ucy9BL0tleWNoYWluQ2lyY2xlCiAgICAweDdmZmY1YmM2YTAwMCAtICAgICAw
eDdmZmY1YmQ1ZmZmNyAgY29tLmFwcGxlLkxhbmd1YWdlTW9kZWxpbmcgKDEuMCAtIDE1OS41LjMp
IDw3RjBBQzIwMC1FM0RELTM5RkItOEE5NS0wMERENzBCNjZBOUY+IC9TeXN0ZW0vTGlicmFyeS9Q
cml2YXRlRnJhbWV3b3Jrcy9MYW5ndWFnZU1vZGVsaW5nLmZyYW1ld29yay9WZXJzaW9ucy9BL0xh
bmd1YWdlTW9kZWxpbmcKICAgIDB4N2ZmZjViZDYwMDAwIC0gICAgIDB4N2ZmZjViZGEyZmZmICBj
b20uYXBwbGUuTGV4aWNvbi1mcmFtZXdvcmsgKDEuMCAtIDMzLjUpIDxEQzk0Q0Y5RS0xRUI0LTND
MEUtQjI5OC1DQTExOTA4ODUyNzY+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9M
ZXhpY29uLmZyYW1ld29yay9WZXJzaW9ucy9BL0xleGljb24KICAgIDB4N2ZmZjViZGE2MDAwIC0g
ICAgIDB4N2ZmZjViZGFkZmY3ICBjb20uYXBwbGUuTGluZ3Vpc3RpY0RhdGEgKDEuMCAtIDIzOC4z
KSA8NDlBNTQ2NDktMTAyMS0zREJELTk5QjgtMUIyRURGRkE1Mzc4PiAvU3lzdGVtL0xpYnJhcnkv
UHJpdmF0ZUZyYW1ld29ya3MvTGluZ3Vpc3RpY0RhdGEuZnJhbWV3b3JrL1ZlcnNpb25zL0EvTGlu
Z3Vpc3RpY0RhdGEKICAgIDB4N2ZmZjViZWVmMDAwIC0gICAgIDB4N2ZmZjViZjBjZmY3ICBjb20u
YXBwbGUuTG9va3VwRnJhbWV3b3JrICgxLjIgLSAyMzkuMSkgPDQ0NEY4NDlCLUZDMDYtMzVCRC04
OTY5LTQ5MDMyRUZFODgxND4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL0xvb2t1
cC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Mb29rdXAKICAgIDB4N2ZmZjVjNWFkMDAwIC0gICAgIDB4
N2ZmZjVjNWIwZmZmICBjb20uYXBwbGUuTWFuZ3JvdmUgKDEuMCAtIDEpIDwyN0Q2REY3Ni1CNUY4
LTM0NDMtODgyNi1EMjVCMjg0MzMxQkY+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jr
cy9NYW5ncm92ZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9NYW5ncm92ZQogICAgMHg3ZmZmNWM2M2Mw
MDAgLSAgICAgMHg3ZmZmNWM2M2VmZjcgIGNvbS5hcHBsZS5tYXJjbyAoMTAuMCAtIDEwMDApIDxG
MDlGMTdGQS1ENDIwLTNDMjQtOEM0Ny04REMxNjM3NDUzQkE+IC9TeXN0ZW0vTGlicmFyeS9Qcml2
YXRlRnJhbWV3b3Jrcy9NYXJjby5mcmFtZXdvcmsvVmVyc2lvbnMvQS9NYXJjbwogICAgMHg3ZmZm
NWNhYzAwMDAgLSAgICAgMHg3ZmZmNWNiMjlmZjcgIGNvbS5hcHBsZS5ncHVzdy5NZXRhbFRvb2xz
ICgxLjAgLSAxKSA8QjQyMTcxODItQjJBQS0zQUEzLTgwRTgtRjRDODBCNzFCRERDPiAvU3lzdGVt
L0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvTWV0YWxUb29scy5mcmFtZXdvcmsvVmVyc2lvbnMv
QS9NZXRhbFRvb2xzCiAgICAweDdmZmY1Y2IzMjAwMCAtICAgICAweDdmZmY1Y2I0OWZmNyAgY29t
LmFwcGxlLk1vYmlsZUFzc2V0cyAoMS4wIC0gNDM3LjYwLjEpIDw1RkZEOEE4Qi1GMzNGLTNGQTkt
OEY1MC0zMUMyNEE2Nzg2MkM+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Nb2Jp
bGVBc3NldC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Nb2JpbGVBc3NldAogICAgMHg3ZmZmNWNjYjkw
MDAgLSAgICAgMHg3ZmZmNWNjZDJmZmYgIGNvbS5hcHBsZS5Nb2JpbGVLZXlCYWcgKDIuMCAtIDEu
MCkgPDdENjU3QkM2LUI3NzktM0U1MS1CNTBELTA3Qzk1NzkxREQwND4gL1N5c3RlbS9MaWJyYXJ5
L1ByaXZhdGVGcmFtZXdvcmtzL01vYmlsZUtleUJhZy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Nb2Jp
bGVLZXlCYWcKICAgIDB4N2ZmZjVjZDVlMDAwIC0gICAgIDB4N2ZmZjVjZDg4ZmZiICBjb20uYXBw
bGUuTXVsdGl0b3VjaFN1cHBvcnQuZnJhbWV3b3JrICgxNjE0LjEgLSAxNjE0LjEpIDxBMDcwOUI0
My1GQTlFLTM2MTctOEU3QS1ENjhDREZBQjIxNjc+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9NdWx0aXRvdWNoU3VwcG9ydC5mcmFtZXdvcmsvVmVyc2lvbnMvQS9NdWx0aXRvdWNo
U3VwcG9ydAogICAgMHg3ZmZmNWNmZWYwMDAgLSAgICAgMHg3ZmZmNWNmZmFmZmYgIGNvbS5hcHBs
ZS5OZXRBdXRoICg2LjIgLSA2LjIpIDwyQ0ZBMTIyOC02MUExLTM3MDgtOTg4RC0zMDQ5OUExRDZB
OUY+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9OZXRBdXRoLmZyYW1ld29yay9W
ZXJzaW9ucy9BL05ldEF1dGgKICAgIDB4N2ZmZjVkMDA3MDAwIC0gICAgIDB4N2ZmZjVkMGYzZmYz
ICBjb20uYXBwbGUuTmV0d29yayAoMS4wIC0gMSkgPDIxNkU3MTY1LUEyQzUtMzg0Ni05ODZFLTgw
MTVFRDlDNUI4Rj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL05ldHdvcmsuZnJh
bWV3b3JrL1ZlcnNpb25zL0EvTmV0d29yawogICAgMHg3ZmZmNWU4OTMwMDAgLSAgICAgMHg3ZmZm
NWU4YTNmZmIgIGNvbS5hcHBsZS5QZXJmb3JtYW5jZUFuYWx5c2lzICgxLjE5NCAtIDE5NCkgPDgw
MjJFRDFGLUNFNzAtMzg4RS1CMzdCLTZGQjFFNUY5MENGMj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZh
dGVGcmFtZXdvcmtzL1BlcmZvcm1hbmNlQW5hbHlzaXMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvUGVy
Zm9ybWFuY2VBbmFseXNpcwogICAgMHg3ZmZmNWU5MWIwMDAgLSAgICAgMHg3ZmZmNWU5MWJmZjcg
IGNvbS5hcHBsZS5QaG9uZU51bWJlcnMgKDEuMCAtIDEpIDxFQjgyNjQ1Qy1BRjE5LTM3NTEtOEE1
My1GNjE0OEY3N0VDMzg+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9QaG9uZU51
bWJlcnMuZnJhbWV3b3JrL1ZlcnNpb25zL0EvUGhvbmVOdW1iZXJzCiAgICAweDdmZmY2MDJlZTAw
MCAtICAgICAweDdmZmY2MDMxM2ZmZiAgY29tLmFwcGxlLnBsdWdpbmtpdC5mcmFtZXdvcmsgKDEu
MCAtIDEpIDxGRjM4RUQwOC0yRDJBLTNBRjgtOUM0Ri0yRTZEMDhGM0U3NUI+IC9TeXN0ZW0vTGli
cmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9QbHVnSW5LaXQuZnJhbWV3b3JrL1ZlcnNpb25zL0EvUGx1
Z0luS2l0CiAgICAweDdmZmY2MDYwYTAwMCAtICAgICAweDdmZmY2MDY2MWZmZiAgY29tLmFwcGxl
LlByb3RlY3RlZENsb3VkU3RvcmFnZSAoMS4wIC0gMSkgPDkwRjVDQkEwLUZCN0EtMzQxQy04NzMx
LTM0MjNCNTkxQzNDRj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL1Byb3RlY3Rl
ZENsb3VkU3RvcmFnZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9Qcm90ZWN0ZWRDbG91ZFN0b3JhZ2UK
ICAgIDB4N2ZmZjYwNjYyMDAwIC0gICAgIDB4N2ZmZjYwNjgwZmZmICBjb20uYXBwbGUuUHJvdG9j
b2xCdWZmZXIgKDEgLSAyNjApIDw0MDcwNDc0MC00QTUzLTMwMTAtQTQ5Qi0wOEQxRDY5RDFENUU+
IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Qcm90b2NvbEJ1ZmZlci5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9Qcm90b2NvbEJ1ZmZlcgogICAgMHg3ZmZmNjA3ZWQwMDAgLSAgICAgMHg3
ZmZmNjA4MDNmZjcgIGNvbS5hcHBsZS5RdWlja0xvb2tUaHVtYm5haWxpbmcgKDEuMCAtIDEpIDw4
RjAwOTJFNC02NDk0LTM0OUQtQjRDOS00OTRERjI5M0Q3MTY+IC9TeXN0ZW0vTGlicmFyeS9Qcml2
YXRlRnJhbWV3b3Jrcy9RdWlja0xvb2tUaHVtYm5haWxpbmcuZnJhbWV3b3JrL1ZlcnNpb25zL0Ev
UXVpY2tMb29rVGh1bWJuYWlsaW5nCiAgICAweDdmZmY2MDg0ZTAwMCAtICAgICAweDdmZmY2MDg1
YWZmZiAgY29tLmFwcGxlLnhwYy5SZW1vdGVTZXJ2aWNlRGlzY292ZXJ5ICgxLjAgLSAxMjA1Ljcw
LjEyKSA8MkYzNDY5MDgtMjZCNi0zNUQ1LTlGNUYtNUM1Njg5MDU0QjVEPiAvU3lzdGVtL0xpYnJh
cnkvUHJpdmF0ZUZyYW1ld29ya3MvUmVtb3RlU2VydmljZURpc2NvdmVyeS5mcmFtZXdvcmsvVmVy
c2lvbnMvQS9SZW1vdGVTZXJ2aWNlRGlzY292ZXJ5CiAgICAweDdmZmY2MDg1YjAwMCAtICAgICAw
eDdmZmY2MDg3ZWZmYiAgY29tLmFwcGxlLlJlbW90ZVZpZXdTZXJ2aWNlcyAoMi4wIC0gMTI1KSA8
NTkyMzIzRDEtQ0I0NC0zNUYxLTk5MjEtNEMyQUI4RDkyMEEwPiAvU3lzdGVtL0xpYnJhcnkvUHJp
dmF0ZUZyYW1ld29ya3MvUmVtb3RlVmlld1NlcnZpY2VzLmZyYW1ld29yay9WZXJzaW9ucy9BL1Jl
bW90ZVZpZXdTZXJ2aWNlcwogICAgMHg3ZmZmNjA4N2YwMDAgLSAgICAgMHg3ZmZmNjA4OTRmZjMg
IGNvbS5hcHBsZS54cGMuUmVtb3RlWFBDICgxLjAgLSAxMjA1LjcwLjEyKSA8NzMxQzFFQUEtMzdE
Ny0zQzMxLUI5QUEtNzVCODIyNjEwNEM4PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29y
a3MvUmVtb3RlWFBDLmZyYW1ld29yay9WZXJzaW9ucy9BL1JlbW90ZVhQQwogICAgMHg3ZmZmNjIx
YTQwMDAgLSAgICAgMHg3ZmZmNjIyYjlmZjcgIGNvbS5hcHBsZS5TaGFyaW5nICgxMDUwLjIyLjYg
LSAxMDUwLjIyLjYpIDwxRDcxRDIzQS0yNTQ0LTM4NkUtODM0Qy03MjQ1RjJGRjE1Njk+IC9TeXN0
ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9TaGFyaW5nLmZyYW1ld29yay9WZXJzaW9ucy9B
L1NoYXJpbmcKICAgIDB4N2ZmZjYyMmJhMDAwIC0gICAgIDB4N2ZmZjYyMmQ5ZmY3ICBjb20uYXBw
bGUuc2hvcnRjdXQgKDIuMTYgLSA5OSkgPDIwMUY5MkFFLUY4RTYtM0EyNC1COURFLTI2Qjg4Q0Qy
RUYxOD4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL1Nob3J0Y3V0LmZyYW1ld29y
ay9WZXJzaW9ucy9BL1Nob3J0Y3V0CiAgICAweDdmZmY2MjJlNDAwMCAtICAgICAweDdmZmY2MjJl
NWZmNyAgY29tLmFwcGxlLnBlcmZvcm1hbmNlLlNpZ25wb3N0Tm90aWZpY2F0aW9uICgxLjIuNiAt
IDIuNikgPDhGMDQ4MDBGLTM1NzAtMzM5Mi1BMjRELUIyMjlGRjAzRjdGOT4gL1N5c3RlbS9MaWJy
YXJ5L1ByaXZhdGVGcmFtZXdvcmtzL1NpZ25wb3N0Tm90aWZpY2F0aW9uLmZyYW1ld29yay9WZXJz
aW9ucy9BL1NpZ25wb3N0Tm90aWZpY2F0aW9uCiAgICAweDdmZmY2MzA0MzAwMCAtICAgICAweDdm
ZmY2MzJkZmZmZiAgY29tLmFwcGxlLlNreUxpZ2h0ICgxLjYwMC4wIC0gMzEyLjEwMy4xMSkgPEE0
RDAxRUM4LTZDRUQtM0FBMy05OEVBLUNEODlFMkI2NTU5Qj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZh
dGVGcmFtZXdvcmtzL1NreUxpZ2h0LmZyYW1ld29yay9WZXJzaW9ucy9BL1NreUxpZ2h0CiAgICAw
eDdmZmY2M2FhODAwMCAtICAgICAweDdmZmY2M2FiNWZmZiAgY29tLmFwcGxlLlNwZWVjaFJlY29n
bml0aW9uQ29yZSAoNC42LjEgLSA0LjYuMSkgPDg3RUU3QUI1LTY5MjUtM0QyMS1CRTAwLUYxNTVD
QjQ1NzY5OT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL1NwZWVjaFJlY29nbml0
aW9uQ29yZS5mcmFtZXdvcmsvVmVyc2lvbnMvQS9TcGVlY2hSZWNvZ25pdGlvbkNvcmUKICAgIDB4
N2ZmZjYzYjY3MDAwIC0gICAgIDB4N2ZmZjYzZGE1ZmYzICBjb20uYXBwbGUuc3BvdGxpZ2h0Lmlu
ZGV4ICgxMC43LjAgLSAxMTkxLjcpIDxFMjBGN0RCQy02RDQ2LTMxMTItQjU1Qi03RDQ2M0Q3QUU2
QzE+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9TcG90bGlnaHRJbmRleC5mcmFt
ZXdvcmsvVmVyc2lvbnMvQS9TcG90bGlnaHRJbmRleAogICAgMHg3ZmZmNjNmNjIwMDAgLSAgICAg
MHg3ZmZmNjNmODlmZmYgIGNvbS5hcHBsZS5TdHJlYW1pbmdaaXAgKDEuMCAtIDEpIDwzMkY1NTBD
OS0zREY4LTNERjktQTFFQy02OTlDM0QzMjYyMUI+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJh
bWV3b3Jrcy9TdHJlYW1pbmdaaXAuZnJhbWV3b3JrL1ZlcnNpb25zL0EvU3RyZWFtaW5nWmlwCiAg
ICAweDdmZmY2NDY1YjAwMCAtICAgICAweDdmZmY2NDZlNGZjNyAgY29tLmFwcGxlLlN5bWJvbGlj
YXRpb24gKDkuMyAtIDY0MDMzKSA8RkFBMTcyNTItNjM3OC0zNEE0LUJCQkItMjJERjU0RUMxNjI2
PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvU3ltYm9saWNhdGlvbi5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9TeW1ib2xpY2F0aW9uCiAgICAweDdmZmY2NDZmNTAwMCAtICAgICAweDdm
ZmY2NDZmZGZmYiAgY29tLmFwcGxlLlN5bXB0b21EaWFnbm9zdGljUmVwb3J0ZXIgKDEuMCAtIDgy
MC42MC4zKSA8Qjc0QjQ0NTctMkUzMy0zMUJGLUI0NDItMUM2NTFCNUJERkE5PiAvU3lzdGVtL0xp
YnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvU3ltcHRvbURpYWdub3N0aWNSZXBvcnRlci5mcmFtZXdv
cmsvVmVyc2lvbnMvQS9TeW1wdG9tRGlhZ25vc3RpY1JlcG9ydGVyCiAgICAweDdmZmY2NGM1NDAw
MCAtICAgICAweDdmZmY2NGM1Y2ZmNyAgY29tLmFwcGxlLlRDQyAoMS4wIC0gMSkgPEUxRUI3Mjcy
LUZFNkYtMzlBQi04M0NBLUIyQjVGMkE4OEQ5Qj4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFt
ZXdvcmtzL1RDQy5mcmFtZXdvcmsvVmVyc2lvbnMvQS9UQ0MKICAgIDB4N2ZmZjY0ZTY5MDAwIC0g
ICAgIDB4N2ZmZjY0ZjI2ZmY3ICBjb20uYXBwbGUuVGV4dHVyZUlPICgzLjcgLSAzLjcpIDxGOEJB
Qzk1NC00MDVELTNDQzMtQUI3Qi0wNDhDODY2RUY5ODA+IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRl
RnJhbWV3b3Jrcy9UZXh0dXJlSU8uZnJhbWV3b3JrL1ZlcnNpb25zL0EvVGV4dHVyZUlPCiAgICAw
eDdmZmY2NGY3ZDAwMCAtICAgICAweDdmZmY2NGY5OGZmYiAgY29tLmFwcGxlLlRvbmVLaXQgKDEu
MCAtIDEpIDwwMzBEMjI5Ri0wODRCLTM4NTItOUVGOC0xQTYwOEE1QzlCNTA+IC9TeXN0ZW0vTGli
cmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Ub25lS2l0LmZyYW1ld29yay9WZXJzaW9ucy9BL1RvbmVL
aXQKICAgIDB4N2ZmZjY0Zjk5MDAwIC0gICAgIDB4N2ZmZjY0ZmMwZmZmICBjb20uYXBwbGUuVG9u
ZUxpYnJhcnkgKDEuMCAtIDEpIDw0MDY2OUE4Ny0yRTQ4LTNBNDItODMxMC0zNDA0NjU4MEM2ODQ+
IC9TeXN0ZW0vTGlicmFyeS9Qcml2YXRlRnJhbWV3b3Jrcy9Ub25lTGlicmFyeS5mcmFtZXdvcmsv
VmVyc2lvbnMvQS9Ub25lTGlicmFyeQogICAgMHg3ZmZmNjRmZDcwMDAgLSAgICAgMHg3ZmZmNjUx
ODdmZmYgIGNvbS5hcHBsZS5VSUZvdW5kYXRpb24gKDEuMCAtIDU0Ny45KSA8RkQyMjRBNEEtRDUy
OC0zNERFLUE5NTYtNTFBMDRCRDdGOTA4PiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29y
a3MvVUlGb3VuZGF0aW9uLmZyYW1ld29yay9WZXJzaW9ucy9BL1VJRm91bmRhdGlvbgogICAgMHg3
ZmZmNjVlNWMwMDAgLSAgICAgMHg3ZmZmNjVmMmJmZjcgIGNvbS5hcHBsZS5WaWV3QnJpZGdlICgz
NDMuMiAtIDM0My4yKSA8NTUxOUZDRUQtMUY4OC0zQkU2LTlCRTEtNjk5OTIwODZCMDFCPiAvU3lz
dGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvVmlld0JyaWRnZS5mcmFtZXdvcmsvVmVyc2lv
bnMvQS9WaWV3QnJpZGdlCiAgICAweDdmZmY2NjkwMzAwMCAtICAgICAweDdmZmY2NjkwNWZmYiAg
Y29tLmFwcGxlLmxvZ2luc3VwcG9ydCAoMS4wIC0gMSkgPEQxMjMyQzFCLTgwRUEtM0RGOC05NDY2
LTAxMzY5NUQwODQ2RT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFtZXdvcmtzL2xvZ2luLmZy
YW1ld29yay9WZXJzaW9ucy9BL0ZyYW1ld29ya3MvbG9naW5zdXBwb3J0LmZyYW1ld29yay9WZXJz
aW9ucy9BL2xvZ2luc3VwcG9ydAogICAgMHg3ZmZmNjY5MDYwMDAgLSAgICAgMHg3ZmZmNjY5MWJm
ZmYgIGNvbS5hcHBsZS5sb2dpbiAoMy4wIC0gMy4wKSA8NzkxODlCRjktNzBENC0zODM5LTlFMkYt
QjM5OTBCNjczQTNFPiAvU3lzdGVtL0xpYnJhcnkvUHJpdmF0ZUZyYW1ld29ya3MvbG9naW4uZnJh
bWV3b3JrL1ZlcnNpb25zL0EvbG9naW4KICAgIDB4N2ZmZjY2OTQ2MDAwIC0gICAgIDB4N2ZmZjY2
OTczZmZmICBjb20uYXBwbGUuY29udGFjdHMudkNhcmQgKDEuMCAtIDIzMzAuMykgPDAyQUI5REYw
LTA0NzEtM0ZEQS04RUM2LTI3QzcyRTAwREQ3NT4gL1N5c3RlbS9MaWJyYXJ5L1ByaXZhdGVGcmFt
ZXdvcmtzL3ZDYXJkLmZyYW1ld29yay9WZXJzaW9ucy9BL3ZDYXJkCiAgICAweDdmZmY2NmE2YzAw
MCAtICAgICAweDdmZmY2NmE5ZmZmNyAgbGliY2xvc3VyZWQuZHlsaWIgKDU1MS41KSA8MTEyQkMy
NDEtNjYyNi0zODQ4LThERDgtQjM0QjVCNkY3QUJDPiAvdXNyL2xpYi9jbG9zdXJlL2xpYmNsb3N1
cmVkLmR5bGliCiAgICAweDdmZmY2NmI1OTAwMCAtICAgICAweDdmZmY2NmI5MmZmNyAgbGliQ1JG
U3VpdGUuZHlsaWIgKDQxKSA8RkU1RURCNjgtMjU5My0zQzJFLUJCQUYtMUM1MkQyMDZGMjk2PiAv
dXNyL2xpYi9saWJDUkZTdWl0ZS5keWxpYgogICAgMHg3ZmZmNjZiOTMwMDAgLSAgICAgMHg3ZmZm
NjZiOWVmZmYgIGxpYkNoaW5lc2VUb2tlbml6ZXIuZHlsaWIgKDI4KSA8NTM2MzNDOUItQTNBOC0z
NkY3LUE1M0MtNDMyRDgwMkY0QkI4PiAvdXNyL2xpYi9saWJDaGluZXNlVG9rZW5pemVyLmR5bGli
CiAgICAweDdmZmY2NmMzMDAwMCAtICAgICAweDdmZmY2NmMzMWZmMyAgbGliRGlhZ25vc3RpY01l
c3NhZ2VzQ2xpZW50LmR5bGliICgxMDQpIDw5NzEyRTk4MC03NkVFLTNBODktQUVBNi1ERjRCQUY1
QzA1NzQ+IC91c3IvbGliL2xpYkRpYWdub3N0aWNNZXNzYWdlc0NsaWVudC5keWxpYgogICAgMHg3
ZmZmNjZjNjgwMDAgLSAgICAgMHg3ZmZmNjZlMzJmZjMgIGxpYkZvc2xfZHluYW1pYy5keWxpYiAo
MTcuOCkgPEM1OEVENzdBLTQ5ODYtMzFDMi05OTRDLTM0RERGQjgxMDZGMD4gL3Vzci9saWIvbGli
Rm9zbF9keW5hbWljLmR5bGliCiAgICAweDdmZmY2NmU2YTAwMCAtICAgICAweDdmZmY2NmU2YWZm
ZiAgbGliT3BlblNjcmlwdGluZ1V0aWwuZHlsaWIgKDE3NCkgPDYxMEYwMjQyLTdDRTUtM0M4Ni05
NTFCLUI2NDY1NjI2OTRBRj4gL3Vzci9saWIvbGliT3BlblNjcmlwdGluZ1V0aWwuZHlsaWIKICAg
IDB4N2ZmZjY2ZmExMDAwIC0gICAgIDB4N2ZmZjY2ZmE1ZmZiICBsaWJTY3JlZW5SZWFkZXIuZHls
aWIgKDU2Mi4xOC41KSA8MEZFRkRBQzgtMEZERi0zOEEwLUFCODgtQTg0RTBEQkEwNThGPiAvdXNy
L2xpYi9saWJTY3JlZW5SZWFkZXIuZHlsaWIKICAgIDB4N2ZmZjY2ZmE2MDAwIC0gICAgIDB4N2Zm
ZjY2ZmE3ZmZiICBsaWJTeXN0ZW0uQi5keWxpYiAoMTI1Mi41MC40KSA8RTU0RkRBOTMtQzlBRS0z
OEYwLUI2RkMtRDhCQTk2MjIwNDg1PiAvdXNyL2xpYi9saWJTeXN0ZW0uQi5keWxpYgogICAgMHg3
ZmZmNjcwMjYwMDAgLSAgICAgMHg3ZmZmNjcwMjdmZmYgIGxpYlRoYWlUb2tlbml6ZXIuZHlsaWIg
KDIuMikgPDZGNDE2RjQxLUJGNzctMzA3OC1BMDVDLUFGRjVEQTVBQjAwOD4gL3Vzci9saWIvbGli
VGhhaVRva2VuaXplci5keWxpYgogICAgMHg3ZmZmNjcwM2EwMDAgLSAgICAgMHg3ZmZmNjcwM2Fm
ZmYgIGxpYmFwcGxlX2NyeXB0by5keWxpYiAoMTA5LjUwLjE1KSA8QThERUE4RTktNTc2OS0zQzc4
LTgyNEQtOTY5QTk4Qjk0MDg2PiAvdXNyL2xpYi9saWJhcHBsZV9jcnlwdG8uZHlsaWIKICAgIDB4
N2ZmZjY3MDNiMDAwIC0gICAgIDB4N2ZmZjY3MDUxZmY3ICBsaWJhcHBsZV9uZ2h0dHAyLmR5bGli
ICgxLjI0KSA8MDE0MDJCQzQtNDgyMi0zNjc2LTlDODAtNTBEODNGODE2NDI0PiAvdXNyL2xpYi9s
aWJhcHBsZV9uZ2h0dHAyLmR5bGliCiAgICAweDdmZmY2NzA1MjAwMCAtICAgICAweDdmZmY2NzA3
Y2ZmMyAgbGliYXJjaGl2ZS4yLmR5bGliICg1NCkgPDhGQzI4REQ4LUUzMTUtM0MzRS05NUZFLUQx
RDJDQkU0OTg4OD4gL3Vzci9saWIvbGliYXJjaGl2ZS4yLmR5bGliCiAgICAweDdmZmY2NzA3ZDAw
MCAtICAgICAweDdmZmY2NzE4MGZlNyAgbGliYXRlLmR5bGliICgxLjEzLjEpIDxEQUJFQTFCMS04
MDZDLTM0QzktOEFGRi1ERUI2QUIyODI5RTM+IC91c3IvbGliL2xpYmF0ZS5keWxpYgogICAgMHg3
ZmZmNjcxODQwMDAgLSAgICAgMHg3ZmZmNjcxODRmZjMgIGxpYmF1dG8uZHlsaWIgKDE4NykgPEEw
NUM3OTAwLUY4QzctM0U3NS04RDNGLTkwOUI0MEMxOTcxNz4gL3Vzci9saWIvbGliYXV0by5keWxp
YgogICAgMHg3ZmZmNjcxODUwMDAgLSAgICAgMHg3ZmZmNjcyM2VmZmIgIGxpYmJvcmluZ3NzbC5k
eWxpYiAoMTA5LjUwLjE1KSA8MzczRUVDREQtRDhFQy0zMDgxLUI3MUQtNzA1MDY3REE5QTBEPiAv
dXNyL2xpYi9saWJib3Jpbmdzc2wuZHlsaWIKICAgIDB4N2ZmZjY3MjNmMDAwIC0gICAgIDB4N2Zm
ZjY3MjRmZmYzICBsaWJic20uMC5keWxpYiAoMzkpIDw2QkM5NkE3Mi1BRkJFLTM0RkQtOTFCMS03
NDhBNTMwRDhBRTY+IC91c3IvbGliL2xpYmJzbS4wLmR5bGliCiAgICAweDdmZmY2NzI1MDAwMCAt
ICAgICAweDdmZmY2NzI1ZGZmYiAgbGliYnoyLjEuMC5keWxpYiAoMzgpIDwwQTUwODZCQi00NzI0
LTNDMTQtOTc5RC01QUQ0RjI2QjVCNDU+IC91c3IvbGliL2xpYmJ6Mi4xLjAuZHlsaWIKICAgIDB4
N2ZmZjY3MjVlMDAwIC0gICAgIDB4N2ZmZjY3MmI0ZmZmICBsaWJjKysuMS5keWxpYiAoNDAwLjkp
IDw3RDNEQUNDQy0zODA0LTM5M0MtQUJDMS0xQTU4MEZEMDBDQjY+IC91c3IvbGliL2xpYmMrKy4x
LmR5bGliCiAgICAweDdmZmY2NzJiNTAwMCAtICAgICAweDdmZmY2NzJkOWZmNyAgbGliYysrYWJp
LmR5bGliICg0MDAuOC4yKSA8RUY1RTM3RDctMTFEOS0zNTMwLUJFNDUtQjk4NjYxMkQxM0UyPiAv
dXNyL2xpYi9saWJjKythYmkuZHlsaWIKICAgIDB4N2ZmZjY3MmRiMDAwIC0gICAgIDB4N2ZmZjY3
MmViZmZmICBsaWJjbXBoLmR5bGliICg2KSA8ODkwREVDNEMtNDMzNC0zOTNDLThCNTYtN0M4NTYw
QkJFRDlEPiAvdXNyL2xpYi9saWJjbXBoLmR5bGliCiAgICAweDdmZmY2NzJlYzAwMCAtICAgICAw
eDdmZmY2NzMwM2ZkMyAgbGliY29tcHJlc3Npb24uZHlsaWIgKDQ3LjYwLjIpIDxDQzdBQ0IwQS00
OUNELTM1NjQtOTc4Ri00OUY4NDMxODZGMjc+IC91c3IvbGliL2xpYmNvbXByZXNzaW9uLmR5bGli
CiAgICAweDdmZmY2NzVhZTAwMCAtICAgICAweDdmZmY2NzVjNmZmNyAgbGliY29yZXRscy5keWxp
YiAoMTU1LjUwLjEpIDxEMzUwMDUyRS1EQzRELTMxODUtQURCQS1CQTQ4RURDRUU5NTU+IC91c3Iv
bGliL2xpYmNvcmV0bHMuZHlsaWIKICAgIDB4N2ZmZjY3NWM3MDAwIC0gICAgIDB4N2ZmZjY3NWM4
ZmYzICBsaWJjb3JldGxzX2NmaGVscGVycy5keWxpYiAoMTU1LjUwLjEpIDxCMjk3RjVEOC1GMkZF
LTM1NjYtQTc1Mi1FOUQ5OThCOUMwMzk+IC91c3IvbGliL2xpYmNvcmV0bHNfY2ZoZWxwZXJzLmR5
bGliCiAgICAweDdmZmY2N2E5OTAwMCAtICAgICAweDdmZmY2N2FlZWZmMyAgbGliY3Vwcy4yLmR5
bGliICg0NjIuMi45KSA8QTEwNUVFMzMtNkE3RS0zOTJDLThCNTItQjBGMUFCRDVDQUIwPiAvdXNy
L2xpYi9saWJjdXBzLjIuZHlsaWIKICAgIDB4N2ZmZjY3YzJlMDAwIC0gICAgIDB4N2ZmZjY3YzJl
ZmZmICBsaWJlbmVyZ3l0cmFjZS5keWxpYiAoMTYpIDxBOTJBQjhCOC1COTg2LTNDRTYtOTgwRC1E
NTUwOTBGRUYzODc+IC91c3IvbGliL2xpYmVuZXJneXRyYWNlLmR5bGliCiAgICAweDdmZmY2N2M2
MDAwMCAtICAgICAweDdmZmY2N2M2NGZmNyAgbGliZ2VybWFudG9rLmR5bGliICgxNykgPDM3QzFD
MDYxLTUyMTQtMzA1MC05QzNBLTc4M0E3ODQ0MzVBOD4gL3Vzci9saWIvbGliZ2VybWFudG9rLmR5
bGliCiAgICAweDdmZmY2N2M2NTAwMCAtICAgICAweDdmZmY2N2M2YWZmMyAgbGliaGVpbWRhbC1h
c24xLmR5bGliICg1MjAuNTAuOSkgPEVGNjVDMTdFLTMxQ0QtMzFEQy04NzZDLUJGM0VGMzkzMDk5
Qz4gL3Vzci9saWIvbGliaGVpbWRhbC1hc24xLmR5bGliCiAgICAweDdmZmY2N2M5NjAwMCAtICAg
ICAweDdmZmY2N2Q4N2ZmNyAgbGliaWNvbnYuMi5keWxpYiAoNTEuNTAuMSkgPDJGRUM5NzA3LTNG
QUYtMzgyOC1BNTBELTg2MDUwODZEMDYwRj4gL3Vzci9saWIvbGliaWNvbnYuMi5keWxpYgogICAg
MHg3ZmZmNjdkODgwMDAgLSAgICAgMHg3ZmZmNjdmYWZmZmIgIGxpYmljdWNvcmUuQS5keWxpYiAo
NTkxODEuMC4xKSA8MkNFNjIwNUYtRDM3NS0zQkY1LUFBMEEtMzI1NEJDNDc3M0QwPiAvdXNyL2xp
Yi9saWJpY3Vjb3JlLkEuZHlsaWIKICAgIDB4N2ZmZjY3ZmZjMDAwIC0gICAgIDB4N2ZmZjY3ZmZk
ZmZmICBsaWJsYW5naWQuZHlsaWIgKDEyOCkgPDM5QzM5MzkzLTBEMDUtMzAxRC05M0IyLUYyMjRG
QzQ5NDlBQT4gL3Vzci9saWIvbGlibGFuZ2lkLmR5bGliCiAgICAweDdmZmY2N2ZmZTAwMCAtICAg
ICAweDdmZmY2ODAxN2ZmYiAgbGlibHptYS41LmR5bGliICgxMCkgPDNENDE5QTUwLTk2MUYtMzdE
Mi04QTAxLTNEQzdBQjdCOEQxOD4gL3Vzci9saWIvbGlibHptYS41LmR5bGliCiAgICAweDdmZmY2
ODAxODAwMCAtICAgICAweDdmZmY2ODAyZWZmNyAgbGlibWFyaXNhLmR5bGliICg5KSA8RDZEMkQ1
NUQtMUQyRS0zNDQyLUIxNTItQjE4ODAzQzBBQkI0PiAvdXNyL2xpYi9saWJtYXJpc2EuZHlsaWIK
ICAgIDB4N2ZmZjY4MDJmMDAwIC0gICAgIDB4N2ZmZjY4MGRlZmZmICBsaWJtZWNhYi4xLjAuMC5k
eWxpYiAoNzc5LjcuNikgPDMzNEQ0NzQyLUJEREQtM0MyRC1CQkVCLTg1QjMyNjQzQkZBMD4gL3Vz
ci9saWIvbGlibWVjYWIuMS4wLjAuZHlsaWIKICAgIDB4N2ZmZjY4MGRmMDAwIC0gICAgIDB4N2Zm
ZjY4MzA3ZmY3ICBsaWJtZWNhYnJhLmR5bGliICg3NzkuNy42KSA8RjQ2MkYxNzAtRTg3Mi0zRDA5
LUIyMTktOTczRDVFOTlDMDlGPiAvdXNyL2xpYi9saWJtZWNhYnJhLmR5bGliCiAgICAweDdmZmY2
ODRkZjAwMCAtICAgICAweDdmZmY2ODY1YWZmZiAgbGlibmV0d29yay5keWxpYiAoMTIyOS43MC4y
KSA8RTE4NUQ5MDItQUM3Ri0zMDQ0LTg3QzAtQUUyODg3QzU5Q0U3PiAvdXNyL2xpYi9saWJuZXR3
b3JrLmR5bGliCiAgICAweDdmZmY2ODZlMTAwMCAtICAgICAweDdmZmY2OGFkMjNiNyAgbGlib2Jq
Yy5BLmR5bGliICg3MjMpIDxCRUVBNTFFMi0xQzRELTM2NzItODdGNi1GMjY3QjRBQzYyMjE+IC91
c3IvbGliL2xpYm9iamMuQS5keWxpYgogICAgMHg3ZmZmNjhhZTUwMDAgLSAgICAgMHg3ZmZmNjhh
ZTlmZmYgIGxpYnBhbS4yLmR5bGliICgyMikgPDdCNEQyQ0UyLTE0MzgtMzg3QS05ODAyLTVDRUVG
QkYyNkY4Nj4gL3Vzci9saWIvbGlicGFtLjIuZHlsaWIKICAgIDB4N2ZmZjY4YWVjMDAwIC0gICAg
IDB4N2ZmZjY4YjI0ZmY3ICBsaWJwY2FwLkEuZHlsaWIgKDc5LjIwLjMpIDw2QTlEMjdGQS0yNzgw
LTNFOTYtOEIyRS02NDU2MzhBQzEzQUM+IC91c3IvbGliL2xpYnBjYXAuQS5keWxpYgogICAgMHg3
ZmZmNjhiYTMwMDAgLSAgICAgMHg3ZmZmNjhiYmZmZmIgIGxpYnJlc29sdi45LmR5bGliICg2NS4x
KSA8RDlCQjYzMDctNzFFNC0zQTk0LUE3NDUtMUZDQTExNEM2ODk0PiAvdXNyL2xpYi9saWJyZXNv
bHYuOS5keWxpYgogICAgMHg3ZmZmNjhiZmIwMDAgLSAgICAgMHg3ZmZmNjhjMGRmZmYgIGxpYnNh
c2wyLjIuZHlsaWIgKDIxMSkgPDA0RUYzRjYxLTEyRUMtMzMxOS1BNjQ5LTg1MTk5OUY0QzdBND4g
L3Vzci9saWIvbGlic2FzbDIuMi5keWxpYgogICAgMHg3ZmZmNjhjMGUwMDAgLSAgICAgMHg3ZmZm
NjhjMGZmZjMgIGxpYnNwaW5kdW1wLmR5bGliICgyNTIpIDxEOEUyNzA1Ny1FM0NDLTNEN0YtQTAx
MC00QTg3ODMwRjZBODM+IC91c3IvbGliL2xpYnNwaW5kdW1wLmR5bGliCiAgICAweDdmZmY2OGMx
MDAwMCAtICAgICAweDdmZmY2OGQ5ZGZmNyAgbGlic3FsaXRlMy5keWxpYiAoMjc0LjguMSkgPEI3
MEEyOTA4LUUwRjctMzY0RS05NTJBLTFEMkQxOTc4N0I4OT4gL3Vzci9saWIvbGlic3FsaXRlMy5k
eWxpYgogICAgMHg3ZmZmNjhmMjQwMDAgLSAgICAgMHg3ZmZmNjhmNTlmZmYgIGxpYnRpZHkuQS5k
eWxpYiAoMTUuMTguMykgPDVDQjk5NjAyLTU2RjYtMzEwQi04NUUyLTRFNTVCRUUwQjI2Qj4gL3Vz
ci9saWIvbGlidGlkeS5BLmR5bGliCiAgICAweDdmZmY2OGY3MTAwMCAtICAgICAweDdmZmY2OGZk
MWZmMyAgbGlidXNydGNwLmR5bGliICgxMjI5LjcwLjIpIDwxRTA2NTIyOC1EMEUzLTM4MDgtOTQw
NS04OTQwNTZDNkJFQzA+IC91c3IvbGliL2xpYnVzcnRjcC5keWxpYgogICAgMHg3ZmZmNjhmZDIw
MDAgLSAgICAgMHg3ZmZmNjhmZDVmZmIgIGxpYnV0aWwuZHlsaWIgKDUxLjIwLjEpIDwyMTZEMThF
NS0wQkFGLTNFQUYtQTM4RS1GNkFDMzdDQkFCRDk+IC91c3IvbGliL2xpYnV0aWwuZHlsaWIKICAg
IDB4N2ZmZjY4ZmQ2MDAwIC0gICAgIDB4N2ZmZjY4ZmUzZmYzICBsaWJ4YXIuMS5keWxpYiAoNDE3
LjEpIDwzNTE3ODFENS0zQ0NGLTMyMEYtQkI1QS00REZDQzFDQ0QzMUQ+IC91c3IvbGliL2xpYnhh
ci4xLmR5bGliCiAgICAweDdmZmY2OGZlNzAwMCAtICAgICAweDdmZmY2OTBjZWZmNyAgbGlieG1s
Mi4yLmR5bGliICgzMS4xNikgPENDREYxNzA1LTA1QkYtM0YyNC1CMjQyLTE0ODg0NTVDRTUzMT4g
L3Vzci9saWIvbGlieG1sMi4yLmR5bGliCiAgICAweDdmZmY2OTBjZjAwMCAtICAgICAweDdmZmY2
OTBmN2ZmZiAgbGlieHNsdC4xLmR5bGliICgxNS4xNikgPDU3RDU2MzY2LTFFN0ItMzU2Qy1CMkI4
LUY0Njg4RkY2NjZFNj4gL3Vzci9saWIvbGlieHNsdC4xLmR5bGliCiAgICAweDdmZmY2OTBmODAw
MCAtICAgICAweDdmZmY2OTEwYWZmYiAgbGliei4xLmR5bGliICg3MCkgPDQ4QzY3Q0ZDLTk0MEQt
Mzg1Ny04REFELTg1Nzc3NDYwNTM1Mj4gL3Vzci9saWIvbGliei4xLmR5bGliCiAgICAweDdmZmY2
OTFhNjAwMCAtICAgICAweDdmZmY2OTFhYWZmNyAgbGliY2FjaGUuZHlsaWIgKDgwKSA8MDkyNDc5
Q0ItMTAwOC0zQTgzLUJFQ0YtRTExNUYyNEQxM0MxPiAvdXNyL2xpYi9zeXN0ZW0vbGliY2FjaGUu
ZHlsaWIKICAgIDB4N2ZmZjY5MWFiMDAwIC0gICAgIDB4N2ZmZjY5MWI1ZmYzICBsaWJjb21tb25D
cnlwdG8uZHlsaWIgKDYwMTE4LjUwLjEpIDwwMjlGNTk4NS05QjZFLTNEQ0ItOUI5Ni1GRDAwNzY3
OEM2QTc+IC91c3IvbGliL3N5c3RlbS9saWJjb21tb25DcnlwdG8uZHlsaWIKICAgIDB4N2ZmZjY5
MWI2MDAwIC0gICAgIDB4N2ZmZjY5MWJkZmZmICBsaWJjb21waWxlcl9ydC5keWxpYiAoNjIpIDw5
NjhCOEUzRi0zNjgxLTMyMzAtOUQ3OC1CQjg3MzIwMjRGNkU+IC91c3IvbGliL3N5c3RlbS9saWJj
b21waWxlcl9ydC5keWxpYgogICAgMHg3ZmZmNjkxYmUwMDAgLSAgICAgMHg3ZmZmNjkxYzdmZmIg
IGxpYmNvcHlmaWxlLmR5bGliICgxNDYuNTAuNSkgPDM4ODUwODNELTUwRDgtM0VFQy1CNDgxLUIy
RTYwNTE4MEQ3Rj4gL3Vzci9saWIvc3lzdGVtL2xpYmNvcHlmaWxlLmR5bGliCiAgICAweDdmZmY2
OTFjODAwMCAtICAgICAweDdmZmY2OTI0ZGZmYiAgbGliY29yZWNyeXB0by5keWxpYiAoNTYyLjcw
LjMpIDwzN0FGOEVDNi1CRjM0LTNEMTUtQkMzQS1BOUI5OEYyNDI3RDQ+IC91c3IvbGliL3N5c3Rl
bS9saWJjb3JlY3J5cHRvLmR5bGliCiAgICAweDdmZmY2OTJkNTAwMCAtICAgICAweDdmZmY2OTMw
ZWZmNyAgbGliZGlzcGF0Y2guZHlsaWIgKDkxMy42MC4zKSA8QkYzNjg1NDktMkRGQi0zNTMwLUI0
Q0ItMzFENUVEQUM0RjJGPiAvdXNyL2xpYi9zeXN0ZW0vbGliZGlzcGF0Y2guZHlsaWIKICAgIDB4
N2ZmZjY5MzBmMDAwIC0gICAgIDB4N2ZmZjY5MzJjZmY3ICBsaWJkeWxkLmR5bGliICg1NTEuNSkg
PDQ5QkY5RTk2LTgyOTctMzBDRi04QUE2LTEyOENDMTQwNTRCMj4gL3Vzci9saWIvc3lzdGVtL2xp
YmR5bGQuZHlsaWIKICAgIDB4N2ZmZjY5MzJkMDAwIC0gICAgIDB4N2ZmZjY5MzJkZmZiICBsaWJr
ZXltZ3IuZHlsaWIgKDI4KSA8RTM0RTI4M0UtOTBGQS0zQzU5LUI0OEUtMTI3N0NEQjlDRENFPiAv
dXNyL2xpYi9zeXN0ZW0vbGlia2V5bWdyLmR5bGliCiAgICAweDdmZmY2OTMyZTAwMCAtICAgICAw
eDdmZmY2OTMzYWZmMyAgbGlia3hsZC5keWxpYiAoNDU3MC43MS42MykgPEZBNzMxRTVGLTYyNUQt
MzBFMi1BOTcwLThGQTQxNTkwNkZBOD4gL3Vzci9saWIvc3lzdGVtL2xpYmt4bGQuZHlsaWIKICAg
IDB4N2ZmZjY5MzNiMDAwIC0gICAgIDB4N2ZmZjY5MzNiZmY3ICBsaWJsYXVuY2guZHlsaWIgKDEy
MDUuNzAuMTIpIDw0OTUwQTBCMy01RUUxLTNGOUEtOEIxQS05NEZCODVGQ0NBMkM+IC91c3IvbGli
L3N5c3RlbS9saWJsYXVuY2guZHlsaWIKICAgIDB4N2ZmZjY5MzNjMDAwIC0gICAgIDB4N2ZmZjY5
MzQwZmZiICBsaWJtYWNoby5keWxpYiAoOTA2KSA8MTkwMkE2MTEtMDgxQS0zNDUyLUIxMUUtRUJE
MUIxNjZFODMxPiAvdXNyL2xpYi9zeXN0ZW0vbGlibWFjaG8uZHlsaWIKICAgIDB4N2ZmZjY5MzQx
MDAwIC0gICAgIDB4N2ZmZjY5MzQzZmZmICBsaWJxdWFyYW50aW5lLmR5bGliICg4Ni43MC4xKSA8
OTQ0MjdGRjYtRDE2MS0zOTNFLTg1ODctM0UzMEM0OEU2OUIxPiAvdXNyL2xpYi9zeXN0ZW0vbGli
cXVhcmFudGluZS5keWxpYgogICAgMHg3ZmZmNjkzNDQwMDAgLSAgICAgMHg3ZmZmNjkzNDVmZjMg
IGxpYnJlbW92ZWZpbGUuZHlsaWIgKDQ1KSA8NzExRTE4QjItNUJCRS0zMjExLUE5MTYtNTY3NDBD
MjdEMTdBPiAvdXNyL2xpYi9zeXN0ZW0vbGlicmVtb3ZlZmlsZS5keWxpYgogICAgMHg3ZmZmNjkz
NDYwMDAgLSAgICAgMHg3ZmZmNjkzNWRmZmYgIGxpYnN5c3RlbV9hc2wuZHlsaWIgKDM1Ni43MC4x
KSA8MzlFNDZBNkYtQjIyOC0zRTc4LUI4M0UtMTc3OUY5NzA3QTM5PiAvdXNyL2xpYi9zeXN0ZW0v
bGlic3lzdGVtX2FzbC5keWxpYgogICAgMHg3ZmZmNjkzNWUwMDAgLSAgICAgMHg3ZmZmNjkzNWVm
ZmYgIGxpYnN5c3RlbV9ibG9ja3MuZHlsaWIgKDY3KSA8MTczMDNGREYtMEQyRC0zOTYzLUIwNUUt
QjRERjYzMDUyRDQ3PiAvdXNyL2xpYi9zeXN0ZW0vbGlic3lzdGVtX2Jsb2Nrcy5keWxpYgogICAg
MHg3ZmZmNjkzNWYwMDAgLSAgICAgMHg3ZmZmNjkzZThmZjcgIGxpYnN5c3RlbV9jLmR5bGliICgx
MjQ0LjUwLjkpIDwxMTg3QkZFOC00NTc2LTMyNDctODE3Ny00ODE1NTRFMUY5RTc+IC91c3IvbGli
L3N5c3RlbS9saWJzeXN0ZW1fYy5keWxpYgogICAgMHg3ZmZmNjkzZTkwMDAgLSAgICAgMHg3ZmZm
NjkzZWNmZmIgIGxpYnN5c3RlbV9jb25maWd1cmF0aW9uLmR5bGliICg5NjMuNTAuOSkgPEE1REMx
QUZDLTJDM0UtMzExMy1CRTIwLTQ4Rjk2MDY0REIwRj4gL3Vzci9saWIvc3lzdGVtL2xpYnN5c3Rl
bV9jb25maWd1cmF0aW9uLmR5bGliCiAgICAweDdmZmY2OTNlZDAwMCAtICAgICAweDdmZmY2OTNm
MGZmYiAgbGlic3lzdGVtX2NvcmVzZXJ2aWNlcy5keWxpYiAoNTEpIDw0ODYwMDBEMy1EOENCLTNC
RTctOEVFNS04QkYzODBERTZERjc+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1fY29yZXNlcnZp
Y2VzLmR5bGliCiAgICAweDdmZmY2OTNmMTAwMCAtICAgICAweDdmZmY2OTNmMmZmZiAgbGlic3lz
dGVtX2Rhcndpbi5keWxpYiAoMTI0NC41MC45KSA8MDlDMjFBNEEtOUVFMC0zODhCLUE5RDktREZG
OEY2NzU4NzkxPiAvdXNyL2xpYi9zeXN0ZW0vbGlic3lzdGVtX2Rhcndpbi5keWxpYgogICAgMHg3
ZmZmNjkzZjMwMDAgLSAgICAgMHg3ZmZmNjkzZjlmZmIgIGxpYnN5c3RlbV9kbnNzZC5keWxpYiAo
ODc4LjcwLjQpIDwzODRGNzg0My0wQUU4LTNEMTAtOEY4RC0zN0ZDQjkxMkY4NzU+IC91c3IvbGli
L3N5c3RlbS9saWJzeXN0ZW1fZG5zc2QuZHlsaWIKICAgIDB4N2ZmZjY5M2ZhMDAwIC0gICAgIDB4
N2ZmZjY5NDQzZmY3ICBsaWJzeXN0ZW1faW5mby5keWxpYiAoNTE3LjMwLjEpIDxBQjYzNEE5OC1C
OEFBLTM4MDQtODQzNi0zODI2MUZDOEVDNEQ+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1faW5m
by5keWxpYgogICAgMHg3ZmZmNjk0NDQwMDAgLSAgICAgMHg3ZmZmNjk0NmFmZjcgIGxpYnN5c3Rl
bV9rZXJuZWwuZHlsaWIgKDQ1NzAuNzEuNjMpIDxGRTY0MzFBQi0wRDRBLTNGREMtQkIwQy0yN0JE
QzM0RDlBNzA+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1fa2VybmVsLmR5bGliCiAgICAweDdm
ZmY2OTQ2YjAwMCAtICAgICAweDdmZmY2OTRiNmZjYiAgbGlic3lzdGVtX20uZHlsaWIgKDMxNDcu
NTAuMSkgPDE3NTcwRjQ2LTU2NkMtMzlGQy1CRUY2LTYzNUEzNTVERDU0OT4gL3Vzci9saWIvc3lz
dGVtL2xpYnN5c3RlbV9tLmR5bGliCiAgICAweDdmZmY2OTRiNzAwMCAtICAgICAweDdmZmY2OTRk
NmZmNyAgbGlic3lzdGVtX21hbGxvYy5keWxpYiAoMTQwLjUwLjcpIDxBNDVBNDg0Qy0zQkRFLTNC
QzQtQTIxOS03MjZFM0NCMzMyRDk+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1fbWFsbG9jLmR5
bGliCiAgICAweDdmZmY2OTRkNzAwMCAtICAgICAweDdmZmY2OTYwN2ZmNyAgbGlic3lzdGVtX25l
dHdvcmsuZHlsaWIgKDEyMjkuNzAuMikgPDVFODZCMkRFLTlFMTUtMzM1NC04NzE0LTQwOTRFRDVG
Njk4RD4gL3Vzci9saWIvc3lzdGVtL2xpYnN5c3RlbV9uZXR3b3JrLmR5bGliCiAgICAweDdmZmY2
OTYwODAwMCAtICAgICAweDdmZmY2OTYxMmZmYiAgbGlic3lzdGVtX25ldHdvcmtleHRlbnNpb24u
ZHlsaWIgKDc2Ny43MC4yKSA8OURDMDM3MTItNTUyRC0zQUVFLTk1MTktQjVFRDcwOTgwQjcwPiAv
dXNyL2xpYi9zeXN0ZW0vbGlic3lzdGVtX25ldHdvcmtleHRlbnNpb24uZHlsaWIKICAgIDB4N2Zm
ZjY5NjEzMDAwIC0gICAgIDB4N2ZmZjY5NjFjZmYzICBsaWJzeXN0ZW1fbm90aWZ5LmR5bGliICgx
NzIpIDwwODAxMkVDMC0yQ0QyLTM0QkUtQkY5My1FN0Y1NjQ5MTI5OUE+IC91c3IvbGliL3N5c3Rl
bS9saWJzeXN0ZW1fbm90aWZ5LmR5bGliCiAgICAweDdmZmY2OTYxZDAwMCAtICAgICAweDdmZmY2
OTYyNGZmNyAgbGlic3lzdGVtX3BsYXRmb3JtLmR5bGliICgxNjEuNTAuMSkgPDYzNTVFRTJELTU0
NTYtM0NBOC1BMjI3LUI5NkU4RjFFMkFGOD4gL3Vzci9saWIvc3lzdGVtL2xpYnN5c3RlbV9wbGF0
Zm9ybS5keWxpYgogICAgMHg3ZmZmNjk2MjUwMDAgLSAgICAgMHg3ZmZmNjk2MzBmZmYgIGxpYnN5
c3RlbV9wdGhyZWFkLmR5bGliICgzMDEuNTAuMSkgPDBFNTFDQ0JBLTkxRjItMzRFMS1CRjJBLUZF
RUZEM0QzMjFFND4gL3Vzci9saWIvc3lzdGVtL2xpYnN5c3RlbV9wdGhyZWFkLmR5bGliCiAgICAw
eDdmZmY2OTYzMTAwMCAtICAgICAweDdmZmY2OTYzNGZmZiAgbGlic3lzdGVtX3NhbmRib3guZHls
aWIgKDc2NS43MC4xKSA8NTUzREZDQzYtOUQzMS0zQjlDLUFCN0MtMzBGNkYyNjU3ODZEPiAvdXNy
L2xpYi9zeXN0ZW0vbGlic3lzdGVtX3NhbmRib3guZHlsaWIKICAgIDB4N2ZmZjY5NjM1MDAwIC0g
ICAgIDB4N2ZmZjY5NjM2ZmYzICBsaWJzeXN0ZW1fc2VjaW5pdC5keWxpYiAoMzApIDxERThEMTRF
OC1BMjc2LTNGRjgtQUUxMy03N0Y3MDQwRjMzQzE+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1f
c2VjaW5pdC5keWxpYgogICAgMHg3ZmZmNjk2MzcwMDAgLSAgICAgMHg3ZmZmNjk2M2VmZjcgIGxp
YnN5c3RlbV9zeW1wdG9tcy5keWxpYiAoODIwLjYwLjMpIDw0NDFDNkNBMC01NzExLTNCQjEtODQy
MC1EREFDM0Q1MjcyRTE+IC91c3IvbGliL3N5c3RlbS9saWJzeXN0ZW1fc3ltcHRvbXMuZHlsaWIK
ICAgIDB4N2ZmZjY5NjNmMDAwIC0gICAgIDB4N2ZmZjY5NjUzZmY3ICBsaWJzeXN0ZW1fdHJhY2Uu
ZHlsaWIgKDgyOS43MC4yKSA8QjcxNzIzNzMtN0JCQi0zRDAxLTlCRjUtNzdFN0M4RkIzN0M0PiAv
dXNyL2xpYi9zeXN0ZW0vbGlic3lzdGVtX3RyYWNlLmR5bGliCiAgICAweDdmZmY2OTY1NTAwMCAt
ICAgICAweDdmZmY2OTY1YWZmNyAgbGlidW53aW5kLmR5bGliICgzNS4zKSA8QkVGM0ZCNDktNTYw
NC0zQjVGLTgyQjUtMzMyQjgwMDIzQUMzPiAvdXNyL2xpYi9zeXN0ZW0vbGlidW53aW5kLmR5bGli
CiAgICAweDdmZmY2OTY1YjAwMCAtICAgICAweDdmZmY2OTY4OGZmNyAgbGlieHBjLmR5bGliICgx
MjA1LjcwLjEyKSA8N0I4MjYwOEQtRUQ4Mi0zNUMxLUIxM0YtOTk4NTVFMjVENkRDPiAvdXNyL2xp
Yi9zeXN0ZW0vbGlieHBjLmR5bGliCgpFeHRlcm5hbCBNb2RpZmljYXRpb24gU3VtbWFyeToKICBD
YWxscyBtYWRlIGJ5IG90aGVyIHByb2Nlc3NlcyB0YXJnZXRpbmcgdGhpcyBwcm9jZXNzOgogICAg
dGFza19mb3JfcGlkOiA1MzQyCiAgICB0aHJlYWRfY3JlYXRlOiAwCiAgICB0aHJlYWRfc2V0X3N0
YXRlOiAwCiAgQ2FsbHMgbWFkZSBieSB0aGlzIHByb2Nlc3M6CiAgICB0YXNrX2Zvcl9waWQ6IDAK
ICAgIHRocmVhZF9jcmVhdGU6IDAKICAgIHRocmVhZF9zZXRfc3RhdGU6IDAKICBDYWxscyBtYWRl
IGJ5IGFsbCBwcm9jZXNzZXMgb24gdGhpcyBtYWNoaW5lOgogICAgdGFza19mb3JfcGlkOiAzNDIy
NjQ1CiAgICB0aHJlYWRfY3JlYXRlOiAwCiAgICB0aHJlYWRfc2V0X3N0YXRlOiAxOAoKVk0gUmVn
aW9uIFN1bW1hcnk6ClJlYWRPbmx5IHBvcnRpb24gb2YgTGlicmFyaWVzOiBUb3RhbD00OTkuNk0g
cmVzaWRlbnQ9MEsoMCUpIHN3YXBwZWRfb3V0X29yX3VuYWxsb2NhdGVkPTQ5OS42TSgxMDAlKQpX
cml0YWJsZSByZWdpb25zOiBUb3RhbD0xLjNHIHdyaXR0ZW49MEsoMCUpIHJlc2lkZW50PTBLKDAl
KSBzd2FwcGVkX291dD0wSygwJSkgdW5hbGxvY2F0ZWQ9MS4zRygxMDAlKQogCiAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgVklSVFVBTCAgIFJFR0lPTiAKUkVHSU9OIFRZUEUgICAgICAg
ICAgICAgICAgICAgICAgICBTSVpFICAgIENPVU5UIChub24tY29hbGVzY2VkKSAKPT09PT09PT09
PT0gICAgICAgICAgICAgICAgICAgICA9PT09PT09ICA9PT09PT09IApBY2NlbGVyYXRlIGZyYW1l
d29yayAgICAgICAgICAgICAgIDg5NksgICAgICAgIDcgCkFjdGl2aXR5IFRyYWNpbmcgICAgICAg
ICAgICAgICAgICAgMjU2SyAgICAgICAgMiAKQ0cgYmFja2luZyBzdG9yZXMgICAgICAgICAgICAg
ICAgIDEzLjVNICAgICAgIDEwIApDRyBpbWFnZSAgICAgICAgICAgICAgICAgICAgICAgICAgIDEy
NEsgICAgICAgMTkgCkNvcmVBbmltYXRpb24gICAgICAgICAgICAgICAgICAgICAgMTU2SyAgICAg
ICAyMyAKQ29yZUdyYXBoaWNzICAgICAgICAgICAgICAgICAgICAgICAgIDhLICAgICAgICAyIApD
b3JlSW1hZ2UgICAgICAgICAgICAgICAgICAgICAgICAgICA0MEsgICAgICAgMTAgCkNvcmVVSSBp
bWFnZSBkYXRhICAgICAgICAgICAgICAgICAxMDgwSyAgICAgICAxMyAKQ29yZVVJIGltYWdlIGZp
bGUgICAgICAgICAgICAgICAgICAxODBLICAgICAgICA0IApGb3VuZGF0aW9uICAgICAgICAgICAg
ICAgICAgICAgICAgIDE4NEsgICAgICAgIDQgCkltYWdlIElPICAgICAgICAgICAgICAgICAgICAg
ICAgICAxNzY4SyAgICAgICAgNCAKS2VybmVsIEFsbG9jIE9uY2UgICAgICAgICAgICAgICAgICAg
IDhLICAgICAgICAyIApNQUxMT0MgICAgICAgICAgICAgICAgICAgICAgICAgICAgIDEuM0cgICAg
ICAxNTYgCk1BTExPQyBndWFyZCBwYWdlICAgICAgICAgICAgICAgICAgIDQ4SyAgICAgICAxMyAK
TWVtb3J5IFRhZyAyNDIgICAgICAgICAgICAgICAgICAgICAgMTJLICAgICAgICAyIApTVEFDSyBH
VUFSRCAgICAgICAgICAgICAgICAgICAgICAgICAyOEsgICAgICAgIDggClN0YWNrICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAxMS42TSAgICAgICAgOSAKU3RhY2sgKHJlc2VydmVkKSAgICAg
ICAgICAgICAgICAgIDE1OTZLICAgICAgICAyICAgICAgICAgcmVzZXJ2ZWQgVk0gYWRkcmVzcyBz
cGFjZSAodW5hbGxvY2F0ZWQpClN0YWNrIEd1YXJkICAgICAgICAgICAgICAgICAgICAgICA1NC40
TSAgICAgICAgMiAKVk1fQUxMT0NBVEUgICAgICAgICAgICAgICAgICAgICAgICAxNDBLICAgICAg
IDI3IApfX0RBVEEgICAgICAgICAgICAgICAgICAgICAgICAgICAgNDIuM00gICAgICAzODAgCl9f
Rk9OVF9EQVRBICAgICAgICAgICAgICAgICAgICAgICAgICA0SyAgICAgICAgMiAKX19MSU5LRURJ
VCAgICAgICAgICAgICAgICAgICAgICAgMTk5LjJNICAgICAgIDU5IApfX1RFWFQgICAgICAgICAg
ICAgICAgICAgICAgICAgICAzMDAuM00gICAgICAzNzYgCl9fVU5JQ09ERSAgICAgICAgICAgICAg
ICAgICAgICAgICAgNTYwSyAgICAgICAgMiAKbWFwcGVkIGZpbGUgICAgICAgICAgICAgICAgICAg
ICAgICAxLjJHICAgICAgNDg3IApzaGFyZWQgbWVtb3J5ICAgICAgICAgICAgICAgICAgICAgIDYz
NksgICAgICAgMTMgCj09PT09PT09PT09ICAgICAgICAgICAgICAgICAgICAgPT09PT09PSAgPT09
PT09PSAKVE9UQUwgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAzLjFHICAgICAxNjExIApU
T1RBTCwgbWludXMgcmVzZXJ2ZWQgVk0gc3BhY2UgICAgIDMuMUcgICAgIDE2MTEgCgo=
--=-=-=
Content-Type: text/plain


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 21:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 16:23:56 2020
Received: from localhost ([127.0.0.1]:56784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqOEe-00033h-Le
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 16:23:56 -0500
Received: from [145.132.212.31] (port=50609 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1iqOEd-00033U-NN
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 16:23:56 -0500
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id C1FD2A5FD362;
 Sat, 11 Jan 2020 22:23:49 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN> <lx36cllu0h.fsf@HIDDEN>
 <83lfqd7s0s.fsf@HIDDEN>
Date: Sat, 11 Jan 2020 22:23:49 +0100
In-Reply-To: <83lfqd7s0s.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 11 Jan
 2020 20:43:47 +0200")
Message-ID: <lxsgklk7q2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Pieter van
 Oostrum
 <pieter-l@HIDDEN> >> Date: Sat, 11 Jan 2020 19:37:02 +0100 >> Cc:
 Pip Cet <pipcet@HIDDEN>, jguenther@HIDDEN, alan@HIDDEN,
 >> andreyk.mad@HIDDEN, 38748@ [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: vanoostrum.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 alan@HIDDEN, pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pieter van Oostrum <pieter-l@HIDDEN>
>> Date: Sat, 11 Jan 2020 19:37:02 +0100
>> Cc: Pip Cet <pipcet@HIDDEN>, jguenther@HIDDEN, alan@HIDDEN,
>>  andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
>> 
>> Robert Pluim <rpluim@HIDDEN> writes:
>> 
>> >     Pip> diff --git a/src/nsterm.m b/src/nsterm.m
>> >     Pip> index 03754e5ae5..c1d1d41117 100644
>> >     Pip> --- a/src/nsterm.m
>> >     Pip> +++ b/src/nsterm.m
>> >     Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
>> >     Pip>    [view release];
>> >  
>> >     Pip>    xfree (f->output_data.ns);
>> >     Pip> +  f->output_data.ns = NULL;
>> >  
>> >     Pip>    unblock_input ();
>> >     Pip>  }
>> >
>> > That has fixed things for me, not been able to crash it with Andrii's
>> > recipe (I had to increase the number of frames to get it to crash).
>> >
>> > Robert
>> 
>> I compiled HEAD with this patch applied, and it still crashed but with
>> the other crash cause (in Fmouse_pixel_position).
>
> Can you show the values of variables I asked about regarding that
> crash?

Sorry, no. I wasn't running under gdb when that crash occurred (now I do). And I wasn't aware that you asked about some variables for this particular crash. Only for the other one with all the  mark-related stuff. So which variables would that be? I couldn't find it in the discussion.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 19:15:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 14:15:23 2020
Received: from localhost ([127.0.0.1]:56703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqMEE-0008OP-Rb
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 14:15:23 -0500
Received: from mail-ot1-f44.google.com ([209.85.210.44]:45414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1iqMED-0008OA-GL
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 14:15:21 -0500
Received: by mail-ot1-f44.google.com with SMTP id 59so5262147otp.12
 for <38748 <at> debbugs.gnu.org>; Sat, 11 Jan 2020 11:15:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2bKLrbnj3zs6RrgPMe4GrLw6Y3ZU2IwErKHVa/Aobfw=;
 b=vUcfc+3zF5FZjR5NtiwJvQCimMAVqkY984dUctIvewvzC8rHdHxI6HbBZmVSQ7TrOP
 2i7ISeTxt7hdBmNHbiBz2qPamO4l4vkBrLsf0PhEryXYpe7b3gFaieZEX3YeyCPDU5RP
 gXx75bf90N3/tpXmFzRXS+JOpe7E9dOULVp+ji1zUZAflyCgSPuY0jP/NJUaclqtMVHe
 kjCq6qWgWC4O7f2/+tM6iXfTTJEtwpkLrsdUq0DZO8/Ie7+fqtpI4d9BBTaZ4tHpgjgL
 M/ToI0pUp0xi3HtwPeGqaS6NR0ufC40UkDQhKQYPGOT6DrXtMB9JSMX/R8ulNTk9/FAV
 tT9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2bKLrbnj3zs6RrgPMe4GrLw6Y3ZU2IwErKHVa/Aobfw=;
 b=mJjWof0pR0wzuc1h48iEy+SA0E0J8CxxA7HrnufkFt4I2l6Dl0VQ8cDh3Ru3uwirkp
 9cnBFTd0XHAqrW25Onm+Yk7tTC7IoDF9XFO8ZWrz5Qv+5uEb8KNgkrKgFatVzSRaU6ns
 9dOtMrMpGcobmYLdq1Fo6CTwtkv/3ZbBg1NFCgrs4xDWZW4/ZuNEc2Wi1AWjDui5Hef8
 benbFWI7xAlM+l4KWxNhEw0gxV31MUBbIMr+f69eW2h+YxqykZvTJGN6OMC8fx3kOBo8
 NZ3RESEt2JG1XqZbqCpuhWSXnjg66UhJfUTZrb3Z9Ia8sbpy2VsexK7b6c/6xujNLRvc
 69SA==
X-Gm-Message-State: APjAAAUQldjTNImiN2Q7mGJXRKD6JbkluleW8gvXHfl9qFLwvfg0oRVW
 okXvF3u4+WgV/eKl0wlVQeJo+2i/tZtUxQ/lTM0=
X-Google-Smtp-Source: APXvYqxYgX+pSpvd7t6un7pnIoX3uIWSEYdN83E81hLZPonBYn2Ri288146+Im0GT5K3iKD1OU326M2wit7Y8FpyD1k=
X-Received: by 2002:a9d:68cb:: with SMTP id i11mr7411174oto.210.1578770115961; 
 Sat, 11 Jan 2020 11:15:15 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN> <lx36cllu0h.fsf@HIDDEN>
In-Reply-To: <lx36cllu0h.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 11 Jan 2020 19:14:38 +0000
Message-ID: <CAOqdjBcbRPkaJPtr2MrTnzrrdJO81XV6+_irfeq+Sw27iq3+qQ@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Pieter van Oostrum <pieter-l@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000f1bb46059be20f02"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Robert Pluim <rpluim@HIDDEN>, 38748 <at> debbugs.gnu.org, jguenther@HIDDEN,
 andreyk.mad@HIDDEN, alan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f1bb46059be20f02
Content-Type: text/plain; charset="UTF-8"

On Sat, Jan 11, 2020 at 6:37 PM Pieter van Oostrum
<pieter-l@HIDDEN> wrote:
> I compiled HEAD with this patch applied, and it still crashed but with the other crash cause (in Fmouse_pixel_position).

Do you have a backtrace? I think it's a NULL pointer reference now.
The attached patch might help.

--000000000000f1bb46059be20f02
Content-Type: text/x-patch; charset="US-ASCII"; name="38748b.diff"
Content-Disposition: attachment; filename="38748b.diff"
Content-Transfer-Encoding: base64
Content-ID: <f_k59yxp9y0>
X-Attachment-Id: f_k59yxp9y0

ZGlmZiAtLWdpdCBhL3NyYy9uc3Rlcm0ubSBiL3NyYy9uc3Rlcm0ubQppbmRleCA1NzU3M2VmOGQ3
Li41YWExNzAyNThlIDEwMDY0NAotLS0gYS9zcmMvbnN0ZXJtLm0KKysrIGIvc3JjL25zdGVybS5t
CkBAIC0yNTMyLDcgKzI1MzIsNyBAQCBzbyBzb21lIGtleSBwcmVzc2VzIChUQUIpIGFyZSBzd2Fs
bG93ZWQgYnkgdGhlIHN5c3RlbS4gICovCiAgICAgICAmJiBGUkFNRV9MSVZFX1AgKGRweWluZm8t
Pmxhc3RfbW91c2VfZnJhbWUpKQogICAgIGYgPSBkcHlpbmZvLT5sYXN0X21vdXNlX2ZyYW1lOwog
Ci0gIGlmIChmICYmIEZSQU1FX05TX1AgKGYpKQorICBpZiAoZiAmJiBGUkFNRV9OU19QIChmKSAm
JiBGUkFNRV9PVVRQVVRfREFUQSAoZikpCiAgICAgewogICAgICAgdmlldyA9IEZSQU1FX05TX1ZJ
RVcgKGYpOwogCg==
--000000000000f1bb46059be20f02--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 19:07:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 14:07:29 2020
Received: from localhost ([127.0.0.1]:56693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqM6a-0008C8-Qe
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 14:07:29 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:46097)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1iqM6X-0008Br-Tt
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 14:07:26 -0500
Received: by mail-wr1-f54.google.com with SMTP id z7so4749228wrl.13
 for <38748 <at> debbugs.gnu.org>; Sat, 11 Jan 2020 11:07:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to;
 bh=8JHBIn2gbY1UBlitjVeRNagAN9sfHF4PBHdHaX+93b4=;
 b=MpD32C+hHLAeSgeqBm+OcxGptKh25PmPx/MfI35AFbfKyCXtPhecQeTuh9cOyz/Z52
 TXzsNPxMVFnMUhW0JBcqRSSBaEkHj6ct0ILuY3SGWdQA/wMYyL12ImnTzzknO0qUxi78
 MeMF8+R6EurP42/DPL+TsYvJUfvzrTcXUcqhXm8bm9sY2UApS7Vuf1xH+eEcS+AHYHY9
 NlK19jEwvGsnJDFURU4Fa4u1fIv6RbUYSsLe2PG7eL9VBRx205iDZToamBxKschJFkGh
 gBuawFtbUllPCgCwc0oTOcVxsSCQV1cpBwIaCDc7n7tDs3JJAKFjuJCECHpFSLZCRpT8
 RYaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to;
 bh=8JHBIn2gbY1UBlitjVeRNagAN9sfHF4PBHdHaX+93b4=;
 b=t+kKM0WXQ3F/pd9YIhlAY6bsNcWwGchwzkDkzoZ14y8XxNV76MiQxZO1CrPlX+ZrcE
 nSCJbVDVfoHaUL8WhWCHrlQ/cZ3nXI5aYIVUPs0FTEaUliXiq0b1Rhu1n++V74wNq7a6
 7g/5FGpjOBCmp0lRRbceN2WzKzDAEWLbboDgiZ4jAdk4bMoDq0dD2YsJyxWaPLj7moIi
 xAQBX99jFuZmuNR4sMmgv1/pMWk+vNT4IKNslEoDnPUOLYYYZv01EUOOPk1iR6ZLqjT5
 r7c7BJ+RoAgn/Vsq5nUuGy0BYfYt7um6h9p94WOrE5AvOhwEJ+5CxT395HIBPEyFkCUe
 yFPQ==
X-Gm-Message-State: APjAAAUxwVbmDSEi1dDWSKVVQPX8Nu8pEOQI7FmCkzX7hN77Rbu/Hs6E
 dR0QZ5WXaOYmWBJbJ6BWVmA=
X-Google-Smtp-Source: APXvYqwga2yAoMXW2akGmsJw7oUhok7IRCo5QCHqpCsX6Ecr9ILDp13E/7iuQXxfuFhu2BnfHF8k8Q==
X-Received: by 2002:a5d:44ca:: with SMTP id z10mr10613896wrr.266.1578769640003; 
 Sat, 11 Jan 2020 11:07:20 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-3181-38ae-3880-6acc.holly.idiocy.org.
 [2001:8b0:3f8:8129:3181:38ae:3880:6acc])
 by smtp.gmail.com with ESMTPSA id a184sm7539049wmf.29.2020.01.11.11.07.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 11 Jan 2020 11:07:19 -0800 (PST)
Date: Sat, 11 Jan 2020 19:07:15 +0000
From: Alan Third <alan@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Message-ID: <20200111190715.GA40876@HIDDEN>
References: <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
 <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
 <20200111135920.GB40597@HIDDEN>
 <CAOqdjBfo2L3Ue1ytnZK6Akxu8K94xww4TRmNO4bjSFgCeonNLQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAOqdjBfo2L3Ue1ytnZK6Akxu8K94xww4TRmNO4bjSFgCeonNLQ@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Sat, Jan 11, 2020 at 02:13:43PM +0000, Pip Cet wrote:
> On Sat, Jan 11, 2020 at 1:59 PM Alan Third <alan@HIDDEN> wrote:
> > > It's my impression that macOS forces us to run in several threads,
> > > even though we don't really want to do so. For example, changeFont in
> > > nsterm.m appears not to assume it's run on the main thread, but calls
> > > build_string, which sounds dangerous to me.
> >
> > What makes you think it’s assuming it may not be run on the main
> > thread?
> 
> The way it doesn't simply call Lisp, but sets up an event to be
> handled in the event loop. How is changeFont actually called? Would it
> be safe to call Lisp from it?

changeFont is called during the NS run (event) loop which I don’t
think is safe for calling lisp.

Effectively Emacs requests the font panel to be opened and then any
changes made in it are handled as though they’re user input events. I
remember looking into it because it doesn’t work like on other
toolkits, but because it’s this detached thing that only communicates
through input events while Emacs continues running it makes it
difficult to match its behaviour.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 18:43:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 13:43:55 2020
Received: from localhost ([127.0.0.1]:56683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqLjn-0007co-J9
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:43:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqLjm-0007cZ-Hv
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:43:54 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52779)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqLjg-0002b9-OU; Sat, 11 Jan 2020 13:43:48 -0500
Received: from [176.228.60.248] (port=4619 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqLjf-0007lg-Ow; Sat, 11 Jan 2020 13:43:48 -0500
Date: Sat, 11 Jan 2020 20:43:47 +0200
Message-Id: <83lfqd7s0s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
In-reply-to: <lx36cllu0h.fsf@HIDDEN> (message from Pieter
 van Oostrum on Sat, 11 Jan 2020 19:37:02 +0100)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN> <lx36cllu0h.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 alan@HIDDEN, pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pieter van Oostrum <pieter-l@HIDDEN>
> Date: Sat, 11 Jan 2020 19:37:02 +0100
> Cc: Pip Cet <pipcet@HIDDEN>, jguenther@HIDDEN, alan@HIDDEN,
>  andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
> 
> Robert Pluim <rpluim@HIDDEN> writes:
> 
> >     Pip> diff --git a/src/nsterm.m b/src/nsterm.m
> >     Pip> index 03754e5ae5..c1d1d41117 100644
> >     Pip> --- a/src/nsterm.m
> >     Pip> +++ b/src/nsterm.m
> >     Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
> >     Pip>    [view release];
> >  
> >     Pip>    xfree (f->output_data.ns);
> >     Pip> +  f->output_data.ns = NULL;
> >  
> >     Pip>    unblock_input ();
> >     Pip>  }
> >
> > That has fixed things for me, not been able to crash it with Andrii's
> > recipe (I had to increase the number of frames to get it to crash).
> >
> > Robert
> 
> I compiled HEAD with this patch applied, and it still crashed but with the other crash cause (in Fmouse_pixel_position).

Can you show the values of variables I asked about regarding that
crash?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 18:37:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 13:37:15 2020
Received: from localhost ([127.0.0.1]:56670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqLdL-0007SC-9n
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:37:15 -0500
Received: from [145.132.212.31] (port=49458 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1iqLdI-0007Rp-Q7
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 13:37:13 -0500
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id B08E5A5FC505;
 Sat, 11 Jan 2020 19:37:04 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 <m2blrcacfg.fsf@HIDDEN>
Date: Sat, 11 Jan 2020 19:37:02 +0100
In-Reply-To: <m2blrcacfg.fsf@HIDDEN> (Robert Pluim's message of "Thu, 09
 Jan 2020 16:15:31 +0100")
Message-ID: <lx36cllu0h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: >>>>>> On Thu, 9 Jan
 2020 14:16:54 +0000, Pip Cet <pipcet@HIDDEN> said: > > Pip> On Thu, Jan
 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote: > >>
 Here is the '~/emacs-crash.el' [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: vanoostrum.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 Pip Cet <pipcet@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Thu, 9 Jan 2020 14:16:54 +0000, Pip Cet <pipcet@HIDDEN> said:
>
>     Pip> On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote:
>     >> Here is the '~/emacs-crash.el' content:
>     >> (make-frame `((parent-frame . ,(window-frame))))
>     >> (make-frame `((parent-frame . ,(window-frame))))
>     >> (make-frame `((parent-frame . ,(window-frame))))
>     >> (make-frame `((parent-frame . ,(window-frame))))
>     >> (delete-frame)
>     >> (delete-frame)
>     >> (delete-frame)
>     >> (delete-frame)
>     >> (garbage-collect)
>
>     Pip> That sounds like Robert's bug, but not like the one that's related to
>     Pip> the "x = false" thing.
>
>     Pip> Can you try the attached patch?
>
>     Pip> diff --git a/src/nsterm.m b/src/nsterm.m
>     Pip> index 03754e5ae5..c1d1d41117 100644
>     Pip> --- a/src/nsterm.m
>     Pip> +++ b/src/nsterm.m
>     Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
>     Pip>    [view release];
>  
>     Pip>    xfree (f->output_data.ns);
>     Pip> +  f->output_data.ns = NULL;
>  
>     Pip>    unblock_input ();
>     Pip>  }
>
> That has fixed things for me, not been able to crash it with Andrii's
> recipe (I had to increase the number of frames to get it to crash).
>
> Robert

I compiled HEAD with this patch applied, and it still crashed but with the other crash cause (in Fmouse_pixel_position).
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 14:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 09:14:27 2020
Received: from localhost ([127.0.0.1]:55591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqHX1-0006g5-0r
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 09:14:27 -0500
Received: from mail-oi1-f176.google.com ([209.85.167.176]:45608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1iqHWz-0006fq-Nc
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 09:14:26 -0500
Received: by mail-oi1-f176.google.com with SMTP id n16so4417960oie.12
 for <38748 <at> debbugs.gnu.org>; Sat, 11 Jan 2020 06:14:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=KTyHBHcH4ye8l9VpnfkAErPhcd7DuDvLweT2GeYKKMg=;
 b=hb0bc5oWmHmcMMlhO0EdODkdI7XtvOoDKA7SK3gTzgZ+K1uoKBSmHWatT9RSfbXpgL
 59K0H0rPd/VfltYV0S0ZzXIgWjs4pCVj5LbotPD67r3iLq615/1ZHMhhQmr+N5abRTNb
 9xsSEmDt5rp8/w/reAk4SPWjPJkJzErDkpi/TPlYMdNSsao3IzOODbRVS0dGK1eNPGhI
 A0mTO4eBUIjbIqaDEYrSrUUDkVH+lcm9515UfC3k8/dLpfmzzEVfY/1DSXB6BOoGqXJB
 Aza07vRQ9JJ1+hv/Pk+rmgY0y79416T2VOHz1gCASqfn4fitdqie2puXfX/PWWsxSHSc
 Y1Hg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=KTyHBHcH4ye8l9VpnfkAErPhcd7DuDvLweT2GeYKKMg=;
 b=H+mOD11G0F0P9JKtwv2Qi8c0gD+zVcwWPj1kIB4lPND/LgNwipO/I8CORfS2mgG526
 OpFV1gZic8Tb4VE8+xc34/UNGD4v5dyM9d8tsVVkfQd+4xyfq/XY/YgdFXq74903mTfe
 +1THy22mar6OUoaHDRjxeRQFTwAGJoXjYrYwvH+QxHzXmR4iSei/ETEWgFL3foGVtffd
 lbQA3Ix1h+9Wk2cYr/g4tof3IYqGClZHcXgRpzgvkKE61G1fnwjG6qKYBBeKGfTHK3Oe
 zEa/KepFn4ZvLYpZnZ34kS+U0YCNgcm6qUxGaxMfEQmo69BK1My89qfsJqkcWMjuLU6V
 44yg==
X-Gm-Message-State: APjAAAXsTOE6qclZdLCjeUzi0iPooxow8s0cM07asI6yqBgxQNETguNP
 O0gt/DONXrTGVx2KyZcE9PA1zIHkfEpHqVEroJk=
X-Google-Smtp-Source: APXvYqxJazBsPL0JsMy9rTfWxyVb7QxweDYuUdQU57QAMaUjdYN20oBa4UwVuCUSYCPuKziS+h3OzJGPLR2KmvU3jT4=
X-Received: by 2002:aca:5588:: with SMTP id j130mr6187579oib.122.1578752060131; 
 Sat, 11 Jan 2020 06:14:20 -0800 (PST)
MIME-Version: 1.0
References: <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
 <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
 <20200111135920.GB40597@HIDDEN>
In-Reply-To: <20200111135920.GB40597@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Sat, 11 Jan 2020 14:13:43 +0000
Message-ID: <CAOqdjBfo2L3Ue1ytnZK6Akxu8K94xww4TRmNO4bjSFgCeonNLQ@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Jan 11, 2020 at 1:59 PM Alan Third <alan@HIDDEN> wrote:
> > It's my impression that macOS forces us to run in several threads,
> > even though we don't really want to do so. For example, changeFont in
> > nsterm.m appears not to assume it's run on the main thread, but calls
> > build_string, which sounds dangerous to me.
>
> What makes you think it=E2=80=99s assuming it may not be run on the main
> thread?

The way it doesn't simply call Lisp, but sets up an event to be
handled in the event loop. How is changeFont actually called? Would it
be safe to call Lisp from it?

> macOS does set up several threads, but it doesn=E2=80=99t force any of yo=
ur
> code to run in arbitrary threads.

That's good to know, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 13:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 08:59:31 2020
Received: from localhost ([127.0.0.1]:55582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqHIZ-0006Ge-KW
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 08:59:31 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:33357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1iqHIX-0006GR-6n
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 08:59:29 -0500
Received: by mail-wm1-f53.google.com with SMTP id d139so6349138wmd.0
 for <38748 <at> debbugs.gnu.org>; Sat, 11 Jan 2020 05:59:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to;
 bh=7o/43ETA9U5M2N8w8N68KlPWn/vy8TeuxX1g6dkBHiE=;
 b=VBvgPpCZPz0OQArmLtBRidWjEabZX/qv1yBb+xmKql5cto1SJcTiE1m3TBV4jx74Ln
 MoDsIDIF07jPEMgSn7gxoCa/S9ioozydzCqlVP+GutwBEVLoiBp6SVML8r+a9+8Iy4SA
 8/IP9rOEmo54k62x29TgdgrAfW3GeCchjCldTrDPNFiQgmhhjVn+3lS3y2HjsjHkDtd1
 aE9y1zXSpysox++fp3fv/Fs52uXC30NjmGXRxJGG0Upqf4lSbLgyRVBy83+2WITofKD5
 fB/rDsVIo8ZOvJ3brlOI/xko95yEIftnasPdR+EEvtGEQ81Uq5atbk1SYaFzxphvsMNS
 LN4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to;
 bh=7o/43ETA9U5M2N8w8N68KlPWn/vy8TeuxX1g6dkBHiE=;
 b=MZXYtRysAobpJjfwxEHoP6JAylfQLC5obsLJq1yzfBsQl62id0dijztI0QK+SW62zz
 PsMXGGLyDTR13W86rG+cZG37XgiMESbXIYEDshwJ+zCHvVrJVkWSkSCtPxiEGIitFu8G
 mf2lcB+8UE+FZacrTiU+Gt1T/veRxd0Hr72615clift4Sqy1Cz2hpvWuxn6vRCogolsq
 +hnjnVV1X4gsM6kIAW2kMDeRNSbMwNUFYj89Zo2i54RRi3JmOvGiLMPsHbWDcpY1ir5g
 Hj2FKXPsJAjOEl5s0ysVEWja9he1kn72Vl9jfYR5vH2gefUD3aAhbnAzf2mEheJoHxwD
 pJEw==
X-Gm-Message-State: APjAAAUybtVCI0rElraRufoMr4x1tkpozol2DTBkQj5AcCjQsuX/L6Yd
 M9VsXJ7DyyJD9g9MQs2qVDo=
X-Google-Smtp-Source: APXvYqzrWNFTcaz6dJ4IgtJIwAAXDBqcYlVseM7fzQjBA1rJliORhqQ9EDN1TGGYZfkCJ1WB8MPRoQ==
X-Received: by 2002:a05:600c:22c8:: with SMTP id
 8mr9816946wmg.178.1578751163315; 
 Sat, 11 Jan 2020 05:59:23 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-3181-38ae-3880-6acc.holly.idiocy.org.
 [2001:8b0:3f8:8129:3181:38ae:3880:6acc])
 by smtp.gmail.com with ESMTPSA id t5sm6520451wrr.35.2020.01.11.05.59.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 11 Jan 2020 05:59:22 -0800 (PST)
Date: Sat, 11 Jan 2020 13:59:20 +0000
From: Alan Third <alan@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Message-ID: <20200111135920.GB40597@HIDDEN>
References: <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
 <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, andreyk.mad@HIDDEN, rpluim@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Fri, Jan 10, 2020 at 09:22:30AM +0000, Pip Cet wrote:
> On Fri, Jan 10, 2020 at 8:27 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > What do you mean by "secondary thread"?
> 
> It's my impression that macOS forces us to run in several threads,
> even though we don't really want to do so. For example, changeFont in
> nsterm.m appears not to assume it's run on the main thread, but calls
> build_string, which sounds dangerous to me.

What makes you think it’s assuming it may not be run on the main
thread?

macOS does set up several threads, but it doesn’t force any of your
code to run in arbitrary threads.

One of the big TODOs in the NS port is making code that may be called
from lisp safe to run in any thread because at the moment it all
assumes it’s running in a single thread, but lisp can call from any
lisp thread (and then Emacs crashes).

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 12:14:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 07:14:22 2020
Received: from localhost ([127.0.0.1]:55504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqFeo-0001hb-6l
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 07:14:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqFem-0001hO-9a
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 07:14:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47501)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqFeh-0006hV-3G; Sat, 11 Jan 2020 07:14:15 -0500
Received: from [176.228.60.248] (port=4435 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqFeg-0001Km-Go; Sat, 11 Jan 2020 07:14:14 -0500
Date: Sat, 11 Jan 2020 14:14:16 +0200
Message-Id: <83tv526vhj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <p4j@HIDDEN>
In-reply-to: <0100016f943356b4-2fc5e526-f897-48ce-a1d3-15b50f77a4d8-000000@HIDDEN>
 (message from Pankaj Jangid on Sat, 11 Jan 2020 10:43:10 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
 <8336cnacp4.fsf@HIDDEN> <m2pnfr8vic.fsf@HIDDEN>
 <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>
 <83a76u8lfm.fsf@HIDDEN>
 <0100016f943356b4-2fc5e526-f897-48ce-a1d3-15b50f77a4d8-000000@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pankaj Jangid <p4j@HIDDEN>
> Cc: 38748 <at> debbugs.gnu.org
> Date: Sat, 11 Jan 2020 10:43:10 +0000
> 
> >> Is there a crash dump create somewhere? I am not aware of it.
> >
> > It's your OS function.  I don't use macOS, but every modern OS records
> > some information about a crash of every program in some place, so
> > searching the Internet and/or your system documentation will certainly
> > reveal how to find that place and look up the crash info from there.
> >
> 
> Yes. About 10 mins back, my Emacs crashed again (Emacs-27.0.60
> HEAD). Got the OS dump,
> 
> https://send.firefox.com/download/2efd11c5e13a4fd7/#AsR4tM-dV4cV4Cwig09pyA

Looks like the other crashes reported here, so please stay tuned for a
possible solution.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 10:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 05:43:17 2020
Received: from localhost ([127.0.0.1]:55436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqEEf-0007Zm-4b
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 05:43:17 -0500
Received: from a8-87.smtp-out.amazonses.com ([54.240.8.87]:40522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2) (envelope-from
 <0100016f943356b4-2fc5e526-f897-48ce-a1d3-15b50f77a4d8-000000@HIDDEN>)
 id 1iqEEd-0007ZX-UU
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 05:43:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/simple;
 s=2i3gzvbgh3d3bo7yfqpvb5eru2hqctky; d=j4d.net; t=1578739390;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type;
 bh=qO2IoA3eMVe7xL+FlKHW1PLJPY2QmksKtRsrn7oAPmM=;
 b=VUcxWbEqO5ECimX+hTh4gfOisWKK8uv0Hbijl92okWsLkDF3jTlT8hc1r1EVBap7
 8lrESt2jEyM34YpOw8i4LknWF/PCKXnicfrZhEytWkXd19h5i9CSuPGdMT1oLDLqEGh
 huA5WVgTSk4P1lavefQPOMAHhZvI2Lil0523tG+g=
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/simple;
 s=6gbrjpgwjskckoa6a5zn6fwqkn67xbtw; d=amazonses.com; t=1578739390;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type:Feedback-ID;
 bh=qO2IoA3eMVe7xL+FlKHW1PLJPY2QmksKtRsrn7oAPmM=;
 b=fJ6qgF462inKN+XcBINI0IIOIcTRrm727OEaD/hZGRFRfSv6yssgJF2y/p3q8uDo
 8tcbA/fESnfGSQg1DIMAQ5Owk8zcM/ZLLEUQhz8DDWn3KueW38tfjmhJUzEzmI3fjNl
 ssI6wHihs8DA9trgwTB+CZQc/dkYlWHZ6rFgxxfI=
From: Pankaj Jangid <p4j@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Organization: J4D Network
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
 <8336cnacp4.fsf@HIDDEN> <m2pnfr8vic.fsf@HIDDEN>
 <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>
 <83a76u8lfm.fsf@HIDDEN>
Date: Sat, 11 Jan 2020 10:43:10 +0000
In-Reply-To: <83a76u8lfm.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 11 Jan
 2020 10:08:29 +0200")
Message-ID: <0100016f943356b4-2fc5e526-f897-48ce-a1d3-15b50f77a4d8-000000@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-SES-Outgoing: 2020.01.11-54.240.8.87
Feedback-ID: 1.us-east-1.txOs6RzEvQ8hCXYeLqJ8lVjB3e7LuQl8h6pdq90PbRQ=:AmazonSES
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 38748
Cc: 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:
>> Yesterday, Emacs 27.0.60 (built from HEAD) crashed on my macOS
>> ...
> In general, if Emacs crashes from time to time, my advice is to run it
> under a debugger at all times, and when it crashes, produce a
> backtrace and post it together with the bug report.  If you can afford
> leaving the crashed session under the debugger, please do, as we might
> have some requests for you to look inside the crashed session and show
> values of some variables.

Thanks for this info. I'll follow the above steps.

>> Is there a crash dump create somewhere? I am not aware of it.
>
> It's your OS function.  I don't use macOS, but every modern OS records
> some information about a crash of every program in some place, so
> searching the Internet and/or your system documentation will certainly
> reveal how to find that place and look up the crash info from there.
>

Yes. About 10 mins back, my Emacs crashed again (Emacs-27.0.60
HEAD). Got the OS dump,

https://send.firefox.com/download/2efd11c5e13a4fd7/#AsR4tM-dV4cV4Cwig09pyA

Regards
Pankaj




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 08:08:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 03:08:34 2020
Received: from localhost ([127.0.0.1]:55308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqBov-0003qm-TG
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 03:08:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iqBou-0003qY-JN
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 03:08:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45674)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iqBop-0003k5-Eg; Sat, 11 Jan 2020 03:08:27 -0500
Received: from [176.228.60.248] (port=1362 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iqBoo-0005pL-Qt; Sat, 11 Jan 2020 03:08:27 -0500
Date: Sat, 11 Jan 2020 10:08:29 +0200
Message-Id: <83a76u8lfm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <p4j@HIDDEN>
In-reply-to: <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>
 (message from Pankaj Jangid on Sat, 11 Jan 2020 06:26:45 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
 <8336cnacp4.fsf@HIDDEN> <m2pnfr8vic.fsf@HIDDEN>
 <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pankaj Jangid <p4j@HIDDEN>
> Date: Sat, 11 Jan 2020 06:26:45 +0000
> 
> Yesterday, Emacs 27.0.60 (built from HEAD) crashed on my macOS
> 10.15.2. I could not reproduce it after many tries. But just in case if
> it happens again, what information should I share apart from steps to
> reproduce.

In general, if Emacs crashes from time to time, my advice is to run it
under a debugger at all times, and when it crashes, produce a
backtrace and post it together with the bug report.  If you can afford
leaving the crashed session under the debugger, please do, as we might
have some requests for you to look inside the crashed session and show
values of some variables.

> Is there a crash dump create somewhere? I am not aware of it.

It's your OS function.  I don't use macOS, but every modern OS records
some information about a crash of every program in some place, so
searching the Internet and/or your system documentation will certainly
reveal how to find that place and look up the crash info from there.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 11 Jan 2020 06:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 01:26:53 2020
Received: from localhost ([127.0.0.1]:55262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqAEX-0001NC-PO
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 01:26:53 -0500
Received: from a48-107.smtp-out.amazonses.com ([54.240.48.107]:35938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2) (envelope-from
 <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>)
 id 1iqAEV-0001Mz-1r
 for 38748 <at> debbugs.gnu.org; Sat, 11 Jan 2020 01:26:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/simple;
 s=2i3gzvbgh3d3bo7yfqpvb5eru2hqctky; d=j4d.net; t=1578724005;
 h=From:To:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type;
 bh=UNBzvZ8XnTMDG/0eLXeqvWgTtfmOlP4U0iSG3Ys3Tmc=;
 b=EJTNqe43EBB6K4bbr21tbqCcFNkWgLRiNNjBUYrIIm7MaPTJeBnOmTKq62hobiQP
 nXcrb3y2JOEVV1p3dwsvrCK0iTh+PwJzWv32DPfWRawnuW/D9vHaNnEG/EhRGuw3DRb
 MQsAGfTnVg1QNbmwpYIMthSH10Pmj4mG/t/iI1Ic=
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/simple;
 s=6gbrjpgwjskckoa6a5zn6fwqkn67xbtw; d=amazonses.com; t=1578724005;
 h=From:To:Subject:References:Date:In-Reply-To:Message-ID:MIME-Version:Content-Type:Feedback-ID;
 bh=UNBzvZ8XnTMDG/0eLXeqvWgTtfmOlP4U0iSG3Ys3Tmc=;
 b=ZYEX5lxvX53eSaAdzt+X1enzJjvw6C0EdwEIpeG4T86eS4zyGqwUp0wmW5xwPmY3
 bH7GtWv5ughYvkNCCi3F/QOeZ767fdXALU+3o7lRM6/5zJCf2rOSrlphaUmd+v8CPI1
 EmW4ibC9EFqQlaVJnIqb13tlLgX91xTwx50HSpAc=
From: Pankaj Jangid <p4j@HIDDEN>
To: 38748 <at> debbugs.gnu.org
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Organization: J4D Network
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
 <8336cnacp4.fsf@HIDDEN> <m2pnfr8vic.fsf@HIDDEN>
Date: Sat, 11 Jan 2020 06:26:45 +0000
In-Reply-To: <m2pnfr8vic.fsf@HIDDEN> (Robert Pluim's message of "Fri, 10
 Jan 2020 11:18:35 +0100")
Message-ID: <0100016f93489400-cbc6d1d9-195a-450b-a60d-629c054ca981-000000@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-SES-Outgoing: 2020.01.11-54.240.48.107
Feedback-ID: 1.us-east-1.txOs6RzEvQ8hCXYeLqJ8lVjB3e7LuQl8h6pdq90PbRQ=:AmazonSES
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 38748
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Yesterday, Emacs 27.0.60 (built from HEAD) crashed on my macOS
10.15.2. I could not reproduce it after many tries. But just in case if
it happens again, what information should I share apart from steps to
reproduce.

Is there a crash dump create somewhere? I am not aware of it.

Regards
-- 
Pankaj Jangid






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 10:18:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 05:18:45 2020
Received: from localhost ([127.0.0.1]:53682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iprNN-00085Q-2y
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 05:18:45 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:42510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iprNK-00085B-RS
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 05:18:43 -0500
Received: by mail-wr1-f42.google.com with SMTP id q6so1230980wro.9
 for <38748 <at> debbugs.gnu.org>; Fri, 10 Jan 2020 02:18:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=os5mIPmikUIRliabvCL4egdmD9pPy6hW7rIXmNEn9pY=;
 b=PCrhFtgYWHdy8TyQ865U1bVmJEU1BAcFi9wZDu8E97gPbr1JJJwNVjzW5+v69RcgUE
 10jcrX/LWq7LxT9CjRAXnwH3vKc+/TlJAtqEtek7/eqIVMMXtXyLJimCeKKcia06Sor/
 zZzMFfmK34Mm3cy4snUtbDnolABKWl3WfZHTlseDt+LdO6ovn/4cpfYC0R2/svKgvDrS
 iww3Z6f5XqoJgdWJ6gcgTza0t3wNRUuakKI/4LMhSBzcMyR77h22zl96zdbZuWYgCxn9
 MGTDlwQE7zLQoNXxMeafwdJys2EqLwebG/VicvPa243TVBPRcRvHLpeil0nMzzVZzhhI
 gzCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=os5mIPmikUIRliabvCL4egdmD9pPy6hW7rIXmNEn9pY=;
 b=U1H4dXQSh0uIAtMGq4PTg9vTyMlTwiJHslxSOnCClm4e2/adlwO25bYf3hwwklcPf/
 7WXdAG1aLplwaqdRlQjaWDQAleJ00LRb3R3vbxuH4b3d9AUOLU3H+cPVm2MOI2s6nwSq
 Ne+UGc3+O/BqrTpp5ta7ZWUrXCSO1APS8XUXYK98+JogJOPkYdCaPu7jPWxPSWrr3rwa
 35Kzh3utaYMFxm1abCPq9kv1+r0JwlOgmL18XlC2zu5DOnXSAlObaAcntKhDWFM7uQUj
 K0l1+GJOkzsFZNL4kWkJNh6yF/AgnSdpHk/IHIEh3LBzbAU7r9Tz8vljpg3PaiCVYrGY
 8G/A==
X-Gm-Message-State: APjAAAVZS/QTaohdfLAJNlqR4wOCSUdKlvA34jN3WdB8Pp7csbSdjAYq
 w2FpgHt+3km3JvuRLlJZG0GGxi5R1kQ=
X-Google-Smtp-Source: APXvYqzbW2fl6GJmF4tNlcHwcuCf9GcHIh2/NycJmGxyvGjk2OXnfz2Su8r044XEJKJmeP0SdIULJw==
X-Received: by 2002:a5d:448c:: with SMTP id j12mr2638379wrq.125.1578651516628; 
 Fri, 10 Jan 2020 02:18:36 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id u8sm1685420wmm.15.2020.01.10.02.18.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 10 Jan 2020 02:18:35 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
 <8336cnacp4.fsf@HIDDEN>
Date: Fri, 10 Jan 2020 11:18:35 +0100
In-Reply-To: <8336cnacp4.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Jan
 2020 11:21:59 +0200")
Message-ID: <m2pnfr8vic.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, andreyk.mad@HIDDEN, jguenther@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 10 Jan 2020 11:21:59 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Pip Cet <pipcet@HIDDEN>,  38748 <at> debbugs.gnu.org,  alan@idiocy=
.org,
    >> andreyk.mad@HIDDEN,  jguenther@HIDDEN
    >> Date: Fri, 10 Jan 2020 09:58:52 +0100
    >>=20
    >> It=CA=BCs possible that there is only one bug.

    Eli> I certainly hope so!

    >> The emacs I=CA=BCve been using with the change in nsterm.m suggested=
 by
    >> Pip has been completely stable. If it does crash again I can trawl
    >> through last_marked.

Although of course that build is with '-O0', and if there is a 2nd bug
it would be optimization dependent. I=CA=BCll rebuild with the default
'-O2' and run that.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 09:33:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 04:33:17 2020
Received: from localhost ([127.0.0.1]:53662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipqfN-00070A-6e
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:33:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipqfL-0006zx-Ai
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:33:15 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43760)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipqfF-00044Y-SB; Fri, 10 Jan 2020 04:33:09 -0500
Received: from [176.228.60.248] (port=2246 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipqfE-0000aO-1t; Fri, 10 Jan 2020 04:33:08 -0500
Date: Fri, 10 Jan 2020 11:33:06 +0200
Message-Id: <83zhev8xm5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
 (message from Pip Cet on Fri, 10 Jan 2020 09:22:30 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
 <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Fri, 10 Jan 2020 09:22:30 +0000
> Cc: rpluim@HIDDEN, alan@HIDDEN, jguenther@HIDDEN, 
> 	andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
> 
> > I still think the shortest way to finding the culprit here is to
> > patiently and painfully go over the last_marked array, deciphering
> > the Lisp object we marked, until we succeed in identifying the Lisp
> > data structure which got corrupted.  Once we succeed in identifying
> > that data structure, it should be relatively easy to find who and
> > where corrupts it.  This may mean a lot of inconvenient drudgery,
> > exacerbated by the fact that having a functional GDB on macOS is not
> > easy, but I don't think we have a better way at this point.
> 
> I disagree. The patch to nsterm.m is obviously harmless, and appears
> to fix the one bug we have clear evidence of, in a way that seems
> logical and necessary to me.

I wasn't talking about that part (I agree that fix should be
installed), but again, it's unrelated to the initialization of 'ok'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 09:23:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 04:23:15 2020
Received: from localhost ([127.0.0.1]:53658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipqVf-0006lD-5m
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:23:15 -0500
Received: from mail-oi1-f194.google.com ([209.85.167.194]:34903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipqVd-0006l1-OQ
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:23:14 -0500
Received: by mail-oi1-f194.google.com with SMTP id k4so1333548oik.2
 for <38748 <at> debbugs.gnu.org>; Fri, 10 Jan 2020 01:23:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=dTzl4q1yX+ecosPeT22Opk/k/JUwiiDOnfRzaZWPl5U=;
 b=qsybu/GzfewLSkjmWyZJ3wTmRqP46fgiQ9fttPplno5j+XtOoUgWZGuZSJksUvIjHP
 lBX8589hoYet556YngNsxMdvMzNF0uhrD+z3nqQKxIUvDQtIY0BTg6gypiqRVg9pUXxe
 IxwP07PSPnv+Yb2pHEatGgzaQdLtFVQM/72j7NvgPwCzrp2JtwrnRAe3w25/EDt4ggxA
 jHvAnjjw3bmm2kYgWvPLqNTCatnHZyb1zyMqGisg7Ny+JSon7uUF0/PpyoKmNlG5sRTV
 Zj08P3oJoydBuzAxWwPSjIllb0etPVt8TU1N43c7+1pey1USRX/xMHLeb0h/9I07+XJ/
 vNTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dTzl4q1yX+ecosPeT22Opk/k/JUwiiDOnfRzaZWPl5U=;
 b=fxRTJaIw1XpeG4fNd7oycNskSb4IKRSe/0C0XSf0AZpn+HHSfmYCkdNdGy307Luder
 y/zKT10p4cod9Lce0Or9HQ/0KU7f/9oPl1rV/y4WkzdwIB1nS+riGXUsqRVom0qHuedO
 Y9YvEsjCjN5UBKYtNLDUNkLaDhNqO7nUf5AGIgKviqtkNjmVaP7wW0rZnLFRjoFFUgLD
 ldwHrUK+oAcY1YQgQE248tMb2lPDEcMPlODmOnMU7N1VbwkPnfw0CVnJbD7AOgclAElq
 ghhnRXS9zy477T9ikD/OP0ylEjQvadj1vvB5VlHYfl79f8boo5Wt53eoFnR5Zc0vRC1H
 9Vfg==
X-Gm-Message-State: APjAAAXh8QTCxoLfVmxDJvFksXQqdRRpCmeX0Y+2njUPOdJCdo7fOGqk
 iDwYxo9/LPyR7zZlECad3f0jKmaJ3IXKFjRx8BU=
X-Google-Smtp-Source: APXvYqxJfeVMDMaDDhjGiPxaaQ1UsaElmSvaNsKB9sRbtz1B8ckAb3Z8oNcJyFvNbb6FYcMREl+UaoIcrm3pB8jOd5k=
X-Received: by 2002:a05:6808:312:: with SMTP id
 i18mr1521643oie.44.1578648188100; 
 Fri, 10 Jan 2020 01:23:08 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
In-Reply-To: <834kx3af7i.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Fri, 10 Jan 2020 09:22:30 +0000
Message-ID: <CAOqdjBdzzHsaQAtQ84Q3t5CLLOCSVBK_ZEX81AZ-DWJY10N+zA@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Jan 10, 2020 at 8:27 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > I can. I think we're looking at two bugs: the first is the simple
> > use-after-free of XFRAME (frame)->output_data.ns where `frame' is a
> > dead frame. I've confirmed on GNU/Linux that mark_frame is called for
> > a frame for which x_free_frame_resources has already been called, if
> > there's a global variable still referencing the frame. I think the
> > same thing happens on macOS.
>
> This one doesn't depend on the 'ok's initialization in
> face_inherited_attr in any way, does it?

It doesn't, no.

> What do you mean by "secondary thread"?

It's my impression that macOS forces us to run in several threads,
even though we don't really want to do so. For example, changeFont in
nsterm.m appears not to assume it's run on the main thread, but calls
build_string, which sounds dangerous to me.

> And how can GC modify Lisp
> data structures? that'd be a terrible bug.

Yes, it would be, but if bug#2 is real it's going to be terrible in
one way or another (I hope it's not GC-related, but "just" a stack
overflow).

> In any case, the full backtrace shows no trace of face_inherited_attr
> call anywhere in the callstack, so if there is indeed infinite
> recursion in that function, it was somehow exited long ago by the time
> GC runs.

I don't think the full backtrace is bug#2, it's bug#1.

> As for the tail-recursion part: do you see any sign of that in the
> disassembly posted by Robert?

No, just in the backtrace which shows execution at xfaces.c:2226, with
the PC not saved in the stack frame.

> I didn't, but maybe I missed
> something.  And such subtleties should only rear their ugly heads in
> optimized code, whereas we already know that an unoptimized build
> crashes in the same way.

Do we, though? We know that an unoptimized build crashes, but we don't
know it's the (hypothetical, as I said) bug#2.
>
> I still think the shortest way to finding the culprit here is to
> patiently and painfully go over the last_marked array, deciphering
> the Lisp object we marked, until we succeed in identifying the Lisp
> data structure which got corrupted.  Once we succeed in identifying
> that data structure, it should be relatively easy to find who and
> where corrupts it.  This may mean a lot of inconvenient drudgery,
> exacerbated by the fact that having a functional GDB on macOS is not
> easy, but I don't think we have a better way at this point.

I disagree. The patch to nsterm.m is obviously harmless, and appears
to fix the one bug we have clear evidence of, in a way that seems
logical and necessary to me.

If there is a second bug, and the backtrace we saw wasn't just a
fluke, it's going to show up when people run emacs on macOS in gdb in
all-stop mode. The problem is I think that hardly ever happens, and I
don't have access to a macOS machine.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 09:22:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 04:22:11 2020
Received: from localhost ([127.0.0.1]:53652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipqUc-0006j4-Sw
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:22:11 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipqUa-0006ir-B8
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 04:22:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43600)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipqUU-00004v-PU; Fri, 10 Jan 2020 04:22:02 -0500
Received: from [176.228.60.248] (port=1501 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipqUT-0003iY-Ji; Fri, 10 Jan 2020 04:22:02 -0500
Date: Fri, 10 Jan 2020 11:21:59 +0200
Message-Id: <8336cnacp4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m27e1zadrn.fsf@HIDDEN> (message from Robert Pluim on Fri, 10
 Jan 2020 09:58:52 +0100)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN> <m27e1zadrn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN, andreyk.mad@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Pip Cet <pipcet@HIDDEN>,  38748 <at> debbugs.gnu.org,  alan@HIDDEN,
>   andreyk.mad@HIDDEN,  jguenther@HIDDEN
> Date: Fri, 10 Jan 2020 09:58:52 +0100
> 
> Itʼs possible that there is only one bug.

I certainly hope so!

> The emacs Iʼve been using with the change in nsterm.m suggested by
> Pip has been completely stable. If it does crash again I can trawl
> through last_marked.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 08:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 03:59:05 2020
Received: from localhost ([127.0.0.1]:53645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipq8G-0006AV-Cp
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 03:59:05 -0500
Received: from mail-wm1-f41.google.com ([209.85.128.41]:35045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipq8D-00069t-MH
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 03:59:03 -0500
Received: by mail-wm1-f41.google.com with SMTP id p17so1100382wmb.0
 for <38748 <at> debbugs.gnu.org>; Fri, 10 Jan 2020 00:59:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=cNThl9bd4IzE+wLSaHRRUcLonDlBSraRKQDswmnb01I=;
 b=uR1hb1V9SW7UEaGxEtUfRN5mXBcdeMCk8oknojimUDLapu+MjP4cZKt+WS1jyASIUT
 fKQqV+unHUtVOJxCGKrpTjfdd2gT75aAgUg3C5Lp/lnR2MwtZ1d9pdM9IVYFhFAZYUCa
 +eEHlC5WuzgMjvuavWzga2rXoZc3B0PVP58snHGEC/c6uUUMkuBluy/WjswmRDFX41JP
 8F9GAcqRW8t8etCc2z0vNPoSd3tsN0QKcp97gYD2QhEs3Js17SAJXlSrjq09jkM5Hxw6
 HkoKjfL2PAcdz8dLmFjxTMmTWwMXtfXWieMC4lRGYPdByakzto6YmUIyrFVy4S52bUd+
 yrQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=cNThl9bd4IzE+wLSaHRRUcLonDlBSraRKQDswmnb01I=;
 b=D6sOMwRds7avIZ/rrq/+Y1gVxOseLc9HtYdK4nHnEyUedfRRla3uz9954AJYzzvNiF
 XX5rnqD20gi3nBkPjenl0CM1mYUdbifvJTJsFbvHbgFnejbmvWh4Z33PVWGv01RIQBLf
 UvMJ7zl8Xb43NozjEM+zCB3bsyFAtUd2zeEDsV+/qChhwj6yPw51lrY5qXuyekKoueKX
 KXH5m95qXrlXSZDavfV9HYQaanDz8mtw5e/A+pns8IX55cnn3cs9NBa9nAjrdly17FtA
 1xSxN1VlTbxc7qk4VETHc8Lhz61RZqvP2uwDSKCzSQ68bZyaX4i1EeWvhk/CfD2QJN8l
 G6KQ==
X-Gm-Message-State: APjAAAXO+YLKbd0if6/Zm7ct5hWw6pzcmR/6fIVaB+vR3LPbOLtC0NUJ
 7LvvRMq5F9o3L91aWJMLq9o=
X-Google-Smtp-Source: APXvYqygk0EKmDUH4u//5JpxwLMFl2BKegQu9bGWTqkrHpeiCe4APsk8eEGCNpfsLTGA2n/uUSqKWQ==
X-Received: by 2002:a1c:9c4c:: with SMTP id f73mr2980056wme.125.1578646735632; 
 Fri, 10 Jan 2020 00:58:55 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id c15sm1447823wrt.1.2020.01.10.00.58.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 10 Jan 2020 00:58:54 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 <834kx3af7i.fsf@HIDDEN>
Date: Fri, 10 Jan 2020 09:58:52 +0100
In-Reply-To: <834kx3af7i.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 10 Jan
 2020 10:27:45 +0200")
Message-ID: <m27e1zadrn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN, andreyk.mad@HIDDEN,
 Pip Cet <pipcet@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Fri, 10 Jan 2020 10:27:45 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Pip Cet <pipcet@HIDDEN>
    >> Date: Fri, 10 Jan 2020 07:32:07 +0000
    >> Cc: rpluim@HIDDEN, alan@HIDDEN, jguenther@HIDDEN,=20
    >> andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
    >>=20
    >> > The backtrace shows a very recursive GC, it doesn't show any other
    >> > function being deeply recursive.  So I'm not sure I understand what
    >> > tail-recursive function did you have in mind.  Can you elaborate?
    >>=20
    >> I can. I think we're looking at two bugs: the first is the simple
    >> use-after-free of XFRAME (frame)->output_data.ns where `frame' is a
    >> dead frame. I've confirmed on GNU/Linux that mark_frame is called for
    >> a frame for which x_free_frame_resources has already been called, if
    >> there's a global variable still referencing the frame. I think the
    >> same thing happens on macOS.

    Eli> This one doesn't depend on the 'ok's initialization in
    Eli> face_inherited_attr in any way, does it?

No, it doesn=CA=BCt.

    >> 1. I think face_inherited_attr is being optimized to tail-call itself
    >> rather than calling itself in a new stack frame; thus, it loops
    >> indefinitely for a faulty face setup which would otherwise lead to an
    >> immediate crash.
    >> 1b. that optimization only works without the harmless initialization=
 of "ok".
    >>=20
    >> 2. Our initial face setup is faulty in the sense above.
    >>=20
    >> 3. Something happens on a secondary thread which causes our face set=
up
    >> to become non-faulty, possibly during GC.

    Eli> What do you mean by "secondary thread"?  And how can GC modify Lisp
    Eli> data structures? that'd be a terrible bug.

    Eli> In any case, the full backtrace shows no trace of face_inherited_a=
ttr
    Eli> call anywhere in the callstack, so if there is indeed infinite
    Eli> recursion in that function, it was somehow exited long ago by the =
time
    Eli> GC runs.

    Eli> As for the tail-recursion part: do you see any sign of that in the
    Eli> disassembly posted by Robert?  I didn't, but maybe I missed
    Eli> something.  And such subtleties should only rear their ugly heads =
in
    Eli> optimized code, whereas we already know that an unoptimized build
    Eli> crashes in the same way.

I=CA=BCm attaching the disassembly of face_inherited_attr with -O2, with
and without the change to 'ok'. I can=CA=BCt see any tail recursion, and
modulo the use of r14 rather than r13, the only change I can see is
right at the end, where the return value is set up (disclaimer: I=CA=BCm
not fluent in x86 assembler).

    Eli> I still think the shortest way to finding the culprit here is to
    Eli> patiently and painfully go over the last_marked array, deciphering
    Eli> the Lisp object we marked, until we succeed in identifying the Lisp
    Eli> data structure which got corrupted.  Once we succeed in identifying
    Eli> that data structure, it should be relatively easy to find who and
    Eli> where corrupts it.  This may mean a lot of inconvenient drudgery,
    Eli> exacerbated by the fact that having a functional GDB on macOS is n=
ot
    Eli> easy, but I don't think we have a better way at this point.

It=CA=BCs possible that there is only one bug. The emacs I=CA=BCve been usi=
ng
with the change in nsterm.m suggested by Pip has been completely
stable. If it does crash again I can trawl through last_marked.

Robert


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=unmodified-optimized.txt

(gdb) disass /s face_inherited_attr
Dump of assembler code for function face_inherited_attr:
xfaces.c:
2156    {
   0x00000001001579b0 <+0>:     push   %rbp
   0x00000001001579b1 <+1>:     mov    %rsp,%rbp
   0x00000001001579b4 <+4>:     push   %r15
   0x00000001001579b6 <+6>:     push   %r14
   0x00000001001579b8 <+8>:     push   %r13
   0x00000001001579ba <+10>:    push   %r12
   0x00000001001579bc <+12>:    push   %rbx
   0x00000001001579bd <+13>:    sub    $0xc8,%rsp
   0x00000001001579c4 <+20>:    mov    %r8,-0xd8(%rbp)
   0x00000001001579cb <+27>:    mov    %rdx,%rax
   0x00000001001579ce <+30>:    mov    %rsi,%r12
   0x00000001001579d1 <+33>:    mov    %rdi,%r15
   0x00000001001579d4 <+36>:    mov    0x2a57b5(%rip),%rdx        # 0x1003fd190
   0x00000001001579db <+43>:    mov    (%rdx),%rdx
   0x00000001001579de <+46>:    mov    %rdx,-0x30(%rbp)
   0x00000001001579e2 <+50>:    mov    %ecx,-0xdc(%rbp)

2157      Lisp_Object inherited_attrs[LFACE_VECTOR_SIZE];
2158      Lisp_Object attr_val = attrs[attr_idx];
   0x00000001001579e8 <+56>:    mov    %ecx,%ecx
   0x00000001001579ea <+58>:    mov    %rcx,-0xe8(%rbp)
   0x00000001001579f1 <+65>:    mov    (%rax,%rcx,8),%r13
   0x00000001001579f5 <+69>:    lea    -0xd0(%rbp),%rdi

2159
2160      memcpy (inherited_attrs, attrs, LFACE_VECTOR_SIZE * sizeof (attrs[0]));
   0x00000001001579fc <+76>:    mov    $0xa0,%edx
   0x0000000100157a01 <+81>:    mov    %rax,%rsi
   0x0000000100157a04 <+84>:    callq  0x1003c7938

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157a09 <+89>:    cmp    $0xd140,%r13

xfaces.c:
2162             && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x0000000100157a10 <+96>:    je     0x100157a3c <face_inherited_attr+140>
   0x0000000100157a12 <+98>:    jmpq   0x100157b2f <face_inherited_attr+383>
   0x0000000100157a17 <+103>:   nopw   0x0(%rax,%rax,1)

2191                break;
2192              attr_val = inherited_attrs[attr_idx];
   0x0000000100157a20 <+112>:   mov    -0xe8(%rbp),%rax
   0x0000000100157a27 <+119>:   mov    -0xd0(%rbp,%rax,8),%r13

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157a2f <+127>:   cmp    $0xd140,%r13

xfaces.c:
2162             && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x0000000100157a36 <+134>:   jne    0x100157b2f <face_inherited_attr+383>
   0x0000000100157a3c <+140>:   mov    -0x50(%rbp),%r14
   0x0000000100157a40 <+144>:   mov    $0xd140,%r13d

2163             && !UNSPECIFIEDP (inherited_attrs[LFACE_INHERIT_INDEX]))
   0x0000000100157a46 <+150>:   test   %r14,%r14
   0x0000000100157a49 <+153>:   je     0x100157b2f <face_inherited_attr+383>
   0x0000000100157a4f <+159>:   cmp    $0xd140,%r14
   0x0000000100157a56 <+166>:   je     0x100157b2f <face_inherited_attr+383>

./lisp.h:
758       return lisp_h_TAGGEDP (a, tag);
   0x0000000100157a5c <+172>:   lea    0x5(%r14),%eax
   0x0000000100157a60 <+176>:   test   $0x7,%al

xfaces.c:
2168          if (CONSP (parent_face))
   0x0000000100157a62 <+178>:   je     0x100157a90 <face_inherited_attr+224>

2181                    break;
2182                }
2183              if (!ok)      /* bad face? */
2184                break;
2185            }
2186          else
2187            {
2188              ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x0000000100157a64 <+180>:   xor    %r8d,%r8d
   0x0000000100157a67 <+183>:   mov    %r15,%rdi
   0x0000000100157a6a <+186>:   mov    %r12,%rsi
   0x0000000100157a6d <+189>:   mov    %r14,%rdx
   0x0000000100157a70 <+192>:   lea    -0xd0(%rbp),%rcx
   0x0000000100157a77 <+199>:   mov    -0xd8(%rbp),%r9
   0x0000000100157a7e <+206>:   callq  0x100152c30 <get_lface_attributes>

2189                                         false, named_merge_points);
2190              if (!ok)
   0x0000000100157a83 <+211>:   test   %al,%al
   0x0000000100157a85 <+213>:   jne    0x100157a20 <face_inherited_attr+112>
   0x0000000100157a87 <+215>:   jmpq   0x100157b29 <face_inherited_attr+377>
   0x0000000100157a8c <+220>:   nopl   0x0(%rax)

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157a90 <+224>:   test   %r14,%r14
   0x0000000100157a93 <+227>:   lea    -0xd0(%rbp),%rbx
   0x0000000100157a9a <+234>:   mov    -0xd8(%rbp),%r13

xfaces.c:
2172              for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x0000000100157aa1 <+241>:   je     0x100157b29 <face_inherited_attr+377>
   0x0000000100157aa7 <+247>:   nopw   0x0(%rax,%rax,1)

./lisp.h:
1443      return lisp_h_XCAR (c);
   0x0000000100157ab0 <+256>:   mov    -0x3(%r14),%rdx

xfaces.c:
2174                  ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x0000000100157ab4 <+260>:   xor    %r8d,%r8d
   0x0000000100157ab7 <+263>:   mov    %r15,%rdi
   0x0000000100157aba <+266>:   mov    %r12,%rsi
   0x0000000100157abd <+269>:   mov    %rbx,%rcx
   0x0000000100157ac0 <+272>:   mov    %r13,%r9
   0x0000000100157ac3 <+275>:   callq  0x100152c30 <get_lface_attributes>

2175                                             false, named_merge_points);
2176                  if (!ok)
   0x0000000100157ac8 <+280>:   test   %al,%al
   0x0000000100157aca <+282>:   je     0x100157b29 <face_inherited_attr+377>

2177                    break;
2178                  attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x0000000100157acc <+284>:   mov    %r15,%rdi
   0x0000000100157acf <+287>:   mov    %r12,%rsi
   0x0000000100157ad2 <+290>:   mov    %rbx,%rdx
   0x0000000100157ad5 <+293>:   mov    -0xdc(%rbp),%ecx
   0x0000000100157adb <+299>:   mov    %r13,%r8
   0x0000000100157ade <+302>:   callq  0x1001579b0 <face_inherited_attr>

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157ae3 <+307>:   cmp    $0xd140,%rax

xfaces.c:
2180                  if (!UNSPECIFIEDP (attr_val))
   0x0000000100157ae9 <+313>:   jne    0x100157b17 <face_inherited_attr+359>

./lisp.h:
1449      return lisp_h_XCDR (c);
   0x0000000100157aeb <+315>:   mov    0x5(%r14),%r14

1270      return lisp_h_EQ (x, y);
   0x0000000100157aef <+319>:   test   %r14,%r14
   0x0000000100157af2 <+322>:   lea    -0xd0(%rbp),%rbx
   0x0000000100157af9 <+329>:   mov    -0xd8(%rbp),%r13

xfaces.c:
2172              for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x0000000100157b00 <+336>:   jne    0x100157ab0 <face_inherited_attr+256>
   0x0000000100157b02 <+338>:   mov    $0xd140,%r13d

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157b08 <+344>:   cmp    $0xd140,%r13
   0x0000000100157b0f <+351>:   je     0x100157a3c <face_inherited_attr+140>
   0x0000000100157b15 <+357>:   jmp    0x100157b2f <face_inherited_attr+383>
   0x0000000100157b17 <+359>:   mov    %rax,%r13
   0x0000000100157b1a <+362>:   cmp    $0xd140,%r13
   0x0000000100157b21 <+369>:   je     0x100157a3c <face_inherited_attr+140>
   0x0000000100157b27 <+375>:   jmp    0x100157b2f <face_inherited_attr+383>
   0x0000000100157b29 <+377>:   mov    $0xd140,%r13d
   0x0000000100157b2f <+383>:   mov    0x2a565a(%rip),%rax        # 0x1003fd190
   0x0000000100157b36 <+390>:   mov    (%rax),%rax
   0x0000000100157b39 <+393>:   cmp    -0x30(%rbp),%rax
   0x0000000100157b3d <+397>:   jne    0x100157b54 <face_inherited_attr+420>

xfaces.c:
2195      return attr_val;
   0x0000000100157b3f <+399>:   mov    %r13,%rax
   0x0000000100157b42 <+402>:   add    $0xc8,%rsp
   0x0000000100157b49 <+409>:   pop    %rbx
   0x0000000100157b4a <+410>:   pop    %r12
   0x0000000100157b4c <+412>:   pop    %r13
   0x0000000100157b4e <+414>:   pop    %r14
   0x0000000100157b50 <+416>:   pop    %r15
   0x0000000100157b52 <+418>:   pop    %rbp
   0x0000000100157b53 <+419>:   retq
   0x0000000100157b54 <+420>:   callq  0x1003c72cc
End of assembler dump.
(gdb)

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=modified-optimized.txt

(gdb) disass /s face_inherited_attr
Dump of assembler code for function face_inherited_attr:
xfaces.c:
2156    {
   0x00000001001579a0 <+0>:     push   %rbp
   0x00000001001579a1 <+1>:     mov    %rsp,%rbp
   0x00000001001579a4 <+4>:     push   %r15
   0x00000001001579a6 <+6>:     push   %r14
   0x00000001001579a8 <+8>:     push   %r13
   0x00000001001579aa <+10>:    push   %r12
   0x00000001001579ac <+12>:    push   %rbx
   0x00000001001579ad <+13>:    sub    $0xc8,%rsp
   0x00000001001579b4 <+20>:    mov    %r8,-0xd8(%rbp)
   0x00000001001579bb <+27>:    mov    %rdx,%rax
   0x00000001001579be <+30>:    mov    %rsi,%r12
   0x00000001001579c1 <+33>:    mov    %rdi,%r15
   0x00000001001579c4 <+36>:    mov    0x2a57c5(%rip),%rdx        # 0x1003fd190
   0x00000001001579cb <+43>:    mov    (%rdx),%rdx
   0x00000001001579ce <+46>:    mov    %rdx,-0x30(%rbp)
   0x00000001001579d2 <+50>:    mov    %ecx,-0xdc(%rbp)

2157      Lisp_Object inherited_attrs[LFACE_VECTOR_SIZE];
2158      Lisp_Object attr_val = attrs[attr_idx];
   0x00000001001579d8 <+56>:    mov    %ecx,%ecx
   0x00000001001579da <+58>:    mov    %rcx,-0xe8(%rbp)
   0x00000001001579e1 <+65>:    mov    (%rax,%rcx,8),%r14
   0x00000001001579e5 <+69>:    lea    -0xd0(%rbp),%rdi

2159
2160      memcpy (inherited_attrs, attrs, LFACE_VECTOR_SIZE * sizeof (attrs[0]));
   0x00000001001579ec <+76>:    mov    $0xa0,%edx
   0x00000001001579f1 <+81>:    mov    %rax,%rsi
   0x00000001001579f4 <+84>:    callq  0x1003c7938

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x00000001001579f9 <+89>:    cmp    $0xd140,%r14

xfaces.c:
2162             && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x0000000100157a00 <+96>:    je     0x100157a2c <face_inherited_attr+140>
   0x0000000100157a02 <+98>:    jmpq   0x100157b27 <face_inherited_attr+391>
   0x0000000100157a07 <+103>:   nopw   0x0(%rax,%rax,1)

2191                break;
2192              attr_val = inherited_attrs[attr_idx];
   0x0000000100157a10 <+112>:   mov    -0xe8(%rbp),%rax
   0x0000000100157a17 <+119>:   mov    -0xd0(%rbp,%rax,8),%r14

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157a1f <+127>:   cmp    $0xd140,%r14

xfaces.c:
2162             && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x0000000100157a26 <+134>:   jne    0x100157b27 <face_inherited_attr+391>
   0x0000000100157a2c <+140>:   mov    -0x50(%rbp),%r13
   0x0000000100157a30 <+144>:   mov    $0xd140,%r14d

2163             && !UNSPECIFIEDP (inherited_attrs[LFACE_INHERIT_INDEX]))
   0x0000000100157a36 <+150>:   test   %r13,%r13
   0x0000000100157a39 <+153>:   je     0x100157b27 <face_inherited_attr+391>
   0x0000000100157a3f <+159>:   cmp    $0xd140,%r13
   0x0000000100157a46 <+166>:   je     0x100157b27 <face_inherited_attr+391>

./lisp.h:
758       return lisp_h_TAGGEDP (a, tag);
   0x0000000100157a4c <+172>:   lea    0x5(%r13),%eax
   0x0000000100157a50 <+176>:   test   $0x7,%al

xfaces.c:
2168          if (CONSP (parent_face))
   0x0000000100157a52 <+178>:   je     0x100157a80 <face_inherited_attr+224>

2181                    break;
2182                }
2183              if (!ok)      /* bad face? */
2184                break;
2185            }
2186          else
2187            {
2188              ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x0000000100157a54 <+180>:   xor    %r8d,%r8d
   0x0000000100157a57 <+183>:   mov    %r15,%rdi
   0x0000000100157a5a <+186>:   mov    %r12,%rsi
   0x0000000100157a5d <+189>:   mov    %r13,%rdx
   0x0000000100157a60 <+192>:   lea    -0xd0(%rbp),%rcx
   0x0000000100157a67 <+199>:   mov    -0xd8(%rbp),%r9
   0x0000000100157a6e <+206>:   callq  0x100152c20 <get_lface_attributes>

2189                                         false, named_merge_points);
2190              if (!ok)
   0x0000000100157a73 <+211>:   test   %al,%al
   0x0000000100157a75 <+213>:   jne    0x100157a10 <face_inherited_attr+112>
   0x0000000100157a77 <+215>:   jmpq   0x100157b1c <face_inherited_attr+380>
   0x0000000100157a7c <+220>:   nopl   0x0(%rax)

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157a80 <+224>:   test   %r13,%r13
   0x0000000100157a83 <+227>:   lea    -0xd0(%rbp),%rbx
   0x0000000100157a8a <+234>:   mov    -0xd8(%rbp),%r14

xfaces.c:
2172              for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x0000000100157a91 <+241>:   je     0x100157b07 <face_inherited_attr+359>
   0x0000000100157a93 <+243>:   nopw   %cs:0x0(%rax,%rax,1)
   0x0000000100157a9d <+253>:   nopl   (%rax)

./lisp.h:
1443      return lisp_h_XCAR (c);
   0x0000000100157aa0 <+256>:   mov    -0x3(%r13),%rdx

xfaces.c:
2174                  ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x0000000100157aa4 <+260>:   xor    %r8d,%r8d
   0x0000000100157aa7 <+263>:   mov    %r15,%rdi
   0x0000000100157aaa <+266>:   mov    %r12,%rsi
   0x0000000100157aad <+269>:   mov    %rbx,%rcx
   0x0000000100157ab0 <+272>:   mov    %r14,%r9
   0x0000000100157ab3 <+275>:   callq  0x100152c20 <get_lface_attributes>

2175                                             false, named_merge_points);
2176                  if (!ok)
   0x0000000100157ab8 <+280>:   test   %al,%al
   0x0000000100157aba <+282>:   je     0x100157b1c <face_inherited_attr+380>

2177                    break;
2178                  attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x0000000100157abc <+284>:   mov    %r15,%rdi
   0x0000000100157abf <+287>:   mov    %r12,%rsi
   0x0000000100157ac2 <+290>:   mov    %rbx,%rdx
   0x0000000100157ac5 <+293>:   mov    -0xdc(%rbp),%ecx
   0x0000000100157acb <+299>:   mov    %r14,%r8
   0x0000000100157ace <+302>:   callq  0x1001579a0 <face_inherited_attr>

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157ad3 <+307>:   cmp    $0xd140,%rax

xfaces.c:
2180                  if (!UNSPECIFIEDP (attr_val))
   0x0000000100157ad9 <+313>:   jne    0x100157b24 <face_inherited_attr+388>

./lisp.h:
1449      return lisp_h_XCDR (c);
   0x0000000100157adb <+315>:   mov    0x5(%r13),%r13

1270      return lisp_h_EQ (x, y);
   0x0000000100157adf <+319>:   test   %r13,%r13
   0x0000000100157ae2 <+322>:   lea    -0xd0(%rbp),%rbx
   0x0000000100157ae9 <+329>:   mov    -0xd8(%rbp),%r14

xfaces.c:
2172              for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x0000000100157af0 <+336>:   jne    0x100157aa0 <face_inherited_attr+256>
   0x0000000100157af2 <+338>:   mov    $0xd140,%r14d

./lisp.h:
1270      return lisp_h_EQ (x, y);
   0x0000000100157af8 <+344>:   cmp    $0xd140,%r14
   0x0000000100157aff <+351>:   je     0x100157a2c <face_inherited_attr+140>
   0x0000000100157b05 <+357>:   jmp    0x100157b27 <face_inherited_attr+391>
   0x0000000100157b07 <+359>:   mov    $0xd140,%r14d
   0x0000000100157b0d <+365>:   cmp    $0xd140,%r14
   0x0000000100157b14 <+372>:   je     0x100157a2c <face_inherited_attr+140>
   0x0000000100157b1a <+378>:   jmp    0x100157b27 <face_inherited_attr+391>
   0x0000000100157b1c <+380>:   mov    $0xd140,%r14d
   0x0000000100157b22 <+386>:   jmp    0x100157b27 <face_inherited_attr+391>
   0x0000000100157b24 <+388>:   mov    %rax,%r14
   0x0000000100157b27 <+391>:   mov    0x2a5662(%rip),%rax        # 0x1003fd190
   0x0000000100157b2e <+398>:   mov    (%rax),%rax
   0x0000000100157b31 <+401>:   cmp    -0x30(%rbp),%rax
   0x0000000100157b35 <+405>:   jne    0x100157b4c <face_inherited_attr+428>

xfaces.c:
2195      return attr_val;
   0x0000000100157b37 <+407>:   mov    %r14,%rax
   0x0000000100157b3a <+410>:   add    $0xc8,%rsp
   0x0000000100157b41 <+417>:   pop    %rbx
   0x0000000100157b42 <+418>:   pop    %r12
   0x0000000100157b44 <+420>:   pop    %r13
   0x0000000100157b46 <+422>:   pop    %r14
   0x0000000100157b48 <+424>:   pop    %r15
   0x0000000100157b4a <+426>:   pop    %rbp
   0x0000000100157b4b <+427>:   retq
   0x0000000100157b4c <+428>:   callq  0x1003c72cc
End of assembler dump.
(gdb)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 08:27:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 03:27:57 2020
Received: from localhost ([127.0.0.1]:53636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ippe8-0005KE-PS
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 03:27:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ippe6-0005K0-NG
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 03:27:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43059)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ippe1-00020U-2k; Fri, 10 Jan 2020 03:27:49 -0500
Received: from [176.228.60.248] (port=1910 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ippdz-0001Ln-Jc; Fri, 10 Jan 2020 03:27:48 -0500
Date: Fri, 10 Jan 2020 10:27:45 +0200
Message-Id: <834kx3af7i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
 (message from Pip Cet on Fri, 10 Jan 2020 07:32:07 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
 <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Fri, 10 Jan 2020 07:32:07 +0000
> Cc: rpluim@HIDDEN, alan@HIDDEN, jguenther@HIDDEN, 
> 	andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
> 
> > The backtrace shows a very recursive GC, it doesn't show any other
> > function being deeply recursive.  So I'm not sure I understand what
> > tail-recursive function did you have in mind.  Can you elaborate?
> 
> I can. I think we're looking at two bugs: the first is the simple
> use-after-free of XFRAME (frame)->output_data.ns where `frame' is a
> dead frame. I've confirmed on GNU/Linux that mark_frame is called for
> a frame for which x_free_frame_resources has already been called, if
> there's a global variable still referencing the frame. I think the
> same thing happens on macOS.

This one doesn't depend on the 'ok's initialization in
face_inherited_attr in any way, does it?

> 1. I think face_inherited_attr is being optimized to tail-call itself
> rather than calling itself in a new stack frame; thus, it loops
> indefinitely for a faulty face setup which would otherwise lead to an
> immediate crash.
> 1b. that optimization only works without the harmless initialization of "ok".
> 
> 2. Our initial face setup is faulty in the sense above.
> 
> 3. Something happens on a secondary thread which causes our face setup
> to become non-faulty, possibly during GC.

What do you mean by "secondary thread"?  And how can GC modify Lisp
data structures? that'd be a terrible bug.

In any case, the full backtrace shows no trace of face_inherited_attr
call anywhere in the callstack, so if there is indeed infinite
recursion in that function, it was somehow exited long ago by the time
GC runs.

As for the tail-recursion part: do you see any sign of that in the
disassembly posted by Robert?  I didn't, but maybe I missed
something.  And such subtleties should only rear their ugly heads in
optimized code, whereas we already know that an unoptimized build
crashes in the same way.

I still think the shortest way to finding the culprit here is to
patiently and painfully go over the last_marked array, deciphering
the Lisp object we marked, until we succeed in identifying the Lisp
data structure which got corrupted.  Once we succeed in identifying
that data structure, it should be relatively easy to find who and
where corrupts it.  This may mean a lot of inconvenient drudgery,
exacerbated by the fact that having a functional GDB on macOS is not
easy, but I don't think we have a better way at this point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 10 Jan 2020 07:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 02:32:51 2020
Received: from localhost ([127.0.0.1]:53523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipomp-0003sP-LG
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 02:32:51 -0500
Received: from mail-oi1-f170.google.com ([209.85.167.170]:39456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipomo-0003sB-E0
 for 38748 <at> debbugs.gnu.org; Fri, 10 Jan 2020 02:32:50 -0500
Received: by mail-oi1-f170.google.com with SMTP id a67so1095884oib.6
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 23:32:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=QlWNcb2R/v4pWAs5Rzh+O9A/i+F0YNBG3sDTwmBAEYU=;
 b=TCXu+QG8KezhNaBKW28Oxq59Y4w+qQLy5xKTj0whcvnCupTIex4yJ6pROtsRU1bV8T
 F1dHWzVNT38MR5wsTzDbTmB8iIrEmjFY7CBPHiAoP8vFnbyiS9NF83QYCuUw2aA/rJYR
 FjDJDSWpKCDkKnbiJGbJyRVkCXYQdW16Vo8JZVue4zvYl/ikJjHgC20OpKim/8/8E658
 G+zNPgeUMW/FCUZeZ3euzIRI4dXsj+Ak0/NRJ7YXlDhI7y/oo1jqykxznEOWQGAxTFRX
 2oFZCkH86kFyD8s5CCSzZA6JqIKSX3NuJCrqrdgrtKv6es3x6bHL6cW0N93e2wvO4IDm
 qUjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=QlWNcb2R/v4pWAs5Rzh+O9A/i+F0YNBG3sDTwmBAEYU=;
 b=qhUCf/mlTi0Il9Pzw226Xl7wI0fdVDw+BugNZXBc7O5kmVQHVsgZoak+oxdA9xUAKr
 I0dDuyNj53JhX0aHidBni40IXK7GK1tss9cWBvrdH4Gamz85jCkYzXEn1n5/rgogUkpU
 KMYXsa50z6l5ZHjDe1JGxRzWvUlhhroFo1gx3XVLfe2b++2usAkxlT/IOfGyAOARIbC6
 S9AvKGxLUMBQiCD0g8ospBAIUL6mCgSByAPMzSY1RIdy0ApURUba5R3Fa2mba6h83tp9
 MRkt3PjNnSHVwMNANy9aPblDtLTO2lI4Qix8VFAm5VgE9MCWUGQxWE347JL/+0zMCIX9
 GMvA==
X-Gm-Message-State: APjAAAWikv8yF9fP0LZB+TXx99P9BL/EDRxLJv/DpvThCXYsHtO7DngR
 sfoUa53psNRE/4ebpfLH1x6X1l/IegXPPMX6AAc=
X-Google-Smtp-Source: APXvYqxwjKjIMUWOSckOS0uCw29i8SagivecG+v0wiXubu86tti6Ts+CsTOz15zKJTWIJaF6owO6248o9Ik4+e2CRuA=
X-Received: by 2002:a05:6808:312:: with SMTP id
 i18mr1239270oie.44.1578641564775; 
 Thu, 09 Jan 2020 23:32:44 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 <83sgkp9uh9.fsf@HIDDEN>
In-Reply-To: <83sgkp9uh9.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Fri, 10 Jan 2020 07:32:07 +0000
Message-ID: <CAOqdjBdX6F-1phVjmirOtDYUyNoY__6ZNYt1QY=R2xhsQvKnVQ@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Jan 9, 2020 at 3:30 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > No, GC is known to take many thousands of recursive calls to
> > > mark_object.  9000 is not a particularly high number, and doesn't
> > > necessarily signal infinite recursion.
> >
> > In general, you're absolutely correct. But in this case, it still
> > sounds very likely: infinite recursion of a properly tail-recursive
> > function would loop rather than cause a stack overflow, which would
> > explain everything, except for why it's not actually an infinite loop;
> > I suspect the macOS code somewhere does modify things asynchronously.
>
> The backtrace shows a very recursive GC, it doesn't show any other
> function being deeply recursive.  So I'm not sure I understand what
> tail-recursive function did you have in mind.  Can you elaborate?

I can. I think we're looking at two bugs: the first is the simple
use-after-free of XFRAME (frame)->output_data.ns where `frame' is a
dead frame. I've confirmed on GNU/Linux that mark_frame is called for
a frame for which x_free_frame_resources has already been called, if
there's a global variable still referencing the frame. I think the
same thing happens on macOS.

The second one is very tricky, and a hypothesis at best:

1. I think face_inherited_attr is being optimized to tail-call itself
rather than calling itself in a new stack frame; thus, it loops
indefinitely for a faulty face setup which would otherwise lead to an
immediate crash.
1b. that optimization only works without the harmless initialization of "ok".

2. Our initial face setup is faulty in the sense above.

3. Something happens on a secondary thread which causes our face setup
to become non-faulty, possibly during GC.

That would explain the observed behavior, I think, including such
oddities as the bug happening more frequently when running in gdb
(which delays thread creation).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 17:07:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 12:07:03 2020
Received: from localhost ([127.0.0.1]:53001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipbGx-0002q8-72
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 12:07:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58245)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipbGu-0002pc-M4
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 12:07:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59629)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipbGp-0005p5-6a; Thu, 09 Jan 2020 12:06:55 -0500
Received: from [176.228.60.248] (port=1410 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipbGo-0007Mc-1y; Thu, 09 Jan 2020 12:06:54 -0500
Date: Thu, 09 Jan 2020 19:06:49 +0200
Message-Id: <83d0bsa79y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2y2ugisqm.fsf@HIDDEN> (message from Robert Pluim on Thu, 09
 Jan 2020 15:56:01 +0100)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m236co2a6a.fsf@HIDDEN> <83h814af6k.fsf@HIDDEN> <m2y2ugisqm.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, andreyk.mad@HIDDEN, jguenther@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: pipcet@HIDDEN,  alan@HIDDEN,  jguenther@HIDDEN,
>   andreyk.mad@HIDDEN,  38748 <at> debbugs.gnu.org
> Date: Thu, 09 Jan 2020 15:56:01 +0100
> 
>     Eli> I hope you still have this crashed session in the debugger.  If so,
>     Eli> please tell: do you have many frames in that session, or just a few
>     Eli> (perhaps even one)?  I'd like to see some more details about this
>     Eli> frame, if possible.
> 
> I donʼt have it right now, but itʼs easy enough to recreate the crash
> (and yes, I tend to have half a dozen frames open). What details would
> you like?

The windows on that frame and buffers they display, and the frame
parameters.  Also, the faces.

Please keep in mind that GDB commands that invoke Emacs functions,
such as 'pp', are likely to crash during GC, so you will have to use
the x* commands instead.  For example, to show the members of a list,
you will have to use 'xcar', 'xcdr', and 'xcons'.  It's tedious, but
there's no other way of displaying Lisp object during GC without
risking to crash the session.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 15:15:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 10:15:40 2020
Received: from localhost ([127.0.0.1]:52933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipZXA-0008Iv-7Q
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 10:15:40 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:41811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipZX9-0008Ia-DB
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 10:15:39 -0500
Received: by mail-wr1-f53.google.com with SMTP id c9so7770524wrw.8
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 07:15:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=iK9ZIjSULPY3ATusfKKQjgHCX8wX+7R+Fnfhkck7Ay4=;
 b=XQ8C0DtJ4PUDDmX66JfCbf9AY5Sl2XK4uumyYj86Wo1c0KGf4Sd9vBPzt7Th0nh0y6
 o6c2cz/CHcM7KpESMDXs6GauHUGcRhz5F8R1dE4ZXK5+ag0UpVxeZZRiBefp5EOFXiM+
 9Yi4Q72KqwnsxFGnej8HqwNetuNGNX6dVRt0lu8O41440hYfUhUs11m0HUNH/l6wS91F
 ZvlfH0IY0AFKd9XRqKQSEPDvPnPZrgKnpeb1uELMUBqdmUHn/KXPm0f09QMHHrCN1i9f
 q1HPlb+93JLmlMgx/O76DbRJaOkZweJOQosd0hPPG88RqEo21Tva+5MdR4nAtjfYraBT
 hSVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=iK9ZIjSULPY3ATusfKKQjgHCX8wX+7R+Fnfhkck7Ay4=;
 b=NETwe3Kt5XMdDR3uhwpdaVEHhn3M2MQ2NAoWhyWYBKUjyGJbeK9/jgrsqxfS5r7jXt
 z18K9PyNKqk8L+8/7hsEvntT0WUqGitRNrLaU9KwwNbANxfrg7qFqGJTKRLRxmb1/Pw9
 YBXbn6BWrp9iT27EACWl/gvVMLk+VMstIUtaZPacNGN62QYZ9K3k8oir3Xon01zgcG4Z
 Xsq+qv1ffnQmlNNJQdfGLo7DMje0Zyyf7jYjitmpGonCVYtlxCJkAPywa+3ewpOZXXB2
 Iu4FNWLJdfpJH9iNqvzRklkSit00jxQu4paYj+JmSfXQvzLI8O3+eJTndKU8Ts5EKr+B
 udXw==
X-Gm-Message-State: APjAAAWyZGH9+/pdGtmhm62k6wjOPp3CCn233agnzn1hHjsTvpc6LaDj
 LLrYS+dPHEkDtnTcn7hv9fAP1ALWVQ0=
X-Google-Smtp-Source: APXvYqzvzWKJA5hh5PjCc3fcj3XwWVHSlDCtwgucX5/AkHwXxT6UZdWk2potRMXKsIeMihBnT7WN1Q==
X-Received: by 2002:adf:ea88:: with SMTP id s8mr11552662wrm.293.1578582933292; 
 Thu, 09 Jan 2020 07:15:33 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t12sm8413146wrs.96.2020.01.09.07.15.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 07:15:32 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Date: Thu, 09 Jan 2020 16:15:31 +0100
In-Reply-To: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 (Pip Cet's message of "Thu, 9 Jan 2020 14:16:54 +0000")
Message-ID: <m2blrcacfg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 bug-gnu-emacs@HIDDEN, alan@HIDDEN, 38748 <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 9 Jan 2020 14:16:54 +0000, Pip Cet <pipcet@HIDDEN> said:

    Pip> On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote:
    >> Here is the '~/emacs-crash.el' content:
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (delete-frame)
    >> (delete-frame)
    >> (delete-frame)
    >> (delete-frame)
    >> (garbage-collect)

    Pip> That sounds like Robert's bug, but not like the one that's related to
    Pip> the "x = false" thing.

    Pip> Can you try the attached patch?

    Pip> diff --git a/src/nsterm.m b/src/nsterm.m
    Pip> index 03754e5ae5..c1d1d41117 100644
    Pip> --- a/src/nsterm.m
    Pip> +++ b/src/nsterm.m
    Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
    Pip>    [view release];
 
    Pip>    xfree (f->output_data.ns);
    Pip> +  f->output_data.ns = NULL;
 
    Pip>    unblock_input ();
    Pip>  }

That has fixed things for me, not been able to crash it with Andrii's
recipe (I had to increase the number of frames to get it to crash).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 15:15:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 10:15:40 2020
Received: from localhost ([127.0.0.1]:52935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipZXA-0008Ix-GW
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 10:15:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:41229)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipZX9-0008Ii-D7
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 10:15:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36976)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rpluim@HIDDEN>) id 1ipZX8-0003xv-0R
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 10:15:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rpluim@HIDDEN>) id 1ipZX5-0003FC-LI
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 10:15:37 -0500
Received: from mail-wr1-x432.google.com ([2a00:1450:4864:20::432]:39825)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rpluim@HIDDEN>)
 id 1ipZX5-0003CR-1V; Thu, 09 Jan 2020 10:15:35 -0500
Received: by mail-wr1-x432.google.com with SMTP id y11so7787786wrt.6;
 Thu, 09 Jan 2020 07:15:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=iK9ZIjSULPY3ATusfKKQjgHCX8wX+7R+Fnfhkck7Ay4=;
 b=XQ8C0DtJ4PUDDmX66JfCbf9AY5Sl2XK4uumyYj86Wo1c0KGf4Sd9vBPzt7Th0nh0y6
 o6c2cz/CHcM7KpESMDXs6GauHUGcRhz5F8R1dE4ZXK5+ag0UpVxeZZRiBefp5EOFXiM+
 9Yi4Q72KqwnsxFGnej8HqwNetuNGNX6dVRt0lu8O41440hYfUhUs11m0HUNH/l6wS91F
 ZvlfH0IY0AFKd9XRqKQSEPDvPnPZrgKnpeb1uELMUBqdmUHn/KXPm0f09QMHHrCN1i9f
 q1HPlb+93JLmlMgx/O76DbRJaOkZweJOQosd0hPPG88RqEo21Tva+5MdR4nAtjfYraBT
 hSVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=iK9ZIjSULPY3ATusfKKQjgHCX8wX+7R+Fnfhkck7Ay4=;
 b=GJcOkofteJNBRmc/FQ/+2MWYE6S+LVk+l8ZyVLF8PFi9KuCemnfM5S46xOTfesp4Y1
 fkowtSfGsdLMdcRFYkxyEJQh31EIoHNFUvfRXZva8BI9BAnoWSlT5sr4eOOoTVDvdaBF
 WoWYupoVSm8b8L4V5tB6KvAtSJgAVjC7/ERfkh+92oxc1xB1GwFxpkVQBbasZWPzRr6W
 Pf73HYE2hkW/otqDX6SdZYT1KSMFaM/o8dxvuUo/Ehg7fsRPeuTXNYG5qbk3rnfKEjTj
 iEEgHmWPoi1ldpamHLB91yTZVPNadHczma73jnEe7OYfW2Ap3ZhyvwV69vteceaqdDTc
 623Q==
X-Gm-Message-State: APjAAAWskiKPW5JQNzG1AEF6sZlew1An8GLbkWYQk3gyL2rmG638WIro
 D0MvJ1CtLXrLy5YxLKiAK9o=
X-Google-Smtp-Source: APXvYqzvzWKJA5hh5PjCc3fcj3XwWVHSlDCtwgucX5/AkHwXxT6UZdWk2potRMXKsIeMihBnT7WN1Q==
X-Received: by 2002:adf:ea88:: with SMTP id s8mr11552662wrm.293.1578582933292; 
 Thu, 09 Jan 2020 07:15:33 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t12sm8413146wrs.96.2020.01.09.07.15.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 07:15:32 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Date: Thu, 09 Jan 2020 16:15:31 +0100
In-Reply-To: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
 (Pip Cet's message of "Thu, 9 Jan 2020 14:16:54 +0000")
Message-ID: <m2blrcacfg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::432
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: jguenther@HIDDEN, Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 bug-gnu-emacs@HIDDEN, alan@HIDDEN, 38748 <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>>>>> On Thu, 9 Jan 2020 14:16:54 +0000, Pip Cet <pipcet@HIDDEN> said:

    Pip> On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote:
    >> Here is the '~/emacs-crash.el' content:
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (make-frame `((parent-frame . ,(window-frame))))
    >> (delete-frame)
    >> (delete-frame)
    >> (delete-frame)
    >> (delete-frame)
    >> (garbage-collect)

    Pip> That sounds like Robert's bug, but not like the one that's related to
    Pip> the "x = false" thing.

    Pip> Can you try the attached patch?

    Pip> diff --git a/src/nsterm.m b/src/nsterm.m
    Pip> index 03754e5ae5..c1d1d41117 100644
    Pip> --- a/src/nsterm.m
    Pip> +++ b/src/nsterm.m
    Pip> @@ -1644,6 +1644,7 @@ Hide the window (X11 semantics)
    Pip>    [view release];
 
    Pip>    xfree (f->output_data.ns);
    Pip> +  f->output_data.ns = NULL;
 
    Pip>    unblock_input ();
    Pip>  }

That has fixed things for me, not been able to crash it with Andrii's
recipe (I had to increase the number of frames to get it to crash).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:56:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:56:10 2020
Received: from localhost ([127.0.0.1]:52899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipZEI-0007m9-FV
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:56:10 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:37038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipZEH-0007m1-H0
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:56:09 -0500
Received: by mail-wr1-f41.google.com with SMTP id w15so7739143wru.4
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 06:56:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=XaiBioAdIe/T/qyeEKL5l2KFoGi5Zy5ooWwcpJ0FJR4=;
 b=s2KY0tuKcL4i92kToNcxLfbCEoIgDT/ry5xrT8ZbmEnZdVye3PaO/1OxsTQvBrz0qT
 o/3dZ+26UPBZ5t6fu+rrceT+VHDUhSLVuvv3Hu1NsvGRSmDPZJUaVPV7RsK49bhOVyRA
 ji++fIlSqXSHvtp5XY0RkFgPMiwWpF2rCFG8RkKJ6PkbAQJDQpOb5LE/EKIoWBLn7S7o
 yfIKqtUrEisAjsyBoa53MrOx9398YUqYo8pFEvzfTndVhgTKeag105VXFRR/4T1kEhM4
 vR4ZTpvreYHn5YKe5dOsbIkU4cz0OCwM5Dfa4CkRSkaXBXKZeV3D961/4/NQvLsdsCT9
 5DGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=XaiBioAdIe/T/qyeEKL5l2KFoGi5Zy5ooWwcpJ0FJR4=;
 b=YPJgPtb0qExRG5k/zuL4QvcV/seGOxFaT65iBH94HocczYIgERLeM/RZXVwbaoMenG
 jpaNWRjEVNNW68H6ALfI3yr3DntwB00onI7AJGH5hSbVrOC+bhfH4UhrkCZASWClwDS/
 ghR161Pv4apcwG6vQQy9+4Y4nMO832OhlsuwxI7N2t/a1AZkHrizj/oW4+4AkBktgegd
 DdOiREjxLV+f8IhNbnrLbGUfQJzXdrbSBOcGlqnj8vxjuWBnLkvDKN1mXW7rgHgCHEho
 W8jYKzEqN81SuGpIsSeszYWVwdghqoh8v8vChBHCTuuqoma5UTZqeXUhHqwjwTebjEtv
 2Z8w==
X-Gm-Message-State: APjAAAWChMWcoYgyL5iHQkmZh4GKpm73J6ZD1VzB0DnuCOYhq4i8/rro
 9JN0ube52QRnXZNDTDkLHkcxbIn0oSY=
X-Google-Smtp-Source: APXvYqwwctFMcFf2tBKsir11nWYgBy+Ntew7t9l6wxQ2EppGBh+Ie05nmlAb3jk8KGghVAv2CCrboQ==
X-Received: by 2002:a5d:68cf:: with SMTP id p15mr11532181wrw.31.1578581763054; 
 Thu, 09 Jan 2020 06:56:03 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id q68sm3374384wme.14.2020.01.09.06.56.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 06:56:02 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m236co2a6a.fsf@HIDDEN> <83h814af6k.fsf@HIDDEN>
Date: Thu, 09 Jan 2020 15:56:01 +0100
In-Reply-To: <83h814af6k.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 09 Jan
 2020 16:16:03 +0200")
Message-ID: <m2y2ugisqm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, andreyk.mad@HIDDEN, jguenther@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 09 Jan 2020 16:16:03 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: 38748 <at> debbugs.gnu.org,  pipcet@HIDDEN,  alan@HIDDEN,
    >> jguenther@HIDDEN,  andreyk.mad@HIDDEN
    >> Date: Thu, 09 Jan 2020 11:31:25 +0100
    >>=20
    Eli> Also, can I please see one backtrace with all the call-stack frame=
s,
    Eli> starting from 'main' and ending at 'handle_fatal_signal'?  The
    Eli> original report shows only the top-most 511 frames, and the other =
one
    Eli> has a lot of ?? (missing symbols) in it.
    >>=20
    >> 'bt full' backtrace attached.

    Eli> Thanks.

    >> Thread 2 received signal SIGSEGV, Segmentation fault.
    >> 0x0000000100221f88 in vector_marked_p (v=3D0x20a000000000) at alloc.=
c:3726
    >> 3726	  return XVECTOR_MARKED_P (v);
    >> (gdb) bt full
    >> #0  0x0000000100221f88 in vector_marked_p (v=3D0x20a000000000) at al=
loc.c:3726
    >> No locals.
    >> #1  0x00000001002255e5 in vectorlike_marked_p (header=3D0x20a0000000=
00)
    >> at alloc.c:3744
    >> No locals.
    >> #2  0x00000001002221c2 in mark_frame (ptr=3D0x164cc69a0) at alloc.c:=
6321
    >> font =3D 0x20a000000000
    >> f =3D 0x164cc69a0

    Eli> This says that we were marking a frame, and its default font is a
    Eli> garbled pointer.  Are all of the crashes you see happen because of=
 a
    Eli> faulty frame font in this snippet:

    Eli>   static void
    Eli>   mark_frame (struct Lisp_Vector *ptr)
    Eli>   {
    Eli>     struct frame *f =3D (struct frame *) ptr;
    Eli>     mark_vectorlike (&ptr->header);
    Eli>     mark_face_cache (f->face_cache);
    Eli>   #ifdef HAVE_WINDOW_SYSTEM
    Eli>     if (FRAME_WINDOW_P (f) && FRAME_OUTPUT_DATA (f))
    Eli>       {
    Eli> 	struct font *font =3D FRAME_FONT (f);

    Eli> 	if (font && !vectorlike_marked_p (&font->header))  <<<<<<<<<<<<
    Eli> 	  mark_vectorlike (&font->header);
    Eli>       }
    Eli>   #endif
    Eli>   }

    Eli> I hope you still have this crashed session in the debugger.  If so,
    Eli> please tell: do you have many frames in that session, or just a few
    Eli> (perhaps even one)?  I'd like to see some more details about this
    Eli> frame, if possible.

I don=CA=BCt have it right now, but it=CA=BCs easy enough to recreate the c=
rash
(and yes, I tend to have half a dozen frames open). What details would
you like?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:29:18 2020
Received: from localhost ([127.0.0.1]:52051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYoH-0006lc-Vx
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:29:18 -0500
Received: from mail-lf1-f45.google.com ([209.85.167.45]:42926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYoG-0006lK-51
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:29:16 -0500
Received: by mail-lf1-f45.google.com with SMTP id y19so5333337lfl.9
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 06:29:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=oKZm2g0HHMYmNP1fUWFSOoN5nTfmts822Mj7TXIh6oc=;
 b=XTrLoBLUd4Eq7H9Q++z4keUG5RzELPSW+gMCIZMjL5+0CpeN+LEgKvgR7UZnmQ9nzT
 Qj2PfsMPmBCaCfLJJgRFMKzZVP0Vk3jt6oGBkCVMm5cWkOwD/ksaeIz8NKb5erG2zXOr
 aDbyde1THZKvEbQwTEisiWE9XBT48+6ArvhJyyj5WfvMgg/sFvQPw9bvDla5tFPTIDN1
 vcDoP5MY+zz+iZuLME7jd/MO1oO14Ux7hkbGA575KZi5d5EEcNJayF/5l9s10L4WEWiZ
 4RzGvleSfwo0GG46XRSaiBrPJFdrgh1ENyb9raCTFParG0k0XtAfdbDR7+Vhz3vsmym7
 x8og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=oKZm2g0HHMYmNP1fUWFSOoN5nTfmts822Mj7TXIh6oc=;
 b=prKfVYYo2Hdc+O5B22G2o3ADIK7Mp+Pydr2RNHIxWVO+fBBCt2gshj1UlFVvq0zIX3
 wHV+pehl767OisRxGK8PSEOs0zz9sMLOdZRoCrD4brJDWvh4qRkJ8nBnjy4NbVt2+xk+
 hWJY0fO08Qs5+GMnu6/7gLDLMBaO0rx5uE1jiX5iKJyVEK7GLFqxtHzbkLPRDUPY07qb
 rfGqU2XQIUuCWNyRWKxuLEgX9K/EP08Q1JvtquSwvQPscOGaMMP3XziIomptjHws9wy9
 8kEOcdSx1eeAVksU7tgywz6g9hb1iZflyCpzM96V+8ysDNwZrhJSlYjSsFUIeuKnMCjQ
 oC0g==
X-Gm-Message-State: APjAAAXRZO/KKKRLiFQAlPyFngsYMnnt3fOoCvvKfV5NS0Pk0OQ9V1w+
 mkQFI2Hbv0x+M4JgJ9aWej8=
X-Google-Smtp-Source: APXvYqx07pezozNMLNi5khjW1CWMxyIPAxra2irr2pQsHGvzSg+I2jbrkiEZN9Jp1GuhfPQ5NsuXeA==
X-Received: by 2002:ac2:5195:: with SMTP id u21mr6480231lfi.141.1578580150023; 
 Thu, 09 Jan 2020 06:29:10 -0800 (PST)
Received: from [10.1.1.147] (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id u13sm3148926lfq.19.2020.01.09.06.29.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 09 Jan 2020 06:29:09 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-Reply-To: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Date: Thu, 9 Jan 2020 16:29:07 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <18240B6A-1B76-4E36-94FA-D30E22D14D0C@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 38748 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9 Jan 2020, at 16:16, Pip Cet <pipcet@HIDDEN> wrote:
>=20
> On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets =
<andreyk.mad@HIDDEN> wrote:
>> Here is the '~/emacs-crash.el' content:
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (delete-frame)
>> (delete-frame)
>> (delete-frame)
>> (delete-frame)
>> (garbage-collect)
>=20
> That sounds like Robert's bug, but not like the one that's related to
> the "x =3D false" thing.
>=20
> Can you try the attached patch?
> <38748.diff>

The patch resolves the later crash.

Now I going to build b2949d39261e82c33572ba8a250298ef0b165b95 again and =
try to catch the former crash.

Thanks!=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 14:29:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:29:22 2020
Received: from localhost ([127.0.0.1]:52054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYoM-0006lu-7z
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:29:22 -0500
Received: from lists.gnu.org ([209.51.188.17]:45479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYoK-0006ll-6K
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:29:20 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51506)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYoI-0007xC-P0
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 09:29:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYoH-0006TH-8v
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 09:29:18 -0500
Received: from mail-lf1-x12a.google.com ([2a00:1450:4864:20::12a]:34035)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreyk.mad@HIDDEN>)
 id 1ipYoB-00069z-I2; Thu, 09 Jan 2020 09:29:11 -0500
Received: by mail-lf1-x12a.google.com with SMTP id l18so5376950lfc.1;
 Thu, 09 Jan 2020 06:29:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=oKZm2g0HHMYmNP1fUWFSOoN5nTfmts822Mj7TXIh6oc=;
 b=XTrLoBLUd4Eq7H9Q++z4keUG5RzELPSW+gMCIZMjL5+0CpeN+LEgKvgR7UZnmQ9nzT
 Qj2PfsMPmBCaCfLJJgRFMKzZVP0Vk3jt6oGBkCVMm5cWkOwD/ksaeIz8NKb5erG2zXOr
 aDbyde1THZKvEbQwTEisiWE9XBT48+6ArvhJyyj5WfvMgg/sFvQPw9bvDla5tFPTIDN1
 vcDoP5MY+zz+iZuLME7jd/MO1oO14Ux7hkbGA575KZi5d5EEcNJayF/5l9s10L4WEWiZ
 4RzGvleSfwo0GG46XRSaiBrPJFdrgh1ENyb9raCTFParG0k0XtAfdbDR7+Vhz3vsmym7
 x8og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=oKZm2g0HHMYmNP1fUWFSOoN5nTfmts822Mj7TXIh6oc=;
 b=lGHqc/Ww3q7Ckqf7u9qD6Mg76aE6ENv0TqMJeGJz1vpUjdLc2iu8z9ihUHzrcJrk90
 RPYxQQ5X1x458J2EkTuW0tKmk1O1rwPG4D4YPACbubpuItTFpMlRKKr8czPYYG6NcWkC
 bF4v3lKtVIicsdHOlZU+iQi166lQqSz1FX+wuLYFwa307Y8gGLzw2yYOqLCN7zIUiMi7
 ZUe+6HnkvZRGm8MWRGN1CkNPrj5JtMN0Wk368ixjJuqXfgHWWkrA9OJZjp13MfXDbM24
 BngmKYixesQZlMV7pyOtO1Qb7E7GDWnXxkCB6nMq1w+M5TFCR/Jjn0fXEsh78NLDVnlL
 WH7w==
X-Gm-Message-State: APjAAAU3MM0FeNMMAJFMqShPEiVhAwATeOGLQIZfnflbdewTom0oYG73
 mqp1CweriG+7jTq2FWKXJEU=
X-Google-Smtp-Source: APXvYqx07pezozNMLNi5khjW1CWMxyIPAxra2irr2pQsHGvzSg+I2jbrkiEZN9Jp1GuhfPQ5NsuXeA==
X-Received: by 2002:ac2:5195:: with SMTP id u21mr6480231lfi.141.1578580150023; 
 Thu, 09 Jan 2020 06:29:10 -0800 (PST)
Received: from [10.1.1.147] (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id u13sm3148926lfq.19.2020.01.09.06.29.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 09 Jan 2020 06:29:09 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-Reply-To: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Date: Thu, 9 Jan 2020 16:29:07 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <18240B6A-1B76-4E36-94FA-D30E22D14D0C@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m2imlkivqb.fsf@HIDDEN>
 <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::12a
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 38748 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 9 Jan 2020, at 16:16, Pip Cet <pipcet@HIDDEN> wrote:
>=20
> On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets =
<andreyk.mad@HIDDEN> wrote:
>> Here is the '~/emacs-crash.el' content:
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (make-frame `((parent-frame . ,(window-frame))))
>> (delete-frame)
>> (delete-frame)
>> (delete-frame)
>> (delete-frame)
>> (garbage-collect)
>=20
> That sounds like Robert's bug, but not like the one that's related to
> the "x =3D false" thing.
>=20
> Can you try the attached patch?
> <38748.diff>

The patch resolves the later crash.

Now I going to build b2949d39261e82c33572ba8a250298ef0b165b95 again and =
try to catch the former crash.

Thanks!=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:17:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:17:38 2020
Received: from localhost ([127.0.0.1]:52035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYd0-0006Ti-BD
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:17:38 -0500
Received: from mail-oi1-f174.google.com ([209.85.167.174]:38209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipYcy-0006TV-9l
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:17:37 -0500
Received: by mail-oi1-f174.google.com with SMTP id l9so5956767oii.5
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 06:17:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=s2DfcIJQ18QYeTzn9KsLwGZDrguK1iTy4KSSRJILF/c=;
 b=WLljmMTKZ+SPEs4GeWQdSOamPQKrELSVBzNs/Dbc7Vc8l1Eo1xGeDjh9RCVnCFsXj4
 UgH790ZCdLfkEI1B2CxcYPaaX8mCWX68VeovV90dfx0bexQiy/zfXNlRzf4JKNUJuPcU
 xv6vqnt1mXCF65RHk/xjLltMrTU56Wv02FlDUFBXH6wFyLyEawm4Z8ZasyB1qmnCwOnV
 pKne7ynl+k4wI/PtFXCKnYAvbP4UJAeSfOpsKlWoP2NAgQ0QXpbpJCJUlRf8o+0S61o2
 GKEtebxempyObnpT28WrkREqFSoDCRdPU9XOE4xD3401z6WdkNOm6g6I/vC/mRip4pkS
 LGYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=s2DfcIJQ18QYeTzn9KsLwGZDrguK1iTy4KSSRJILF/c=;
 b=XaKLL2mnvpUMdIQYmrwccPAHNd9GHoOSXlwU/QJ8jDOjV7ygwAu4EoCcieN4vdorUD
 DeVSJJ1A7CIk/xmPQkX8XvIoTmyk9v3FAjDc9ViNOgVocmPIYc6fZnejO2upopKqj8zP
 GT5Azqg2mOsQEU0MXfUMFoZ5ADp5jX3sPv6PpLlfMTDtUatDPylVsQChiOh4ZygGI69R
 xvOKITA4TCpW4eZUtth+e6d8MX2VSdEh/BlS+WmJiRUhygNMNd+tqdY3TVybGRA8DMfw
 NK72q41PNpWHivIVC/3jYcB8tGVQxmDEeZajjQ+c/J7ZylKcjMRw1mRxCEyLpWpyDyGv
 h/BQ==
X-Gm-Message-State: APjAAAXqUpvFxmpB5bkR/vrFMBuDAfI6cnktjwdYcL0t9ZT6D1pyqi9/
 Hu3ZqSrqXWlmkiFwN9bHAgIMrwgnPtaUHyAGH3M=
X-Google-Smtp-Source: APXvYqxrzxpHAunNNYlgIf7PdivSCHAvkGyEJbyy5m4/ejYMhcl+w+fHdgWF9zx+pJX9GtE8p5V/T6F9PRoRd5PnHHw=
X-Received: by 2002:a54:4896:: with SMTP id r22mr3271099oic.30.1578579450590; 
 Thu, 09 Jan 2020 06:17:30 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
In-Reply-To: <m2imlkivqb.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 9 Jan 2020 14:16:54 +0000
Message-ID: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000067156d059bb5ab98"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 38748 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000067156d059bb5ab98
Content-Type: text/plain; charset="UTF-8"

On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote:
> Here is the '~/emacs-crash.el' content:
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (delete-frame)
> (delete-frame)
> (delete-frame)
> (delete-frame)
> (garbage-collect)

That sounds like Robert's bug, but not like the one that's related to
the "x = false" thing.

Can you try the attached patch?

--00000000000067156d059bb5ab98
Content-Type: text/x-patch; charset="US-ASCII"; name="38748.diff"
Content-Disposition: attachment; filename="38748.diff"
Content-Transfer-Encoding: base64
Content-ID: <f_k56te5uj0>
X-Attachment-Id: f_k56te5uj0

ZGlmZiAtLWdpdCBhL3NyYy9uc3Rlcm0ubSBiL3NyYy9uc3Rlcm0ubQppbmRleCAwMzc1NGU1YWU1
Li5jMWQxZDQxMTE3IDEwMDY0NAotLS0gYS9zcmMvbnN0ZXJtLm0KKysrIGIvc3JjL25zdGVybS5t
CkBAIC0xNjQ0LDYgKzE2NDQsNyBAQCBIaWRlIHRoZSB3aW5kb3cgKFgxMSBzZW1hbnRpY3MpCiAg
IFt2aWV3IHJlbGVhc2VdOwogCiAgIHhmcmVlIChmLT5vdXRwdXRfZGF0YS5ucyk7CisgIGYtPm91
dHB1dF9kYXRhLm5zID0gTlVMTDsKIAogICB1bmJsb2NrX2lucHV0ICgpOwogfQo=
--00000000000067156d059bb5ab98--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 14:17:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:17:41 2020
Received: from localhost ([127.0.0.1]:52038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYd3-0006Ty-KE
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:17:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:38975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipYd0-0006Tj-CJ
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:17:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51414)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pipcet@HIDDEN>) id 1ipYcz-00082F-7r
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 09:17:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pipcet@HIDDEN>) id 1ipYcx-0007jP-OE
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 09:17:36 -0500
Received: from mail-oi1-x231.google.com ([2607:f8b0:4864:20::231]:45340)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pipcet@HIDDEN>)
 id 1ipYct-0007Zc-KB; Thu, 09 Jan 2020 09:17:31 -0500
Received: by mail-oi1-x231.google.com with SMTP id n16so5911438oie.12;
 Thu, 09 Jan 2020 06:17:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=s2DfcIJQ18QYeTzn9KsLwGZDrguK1iTy4KSSRJILF/c=;
 b=WLljmMTKZ+SPEs4GeWQdSOamPQKrELSVBzNs/Dbc7Vc8l1Eo1xGeDjh9RCVnCFsXj4
 UgH790ZCdLfkEI1B2CxcYPaaX8mCWX68VeovV90dfx0bexQiy/zfXNlRzf4JKNUJuPcU
 xv6vqnt1mXCF65RHk/xjLltMrTU56Wv02FlDUFBXH6wFyLyEawm4Z8ZasyB1qmnCwOnV
 pKne7ynl+k4wI/PtFXCKnYAvbP4UJAeSfOpsKlWoP2NAgQ0QXpbpJCJUlRf8o+0S61o2
 GKEtebxempyObnpT28WrkREqFSoDCRdPU9XOE4xD3401z6WdkNOm6g6I/vC/mRip4pkS
 LGYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=s2DfcIJQ18QYeTzn9KsLwGZDrguK1iTy4KSSRJILF/c=;
 b=h5jgNu+TrbHBN6C3XcvFOOJffBlTAB024FifCO655V1A/VlgqHZ1o+ZEfoJhPwItN2
 q64Ye0263jtT4cbEDCiwA9V/D03UPt7pF35KroZVBBeQzqatc/02zAi/XmwWEv/MGyk3
 PEzzRlai/PNhFSoBNLOWXpmTT5xOeOI8II6SRdRO3gPOxSdgl3m67jOHgRjLY78s9Bv8
 vhFlabZg23U3zKR2Jwtw7oKeL3foy5rsuB/ITq3RFO3Uc+65ZK15B6yJSwa9qx/W8Fy9
 ZKnq5MEEPA7aqj5XPW9qiItEC9HTrSyScPt3IWp3RhQQLCtCtD4tLUx6sNsfsJ0PsYyB
 M9Tg==
X-Gm-Message-State: APjAAAU8OBIgnmgxQMAqSf5EcZQyjDovg9rO6KxjY5ubfzYZpf53CqzL
 DvZZwi5/9HSiIkbJzdL+1N57wig87DtrjNWfvxo=
X-Google-Smtp-Source: APXvYqxrzxpHAunNNYlgIf7PdivSCHAvkGyEJbyy5m4/ejYMhcl+w+fHdgWF9zx+pJX9GtE8p5V/T6F9PRoRd5PnHHw=
X-Received: by 2002:a54:4896:: with SMTP id r22mr3271099oic.30.1578579450590; 
 Thu, 09 Jan 2020 06:17:30 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
In-Reply-To: <m2imlkivqb.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 9 Jan 2020 14:16:54 +0000
Message-ID: <CAOqdjBf5cSZeUBKv88AK7Yss5z9m93=uVVwbJRYZc_2y+MbdNg@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000067156d059bb5ab98"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::231
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 38748 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000067156d059bb5ab98
Content-Type: text/plain; charset="UTF-8"

On Thu, Jan 9, 2020 at 1:51 PM Andrii Kolomoiets <andreyk.mad@HIDDEN> wrote:
> Here is the '~/emacs-crash.el' content:
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (make-frame `((parent-frame . ,(window-frame))))
> (delete-frame)
> (delete-frame)
> (delete-frame)
> (delete-frame)
> (garbage-collect)

That sounds like Robert's bug, but not like the one that's related to
the "x = false" thing.

Can you try the attached patch?

--00000000000067156d059bb5ab98
Content-Type: text/x-patch; charset="US-ASCII"; name="38748.diff"
Content-Disposition: attachment; filename="38748.diff"
Content-Transfer-Encoding: base64
Content-ID: <f_k56te5uj0>
X-Attachment-Id: f_k56te5uj0

ZGlmZiAtLWdpdCBhL3NyYy9uc3Rlcm0ubSBiL3NyYy9uc3Rlcm0ubQppbmRleCAwMzc1NGU1YWU1
Li5jMWQxZDQxMTE3IDEwMDY0NAotLS0gYS9zcmMvbnN0ZXJtLm0KKysrIGIvc3JjL25zdGVybS5t
CkBAIC0xNjQ0LDYgKzE2NDQsNyBAQCBIaWRlIHRoZSB3aW5kb3cgKFgxMSBzZW1hbnRpY3MpCiAg
IFt2aWV3IHJlbGVhc2VdOwogCiAgIHhmcmVlIChmLT5vdXRwdXRfZGF0YS5ucyk7CisgIGYtPm91
dHB1dF9kYXRhLm5zID0gTlVMTDsKIAogICB1bmJsb2NrX2lucHV0ICgpOwogfQo=
--00000000000067156d059bb5ab98--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:15:56 2020
Received: from localhost ([127.0.0.1]:52030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYbL-0006Ql-Uy
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:15:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipYbJ-0006QY-E2
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:15:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57140)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipYbD-0000tD-VR; Thu, 09 Jan 2020 09:15:48 -0500
Received: from [176.228.60.248] (port=2918 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipYbD-0000OG-8V; Thu, 09 Jan 2020 09:15:47 -0500
Date: Thu, 09 Jan 2020 16:16:03 +0200
Message-Id: <83h814af6k.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m236co2a6a.fsf@HIDDEN> (message from Robert Pluim on Thu, 09
 Jan 2020 11:31:25 +0100)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> <m236co2a6a.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, andreyk.mad@HIDDEN, jguenther@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 38748 <at> debbugs.gnu.org,  pipcet@HIDDEN,  alan@HIDDEN,
>   jguenther@HIDDEN,  andreyk.mad@HIDDEN
> Date: Thu, 09 Jan 2020 11:31:25 +0100
> 
>     Eli> Also, can I please see one backtrace with all the call-stack frames,
>     Eli> starting from 'main' and ending at 'handle_fatal_signal'?  The
>     Eli> original report shows only the top-most 511 frames, and the other one
>     Eli> has a lot of ?? (missing symbols) in it.
> 
> 'bt full' backtrace attached.

Thanks.

> Thread 2 received signal SIGSEGV, Segmentation fault.
> 0x0000000100221f88 in vector_marked_p (v=0x20a000000000) at alloc.c:3726
> 3726	  return XVECTOR_MARKED_P (v);
> (gdb) bt full
> #0  0x0000000100221f88 in vector_marked_p (v=0x20a000000000) at alloc.c:3726
> No locals.
> #1  0x00000001002255e5 in vectorlike_marked_p (header=0x20a000000000)
>     at alloc.c:3744
> No locals.
> #2  0x00000001002221c2 in mark_frame (ptr=0x164cc69a0) at alloc.c:6321
>         font = 0x20a000000000
>         f = 0x164cc69a0

This says that we were marking a frame, and its default font is a
garbled pointer.  Are all of the crashes you see happen because of a
faulty frame font in this snippet:

  static void
  mark_frame (struct Lisp_Vector *ptr)
  {
    struct frame *f = (struct frame *) ptr;
    mark_vectorlike (&ptr->header);
    mark_face_cache (f->face_cache);
  #ifdef HAVE_WINDOW_SYSTEM
    if (FRAME_WINDOW_P (f) && FRAME_OUTPUT_DATA (f))
      {
	struct font *font = FRAME_FONT (f);

	if (font && !vectorlike_marked_p (&font->header))  <<<<<<<<<<<<
	  mark_vectorlike (&font->header);
      }
  #endif
  }

I hope you still have this crashed session in the debugger.  If so,
please tell: do you have many frames in that session, or just a few
(perhaps even one)?  I'd like to see some more details about this
frame, if possible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:13:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:13:33 2020
Received: from localhost ([127.0.0.1]:52023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYZ3-0006Ml-BC
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:13:33 -0500
Received: from mail-wr1-f68.google.com ([209.85.221.68]:36859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipYZ0-0006MT-Rc
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:13:31 -0500
Received: by mail-wr1-f68.google.com with SMTP id z3so7575563wru.3
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 06:13:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=rFGASQ4JJNMzTWhPinnF6lwD4xlec56KjO4CWrIyRjw=;
 b=vVMGvDP5yDAbjR6zvrQVPQZ5nUFCb4xAn9RdITcWiOWZ2UQubCgCUD2rgjQJhj9MGH
 9nb+aB/87ou/XDYwA5sCfp5W/crXUkapkTWj6flSR2kUgVvyvhJsgDD2aNeJl9LRbr09
 ONNgTB/nSMHTao9PqOlWM2gv2bEb239pX7LeLeLFIFE0xpwHyW9TpEIPxZfUYVBY+K4M
 u9W04b24GtGnJW+oY4vHQQ9BPTOG+cL7MtlaruYqVda9xVQQ2N4nlJQx+snsX1yZiaKF
 vxiV4GFFZhAHc8Bdie2MHYr5Hrl2i33zmyoj3fp4AiIZL5DZa8jhmM5shniPrZ0mnoxD
 5odQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=rFGASQ4JJNMzTWhPinnF6lwD4xlec56KjO4CWrIyRjw=;
 b=VhvzZj0nNQRd131fgsDj5UhNDP0u8uVHeLGgIEhupH/DtnC2Sb2DYwl6tkovcVMaSf
 qY9v2awnYt90AMMO7yQsKSWl0VfsdVNrO7fF9jjchYQmgua6jArRflmNaLeQVDA3s8lX
 7P6KOaIScasSWjm4aQtjNN1iODIQ9/f98R4Q/86oGSF/SaRnBeveYMV82A6pU75JtIl8
 dqJw2WK4FbXkHlVT6I0i67l7mHjUYhoRQjrp96XeUh+n7XfKQ42LcFpKccZlCeXJJGvZ
 OTmoVYXmdS2gsi6c9Pqgje6bjkCL3MqalD8GNJQYNI4o/HyghP7TzN2dZ7sY0V+xIwbe
 59Gw==
X-Gm-Message-State: APjAAAWDbP2Mw3Qm16ncDonx6uKz+1wOgZV4CCgtFEP/m4Q+oh1gsFtN
 M32E323n+5EpsaDaRkBtaMPlkpDRcqI=
X-Google-Smtp-Source: APXvYqw3FI9P00Q3M005eXcsgFYR2xCaYJq6K8f9+jBT9dihzqGWJs2GdxueXXKQZN7e2MODaogpRg==
X-Received: by 2002:a5d:5381:: with SMTP id d1mr10322453wrv.259.1578579204629; 
 Thu, 09 Jan 2020 06:13:24 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id o16sm3061623wmc.18.2020.01.09.06.13.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 06:13:24 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m2imlkivqb.fsf@HIDDEN>
Date: Thu, 09 Jan 2020 15:13:22 +0100
In-Reply-To: <m2imlkivqb.fsf@HIDDEN> (Andrii Kolomoiets's message of "Thu, 
 09 Jan 2020 15:51:24 +0200")
Message-ID: <m236cok9a5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, 38748 <at> debbugs.gnu.org, jguenther@HIDDEN,
 pipcet@HIDDEN, alan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 09 Jan 2020 15:51:24 +0200, Andrii Kolomoiets <andreyk.mad@gm=
ail.com> said:

    Andrii> I made an assumption that gdb is indeed working incorrectly for=
 me
    Andrii> because:
    Andrii> - It can't print last_marked
    Andrii> - It shows a lot of ?? in call-stack
    Andrii> - Emacs is not crashing if running not under gdb
    Andrii> - Emacs keep working after continuing execution after gdb reach=
es
    Andrii>   terminate_due_to_signal breakpoint

Emacs crashes for me with or without gdb (and under lldb).

    Andrii> So I tried to use lldb.
    Andrii> Under lldb the crash is not occured on commit with 'ok =3D fals=
e'.

    Andrii> Also I came up with code to reproduce crash under 'emacs -Q' at=
 least on
    Andrii> my machine.

    Andrii> Here is the '~/emacs-crash.el' content:
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (make-frame `((parent-frame . ,(window-frame))))
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (delete-frame)
    Andrii> (garbage-collect)

That doesn=CA=BCt crash for me with 'emacs -Q', but I=CA=BCm not on 10.15.2=
 yet,
I=CA=BCm still on 10.14

    Andrii> This code is start crashing on the commit
    Andrii> bb42f6ef10cb250a9263b17a8794e950a563d5d0

    Andrii> Though I can't use xTYPE commands under lldb please see attache=
d lldb
    Andrii> output. It has all the call-stack frames starting from 'main'.

That=CA=BCs very different from the call stack I see. Perhaps we have two
bugs?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 14:11:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 09:11:06 2020
Received: from localhost ([127.0.0.1]:52016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYWf-0006JC-TK
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:11:06 -0500
Received: from mail-ot1-f53.google.com ([209.85.210.53]:35920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipYWc-0006Ih-OI
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 09:11:04 -0500
Received: by mail-ot1-f53.google.com with SMTP id 19so7369246otz.3
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 06:11:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=LfjFH1olThtrZUPCAsQigmCxXYSuSY1dimOd+f/ZJB0=;
 b=RbPFe97GDaQ9WpEbnb+nw2bsB+j3WGoALujB6uIauvQRyVEvqc9MniG+FHehlQTbRS
 ws8BnzjDw9d3k/bGpBxFuniDZ7M1p/ukWncOxrxdNidLNKtsz3BVO2rb93csa332Ul9r
 79S7le8eDmWcOgbq85+tc8JsiFzQG1XcKe99mGo6bN7kbaDRB4Dl5/R16RSgsgRdld7p
 Kgv0HvI+N9fdAIh1L5253JP2cyslTvwnkPpovH34B79n4o4cRDaeVxHH/uICC2OWjKiX
 Un7xnhY4bQlPXtBBs5gBRZgZgROByLRlrFrzFI4iQhIUf4a7lbIiTQmHAeDxt0ANiWm+
 lu/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=LfjFH1olThtrZUPCAsQigmCxXYSuSY1dimOd+f/ZJB0=;
 b=gmHMfPEbPv1fVF8UUuGFJ7DL1jIaTbhfvNqw9znqVuOHSTeEdWPv98bQ116Ykm6yXL
 Ow/535hR39635aHcVDiLnJYbV/O//v7usDSEAu5BhSn9Dvd8wS/yW1ZRdMwRdY2hGDif
 q7REXzx4f3jkX+GiuCIRf3dPbS9pCYdEzbcBpxgJOcW12BlUVzjRTcU5aKcBxJyfPQOZ
 tRRN5B2h2UcuoLdDLwuDAvKLeOY0KnggtEKYuazsTlAM+wtxBTkBiu5xCRfLc5Oapbz2
 pT0FnGKNV/jus3y7hQxOqT3faoJL4OseQyzgglchwBjR8PqWiDnU237XfkH9fa8ZyEDv
 eBJQ==
X-Gm-Message-State: APjAAAWtaPu+j58WKqBm7w7t6gqsIAsVRXB9XeC/iYlaBuBTdTKqjtpp
 HDS/uIj3vImVa4HLgCtk3yQPd27vHratmPqlUU8=
X-Google-Smtp-Source: APXvYqz6atBv1KaOlmRjy1OjMjuM36+9LpdtGKzzBidJmFq2ScWrfZN7SZ7gM+PymfQ0FCugkEGdZaGzSFyM/dnZAWs=
X-Received: by 2002:a9d:2965:: with SMTP id d92mr8009740otb.175.1578579057007; 
 Thu, 09 Jan 2020 06:10:57 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
 <m236co2a6a.fsf@HIDDEN>
In-Reply-To: <m236co2a6a.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Thu, 9 Jan 2020 14:10:20 +0000
Message-ID: <CAOqdjBdn4soMJqU8TYEO9Xyk82etUFmFL6iv78786NJ-hp2pGQ@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Jan 9, 2020 at 10:31 AM Robert Pluim <rpluim@HIDDEN> wrote:
>     Eli> Also, can I please see one backtrace with all the call-stack frames,
>     Eli> starting from 'main' and ending at 'handle_fatal_signal'?  The
>     Eli> original report shows only the top-most 511 frames, and the other one
>     Eli> has a lot of ?? (missing symbols) in it.
>
> 'bt full' backtrace attached.

At the risk of being wrong again, is it possible we're looking at two
different bugs? This looks like it might be a crash in mark_frame when
a "destroyed" frame's ->output_data.ns area is being accessed.

And, indeed, nsterm.m's ns_free_frame_resources contains:

  xfree (f->output_data.ns);

but not

  f->output_data.ns = NULL;
  f->output_method = output_initial;

or anything like them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 13:51:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 08:51:35 2020
Received: from localhost ([127.0.0.1]:51961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYDm-0005mG-U4
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:51:35 -0500
Received: from mail-lj1-f182.google.com ([209.85.208.182]:36612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYDl-0005ly-Lj
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:51:34 -0500
Received: by mail-lj1-f182.google.com with SMTP id r19so7326657ljg.3
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 05:51:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=raDBjrHKjz+zYvU1TB05cIjqGyZ9OWRN/flawJkO288=;
 b=ZvpOiQVg18+1ZIHhXVe9jzT924sr74tqkDs/4CqtkrQLgeXpFHC4QKWhVFHeQCxPyZ
 +3N7EjJs4p5U3M6Zfib797IY/jVd8hJCcEMtuzryhmI9MUk7ZwyKtfBvPgMbgqZzv1Bl
 ybH34EIWth2CUK555GVwn1uluyB7QmXFmXCBBW/uWNFwvnScG++umW2t7BYR6lq0hsMj
 HFwL4gqrK8mcCRYkasI9BRZphvhtYdFwhSw1Wx2zUfgtPNhCr6d4WYGsvOxpmW4176p5
 RMrwDKuOQVQUHcznEwFDhwLSNjSvrIFE5zXXYEa8aeBcjaIw6gQgQGeSeecghN6eFBj4
 D/ZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=raDBjrHKjz+zYvU1TB05cIjqGyZ9OWRN/flawJkO288=;
 b=F4Nm2r8Aer/8uencYrb+ydhxYRSbDwJccnI9nFhNAm8MIbRyt3f56f2ZescT6EAq7e
 BTJNBO8seHJaN8HcMZVdG62mZqRgRTi2DlBuX6uTkRQnFGtG2Wc4FVKJCdmlJ5jf1Pes
 /q6+NU9u5iXdxJhgKwC6UEUqqwPAzhdebWtHCKviLY0Mdwbo/VzN7PO0W6TAxQgSQLn3
 QmssjYGJjQv5mvxy6ixFHxOEo9e/xiJUufwKwuRLAXhmzDNjFY8BzPwWmU+kGArOpAFC
 +RC29r+vhRKYuDvTBkU/9jW8y1Vwub0dsP9fWBmaXrC6KzjvIHZS0uH8wOEXFN2Ky5R+
 g0Eg==
X-Gm-Message-State: APjAAAWJIyrnypUVffrp1osKSw3cJxvQfgTbc+QvFATBWL8FwHOYHu/d
 Y1FAs1/+FHq78yNDxiIJCKfkLEPk
X-Google-Smtp-Source: APXvYqwXqhQJzCxtmkKV3cDgPIksOPYc5V1/M8QK1SAGz850jAAWHg9etC0j/0iXsTdZ/KMpk1x3Kg==
X-Received: by 2002:a2e:9a01:: with SMTP id o1mr6331685lji.247.1578577887262; 
 Thu, 09 Jan 2020 05:51:27 -0800 (PST)
Received: from muffinmac.local (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id
 t9sm3095139lfl.51.2020.01.09.05.51.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 05:51:26 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
Date: Thu, 09 Jan 2020 15:51:24 +0200
In-Reply-To: <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> (Eli Zaretskii's
 message of "Thu, 09 Jan 2020 12:07:54 +0200")
Message-ID: <m2imlkivqb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 Pip Cet <pipcet@HIDDEN>, 38748 <at> debbugs.gnu.org,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

> On January 9, 2020 9:51:43 AM GMT+02:00, Robert Pluim <rpluim@HIDDEN> =
wrote:
>> <rpluim@HIDDEN> said:
>>> As another data point, I=CA=BCm writing this from an emacs with 'ok
>>> =3D true', which has not crashed yet....
>>=20
>> scratch that, it crashed this morning.
>>=20
>> Robert
>
> Thanks for trying.
>
> A stab in the dark: does it help to rename the variable 'ok' in
> face_inherited_attr to some other name, like 'ok1'?
>
> Also, can I please see one backtrace with all the call-stack frames,
> starting from 'main' and ending at 'handle_fatal_signal'?  The
> original report shows only the top-most 511 frames, and the other one
> has a lot of ?? (missing symbols) in it.
>
> And finally, are all the crashes inside GC, or do some happen outside
> it?

I made an assumption that gdb is indeed working incorrectly for me
because:
- It can't print last_marked
- It shows a lot of ?? in call-stack
- Emacs is not crashing if running not under gdb
- Emacs keep working after continuing execution after gdb reaches
  terminate_due_to_signal breakpoint

So I tried to use lldb.
Under lldb the crash is not occured on commit with 'ok =3D false'.

Also I came up with code to reproduce crash under 'emacs -Q' at least on
my machine.

Here is the '~/emacs-crash.el' content:
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(delete-frame)
(delete-frame)
(delete-frame)
(delete-frame)
(garbage-collect)

This code is start crashing on the commit
bb42f6ef10cb250a9263b17a8794e950a563d5d0

Though I can't use xTYPE commands under lldb please see attached lldb
output. It has all the call-stack frames starting from 'main'.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=lldb.txt

> lldb ./emacs
(lldb) target create "./emacs"
Current executable set to './emacs' (x86_64).
(lldb) r -Q -l ~/emacs-crash.el
Process 79102 launched: '/Users/mad/workspace/emacs/src/emacs' (x86_64)
2020-01-09 15:03:04.568377+0200 emacs[79102:1831680] flock failed to lock maps file: errno = 35
2020-01-09 15:03:04.568728+0200 emacs[79102:1831680] flock failed to lock maps file: errno = 35
2020-01-09 15:03:04.902490+0200 emacs[79102:1831645] SecTaskLoadEntitlements failed error=22 cs_flags=20, pid=79102
2020-01-09 15:03:04.902599+0200 emacs[79102:1831645] SecTaskCopyDebugDescription: emacs[79102]/0#-1 LF=0
2020-01-09 15:03:04.903630+0200 emacs[79102:1831645] SecTaskLoadEntitlements failed error=22 cs_flags=20, pid=79102
2020-01-09 15:03:04.903710+0200 emacs[79102:1831645] SecTaskCopyDebugDescription: emacs[79102]/0#-1 LF=0
Process 79102 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=2, address=0x7fff2ea65d3f)
    frame #0: 0x00000001002b2c33 emacs`set_vector_marked(v=0x00007fff2ea65d3f) at alloc.c:3738:5
   3735	      pdumper_set_marked (v);
   3736	    }
   3737	  else
-> 3738	    XMARK_VECTOR (v);
   3739	}
   3740
   3741	static bool
Target 0: (emacs) stopped.
(lldb) thread backtrace
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=2, address=0x7fff2ea65d3f)
  * frame #0: 0x00000001002b2c33 emacs`set_vector_marked(v=0x00007fff2ea65d3f) at alloc.c:3738:5
    frame #1: 0x00000001002b2d85 emacs`mark_vectorlike(header=0x00007fff2ea65d3f) at alloc.c:6149:3
    frame #2: 0x00000001002b28a3 emacs`mark_frame(ptr=0x0000000101a67990) at alloc.c:6322:9
    frame #3: 0x00000001002b0e40 emacs`mark_object(arg=(i = 0x0000000101a67995)) at alloc.c:6528:13
    frame #4: 0x00000001002b2dd3 emacs`mark_vectorlike(header=0x0000000101a7a4d0) at alloc.c:6158:5
    frame #5: 0x00000001002b282d emacs`mark_frame(ptr=0x0000000101a7a4d0) at alloc.c:6314:3
    frame #6: 0x00000001002b0e40 emacs`mark_object(arg=(i = 0x0000000101b98b93)) at alloc.c:6528:13
    frame #7: 0x00000001002add8c emacs`mark_maybe_object(obj=(i = 0x0000000101b98b93)) at alloc.c:4577:2
    frame #8: 0x00000001002ade93 emacs`mark_memory(start=0x00007ffeefbf88a0, end=0x00007ffeefbff6a8) at alloc.c:4723:2
    frame #9: 0x00000001002adddd emacs`mark_stack(bottom="", end="?\x88???") at alloc.c:4930:3
    frame #10: 0x0000000100418e41 emacs`mark_one_thread(thread=0x000000010097f528) at thread.c:630:3
    frame #11: 0x00000001004176d3 emacs`mark_threads_callback(ignore=0x0000000000000000) at thread.c:661:7
    frame #12: 0x00000001002adef4 emacs`flush_stack_call_func(func=(emacs`mark_threads_callback at thread.c:652), arg=0x0000000000000000) at alloc.c:4957:3
    frame #13: 0x0000000100417624 emacs`mark_threads at thread.c:668:3
    frame #14: 0x00000001002afdb6 emacs`garbage_collect at alloc.c:5947:3
    frame #15: 0x00000001002b1acc emacs`Fgarbage_collect at alloc.c:6062:3
    frame #16: 0x0000000100301a16 emacs`eval_sub(form=(i = 0x0000000101982413)) at eval.c:2270:15
    frame #17: 0x000000010037a944 emacs`readevalloop_eager_expand_eval(val=(i = 0x0000000101982413), macroexpand=(i = 0x00000000023a5b38)) at lread.c:1928:13
    frame #18: 0x0000000100371e56 emacs`readevalloop(readcharfun=(i = 0x000000010131f4d5), infile0=0x0000000000000000, sourcename=(i = 0x0000000101326584), printflag=false, unibyte=(i = 0x0000000000000000), readfun=(i = 0x0000000000000000), start=(i = 0x0000000000000000), end=(i = 0x0000000000000000)) at lread.c:2110:15
    frame #19: 0x00000001003728f8 emacs`Feval_buffer(buffer=(i = 0x000000010131f4d5), printflag=(i = 0x0000000000000000), filename=(i = 0x00000001012125e4), unibyte=(i = 0x0000000000000000), do_allow_print=(i = 0x0000000000000030)) at lread.c:2183:3
    frame #20: 0x00000001003114ad emacs`funcall_subr(subr=0x0000000100549cf8, numargs=5, args=0x00007ffeefbf97d0) at eval.c:2879:19
    frame #21: 0x000000010030f9f2 emacs`Ffuncall(nargs=6, args=0x00007ffeefbf97c8) at eval.c:2794:11
    frame #22: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x00000001029989b4), vector=(i = 0x00000001029980cd), maxdepth=(i = 0x000000000000001a), args_template=(i = 0x0000000000000000), nargs=0, args=0x0000000000000000) at bytecode.c:633:12
    frame #23: 0x0000000100312206 emacs`funcall_lambda(fun=(i = 0x000000010299809d), nargs=4, arg_vector=0x00007ffeefbfa858) at eval.c:3067:13
    frame #24: 0x000000010030fa42 emacs`Ffuncall(nargs=5, args=0x00007ffeefbfa850) at eval.c:2796:11
    frame #25: 0x0000000100310c13 emacs`call4(fn=(i = 0x0000000001f70978), arg1=(i = 0x00000001012125e4), arg2=(i = 0x00000001012125e4), arg3=(i = 0x0000000000000000), arg4=(i = 0x0000000000000030)) at eval.c:2676:10
    frame #26: 0x000000010036e10e emacs`Fload(file=(i = 0x0000000101212454), noerror=(i = 0x0000000000000000), nomessage=(i = 0x0000000000000030), nosuffix=(i = 0x0000000000000000), must_suffix=(i = 0x0000000000000000)) at lread.c:1386:10
    frame #27: 0x00000001003114ad emacs`funcall_subr(subr=0x0000000100549cc8, numargs=3, args=0x00007ffeefbfb198) at eval.c:2879:19
    frame #28: 0x000000010030f9f2 emacs`Ffuncall(nargs=4, args=0x00007ffeefbfb190) at eval.c:2794:11
    frame #29: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x000000010305fb5c), vector=(i = 0x000000010305e6fd), maxdepth=(i = 0x0000000000000066), args_template=(i = 0x0000000000000406), nargs=1, args=0x00007ffeefbfc5d8) at bytecode.c:633:12
    frame #30: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x000000010305e6cd), nargs=1, arg_vector=0x00007ffeefbfc5d0) at eval.c:2989:11
    frame #31: 0x000000010030fa42 emacs`Ffuncall(nargs=2, args=0x00007ffeefbfc5c8) at eval.c:2796:11
    frame #32: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x0000000103063904), vector=(i = 0x000000010305fdad), maxdepth=(i = 0x000000000000003a), args_template=(i = 0x0000000000000002), nargs=0, args=0x00007ffeefbfdc38) at bytecode.c:633:12
    frame #33: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x000000010305fd7d), nargs=0, arg_vector=0x00007ffeefbfdc38) at eval.c:2989:11
    frame #34: 0x000000010030fa42 emacs`Ffuncall(nargs=1, args=0x00007ffeefbfdc30) at eval.c:2796:11
    frame #35: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x00000001030645cc), vector=(i = 0x0000000103063ad5), maxdepth=(i = 0x0000000000000032), args_template=(i = 0x0000000000000002), nargs=0, args=0x00007ffeefbfecc0) at bytecode.c:633:12
    frame #36: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x0000000103063aa5), nargs=0, arg_vector=0x00007ffeefbfecc0) at eval.c:2989:11
    frame #37: 0x000000010030bd8e emacs`apply_lambda(fun=(i = 0x0000000103063aa5), args=(i = 0x0000000000000000), count=4) at eval.c:2926:9
    frame #38: 0x0000000100301c9d emacs`eval_sub(form=(i = 0x0000000103211b63)) at eval.c:2318:12
    frame #39: 0x000000010030a2ed emacs`Feval(form=(i = 0x0000000103211b63), lexical=(i = 0x0000000000000000)) at eval.c:2102:28
    frame #40: 0x00000001001e8b3a emacs`top_level_2 at keyboard.c:1100:10
    frame #41: 0x00000001003085dd emacs`internal_condition_case(bfun=(emacs`top_level_2 at keyboard.c:1099), handlers=(i = 0x0000000000000090), hfun=(emacs`cmd_error at keyboard.c:919)) at eval.c:1355:25
    frame #42: 0x00000001001e8751 emacs`top_level_1(ignore=(i = 0x0000000000000000)) at keyboard.c:1108:5
    frame #43: 0x00000001003079a8 emacs`internal_catch(tag=(i = 0x000000000000c8a0), func=(emacs`top_level_1 at keyboard.c:1105), arg=(i = 0x0000000000000000)) at eval.c:1116:25
    frame #44: 0x00000001001c46ec emacs`command_loop at keyboard.c:1069:2
    frame #45: 0x00000001001c44f7 emacs`recursive_edit_1 at keyboard.c:714:9
    frame #46: 0x00000001001c4996 emacs`Frecursive_edit at keyboard.c:786:3
    frame #47: 0x00000001001c1520 emacs`main(argc=4, argv=0x00007ffeefbff6e8) at emacs.c:2054:3
    frame #48: 0x00007fff63a7c7fd libdyld.dylib`start + 1
    frame #49: 0x00007fff63a7c7fd libdyld.dylib`start + 1
(lldb) p last_marked_index
(int) $0 = 468
(lldb) p last_marked[467]
(Lisp_Object) $1 = (i = 0x0000000000000000)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 13:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 08:51:41 2020
Received: from localhost ([127.0.0.1]:51964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipYDs-0005md-Ex
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:51:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:38629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYDo-0005mO-0V
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:51:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56482)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYDl-0007fp-P6
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 08:51:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ipYDi-0002NK-Os
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 08:51:33 -0500
Received: from mail-lj1-x22c.google.com ([2a00:1450:4864:20::22c]:41052)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreyk.mad@HIDDEN>)
 id 1ipYDh-0002Hf-S5; Thu, 09 Jan 2020 08:51:30 -0500
Received: by mail-lj1-x22c.google.com with SMTP id h23so7288797ljc.8;
 Thu, 09 Jan 2020 05:51:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=raDBjrHKjz+zYvU1TB05cIjqGyZ9OWRN/flawJkO288=;
 b=ZvpOiQVg18+1ZIHhXVe9jzT924sr74tqkDs/4CqtkrQLgeXpFHC4QKWhVFHeQCxPyZ
 +3N7EjJs4p5U3M6Zfib797IY/jVd8hJCcEMtuzryhmI9MUk7ZwyKtfBvPgMbgqZzv1Bl
 ybH34EIWth2CUK555GVwn1uluyB7QmXFmXCBBW/uWNFwvnScG++umW2t7BYR6lq0hsMj
 HFwL4gqrK8mcCRYkasI9BRZphvhtYdFwhSw1Wx2zUfgtPNhCr6d4WYGsvOxpmW4176p5
 RMrwDKuOQVQUHcznEwFDhwLSNjSvrIFE5zXXYEa8aeBcjaIw6gQgQGeSeecghN6eFBj4
 D/ZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=raDBjrHKjz+zYvU1TB05cIjqGyZ9OWRN/flawJkO288=;
 b=My1mL4gYcr9p2YarbL89zzjfro208DFKvbJFJiDo/9+BzOfTVEFage5lSoPRSU7WQ6
 vYsSz1iCAtg6k6LU6P5/KJiwV2zcHNJS3erscvNEehgofU5PGQah9qpxRLMZmEJQXsYh
 +NFgHXbMjY3y3lTvH5t3RS3r0Aop2bGBJ/MNWz0iN9eBkHMtWHjNzqRTJdzCNe4BgOss
 EZxhyKsII090fb+64dsbBjukbfFByk/GAbcpxotBX09tYHVJmLQvJmZyzSDrJrvgW2PL
 1srkOq0pUzzj9BvxwPsPdsXHq1qXA8UECnqhs4eXxaa4SmFOIRR//iMD+FxkK3H0iePB
 CO+Q==
X-Gm-Message-State: APjAAAXSZpFrQkOD3pJVnsmvB/NCXL9FkDSaXi69xksytcNnPWbbrVmI
 RK4izc2MyRGHZIMdP9WA6OE=
X-Google-Smtp-Source: APXvYqwXqhQJzCxtmkKV3cDgPIksOPYc5V1/M8QK1SAGz850jAAWHg9etC0j/0iXsTdZ/KMpk1x3Kg==
X-Received: by 2002:a2e:9a01:: with SMTP id o1mr6331685lji.247.1578577887262; 
 Thu, 09 Jan 2020 05:51:27 -0800 (PST)
Received: from muffinmac.local (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id
 t9sm3095139lfl.51.2020.01.09.05.51.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 05:51:26 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
Date: Thu, 09 Jan 2020 15:51:24 +0200
In-Reply-To: <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN> (Eli Zaretskii's
 message of "Thu, 09 Jan 2020 12:07:54 +0200")
Message-ID: <m2imlkivqb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::22c
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: jguenther@HIDDEN, bug-gnu-emacs@HIDDEN, alan@HIDDEN,
 Pip Cet <pipcet@HIDDEN>, 38748 <at> debbugs.gnu.org,
 Robert Pluim <rpluim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

> On January 9, 2020 9:51:43 AM GMT+02:00, Robert Pluim <rpluim@HIDDEN> =
wrote:
>> <rpluim@HIDDEN> said:
>>> As another data point, I=CA=BCm writing this from an emacs with 'ok
>>> =3D true', which has not crashed yet....
>>=20
>> scratch that, it crashed this morning.
>>=20
>> Robert
>
> Thanks for trying.
>
> A stab in the dark: does it help to rename the variable 'ok' in
> face_inherited_attr to some other name, like 'ok1'?
>
> Also, can I please see one backtrace with all the call-stack frames,
> starting from 'main' and ending at 'handle_fatal_signal'?  The
> original report shows only the top-most 511 frames, and the other one
> has a lot of ?? (missing symbols) in it.
>
> And finally, are all the crashes inside GC, or do some happen outside
> it?

I made an assumption that gdb is indeed working incorrectly for me
because:
- It can't print last_marked
- It shows a lot of ?? in call-stack
- Emacs is not crashing if running not under gdb
- Emacs keep working after continuing execution after gdb reaches
  terminate_due_to_signal breakpoint

So I tried to use lldb.
Under lldb the crash is not occured on commit with 'ok =3D false'.

Also I came up with code to reproduce crash under 'emacs -Q' at least on
my machine.

Here is the '~/emacs-crash.el' content:
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(make-frame `((parent-frame . ,(window-frame))))
(delete-frame)
(delete-frame)
(delete-frame)
(delete-frame)
(garbage-collect)

This code is start crashing on the commit
bb42f6ef10cb250a9263b17a8794e950a563d5d0

Though I can't use xTYPE commands under lldb please see attached lldb
output. It has all the call-stack frames starting from 'main'.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=lldb.txt

> lldb ./emacs
(lldb) target create "./emacs"
Current executable set to './emacs' (x86_64).
(lldb) r -Q -l ~/emacs-crash.el
Process 79102 launched: '/Users/mad/workspace/emacs/src/emacs' (x86_64)
2020-01-09 15:03:04.568377+0200 emacs[79102:1831680] flock failed to lock maps file: errno = 35
2020-01-09 15:03:04.568728+0200 emacs[79102:1831680] flock failed to lock maps file: errno = 35
2020-01-09 15:03:04.902490+0200 emacs[79102:1831645] SecTaskLoadEntitlements failed error=22 cs_flags=20, pid=79102
2020-01-09 15:03:04.902599+0200 emacs[79102:1831645] SecTaskCopyDebugDescription: emacs[79102]/0#-1 LF=0
2020-01-09 15:03:04.903630+0200 emacs[79102:1831645] SecTaskLoadEntitlements failed error=22 cs_flags=20, pid=79102
2020-01-09 15:03:04.903710+0200 emacs[79102:1831645] SecTaskCopyDebugDescription: emacs[79102]/0#-1 LF=0
Process 79102 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=2, address=0x7fff2ea65d3f)
    frame #0: 0x00000001002b2c33 emacs`set_vector_marked(v=0x00007fff2ea65d3f) at alloc.c:3738:5
   3735	      pdumper_set_marked (v);
   3736	    }
   3737	  else
-> 3738	    XMARK_VECTOR (v);
   3739	}
   3740
   3741	static bool
Target 0: (emacs) stopped.
(lldb) thread backtrace
* thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=2, address=0x7fff2ea65d3f)
  * frame #0: 0x00000001002b2c33 emacs`set_vector_marked(v=0x00007fff2ea65d3f) at alloc.c:3738:5
    frame #1: 0x00000001002b2d85 emacs`mark_vectorlike(header=0x00007fff2ea65d3f) at alloc.c:6149:3
    frame #2: 0x00000001002b28a3 emacs`mark_frame(ptr=0x0000000101a67990) at alloc.c:6322:9
    frame #3: 0x00000001002b0e40 emacs`mark_object(arg=(i = 0x0000000101a67995)) at alloc.c:6528:13
    frame #4: 0x00000001002b2dd3 emacs`mark_vectorlike(header=0x0000000101a7a4d0) at alloc.c:6158:5
    frame #5: 0x00000001002b282d emacs`mark_frame(ptr=0x0000000101a7a4d0) at alloc.c:6314:3
    frame #6: 0x00000001002b0e40 emacs`mark_object(arg=(i = 0x0000000101b98b93)) at alloc.c:6528:13
    frame #7: 0x00000001002add8c emacs`mark_maybe_object(obj=(i = 0x0000000101b98b93)) at alloc.c:4577:2
    frame #8: 0x00000001002ade93 emacs`mark_memory(start=0x00007ffeefbf88a0, end=0x00007ffeefbff6a8) at alloc.c:4723:2
    frame #9: 0x00000001002adddd emacs`mark_stack(bottom="", end="?\x88???") at alloc.c:4930:3
    frame #10: 0x0000000100418e41 emacs`mark_one_thread(thread=0x000000010097f528) at thread.c:630:3
    frame #11: 0x00000001004176d3 emacs`mark_threads_callback(ignore=0x0000000000000000) at thread.c:661:7
    frame #12: 0x00000001002adef4 emacs`flush_stack_call_func(func=(emacs`mark_threads_callback at thread.c:652), arg=0x0000000000000000) at alloc.c:4957:3
    frame #13: 0x0000000100417624 emacs`mark_threads at thread.c:668:3
    frame #14: 0x00000001002afdb6 emacs`garbage_collect at alloc.c:5947:3
    frame #15: 0x00000001002b1acc emacs`Fgarbage_collect at alloc.c:6062:3
    frame #16: 0x0000000100301a16 emacs`eval_sub(form=(i = 0x0000000101982413)) at eval.c:2270:15
    frame #17: 0x000000010037a944 emacs`readevalloop_eager_expand_eval(val=(i = 0x0000000101982413), macroexpand=(i = 0x00000000023a5b38)) at lread.c:1928:13
    frame #18: 0x0000000100371e56 emacs`readevalloop(readcharfun=(i = 0x000000010131f4d5), infile0=0x0000000000000000, sourcename=(i = 0x0000000101326584), printflag=false, unibyte=(i = 0x0000000000000000), readfun=(i = 0x0000000000000000), start=(i = 0x0000000000000000), end=(i = 0x0000000000000000)) at lread.c:2110:15
    frame #19: 0x00000001003728f8 emacs`Feval_buffer(buffer=(i = 0x000000010131f4d5), printflag=(i = 0x0000000000000000), filename=(i = 0x00000001012125e4), unibyte=(i = 0x0000000000000000), do_allow_print=(i = 0x0000000000000030)) at lread.c:2183:3
    frame #20: 0x00000001003114ad emacs`funcall_subr(subr=0x0000000100549cf8, numargs=5, args=0x00007ffeefbf97d0) at eval.c:2879:19
    frame #21: 0x000000010030f9f2 emacs`Ffuncall(nargs=6, args=0x00007ffeefbf97c8) at eval.c:2794:11
    frame #22: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x00000001029989b4), vector=(i = 0x00000001029980cd), maxdepth=(i = 0x000000000000001a), args_template=(i = 0x0000000000000000), nargs=0, args=0x0000000000000000) at bytecode.c:633:12
    frame #23: 0x0000000100312206 emacs`funcall_lambda(fun=(i = 0x000000010299809d), nargs=4, arg_vector=0x00007ffeefbfa858) at eval.c:3067:13
    frame #24: 0x000000010030fa42 emacs`Ffuncall(nargs=5, args=0x00007ffeefbfa850) at eval.c:2796:11
    frame #25: 0x0000000100310c13 emacs`call4(fn=(i = 0x0000000001f70978), arg1=(i = 0x00000001012125e4), arg2=(i = 0x00000001012125e4), arg3=(i = 0x0000000000000000), arg4=(i = 0x0000000000000030)) at eval.c:2676:10
    frame #26: 0x000000010036e10e emacs`Fload(file=(i = 0x0000000101212454), noerror=(i = 0x0000000000000000), nomessage=(i = 0x0000000000000030), nosuffix=(i = 0x0000000000000000), must_suffix=(i = 0x0000000000000000)) at lread.c:1386:10
    frame #27: 0x00000001003114ad emacs`funcall_subr(subr=0x0000000100549cc8, numargs=3, args=0x00007ffeefbfb198) at eval.c:2879:19
    frame #28: 0x000000010030f9f2 emacs`Ffuncall(nargs=4, args=0x00007ffeefbfb190) at eval.c:2794:11
    frame #29: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x000000010305fb5c), vector=(i = 0x000000010305e6fd), maxdepth=(i = 0x0000000000000066), args_template=(i = 0x0000000000000406), nargs=1, args=0x00007ffeefbfc5d8) at bytecode.c:633:12
    frame #30: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x000000010305e6cd), nargs=1, arg_vector=0x00007ffeefbfc5d0) at eval.c:2989:11
    frame #31: 0x000000010030fa42 emacs`Ffuncall(nargs=2, args=0x00007ffeefbfc5c8) at eval.c:2796:11
    frame #32: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x0000000103063904), vector=(i = 0x000000010305fdad), maxdepth=(i = 0x000000000000003a), args_template=(i = 0x0000000000000002), nargs=0, args=0x00007ffeefbfdc38) at bytecode.c:633:12
    frame #33: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x000000010305fd7d), nargs=0, arg_vector=0x00007ffeefbfdc38) at eval.c:2989:11
    frame #34: 0x000000010030fa42 emacs`Ffuncall(nargs=1, args=0x00007ffeefbfdc30) at eval.c:2796:11
    frame #35: 0x000000010039f4cb emacs`exec_byte_code(bytestr=(i = 0x00000001030645cc), vector=(i = 0x0000000103063ad5), maxdepth=(i = 0x0000000000000032), args_template=(i = 0x0000000000000002), nargs=0, args=0x00007ffeefbfecc0) at bytecode.c:633:12
    frame #36: 0x0000000100311a6d emacs`funcall_lambda(fun=(i = 0x0000000103063aa5), nargs=0, arg_vector=0x00007ffeefbfecc0) at eval.c:2989:11
    frame #37: 0x000000010030bd8e emacs`apply_lambda(fun=(i = 0x0000000103063aa5), args=(i = 0x0000000000000000), count=4) at eval.c:2926:9
    frame #38: 0x0000000100301c9d emacs`eval_sub(form=(i = 0x0000000103211b63)) at eval.c:2318:12
    frame #39: 0x000000010030a2ed emacs`Feval(form=(i = 0x0000000103211b63), lexical=(i = 0x0000000000000000)) at eval.c:2102:28
    frame #40: 0x00000001001e8b3a emacs`top_level_2 at keyboard.c:1100:10
    frame #41: 0x00000001003085dd emacs`internal_condition_case(bfun=(emacs`top_level_2 at keyboard.c:1099), handlers=(i = 0x0000000000000090), hfun=(emacs`cmd_error at keyboard.c:919)) at eval.c:1355:25
    frame #42: 0x00000001001e8751 emacs`top_level_1(ignore=(i = 0x0000000000000000)) at keyboard.c:1108:5
    frame #43: 0x00000001003079a8 emacs`internal_catch(tag=(i = 0x000000000000c8a0), func=(emacs`top_level_1 at keyboard.c:1105), arg=(i = 0x0000000000000000)) at eval.c:1116:25
    frame #44: 0x00000001001c46ec emacs`command_loop at keyboard.c:1069:2
    frame #45: 0x00000001001c44f7 emacs`recursive_edit_1 at keyboard.c:714:9
    frame #46: 0x00000001001c4996 emacs`Frecursive_edit at keyboard.c:786:3
    frame #47: 0x00000001001c1520 emacs`main(argc=4, argv=0x00007ffeefbff6e8) at emacs.c:2054:3
    frame #48: 0x00007fff63a7c7fd libdyld.dylib`start + 1
    frame #49: 0x00007fff63a7c7fd libdyld.dylib`start + 1
(lldb) p last_marked_index
(int) $0 = 468
(lldb) p last_marked[467]
(Lisp_Object) $1 = (i = 0x0000000000000000)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 10:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 05:31:38 2020
Received: from localhost ([127.0.0.1]:51849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipV6H-0005Ju-V1
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:31:37 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:36461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipV6G-0005Ji-2w
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:31:36 -0500
Received: by mail-wm1-f47.google.com with SMTP id p17so2228335wma.1
 for <38748 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 02:31:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:message-id:mime-version;
 bh=hbWv/NZpbneT2RqoAV1yrKyPMWkc1isv/C4NknrXAwI=;
 b=gVi19im/jfbIaNSkAl5aqanMc97/NjM3LOLWGCG2rCelPZevR7bFlHmpkXzeWfry2i
 cX8mRYsTI0xiO7hqcw71E3GCpQ3ErMJr16noO5IVy/7Ws4PPpihb2CHvKNf4ENcYHyQq
 +cuUA8Sw9HYp+1WQFIbwgL8oQQhwqEfI8HkCBqAr2dDb5UODqrBYZxNbUwsRnBRN/uQy
 6XINVCh+k62KXC3HlvbibMUB6rNNmL1uUGx8oq0P+g40zPwgtyH8dsvLiIWYwZG1M1cH
 jmCESDQ4GogK/+JX8OI6HwJChFv8boG7HOwMV5THgnVl+jJZy96o8U38ActRSkEROWiK
 Q3WA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :mime-version;
 bh=hbWv/NZpbneT2RqoAV1yrKyPMWkc1isv/C4NknrXAwI=;
 b=HFtIY14/3H35epFHOQAxnBF4MyGpToZvMRzrzIIo3lXT9yRoJbOO3rdifkSEKlC7Dz
 fjqYDQQPulbNFcTRH9LuBTXz2b4dGwLZyDnrjmexROisU6JsctpZTxY6C6fRydEGB2aS
 e8UG9kSvy4a4YVOe49WRk0S/w2ry99Thgw5XI7q0NpkGBtlib0mEJ/8vLre7fncr6izT
 h0J+/e1i5rSM+DczNLQBtL2Mqw28HO85V26nbPIxZqchLayx8nA2DeFIyiZN6NdxX+ck
 enrK7u7mN9YzDDWdQsl0zhmLj6QlHZqTi3+oKVrFuiCAUCg8lDOcedq2ZjvpJdwZ82Q+
 VYIQ==
X-Gm-Message-State: APjAAAWZBHcPY+eHNDiMt/4a0HyrdCkfNpTCiFl2glBQz38OXAE4RPJ7
 Lm2esDeGbPiKlhGKmWtWLOo=
X-Google-Smtp-Source: APXvYqxoYcJIhM9Dnw/4BMpk9PCvDqa38yoRFRPJosKX6nq0He3aSzhdVOnoSIpSlqgDTjLEbccHyw==
X-Received: by 2002:a7b:cd11:: with SMTP id f17mr4071771wmj.48.1578565889580; 
 Thu, 09 Jan 2020 02:31:29 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id z187sm2441793wme.16.2020.01.09.02.31.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 02:31:27 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
 <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
Date: Thu, 09 Jan 2020 11:31:25 +0100
Message-ID: <m236co2a6a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, andreyk.mad@HIDDEN, jguenther@HIDDEN,
 pipcet@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Thu, 09 Jan 2020 12:07:54 +0200, Eli Zaretskii <eliz@HIDDEN> said:

    Eli> A stab in the dark: does it help to rename the variable 'ok' in fa=
ce_inherited_attr to some other name, like 'ok1'?

I can try that.

    Eli> Also, can I please see one backtrace with all the call-stack frame=
s,
    Eli> starting from 'main' and ending at 'handle_fatal_signal'?  The
    Eli> original report shows only the top-most 511 frames, and the other =
one
    Eli> has a lot of ?? (missing symbols) in it.

'bt full' backtrace attached.

    Eli> And finally, are all the crashes inside GC, or do some happen outs=
ide it?

I=CA=BCve only seen it inside GC.

Robert


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=full-backtrace.txt.gz
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 10:08:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 05:08:07 2020
Received: from localhost ([127.0.0.1]:51830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipUjX-0004kU-E4
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:08:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipUjV-0004jo-Ah
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:08:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54207)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipUjP-0000Xr-Oo; Thu, 09 Jan 2020 05:07:59 -0500
Received: from [109.253.192.139] (port=41694 helo=[10.129.95.116])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipUjO-00071U-Ex; Thu, 09 Jan 2020 05:07:59 -0500
Date: Thu, 09 Jan 2020 12:07:54 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <m21rs93w4w.fsf@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: bug-gnu-emacs@HIDDEN, Robert Pluim <rpluim@HIDDEN>,
 Pip Cet <pipcet@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On January 9, 2020 9:51:43 AM GMT+02:00, Robert Pluim <rpluim@gmail=2Ecom> =
wrote:
> >>>>> On Wed, 08 Jan 2020 23:23:48 +0100, Robert Pluim
> <rpluim@gmail=2Ecom> said:
> Robert> As another data point, I=CA=BCm writing this from an emacs with =
'ok
> =3D
>     Robert> true', which has not crashed yet=2E=2E=2E=2E
>=20
> scratch that, it crashed this morning=2E
>=20
> Robert

Thanks for trying=2E

A stab in the dark: does it help to rename the variable 'ok' in face_inher=
ited_attr to some other name, like 'ok1'?

Also, can I please see one backtrace with all the call-stack frames, start=
ing from 'main' and ending at 'handle_fatal_signal'?  The original report s=
hows only the top-most 511 frames, and the other one has a lot of ?? (missi=
ng symbols) in it=2E

And finally, are all the crashes inside GC, or do some happen outside it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2020 10:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 05:08:04 2020
Received: from localhost ([127.0.0.1]:51827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipUjU-0004kF-5C
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:08:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:49193)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipUjS-0004k8-FM
 for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 05:08:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57937)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1ipUjQ-0008C2-CA
 for bug-gnu-emacs@HIDDEN; Thu, 09 Jan 2020 05:08:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54207)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipUjP-0000Xr-Oo; Thu, 09 Jan 2020 05:07:59 -0500
Received: from [109.253.192.139] (port=41694 helo=[10.129.95.116])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipUjO-00071U-Ex; Thu, 09 Jan 2020 05:07:59 -0500
Date: Thu, 09 Jan 2020 12:07:54 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <m21rs93w4w.fsf@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <834kxej6lc.fsf@HIDDEN>
 <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN> <m21rs93w4w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: bug-gnu-emacs@HIDDEN, Robert Pluim <rpluim@HIDDEN>,
 Pip Cet <pipcet@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <C0F1679C-6AF8-44E0-84EB-21BB60742092@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On January 9, 2020 9:51:43 AM GMT+02:00, Robert Pluim <rpluim@gmail=2Ecom> =
wrote:
> >>>>> On Wed, 08 Jan 2020 23:23:48 +0100, Robert Pluim
> <rpluim@gmail=2Ecom> said:
> Robert> As another data point, I=CA=BCm writing this from an emacs with =
'ok
> =3D
>     Robert> true', which has not crashed yet=2E=2E=2E=2E
>=20
> scratch that, it crashed this morning=2E
>=20
> Robert

Thanks for trying=2E

A stab in the dark: does it help to rename the variable 'ok' in face_inher=
ited_attr to some other name, like 'ok1'?

Also, can I please see one backtrace with all the call-stack frames, start=
ing from 'main' and ending at 'handle_fatal_signal'?  The original report s=
hows only the top-most 511 frames, and the other one has a lot of ?? (missi=
ng symbols) in it=2E

And finally, are all the crashes inside GC, or do some happen outside it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 07:51:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 02:51:54 2020
Received: from localhost ([127.0.0.1]:51786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipSbi-0001Eg-7e
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 02:51:54 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:41362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipSbg-0001EQ-76
 for 38748 <at> debbugs.gnu.org; Thu, 09 Jan 2020 02:51:52 -0500
Received: by mail-wr1-f44.google.com with SMTP id c9so6237266wrw.8
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 23:51:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=ueBwXkA5BMSXzcVP1i0NpIYL5Vgo2WN8QzTbQ/Rj68Y=;
 b=qihjcciLvnDMqqsnY86zCriPbPhokC8rtg/gWCyutr24ufS1uIKi9ZjNcGPck/4rP3
 UXIw7Kwafs4DwIZIADpO1i3Zr6ZMaoIzq+xU1T/QP96NZJiX7MBF6BjEerYvd0iRSPXA
 y1tMphaG/0U/HuYwOZSres/Bc22LGbHf/EThDLvgWsXwSKwWgEpjBlsn7MnfN2/NSe9w
 0/Zf7Xc1qUvvPmvXfANv2pRNZgvvVbrUNhRpwtzjv5JwoSkH5YRbf3TzGvcgSeAohMmt
 SfgGwFSNZ0Gi7Eeq6djstZzh+xr/i4qWrOpEjWJGdveIlHNzpOHqZM3xxMJHcyreBIFS
 iLdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=ueBwXkA5BMSXzcVP1i0NpIYL5Vgo2WN8QzTbQ/Rj68Y=;
 b=LK1sDl3U19XwdRVhWbB6hWbixc9yIZc9cgtcNRBUzSouJ7I4R1LbMNPZZ5pIZy/mXl
 BzuDRN5oATjMhFjI2fc2tnogS7aN2GJbed8s8y1H7vhSC6UEV0A6hOYUmgeTZ5CmFH5c
 R4/2UXfrviY0jTeelzRt4b42jhfVfhkPDRhKqA42EnESRJ/VSNf6h/cYMRndSCunY9QT
 IbM/P3fRZJlx6plaoI2aCOdFaTuFX7NLsB15PDFulMULOJP9FncKjJw0/zpCvKitjCZS
 VBq/6cvy88xR0OIEf+ZcN8B7NswdlhqMHacZsguObMaXnQbb/PQxtTrXwLjiBpXjScOL
 1ptg==
X-Gm-Message-State: APjAAAXbu4PATpZRl4GV4MKrGyuo921C9Ud6EIHkwRESDouT1Og5hrVN
 CRc8Er8gs6fVZ8/itC9UAelcoAwkDDQ=
X-Google-Smtp-Source: APXvYqx1ZIgIKIonod8HvbjmqyJYI+uuhSkqhrWXjX/41lqXV3vrhD8a+pHKOR7YrRpqhnUANu82Qg==
X-Received: by 2002:adf:82f3:: with SMTP id 106mr9520464wrc.69.1578556305933; 
 Wed, 08 Jan 2020 23:51:45 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id b17sm7138918wrx.15.2020.01.08.23.51.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 23:51:45 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 <m2r209si2z.fsf@HIDDEN>
Date: Thu, 09 Jan 2020 08:51:43 +0100
In-Reply-To: <m2r209si2z.fsf@HIDDEN> (Robert Pluim's message of "Wed, 08
 Jan 2020 23:23:48 +0100")
Message-ID: <m21rs93w4w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 08 Jan 2020 23:23:48 +0100, Robert Pluim <rpluim@HIDDEN> s=
aid:
    Robert> As another data point, I=CA=BCm writing this from an emacs with=
 'ok =3D
    Robert> true', which has not crashed yet....

scratch that, it crashed this morning.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 9 Jan 2020 03:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 22:30:52 2020
Received: from localhost ([127.0.0.1]:51694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipOX6-0003BU-79
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 22:30:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipOX5-0003BF-Bb
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 22:30:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50328)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipOWw-0005o3-PC; Wed, 08 Jan 2020 22:30:43 -0500
Received: from [176.228.60.248] (port=3610 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipOWw-0006MC-3w; Wed, 08 Jan 2020 22:30:42 -0500
Date: Thu, 09 Jan 2020 05:30:58 +0200
Message-Id: <83sgkp9uh9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
 (message from Pip Cet on Wed, 8 Jan 2020 20:39:43 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
 <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 8 Jan 2020 20:39:43 +0000
> Cc: rpluim@HIDDEN, alan@HIDDEN, jguenther@HIDDEN, 
> 	andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
> 
> > No, GC is known to take many thousands of recursive calls to
> > mark_object.  9000 is not a particularly high number, and doesn't
> > necessarily signal infinite recursion.
> 
> In general, you're absolutely correct. But in this case, it still
> sounds very likely: infinite recursion of a properly tail-recursive
> function would loop rather than cause a stack overflow, which would
> explain everything, except for why it's not actually an infinite loop;
> I suspect the macOS code somewhere does modify things asynchronously.

The backtrace shows a very recursive GC, it doesn't show any other
function being deeply recursive.  So I'm not sure I understand what
tail-recursive function did you have in mind.  Can you elaborate?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 22:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 17:23:58 2020
Received: from localhost ([127.0.0.1]:51448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipJk6-0003nD-5o
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 17:23:58 -0500
Received: from mail-wr1-f67.google.com ([209.85.221.67]:43598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipJk4-0003mx-Cd
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 17:23:56 -0500
Received: by mail-wr1-f67.google.com with SMTP id d16so5137106wre.10
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 14:23:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=n8e3PY9iDvKowKd3AwWZo7oTXdaZn1w+R1T5Yb9WEgg=;
 b=TJWxOjmREqUynCS6otXn5fJaBGzp5dfglba5eA422INYM9A7cH6qyVW7MinJ7KS5Yz
 WcJUa0WLCXo7+be038Hz4zYEju/QM6EpRaRSsPNgjWII2sYp/85BmxaMc5NqyVluyLJZ
 33tyP2uCcDbHBst4eGAjvi2FZW28qZwkX8F4fCHSwRMkpSUZmQ/xjK9ZfTOl8hH5NgcP
 E2+J59fbrovke/EO50719XvZoRR4Zg2KO6aMAoy385o8jEo2d2XDrPtiYDSirkh+3yQq
 9/7JIvyOLBSwnOnuHYajAOtBuq/EFr2A9w/TBh5XHHHGKU6PNvGOzPaF4ysun5yHQwRg
 1YMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=n8e3PY9iDvKowKd3AwWZo7oTXdaZn1w+R1T5Yb9WEgg=;
 b=fKWSBVyl7FfG1BahfLHOpnazppljBIzeE771mdfOJHKr1FEcThjAjKZSiZcGa22udH
 eKwGH8kH3hIAvJXhdD29srA8hJROU677P/7T+WFIUjfyWGKtDTKg8xg64H0QV2L9VIrI
 N0cc2JGu8HRV6on42WyoY8Jtr/WR9pY36oBRhVEu7EVz4GnVVsns9WSjw8wQdQyBOZZa
 K5HWMmtRJseXXHK3NHMOXzR0TXW/NvQhi09ePR1x6cEnPBtXpSgzazkOvG8InVvaHBmO
 W3hrfj43dWQcllMDkZwzianpxJbX8sEqcJIPftxGPqpjXRxOOhnETwoArRaDNIN7+Hsn
 lcuw==
X-Gm-Message-State: APjAAAXJbWU0qR8qU8Zc3heyU12G2OPJYdw5GKyzJFizHQdISa8Qx2eW
 /J83NWz22EDnsj7CKA4BK1wjMYHcryk=
X-Google-Smtp-Source: APXvYqyKyLXKz+z9LphHGsex4VHIs+glE/6ytC76/EWOhoIb5ms5Zzs0+LQJJpaseTmjHjSgO3iFuA==
X-Received: by 2002:adf:f605:: with SMTP id t5mr6930505wrp.282.1578522230267; 
 Wed, 08 Jan 2020 14:23:50 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:b5e1:f1bb:2737:b39d])
 by smtp.gmail.com with ESMTPSA id f207sm696365wme.9.2020.01.08.14.23.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 14:23:49 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
 <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
Date: Wed, 08 Jan 2020 23:23:48 +0100
In-Reply-To: <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
 (Pip Cet's message of "Wed, 8 Jan 2020 22:18:11 +0000")
Message-ID: <m2r209si2z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Wed, 8 Jan 2020 22:18:11 +0000, Pip Cet <pipcet@HIDDEN> said:

    Pip> On Wed, Jan 8, 2020 at 9:43 PM Robert Pluim <rpluim@HIDDEN> wro=
te:
    >> gcc --version
    >> Configured with: --prefix=3D/Library/Developer/CommandLineTools/usr =
--with-gxx-include-dir=3D/usr/include/c++/4.2.1
    >> Apple LLVM version 10.0.1 (clang-1001.0.46.4)
    >> Target: x86_64-apple-darwin18.7.0
    >> Thread model: posix
    >> InstalledDir: /Library/Developer/CommandLineTools/usr/bin
    >>=20
    >> I=CA=BCve attached the disassembly of the two versions. They're very=
 very
    >> similar (this is with -g3 -O0).

    Pip> But wait, doesn't the bug happen in both unoptimized versions? I
    Pip> should have been clearer: my suspicion is the bug only goes away if
    Pip> tail calls are optimized, which happens only with optimizations
    Pip> enabled.

No, it only happens with the initialisation of 'ok', optimised or not.

As another data point, I=CA=BCm writing this from an emacs with 'ok =3D
true', which has not crashed yet....

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 22:18:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 17:18:55 2020
Received: from localhost ([127.0.0.1]:51439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipJfD-0003et-Ee
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 17:18:55 -0500
Received: from mail-ot1-f66.google.com ([209.85.210.66]:46709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipJfB-0003eg-An
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 17:18:53 -0500
Received: by mail-ot1-f66.google.com with SMTP id r9so5160471otp.13
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 14:18:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=7kROP3vr0UGar3RmLFA7lBwtrMB9XpyX0higl/pD0I8=;
 b=NpDv/XRHPGAKCIBveIcPBwDHiF7xHmTsgpOsjqrZ1WS/ET7W8vYS7JHJaZYGmncqI/
 /aJo1/BXSbu+09F4nmATKs55oz4RTZrkZhUuqOxYFL4cQIT9TBLNiPMqCiWRXPJsC0FQ
 ONRZgPkLiTpdxZ0ngkT1srn7A4w/YoTVrkZqvgV4VtfFWTmoQQEGEP70N9KitRZNu0Gz
 +XO00YhlmAH+ltbEL4N9ERMJtgFP5hPk1aQnxdMyWQPD4QT3Wm3lQnmz8EwALQGI2dLi
 phkKbewB5uXAWwUcmOgV3ApT+EeT/Vs82E0kmq/c2lt/pQja6WgZNmj8R9AS6TILpihT
 qILw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=7kROP3vr0UGar3RmLFA7lBwtrMB9XpyX0higl/pD0I8=;
 b=Bc3uRZM1q7yeEToeLG9sk0jAXQLrZLjFp9wzBUlKlAMk1J+ZTDlihCmWuLr5WECGCe
 65fQSWvZv6e6Wpi7LinduOkFHHei6am2EKIASbcL3vnl4XJ7Ggeku4n/kBkr5UE7o1wA
 FfQoxtvlWH9qIdCGe2OAfnTcytTo9Qjj7tHmbPPjFxvK4AIQgVQU2zu8IPcHo38NCYVq
 oFyk38I9mN9qF5J5uVqfQMT10jSUnPDE2RaQiJUToh0sh6oKACpWNDHufnpP9NObtjro
 N/c6nt3ZcAd62Kub3i5E8j3JXtDwptgpsJU4lcJb/z8argu/h6HYndkSnxG8MsFvd+pm
 Dd6A==
X-Gm-Message-State: APjAAAWvVTP7an1uAyczPbX+n+qM39RVWZDSXF1Y5cgMSQPiWvj9Al42
 gl4Yz4ImDWwYwrQZ7i6gV7chgM8V0+p7Ieymnfyj3f8o
X-Google-Smtp-Source: APXvYqxLsdl6gWoKGExW1o0/gm0B3nBz7hrHQEhnmpqdsj+BRuu5ioFRe1JP2cEE1UxC4dvFAhpBpolFBQL9mXu07CU=
X-Received: by 2002:a05:6830:1bd5:: with SMTP id
 v21mr6401047ota.154.1578521927678; 
 Wed, 08 Jan 2020 14:18:47 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <m2ftgpipz1.fsf@HIDDEN>
In-Reply-To: <m2ftgpipz1.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 8 Jan 2020 22:18:11 +0000
Message-ID: <CAOqdjBeLC9Y99eiGJ8D9wgKxZo73kHozOQaRiZsJcuOr=cT5xA@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Jan 8, 2020 at 9:43 PM Robert Pluim <rpluim@HIDDEN> wrote:
> gcc --version
> Configured with: --prefix=3D/Library/Developer/CommandLineTools/usr --wit=
h-gxx-include-dir=3D/usr/include/c++/4.2.1
> Apple LLVM version 10.0.1 (clang-1001.0.46.4)
> Target: x86_64-apple-darwin18.7.0
> Thread model: posix
> InstalledDir: /Library/Developer/CommandLineTools/usr/bin
>
> I=CA=BCve attached the disassembly of the two versions. They're very very
> similar (this is with -g3 -O0).

But wait, doesn't the bug happen in both unoptimized versions? I
should have been clearer: my suspicion is the bug only goes away if
tail calls are optimized, which happens only with optimizations
enabled.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 21:43:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 16:43:42 2020
Received: from localhost ([127.0.0.1]:51421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipJ77-0002oq-RC
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:43:42 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:38582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipJ75-0002oY-GG
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:43:40 -0500
Received: by mail-wr1-f47.google.com with SMTP id y17so5086351wrh.5
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 13:43:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=3KquSdpJ/mtZR+6GylJ58ZTBXhg7MRmcY0KzC+TNgWs=;
 b=Wnfq3d+zTlUC9fWp4zxzpRA7d5TkgW+5dirqthKuPzceqnUUEG2mcp2/a6x0wea8WY
 /TDr+8I8fMumOD+mnxJNe3gtGnHSAiv6G35vzJXeV7YRjFrWWTKKShjrhtIJLnZvOlsA
 mU+FomVXVq2Re3Cj8iYb0UtKzmyfb4DdCAqpOlydIRf7zDoR7X/d5gBYYH3V0g005reU
 qGPfKrLC1P5z7OuV+vp7Lve3FIs9jOtmDD6jokth4XSnJ9gIbgCNTLVVSWiJCm0tiaRP
 rlgZT7CrrDLzKFm/W8tDUR8q7Xi8WvgJPEr5MpxjealKTRP/cwt9NRyuLSkzr6vlpEa0
 PytQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=3KquSdpJ/mtZR+6GylJ58ZTBXhg7MRmcY0KzC+TNgWs=;
 b=V7qPe3lzCxwxlOAl4PhYoWLRcOaDVw5cFGjbBThdVHDPlqk8JLfO4w+PT/2hTNFrhV
 rGc2S6wwiumrO2hLMFhHzphe4ZYdpG7PKuKWHixfH89fXqxMExeG+0Myjk9mU+OPRpEK
 IS4DxZPA5Oyu9/pz/5dmr8I923p55NNd1b+9RcDEj+44en8vAPP54TDPiUzWl7hlJ4Dp
 i0QpDaoGdwAmgDdRbJZqPsnqu6ZmRnGnig9Jmt4KZED4M4ygwtoqd+TI5uUP4Qu4yfG8
 0l/IUGUJvy8KfDBX8NNjBNLy2DJeTcubPavOuT4LspbSU5NHqA8QFPU4HpqfN4NbzxXL
 OcKQ==
X-Gm-Message-State: APjAAAXj7yUChTd7FL5IF0MQJbVSuPGMI4oeXnydOQ28+VxvUbFF8DTs
 DqJJNiJQRC14J1Hbce2ZfDg=
X-Google-Smtp-Source: APXvYqzYuwBApIoSrmBNLD1KVshBusWnFd9IdLubf7tHmC2FXakG56KmYrDQCmCsFhGuYR2KctJprg==
X-Received: by 2002:a5d:428c:: with SMTP id k12mr6931738wrq.57.1578519813395; 
 Wed, 08 Jan 2020 13:43:33 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:b5e1:f1bb:2737:b39d])
 by smtp.gmail.com with ESMTPSA id o129sm521501wmb.1.2020.01.08.13.43.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 13:43:32 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
Date: Wed, 08 Jan 2020 22:43:30 +0100
In-Reply-To: <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 (Pip Cet's message of "Wed, 8 Jan 2020 19:18:15 +0000")
Message-ID: <m2ftgpipz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Wed, 8 Jan 2020 19:18:15 +0000, Pip Cet <pipcet@HIDDEN> said:

    Pip> On Wed, Jan 8, 2020 at 5:40 PM Robert Pluim <rpluim@HIDDEN> wro=
te:
    >> >> But I found the commit after which error is occurs:>     >> b2949=
d39261e82c33572ba8a250298ef0b165b95
    >> >>
    >> >> Commenting out that 'ok =3D false;' line make Emacs works without=
 errors.
    >>=20
    >> I can confirm this.

    Pip> I think we should disassemble the two versions and see where the
    Pip> differences are, unless this is too difficult because of inlining.=
 Can
    Pip> you provide compiler details?

gcc --version
Configured with: --prefix=3D/Library/Developer/CommandLineTools/usr --with-=
gxx-include-dir=3D/usr/include/c++/4.2.1
Apple LLVM version 10.0.1 (clang-1001.0.46.4)
Target: x86_64-apple-darwin18.7.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin

I=CA=BCve attached the disassembly of the two versions. They're very very
similar (this is with -g3 -O0).

    Eli> I cannot explain how that change could cause any harm.  Here's the
    Eli> relevant code fragment:

    Eli> So how could the initial value of 'ok' matter here?  What am I
    Eli> missing?

    Pip> I think it's likely to be the stack thing; the ok =3D false might =
make
    Pip> the difference between allocating inherited_attrs on the stack once
    Pip> and doing so once per recursion of face_inherited_attr. The latter
    Pip> case might lead to a stack overflow more easily.

The allocation of inherited_attrs is the same in both.

    >> Yes. I=CA=BCll note that when this happens there are over 9000 stack=
frames,
    >> so perhaps it=CA=BCs stack exhaustion. macOS has a default stack of =
8192
    >> kB, I=CA=BCll see if increasing it helps.

    Pip> That does sound like infinite recursion, or infinite recursion wai=
ting
    Pip> for something to change asynchronously that breaks the loop. If the
    Pip> "ok =3D false" prevents the compiler from recognizing
    Pip> face_inherited_attr is effectively tail-recursive, that might be i=
t?

    Pip> Changing the line to "ok =3D true" would be an interesting experim=
ent.

Hmm, yes. I=CA=BCll try that.

BTW, running under lldb, last_marked can be accessed successfully, but
of course under lldb you don=CA=BCt get all the nice commands from
.gdbinit. I=CA=BCd build a newer version of gdb, but signing binaries on
macOS is a real hassle.

Robert


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=modified.txt

Dump of assembler code for function face_inherited_attr:
xfaces.c:
2156	{
   0x000000010015fa50 <+0>:	push   %rbp
   0x000000010015fa51 <+1>:	mov    %rsp,%rbp
   0x000000010015fa54 <+4>:	sub    $0x130,%rsp
   0x000000010015fa5b <+11>:	mov    $0xa0,%eax
   0x000000010015fa60 <+16>:	mov    %eax,%r9d
   0x000000010015fa63 <+19>:	lea    -0xb0(%rbp),%r10
   0x000000010015fa6a <+26>:	mov    0x2a571f(%rip),%r11        # 0x100405190
   0x000000010015fa71 <+33>:	mov    (%r11),%r11
   0x000000010015fa74 <+36>:	mov    %r11,-0x8(%rbp)
   0x000000010015fa78 <+40>:	mov    %rdi,-0xb8(%rbp)
   0x000000010015fa7f <+47>:	mov    %rsi,-0xc0(%rbp)
   0x000000010015fa86 <+54>:	mov    %rdx,-0xc8(%rbp)
   0x000000010015fa8d <+61>:	mov    %ecx,-0xcc(%rbp)
   0x000000010015fa93 <+67>:	mov    %r8,-0xd8(%rbp)

2157	  Lisp_Object inherited_attrs[LFACE_VECTOR_SIZE];
2158	  Lisp_Object attr_val = attrs[attr_idx];
   0x000000010015fa9a <+74>:	mov    -0xc8(%rbp),%rdx
   0x000000010015faa1 <+81>:	mov    -0xcc(%rbp),%eax
   0x000000010015faa7 <+87>:	mov    %eax,%esi
   0x000000010015faa9 <+89>:	mov    (%rdx,%rsi,8),%rdx
   0x000000010015faad <+93>:	mov    %rdx,-0xe0(%rbp)

2159	
2160	  memcpy (inherited_attrs, attrs, LFACE_VECTOR_SIZE * sizeof (attrs[0]));
   0x000000010015fab4 <+100>:	mov    -0xc8(%rbp),%rdx
   0x000000010015fabb <+107>:	mov    %r10,%rdi
   0x000000010015fabe <+110>:	mov    %rdx,%rsi
   0x000000010015fac1 <+113>:	mov    %r9,%rdx
   0x000000010015fac4 <+116>:	callq  0x1003cfb12

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fac9 <+121>:	mov    -0xe0(%rbp),%rax
   0x000000010015fad0 <+128>:	mov    $0x45c,%edi
   0x000000010015fad5 <+133>:	mov    %rax,-0x100(%rbp)
   0x000000010015fadc <+140>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fae1 <+145>:	xor    %edi,%edi
   0x000000010015fae3 <+147>:	mov    %dil,%cl
   0x000000010015fae6 <+150>:	mov    -0x100(%rbp),%rdx
   0x000000010015faed <+157>:	cmp    %rax,%rdx

2162		 && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x000000010015faf0 <+160>:	mov    %cl,-0x101(%rbp)
   0x000000010015faf6 <+166>:	jne    0x10015fb54 <face_inherited_attr+260>
   0x000000010015fafc <+172>:	xor    %edi,%edi
   0x000000010015fafe <+174>:	mov    -0x30(%rbp),%rax
   0x000000010015fb02 <+178>:	mov    %rax,-0x110(%rbp)
   0x000000010015fb09 <+185>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fb0e <+190>:	xor    %edi,%edi
   0x000000010015fb10 <+192>:	mov    %dil,%cl
   0x000000010015fb13 <+195>:	mov    -0x110(%rbp),%rdx
   0x000000010015fb1a <+202>:	cmp    %rax,%rdx

2163		 && !UNSPECIFIEDP (inherited_attrs[LFACE_INHERIT_INDEX]))
   0x000000010015fb1d <+205>:	mov    %cl,-0x101(%rbp)
   0x000000010015fb23 <+211>:	je     0x10015fb54 <face_inherited_attr+260>
   0x000000010015fb29 <+217>:	mov    -0x30(%rbp),%rax
   0x000000010015fb2d <+221>:	mov    $0x45c,%edi
   0x000000010015fb32 <+226>:	mov    %rax,-0x118(%rbp)
   0x000000010015fb39 <+233>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fb3e <+238>:	mov    -0x118(%rbp),%rcx
   0x000000010015fb45 <+245>:	cmp    %rax,%rcx
   0x000000010015fb48 <+248>:	sete   %dl
   0x000000010015fb4b <+251>:	xor    $0xff,%dl
   0x000000010015fb4e <+254>:	mov    %dl,-0x101(%rbp)
   0x000000010015fb54 <+260>:	mov    -0x101(%rbp),%al

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fb5a <+266>:	test   $0x1,%al
   0x000000010015fb5c <+268>:	jne    0x10015fb67 <face_inherited_attr+279>
   0x000000010015fb62 <+274>:	jmpq   0x10015fd07 <face_inherited_attr+695>

2164	    {
2165	      Lisp_Object parent_face = inherited_attrs[LFACE_INHERIT_INDEX];
   0x000000010015fb67 <+279>:	mov    -0x30(%rbp),%rax
   0x000000010015fb6b <+283>:	mov    %rax,-0xe8(%rbp)

2166	      bool ok;
2167	
2168	      if (CONSP (parent_face))
   0x000000010015fb72 <+290>:	mov    -0xe8(%rbp),%rax
   0x000000010015fb79 <+297>:	sar    $0x0,%rax
   0x000000010015fb7d <+301>:	mov    %eax,%ecx
   0x000000010015fb7f <+303>:	sub    $0x3,%ecx
   0x000000010015fb82 <+306>:	and    $0x7,%ecx
   0x000000010015fb85 <+309>:	cmp    $0x0,%ecx
   0x000000010015fb88 <+312>:	jne    0x10015fca6 <face_inherited_attr+598>

2169		{
2170		  Lisp_Object tail;
2171	//	  ok = false;
2172		  for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x000000010015fb8e <+318>:	mov    -0xe8(%rbp),%rax
   0x000000010015fb95 <+325>:	mov    %rax,-0xf8(%rbp)
   0x000000010015fb9c <+332>:	xor    %edi,%edi
   0x000000010015fb9e <+334>:	mov    -0xf8(%rbp),%rax
   0x000000010015fba5 <+341>:	mov    %rax,-0x120(%rbp)
   0x000000010015fbac <+348>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fbb1 <+353>:	mov    -0x120(%rbp),%rcx
   0x000000010015fbb8 <+360>:	cmp    %rax,%rcx
   0x000000010015fbbb <+363>:	sete   %dl
   0x000000010015fbbe <+366>:	xor    $0xff,%dl
   0x000000010015fbc1 <+369>:	test   $0x1,%dl
   0x000000010015fbc4 <+372>:	jne    0x10015fbcf <face_inherited_attr+383>
   0x000000010015fbca <+378>:	jmpq   0x10015fc8f <face_inherited_attr+575>
   0x000000010015fbcf <+383>:	xor    %r8d,%r8d
   0x000000010015fbd2 <+386>:	lea    -0xb0(%rbp),%rcx

2173		    {
2174		      ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x000000010015fbd9 <+393>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fbe0 <+400>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fbe7 <+407>:	mov    -0xf8(%rbp),%rax
   0x000000010015fbee <+414>:	mov    -0x3(%rax),%rdx

2175						 false, named_merge_points);
   0x000000010015fbf2 <+418>:	mov    -0xd8(%rbp),%r9

2174		      ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x000000010015fbf9 <+425>:	callq  0x100156d50 <get_lface_attributes>
   0x000000010015fbfe <+430>:	and    $0x1,%al
   0x000000010015fc00 <+432>:	mov    %al,-0xe9(%rbp)

2176		      if (!ok)
   0x000000010015fc06 <+438>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fc0d <+445>:	jne    0x10015fc18 <face_inherited_attr+456>

2177			break;
   0x000000010015fc13 <+451>:	jmpq   0x10015fc8f <face_inherited_attr+575>
   0x000000010015fc18 <+456>:	lea    -0xb0(%rbp),%rdx

2178		      attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x000000010015fc1f <+463>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fc26 <+470>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fc2d <+477>:	mov    -0xcc(%rbp),%ecx

2179						      named_merge_points);
   0x000000010015fc33 <+483>:	mov    -0xd8(%rbp),%r8

2178		      attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x000000010015fc3a <+490>:	callq  0x10015fa50 <face_inherited_attr>
   0x000000010015fc3f <+495>:	mov    %rax,-0xe0(%rbp)

2180		      if (!UNSPECIFIEDP (attr_val))
   0x000000010015fc46 <+502>:	mov    -0xe0(%rbp),%rax
   0x000000010015fc4d <+509>:	mov    $0x45c,%edi
   0x000000010015fc52 <+514>:	mov    %rax,-0x128(%rbp)
   0x000000010015fc59 <+521>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fc5e <+526>:	mov    -0x128(%rbp),%rdx
   0x000000010015fc65 <+533>:	cmp    %rax,%rdx
   0x000000010015fc68 <+536>:	je     0x10015fc73 <face_inherited_attr+547>

2181			break;
   0x000000010015fc6e <+542>:	jmpq   0x10015fc8f <face_inherited_attr+575>

2182		    }
   0x000000010015fc73 <+547>:	jmpq   0x10015fc78 <face_inherited_attr+552>

2172		  for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x000000010015fc78 <+552>:	mov    -0xf8(%rbp),%rax
   0x000000010015fc7f <+559>:	mov    0x5(%rax),%rax
   0x000000010015fc83 <+563>:	mov    %rax,-0xf8(%rbp)
   0x000000010015fc8a <+570>:	jmpq   0x10015fb9c <face_inherited_attr+332>

2183		  if (!ok)	/* bad face? */
   0x000000010015fc8f <+575>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fc96 <+582>:	jne    0x10015fca1 <face_inherited_attr+593>

2184		    break;
   0x000000010015fc9c <+588>:	jmpq   0x10015fd07 <face_inherited_attr+695>

2185		}
   0x000000010015fca1 <+593>:	jmpq   0x10015fd02 <face_inherited_attr+690>
   0x000000010015fca6 <+598>:	xor    %r8d,%r8d
   0x000000010015fca9 <+601>:	lea    -0xb0(%rbp),%rcx

2186	      else
2187		{
2188		  ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x000000010015fcb0 <+608>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fcb7 <+615>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fcbe <+622>:	mov    -0xe8(%rbp),%rdx

2189					     false, named_merge_points);
   0x000000010015fcc5 <+629>:	mov    -0xd8(%rbp),%r9

2188		  ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x000000010015fccc <+636>:	callq  0x100156d50 <get_lface_attributes>
   0x000000010015fcd1 <+641>:	and    $0x1,%al
   0x000000010015fcd3 <+643>:	mov    %al,-0xe9(%rbp)

2190		  if (!ok)
   0x000000010015fcd9 <+649>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fce0 <+656>:	jne    0x10015fceb <face_inherited_attr+667>

2191		    break;
   0x000000010015fce6 <+662>:	jmpq   0x10015fd07 <face_inherited_attr+695>

2192		  attr_val = inherited_attrs[attr_idx];
   0x000000010015fceb <+667>:	mov    -0xcc(%rbp),%eax
   0x000000010015fcf1 <+673>:	mov    %eax,%ecx
   0x000000010015fcf3 <+675>:	mov    -0xb0(%rbp,%rcx,8),%rcx
   0x000000010015fcfb <+683>:	mov    %rcx,-0xe0(%rbp)

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fd02 <+690>:	jmpq   0x10015fac9 <face_inherited_attr+121>

2193		}
2194	    }
2195	  return attr_val;
   0x000000010015fd07 <+695>:	mov    -0xe0(%rbp),%rax
   0x000000010015fd0e <+702>:	mov    0x2a547b(%rip),%rcx        # 0x100405190
   0x000000010015fd15 <+709>:	mov    (%rcx),%rcx
   0x000000010015fd18 <+712>:	mov    -0x8(%rbp),%rdx
   0x000000010015fd1c <+716>:	cmp    %rdx,%rcx
   0x000000010015fd1f <+719>:	mov    %rax,-0x130(%rbp)
   0x000000010015fd26 <+726>:	jne    0x10015fd3c <face_inherited_attr+748>
   0x000000010015fd2c <+732>:	mov    -0x130(%rbp),%rax
   0x000000010015fd33 <+739>:	add    $0x130,%rsp
   0x000000010015fd3a <+746>:	pop    %rbp
   0x000000010015fd3b <+747>:	retq   
   0x000000010015fd3c <+748>:	callq  0x1003cf4a6
   0x000000010015fd41 <+753>:	ud2    
End of assembler dump.

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=unmodified.txt

Dump of assembler code for function face_inherited_attr:
xfaces.c:
2156	{
   0x000000010015fa50 <+0>:	push   %rbp
   0x000000010015fa51 <+1>:	mov    %rsp,%rbp
   0x000000010015fa54 <+4>:	sub    $0x130,%rsp
   0x000000010015fa5b <+11>:	mov    $0xa0,%eax
   0x000000010015fa60 <+16>:	mov    %eax,%r9d
   0x000000010015fa63 <+19>:	lea    -0xb0(%rbp),%r10
   0x000000010015fa6a <+26>:	mov    0x2a571f(%rip),%r11        # 0x100405190
   0x000000010015fa71 <+33>:	mov    (%r11),%r11
   0x000000010015fa74 <+36>:	mov    %r11,-0x8(%rbp)
   0x000000010015fa78 <+40>:	mov    %rdi,-0xb8(%rbp)
   0x000000010015fa7f <+47>:	mov    %rsi,-0xc0(%rbp)
   0x000000010015fa86 <+54>:	mov    %rdx,-0xc8(%rbp)
   0x000000010015fa8d <+61>:	mov    %ecx,-0xcc(%rbp)
   0x000000010015fa93 <+67>:	mov    %r8,-0xd8(%rbp)

2157	  Lisp_Object inherited_attrs[LFACE_VECTOR_SIZE];
2158	  Lisp_Object attr_val = attrs[attr_idx];
   0x000000010015fa9a <+74>:	mov    -0xc8(%rbp),%rdx
   0x000000010015faa1 <+81>:	mov    -0xcc(%rbp),%eax
   0x000000010015faa7 <+87>:	mov    %eax,%esi
   0x000000010015faa9 <+89>:	mov    (%rdx,%rsi,8),%rdx
   0x000000010015faad <+93>:	mov    %rdx,-0xe0(%rbp)

2159	
2160	  memcpy (inherited_attrs, attrs, LFACE_VECTOR_SIZE * sizeof (attrs[0]));
   0x000000010015fab4 <+100>:	mov    -0xc8(%rbp),%rdx
   0x000000010015fabb <+107>:	mov    %r10,%rdi
   0x000000010015fabe <+110>:	mov    %rdx,%rsi
   0x000000010015fac1 <+113>:	mov    %r9,%rdx
   0x000000010015fac4 <+116>:	callq  0x1003cfb12

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fac9 <+121>:	mov    -0xe0(%rbp),%rax
   0x000000010015fad0 <+128>:	mov    $0x45c,%edi
   0x000000010015fad5 <+133>:	mov    %rax,-0x100(%rbp)
   0x000000010015fadc <+140>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fae1 <+145>:	xor    %edi,%edi
   0x000000010015fae3 <+147>:	mov    %dil,%cl
   0x000000010015fae6 <+150>:	mov    -0x100(%rbp),%rdx
   0x000000010015faed <+157>:	cmp    %rax,%rdx

2162		 && !NILP (inherited_attrs[LFACE_INHERIT_INDEX])
   0x000000010015faf0 <+160>:	mov    %cl,-0x101(%rbp)
   0x000000010015faf6 <+166>:	jne    0x10015fb54 <face_inherited_attr+260>
   0x000000010015fafc <+172>:	xor    %edi,%edi
   0x000000010015fafe <+174>:	mov    -0x30(%rbp),%rax
   0x000000010015fb02 <+178>:	mov    %rax,-0x110(%rbp)
   0x000000010015fb09 <+185>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fb0e <+190>:	xor    %edi,%edi
   0x000000010015fb10 <+192>:	mov    %dil,%cl
   0x000000010015fb13 <+195>:	mov    -0x110(%rbp),%rdx
   0x000000010015fb1a <+202>:	cmp    %rax,%rdx

2163		 && !UNSPECIFIEDP (inherited_attrs[LFACE_INHERIT_INDEX]))
   0x000000010015fb1d <+205>:	mov    %cl,-0x101(%rbp)
   0x000000010015fb23 <+211>:	je     0x10015fb54 <face_inherited_attr+260>
   0x000000010015fb29 <+217>:	mov    -0x30(%rbp),%rax
   0x000000010015fb2d <+221>:	mov    $0x45c,%edi
   0x000000010015fb32 <+226>:	mov    %rax,-0x118(%rbp)
   0x000000010015fb39 <+233>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fb3e <+238>:	mov    -0x118(%rbp),%rcx
   0x000000010015fb45 <+245>:	cmp    %rax,%rcx
   0x000000010015fb48 <+248>:	sete   %dl
   0x000000010015fb4b <+251>:	xor    $0xff,%dl
   0x000000010015fb4e <+254>:	mov    %dl,-0x101(%rbp)
   0x000000010015fb54 <+260>:	mov    -0x101(%rbp),%al

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fb5a <+266>:	test   $0x1,%al
   0x000000010015fb5c <+268>:	jne    0x10015fb67 <face_inherited_attr+279>
   0x000000010015fb62 <+274>:	jmpq   0x10015fd0e <face_inherited_attr+702>

2164	    {
2165	      Lisp_Object parent_face = inherited_attrs[LFACE_INHERIT_INDEX];
   0x000000010015fb67 <+279>:	mov    -0x30(%rbp),%rax
   0x000000010015fb6b <+283>:	mov    %rax,-0xe8(%rbp)

2166	      bool ok;
2167	
2168	      if (CONSP (parent_face))
   0x000000010015fb72 <+290>:	mov    -0xe8(%rbp),%rax
   0x000000010015fb79 <+297>:	sar    $0x0,%rax
   0x000000010015fb7d <+301>:	mov    %eax,%ecx
   0x000000010015fb7f <+303>:	sub    $0x3,%ecx
   0x000000010015fb82 <+306>:	and    $0x7,%ecx
   0x000000010015fb85 <+309>:	cmp    $0x0,%ecx
   0x000000010015fb88 <+312>:	jne    0x10015fcad <face_inherited_attr+605>

2169		{
2170		  Lisp_Object tail;
2171		  ok = false;
   0x000000010015fb8e <+318>:	movb   $0x0,-0xe9(%rbp)

2172		  for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x000000010015fb95 <+325>:	mov    -0xe8(%rbp),%rax
   0x000000010015fb9c <+332>:	mov    %rax,-0xf8(%rbp)
   0x000000010015fba3 <+339>:	xor    %edi,%edi
   0x000000010015fba5 <+341>:	mov    -0xf8(%rbp),%rax
   0x000000010015fbac <+348>:	mov    %rax,-0x120(%rbp)
   0x000000010015fbb3 <+355>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fbb8 <+360>:	mov    -0x120(%rbp),%rcx
   0x000000010015fbbf <+367>:	cmp    %rax,%rcx
   0x000000010015fbc2 <+370>:	sete   %dl
   0x000000010015fbc5 <+373>:	xor    $0xff,%dl
   0x000000010015fbc8 <+376>:	test   $0x1,%dl
   0x000000010015fbcb <+379>:	jne    0x10015fbd6 <face_inherited_attr+390>
   0x000000010015fbd1 <+385>:	jmpq   0x10015fc96 <face_inherited_attr+582>
   0x000000010015fbd6 <+390>:	xor    %r8d,%r8d
   0x000000010015fbd9 <+393>:	lea    -0xb0(%rbp),%rcx

2173		    {
2174		      ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x000000010015fbe0 <+400>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fbe7 <+407>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fbee <+414>:	mov    -0xf8(%rbp),%rax
   0x000000010015fbf5 <+421>:	mov    -0x3(%rax),%rdx

2175						 false, named_merge_points);
   0x000000010015fbf9 <+425>:	mov    -0xd8(%rbp),%r9

2174		      ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
   0x000000010015fc00 <+432>:	callq  0x100156d50 <get_lface_attributes>
   0x000000010015fc05 <+437>:	and    $0x1,%al
   0x000000010015fc07 <+439>:	mov    %al,-0xe9(%rbp)

2176		      if (!ok)
   0x000000010015fc0d <+445>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fc14 <+452>:	jne    0x10015fc1f <face_inherited_attr+463>

2177			break;
   0x000000010015fc1a <+458>:	jmpq   0x10015fc96 <face_inherited_attr+582>
   0x000000010015fc1f <+463>:	lea    -0xb0(%rbp),%rdx

2178		      attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x000000010015fc26 <+470>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fc2d <+477>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fc34 <+484>:	mov    -0xcc(%rbp),%ecx

2179						      named_merge_points);
   0x000000010015fc3a <+490>:	mov    -0xd8(%rbp),%r8

2178		      attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
   0x000000010015fc41 <+497>:	callq  0x10015fa50 <face_inherited_attr>
   0x000000010015fc46 <+502>:	mov    %rax,-0xe0(%rbp)

2180		      if (!UNSPECIFIEDP (attr_val))
   0x000000010015fc4d <+509>:	mov    -0xe0(%rbp),%rax
   0x000000010015fc54 <+516>:	mov    $0x45c,%edi
   0x000000010015fc59 <+521>:	mov    %rax,-0x128(%rbp)
   0x000000010015fc60 <+528>:	callq  0x10014c7b0 <builtin_lisp_symbol>
   0x000000010015fc65 <+533>:	mov    -0x128(%rbp),%rdx
   0x000000010015fc6c <+540>:	cmp    %rax,%rdx
   0x000000010015fc6f <+543>:	je     0x10015fc7a <face_inherited_attr+554>

2181			break;
   0x000000010015fc75 <+549>:	jmpq   0x10015fc96 <face_inherited_attr+582>

2182		    }
   0x000000010015fc7a <+554>:	jmpq   0x10015fc7f <face_inherited_attr+559>

2172		  for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
   0x000000010015fc7f <+559>:	mov    -0xf8(%rbp),%rax
   0x000000010015fc86 <+566>:	mov    0x5(%rax),%rax
   0x000000010015fc8a <+570>:	mov    %rax,-0xf8(%rbp)
   0x000000010015fc91 <+577>:	jmpq   0x10015fba3 <face_inherited_attr+339>

2183		  if (!ok)	/* bad face? */
   0x000000010015fc96 <+582>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fc9d <+589>:	jne    0x10015fca8 <face_inherited_attr+600>

2184		    break;
   0x000000010015fca3 <+595>:	jmpq   0x10015fd0e <face_inherited_attr+702>

2185		}
   0x000000010015fca8 <+600>:	jmpq   0x10015fd09 <face_inherited_attr+697>
   0x000000010015fcad <+605>:	xor    %r8d,%r8d
   0x000000010015fcb0 <+608>:	lea    -0xb0(%rbp),%rcx

2186	      else
2187		{
2188		  ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x000000010015fcb7 <+615>:	mov    -0xb8(%rbp),%rdi
   0x000000010015fcbe <+622>:	mov    -0xc0(%rbp),%rsi
   0x000000010015fcc5 <+629>:	mov    -0xe8(%rbp),%rdx

2189					     false, named_merge_points);
   0x000000010015fccc <+636>:	mov    -0xd8(%rbp),%r9

2188		  ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
   0x000000010015fcd3 <+643>:	callq  0x100156d50 <get_lface_attributes>
   0x000000010015fcd8 <+648>:	and    $0x1,%al
   0x000000010015fcda <+650>:	mov    %al,-0xe9(%rbp)

2190		  if (!ok)
   0x000000010015fce0 <+656>:	testb  $0x1,-0xe9(%rbp)
   0x000000010015fce7 <+663>:	jne    0x10015fcf2 <face_inherited_attr+674>

2191		    break;
   0x000000010015fced <+669>:	jmpq   0x10015fd0e <face_inherited_attr+702>

2192		  attr_val = inherited_attrs[attr_idx];
   0x000000010015fcf2 <+674>:	mov    -0xcc(%rbp),%eax
   0x000000010015fcf8 <+680>:	mov    %eax,%ecx
   0x000000010015fcfa <+682>:	mov    -0xb0(%rbp,%rcx,8),%rcx
   0x000000010015fd02 <+690>:	mov    %rcx,-0xe0(%rbp)

2161	  while (UNSPECIFIEDP (attr_val)
   0x000000010015fd09 <+697>:	jmpq   0x10015fac9 <face_inherited_attr+121>

2193		}
2194	    }
2195	  return attr_val;
   0x000000010015fd0e <+702>:	mov    -0xe0(%rbp),%rax
   0x000000010015fd15 <+709>:	mov    0x2a5474(%rip),%rcx        # 0x100405190
   0x000000010015fd1c <+716>:	mov    (%rcx),%rcx
   0x000000010015fd1f <+719>:	mov    -0x8(%rbp),%rdx
   0x000000010015fd23 <+723>:	cmp    %rdx,%rcx
   0x000000010015fd26 <+726>:	mov    %rax,-0x130(%rbp)
   0x000000010015fd2d <+733>:	jne    0x10015fd43 <face_inherited_attr+755>
   0x000000010015fd33 <+739>:	mov    -0x130(%rbp),%rax
   0x000000010015fd3a <+746>:	add    $0x130,%rsp
   0x000000010015fd41 <+753>:	pop    %rbp
   0x000000010015fd42 <+754>:	retq   
   0x000000010015fd43 <+755>:	callq  0x1003cf4a6
   0x000000010015fd48 <+760>:	ud2    
End of assembler dump.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 20:40:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 15:40:28 2020
Received: from localhost ([127.0.0.1]:51381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipI7w-0000kF-0E
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 15:40:28 -0500
Received: from mail-ot1-f45.google.com ([209.85.210.45]:44066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipI7u-0000ju-9g
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 15:40:26 -0500
Received: by mail-ot1-f45.google.com with SMTP id h9so4888266otj.11
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 12:40:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=pQEuf6qshp4vmjJt+VY5gxhbMSsqJV3H3iATkcX0BS4=;
 b=e41dEOZX0h78oQ3w9EPYvMj7NoYm0hVzDCQ0DiWckmMdI5L/VgTRUSSrba9aTolrdR
 spAr3s+VQpsGPKfbigxPxtqCj2pWSKOutEkxWE5nCvKCz1EV2GdJmkIFZFbsECMNcvP1
 grD01us+N/Xz8Ep7G7yoZwKjok5zL5SYtkalRcN9VUB9+uJwZxlrvnzyEqTXjTLV/Z13
 PpXE/uWWYfRpi1BegC5wOmd2P8XKrJZaKk/6xo0tWIGDh6nuX8v9bwPGRqxupIuh7bzk
 c/YnaFwtibNbQhM8KcHxG/Q8cRVNUX8t4X3PBdxQ90uKDX4iDp/dCuHExYZJQ6kMXAil
 4VIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=pQEuf6qshp4vmjJt+VY5gxhbMSsqJV3H3iATkcX0BS4=;
 b=c4SSt0uxU/eAJjyHLPn+cTNxfuYVtIq8Rb0cl535LvrNBb7epFXYe1sSpOCaH8kHHO
 1lNrz4hj7fO7EBiSqBke8z6s1piY1xRIx7unP+tpHFOEIIMGMgBJwv8Z6J0sDSTQW0NC
 9tRtQjv756mvm71MvFzTyKx/A8UfcO/sFtXyzX1064tWTsHQGftgbunP50RUyLh0rKLf
 yAa8QYrvoAThFiYhoAs6rzlDTXIW2scE//ehkeIk7iE9FcP08vNKM3enbxMm7xtIydHv
 eit6f4lu5LtsjhCdsVsapW0hFGOk+QPBen34QN/+T536nY+Mn0tlWjqksBieyYfbz2Ca
 TXPA==
X-Gm-Message-State: APjAAAWWIwQWhWVB5mMRLqVEvtP9tFaY0ARcoDw9UFLt8MPKuTqPCDOe
 BUcN3w0SsFPNDf2zSgGoPoMNN6ak7yIw7SjZH9c=
X-Google-Smtp-Source: APXvYqy96K5FrQljMQ/N+eJs0h5Eyz3kmd/pzcBOk2tk+RWk8hYjxT+42RWY321WdHUZALAfWT7gZA71TUVB+TMlMbM=
X-Received: by 2002:a9d:2965:: with SMTP id d92mr5213946otb.175.1578516020619; 
 Wed, 08 Jan 2020 12:40:20 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 <8336cpbtzh.fsf@HIDDEN>
In-Reply-To: <8336cpbtzh.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 8 Jan 2020 20:39:43 +0000
Message-ID: <CAOqdjBc8kN-nb=4qf7hUd-9sPD0cae75j7SnKpN-K25pY=FVHQ@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Jan 8, 2020 at 7:58 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > Yes. I=CA=BCll note that when this happens there are over 9000 stackf=
rames,
> > > so perhaps it=CA=BCs stack exhaustion. macOS has a default stack of 8=
192
> > > kB, I=CA=BCll see if increasing it helps.
> > That does sound like infinite recursion, or infinite recursion waiting
> > for something to change asynchronously that breaks the loop.
> No, GC is known to take many thousands of recursive calls to
> mark_object.  9000 is not a particularly high number, and doesn't
> necessarily signal infinite recursion.

In general, you're absolutely correct. But in this case, it still
sounds very likely: infinite recursion of a properly tail-recursive
function would loop rather than cause a stack overflow, which would
explain everything, except for why it's not actually an infinite loop;
I suspect the macOS code somewhere does modify things asynchronously.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 19:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 14:58:38 2020
Received: from localhost ([127.0.0.1]:51361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipHTR-00084s-Uq
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:58:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ipHTQ-00084g-AG
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:58:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43895)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ipHTK-0000k8-Jz; Wed, 08 Jan 2020 14:58:30 -0500
Received: from [176.228.60.248] (port=4094 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ipHTI-0000El-UA; Wed, 08 Jan 2020 14:58:29 -0500
Date: Wed, 08 Jan 2020 21:58:42 +0200
Message-Id: <8336cpbtzh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pip Cet <pipcet@HIDDEN>
In-reply-to: <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
 (message from Pip Cet on Wed, 8 Jan 2020 19:18:15 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
 <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: rpluim@HIDDEN, andreyk.mad@HIDDEN, alan@HIDDEN,
 jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pip Cet <pipcet@HIDDEN>
> Date: Wed, 8 Jan 2020 19:18:15 +0000
> Cc: Eli Zaretskii <eliz@HIDDEN>, alan@HIDDEN, jguenther@HIDDEN, 
> 	Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
> 
> > Yes. Iʼll note that when this happens there are over 9000 stackframes,
> > so perhaps itʼs stack exhaustion. macOS has a default stack of 8192
> > kB, Iʼll see if increasing it helps.
> 
> That does sound like infinite recursion, or infinite recursion waiting
> for something to change asynchronously that breaks the loop.

No, GC is known to take many thousands of recursive calls to
mark_object.  9000 is not a particularly high number, and doesn't
necessarily signal infinite recursion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 19:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 14:18:58 2020
Received: from localhost ([127.0.0.1]:51351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGr4-00077R-JP
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:18:58 -0500
Received: from mail-ot1-f46.google.com ([209.85.210.46]:46108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pipcet@HIDDEN>) id 1ipGr2-00077E-Vn
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:18:57 -0500
Received: by mail-ot1-f46.google.com with SMTP id r9so4643635otp.13
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 11:18:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=l9clJ0pgeneYvyI5dj2CSQ3dNKky8TmVZagXWJh8FRI=;
 b=MAMJ+CXHSomVe6zwf5RRwPThUA8PF3VvcbrQZecfQ8eiwzDY8W8V7BereM4hgvGjJr
 2q7+u2qzX89dOWbTszrOpN1YIRw+3sgWvr1LMjWsSsJIdKYEXerM/ubKbVLVR4FbJ6MG
 K9PopTRy0kONnegufMr+L+CA+hHe15qZuWBkBGKE4uMu33H8hHqDH7J5E7zX384jyeYs
 45RbANjZxZwHKYz9cRGVLN+yxLBMDHHM1w+Ag/Y1dxKHJmCnSJ0jijefHFnMW9dNvrO3
 ijCQxTAKYqwvNaM6F9ChESA8vNq8bmmEm9c3Asa8gdTrjus0E9gxOagVvxvPZrohz2mC
 TdcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=l9clJ0pgeneYvyI5dj2CSQ3dNKky8TmVZagXWJh8FRI=;
 b=L96VR13zGUGoVlhkC3aydI22TWRyJFGHHONAHOQWrzhtBDqVb5m2Xxr/mjnAV0XouP
 dcWpz+ZPK+OuALbRK80L49syol4PcmvXNzYcm8W470BSXb9s/tjRcql09eMuDk4AjkiX
 sv6129H8QYjsyfR0QuKqnOVxn7B8906o1lNMEXYCGZMimbsWjvEQtLh3qqDPZSqaPq2k
 q2PAROECrLbkbtXiI+/UsbhKRv0lLMOQp/vb9Fp1Foczkw5boa0ElfMbHVvNzY0GZCLX
 WIl21LcS1hbwSbbzWNKPCnc2LzkyDGWEzPX0w2n9QzDzHGJmnhTXYjzexrs909n0v7l8
 EDNg==
X-Gm-Message-State: APjAAAXfuqluykLAALBZPrjGgBhJgXhcSGa9GNr9daEfrkSRS2xR85RF
 Iqpb0uIRzvGThhJJfElt5dp93tpZCzjWuK7mVAk=
X-Google-Smtp-Source: APXvYqyVxa5AwfjbiuSD7a1cPCgpOkSmAlUfWEXsFU/P6Ku9hlsDUIv9De7zDleDKgq40XGTrkDEiXGJbriom0xRgLo=
X-Received: by 2002:a9d:4805:: with SMTP id c5mr5496332otf.292.1578511131281; 
 Wed, 08 Jan 2020 11:18:51 -0800 (PST)
MIME-Version: 1.0
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN> <m2blrdc0f5.fsf@HIDDEN>
In-Reply-To: <m2blrdc0f5.fsf@HIDDEN>
From: Pip Cet <pipcet@HIDDEN>
Date: Wed, 8 Jan 2020 19:18:15 +0000
Message-ID: <CAOqdjBcX++J_9Sy1ikNJmijYX=SP0VGArj8TPqXf86XOVT5Zsg@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 alan@HIDDEN, jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Jan 8, 2020 at 5:40 PM Robert Pluim <rpluim@HIDDEN> wrote:
>     >> But I found the commit after which error is occurs:>     >> b2949d=
39261e82c33572ba8a250298ef0b165b95
>     >>
>     >> Commenting out that 'ok =3D false;' line make Emacs works without =
errors.
>
> I can confirm this.

I think we should disassemble the two versions and see where the
differences are, unless this is too difficult because of inlining. Can
you provide compiler details?

>     Eli> I cannot explain how that change could cause any harm.  Here's t=
he
>     Eli> relevant code fragment:

>     Eli> So how could the initial value of 'ok' matter here?  What am I
>     Eli> missing?

I think it's likely to be the stack thing; the ok =3D false might make
the difference between allocating inherited_attrs on the stack once
and doing so once per recursion of face_inherited_attr. The latter
case might lead to a stack overflow more easily.

> Yes. I=CA=BCll note that when this happens there are over 9000 stackframe=
s,
> so perhaps it=CA=BCs stack exhaustion. macOS has a default stack of 8192
> kB, I=CA=BCll see if increasing it helps.

That does sound like infinite recursion, or infinite recursion waiting
for something to change asynchronously that breaks the loop. If the
"ok =3D false" prevents the compiler from recognizing
face_inherited_attr is effectively tail-recursive, that might be it?

Changing the line to "ok =3D true" would be an interesting experiment.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 8 Jan 2020 17:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 12:39:51 2020
Received: from localhost ([127.0.0.1]:51258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipFJ9-0004XE-N6
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 12:39:51 -0500
Received: from mail-wr1-f68.google.com ([209.85.221.68]:42308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1ipFJ8-0004Wy-D1
 for 38748 <at> debbugs.gnu.org; Wed, 08 Jan 2020 12:39:50 -0500
Received: by mail-wr1-f68.google.com with SMTP id q6so4284298wro.9
 for <38748 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 09:39:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=8JwPZWWWoH1KLNg8dcUh3qyaRE2znXk0JoO9l76mV8g=;
 b=uXgX+4yrMKdSHBRydJeOKP+RGR6vPWsgfDPkVKEXZ5rhjUiD/+G7BMiNtW4M5dwv41
 Ltm5Ys/2dasMsLb7H5EaI0vtaTzIUXo+wtIFKoHPqw3fUstdcGlvzKwq+daQMnkObFJi
 DV4Wl9QJI/hhGvj0FBcA9vOCkp8rI2JcwAmx7Z4Z+RKewZJBmbhutHHaU20SunkhCJJw
 LQxpp53N4xoTA+6S8VoAuWafOZZGx8d/AelJxZfZy25Ne1iHX03/BlMR0s8idZNBpJwS
 /v09qjEvk561JXGAhjbqSMxnALHxzl+on69xMcriquC6phg7ZMDJVvrKVg6YrZ1w43OX
 TNew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=8JwPZWWWoH1KLNg8dcUh3qyaRE2znXk0JoO9l76mV8g=;
 b=bgXWs12YiUa6D40FQ62G2HrTmwoY/zWaStpqspimuWAJPCiLFsOE/XmtMP49n2FP3Y
 UzXjrKBmQK9ZYpQPGX+qCP5DZ/U3GIDxN1PlIRw/qPwuurxyc52SlikAzw43hyuMt5M8
 oEgKW4JGJtgoAkmhaw2DKp/GeNKjoxDsnsyf/V5yIwj+gQvUSbT+WdamltbAxQMdYoDo
 lIVkIsPd8VUzsmkTZYtSd763xtyBQHFBgK5D6uKNAdlTPjWbNNnYJlA4J4y2a1GG2oWK
 Gr/G4Wm0TFBmgvgrW0aQDJhrTCO3RPG+1154DWCuF95HCH4TfwjDYjWj7hJ95FUVjimz
 dfRQ==
X-Gm-Message-State: APjAAAUEKY0sujpPsXkg1TvzUSzkpzPOA0NVr2AiHffCtFWj6a5a420h
 mbHbTViecIxmzjXqmUkN8q/YhBhg
X-Google-Smtp-Source: APXvYqxl5C0Vflklr+MdrUiTbatUAcu0Z4pzUIjhIJV6pXQZKrFKltjAdbdDsHnnykytHhBqdbN+7g==
X-Received: by 2002:a5d:4044:: with SMTP id w4mr5842385wrp.322.1578505184125; 
 Wed, 08 Jan 2020 09:39:44 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id i5sm4610881wml.31.2020.01.08.09.39.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 09:39:43 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <834kxej6lc.fsf@HIDDEN>
Date: Wed, 08 Jan 2020 18:39:42 +0100
In-Reply-To: <834kxej6lc.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 02 Jan
 2020 16:06:23 +0200")
Message-ID: <m2blrdc0f5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 02 Jan 2020 16:06:23 +0200, Eli Zaretskii <eliz@HIDDEN> said:

I=CA=BCm now seeing this as well on both master and emacs-27

    Eli> This looks like some compiler bug, or maybe bug in GDB on your
    Eli> platform?  Because the source clearly says

    Eli>    Lisp_Object last_marked[LAST_MARKED_SIZE] EXTERNALLY_VISIBLE;

    Eli> so the type should be known to GDB.  But this is just an aside.

    >> But I found the commit after which error is occurs:
    >> b2949d39261e82c33572ba8a250298ef0b165b95
    >>=20
    >> Commenting out that 'ok =3D false;' line make Emacs works without er=
rors.

I can confirm this.

    Eli> I cannot explain how that change could cause any harm.  Here's the
    Eli> relevant code fragment:

    Eli>       if (CONSP (parent_face))
    Eli> 	{
    Eli> 	  Lisp_Object tail;
    Eli> 	  ok =3D false;
    Eli> 	  for (tail =3D parent_face; !NILP (tail); tail =3D XCDR (tail))
    Eli> 	    {
    Eli> 	      ok =3D get_lface_attributes (w, f, XCAR (tail), inherited_a=
ttrs,
    Eli> 					 false, named_merge_points);
    Eli> 	      if (!ok)
    Eli> 		break;
    Eli> 	      attr_val =3D face_inherited_attr (w, f, inherited_attrs, at=
tr_idx,
    Eli> 					      named_merge_points);
    Eli> 	      if (!UNSPECIFIEDP (attr_val))
    Eli> 		break;
    Eli> 	    }
    Eli> 	  if (!ok)	/* bad face? */
    Eli> 	    break;  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
    Eli> 	}
    Eli>       else
    Eli> 	{
    Eli> 	  ok =3D get_lface_attributes (w, f, parent_face, inherited_attrs,
    Eli> 				     false, named_merge_points);
    Eli> 	  if (!ok)
    Eli> 	    break;
    Eli> 	  attr_val =3D inherited_attrs[attr_idx];
    Eli> 	}

    Eli> Since parent_face is a cons cell, then we enter the for-loop (sinc=
e a
    Eli> cons cell cannot be nil), and then we immediately call
    Eli> get_lface_attributes whose return value overwrites the initial val=
ue
    Eli> of 'ok'.

    Eli> So how could the initial value of 'ok' matter here?  What am I
    Eli> missing?

    Eli> Can you run the unmodified code with a breakpoint on the line
    Eli> indicated by "<<<<<" above, and see if the breakpoint ever breaks?=
  If
    Eli> it does break, can you show the face being merged in this case?

It never breaks there for me.

    Eli> Also, if you build Emacs with exactly the same configure options, =
but
    Eli> without optimizations, does the problem persist?

Yes. I=CA=BCll note that when this happens there are over 9000 stackframes,
so perhaps it=CA=BCs stack exhaustion. macOS has a default stack of 8192
kB, I=CA=BCll see if increasing it helps.

I=CA=BCm running under lldb as well, perhaps that will work better with
'last_marked'.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 5 Jan 2020 19:42:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 14:42:00 2020
Received: from localhost ([127.0.0.1]:44671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioBmi-0006ES-9P
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 14:42:00 -0500
Received: from [145.132.212.31] (port=54279 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1ioBmg-0006EC-1Q
 for 38748 <at> debbugs.gnu.org; Sun, 05 Jan 2020 14:41:58 -0500
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id B66A2A50AD7A;
 Sun,  5 Jan 2020 20:41:49 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN> <lxd0bzuq0r.fsf@HIDDEN>
 <20200104172509.GB68892@HIDDEN>
Date: Sun, 05 Jan 2020 20:41:49 +0100
In-Reply-To: <20200104172509.GB68892@HIDDEN> (Alan Third's
 message of "Sat, 4 Jan 2020 17:25:09 +0000")
Message-ID: <lxd0bx6682.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Alan Third <alan@HIDDEN> writes: > On Sat, Jan 04, 2020
 at 05:48:04PM +0100,
 Pieter van Oostrum wrote: >> Andrii Kolomoiets <andreyk.mad@HIDDEN>
 writes: >> >> > But I found the commit after which error is occurs: >> >
 b2949d39261e [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: vanoostrum.org]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 38748
Cc: jguenther@HIDDEN, Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Alan Third <alan@HIDDEN> writes:

> On Sat, Jan 04, 2020 at 05:48:04PM +0100, Pieter van Oostrum wrote:
>> Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:
>>=20
>> > But I found the commit after which error is occurs:
>> > b2949d39261e82c33572ba8a250298ef0b165b95
>> >
>> > Commenting out that 'ok =3D false;' line make Emacs works without erro=
rs.
>> >
>> > Justin, can you please check if Emacs prior to that commit is works fi=
ne
>> > for you?
>>=20
>> I had Emacs built from master a few days ago, and got the same
>> crashes, about twice a day, often when Emacs was idle.
>> So I decided to compile from the parent of the commit mentioned above, w=
hich is 73f37da12d.
>>=20
>> However, this one also crashed, albeit with a different crash. See the a=
ttachment.
>>=20
>> 8   org.gnu.Emacs                 	0x00000001011cdb58 handle_fatal_signa=
l + 24
>> 9   org.gnu.Emacs                 	0x00000001011cdbf2 deliver_thread_sig=
nal + 146
>> 10  org.gnu.Emacs                 	0x00000001011cb3da deliver_fatal_thre=
ad_signal + 26
>> 11  org.gnu.Emacs                 	0x00000001011cdc96 handle_sigsegv + 1=
34
>> 12  libsystem_platform.dylib      	0x00007fff756adf5a _sigtramp + 26
>> 13  ???                           	000000000000000000 0 + 0
>> 14  org.gnu.Emacs                 	0x0000000101053bab Fmouse_pixel_posit=
ion + 187
>
> Hmm, I made a change to the NS mouse position code recently
>
> fbf9fea4fdad467429058077b8087dbd0758b964
>
> Perhaps that=E2=80=99s related somehow.

No. I compiled the version before that (9042ece787cf93665776ffb69893fcb1357=
aacbe) and it crashed with exactly the same crash. So, no, it must have bee=
n introduced before that.
On the other hand, I have been working before this with a version from Dec =
1, 2019 (I think 9f2145f42daab13aed5cf89fdb6a7c5579819ec0) and I have used =
that quite a time without crashes. Whereas the other versions crashed 1-2 t=
imes a day.
--=20
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 4 Jan 2020 17:25:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 12:25:19 2020
Received: from localhost ([127.0.0.1]:43346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1innAt-0007rx-KU
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 12:25:19 -0500
Received: from mail-wm1-f67.google.com ([209.85.128.67]:53863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1innAr-0007ri-Sp
 for 38748 <at> debbugs.gnu.org; Sat, 04 Jan 2020 12:25:18 -0500
Received: by mail-wm1-f67.google.com with SMTP id m24so10934693wmc.3
 for <38748 <at> debbugs.gnu.org>; Sat, 04 Jan 2020 09:25:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to;
 bh=PrrwBPnu/One7HXL7AOJTo5TnL4XxN9ioxNvtvjpU5I=;
 b=U1aY4iEv4gdUSLuWSs/rUxifUmtH6i92FPU5ihJ31PHoibWYbNWBTzHLUK6D85HSZO
 lWKDQfkCFA4OnfkZUZUaYz0TfTSweasrB0skFjRNQfrJcpwuy82OAUT2JglK3P2d1bqz
 DInUAYRuEJy7g/h2w9eWjyD0y9Vs8fB32pJlPA90etrjpmlGiAPWOWttIOvG8/Y96FG5
 RR73nRjtV72Hp/mHfxGNhF9RjAFX6tMxucG47SzZzz/+rm0lBP8tVTUI1M+ecpgE9o1f
 Z+vqPdEGLwkv245oAv5zivkkW35Zy+4Hmsea9wyAW5w8QPxnirD+7suNHPLd88c19QQ5
 t4ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to;
 bh=PrrwBPnu/One7HXL7AOJTo5TnL4XxN9ioxNvtvjpU5I=;
 b=cO3NHC21eWhp34wK7+5BPqUPGx3mcFbi8tJv6MWxq5LWAaf5WhunIPH2T10bPKK/gl
 HnpzJW5JK2nkIyUr0+pFqWPBy3Na8raox7UTMcmVrfoquewyx8dWuDqsn8GXpJnvh4++
 SXYxLhgN/TVMPDzJ9upqIOCge3FUcy6WaF1UbyBS3xVCeGIkYIaJJndIFFmlxRYh4KFp
 jy70bR9a7exbyL6T+JySucPagoqY5D0nXOoObIRyqMJeKtmBcC3nPPRA3UPesWNgve6K
 mgahflcrkKQd0yFuOx5KbOj2PSWToXiYHFMbgWf1TXF4YwrduL+NOXHaShI717KeFsx/
 nRVg==
X-Gm-Message-State: APjAAAWB/jOyXIxqKHRb2Tn+D9KmZoUT5RowZQAv3RiNjY5FnSfSg0Lb
 tnGinlJijWDzzM9m/yxQS80=
X-Google-Smtp-Source: APXvYqxOF2HifRyB7Nv7WEHME9JXc2B8iFmQsh2tFMASWGgn9nOMn2xI3ARlx+QV7DMqhPW+SMOzzA==
X-Received: by 2002:a1c:ddc5:: with SMTP id u188mr24311552wmg.83.1578158712038; 
 Sat, 04 Jan 2020 09:25:12 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-3c68-1d99-a68c-dce7.holly.idiocy.org.
 [2001:8b0:3f8:8129:3c68:1d99:a68c:dce7])
 by smtp.gmail.com with ESMTPSA id s1sm16975343wmc.23.2020.01.04.09.25.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 04 Jan 2020 09:25:11 -0800 (PST)
Date: Sat, 4 Jan 2020 17:25:09 +0000
From: Alan Third <alan@HIDDEN>
To: Pieter van Oostrum <pieter-l@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Message-ID: <20200104172509.GB68892@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
 <83fth7qa3a.fsf@HIDDEN> <m28smyypmc.fsf@HIDDEN>
 <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
 <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
 <lxd0bzuq0r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <lxd0bzuq0r.fsf@HIDDEN>
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, jguenther@HIDDEN,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On Sat, Jan 04, 2020 at 05:48:04PM +0100, Pieter van Oostrum wrote:
> Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:
> 
> > But I found the commit after which error is occurs:
> > b2949d39261e82c33572ba8a250298ef0b165b95
> >
> > Commenting out that 'ok = false;' line make Emacs works without errors.
> >
> > Justin, can you please check if Emacs prior to that commit is works fine
> > for you?
> 
> I had Emacs built from master a few days ago, and got the same crashes, about twice a day, often when Emacs was idle.
> So I decided to compile from the parent of the commit mentioned above, which is 73f37da12d.
> 
> However, this one also crashed, albeit with a different crash. See the attachment.
> 
> 8   org.gnu.Emacs                 	0x00000001011cdb58 handle_fatal_signal + 24
> 9   org.gnu.Emacs                 	0x00000001011cdbf2 deliver_thread_signal + 146
> 10  org.gnu.Emacs                 	0x00000001011cb3da deliver_fatal_thread_signal + 26
> 11  org.gnu.Emacs                 	0x00000001011cdc96 handle_sigsegv + 134
> 12  libsystem_platform.dylib      	0x00007fff756adf5a _sigtramp + 26
> 13  ???                           	000000000000000000 0 + 0
> 14  org.gnu.Emacs                 	0x0000000101053bab Fmouse_pixel_position + 187

Hmm, I made a change to the NS mouse position code recently

fbf9fea4fdad467429058077b8087dbd0758b964

Perhaps that’s related somehow.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 4 Jan 2020 16:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 11:48:20 2020
Received: from localhost ([127.0.0.1]:43302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1inmb2-0006xL-80
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 11:48:20 -0500
Received: from [145.132.212.31] (port=60052 helo=cochabamba.vanoostrum.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pieter-l@HIDDEN>) id 1inmax-0006x3-UI
 for 38748 <at> debbugs.gnu.org; Sat, 04 Jan 2020 11:48:15 -0500
Received: from cochabamba.vanoostrum.org (localhost [IPv6:::1])
 by cochabamba.vanoostrum.org (Postfix) with ESMTP id DFDC6A4F1BB8;
 Sat,  4 Jan 2020 17:48:04 +0100 (CET)
From: Pieter van Oostrum <pieter-l@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
 <m25zhuyklw.fsf@HIDDEN>
Date: Sat, 04 Jan 2020 17:48:04 +0100
In-Reply-To: <m25zhuyklw.fsf@HIDDEN> (Andrii Kolomoiets's message of "Wed, 
 01 Jan 2020 22:42:19 +0200")
Message-ID: <lxd0bzuq0r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Andrii Kolomoiets <andreyk.mad@HIDDEN> writes: > But I
 found the commit after which error is occurs: >
 b2949d39261e82c33572ba8a250298ef0b165b95
 > > Commenting out that 'ok = false;' line make Emacs works without errors.
 > > Justin, can you please [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: apple.foundation]
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 38748
Cc: Eli Zaretskii <eliz@HIDDEN>, alan@HIDDEN, jguenther@HIDDEN,
 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--=-=-=
Content-Type: text/plain

Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:

> But I found the commit after which error is occurs:
> b2949d39261e82c33572ba8a250298ef0b165b95
>
> Commenting out that 'ok = false;' line make Emacs works without errors.
>
> Justin, can you please check if Emacs prior to that commit is works fine
> for you?

I had Emacs built from master a few days ago, and got the same crashes, about twice a day, often when Emacs was idle.
So I decided to compile from the parent of the commit mentioned above, which is 73f37da12d.

However, this one also crashed, albeit with a different crash. See the attachment.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment;
 filename=Emacs_2020-01-04-165858_Cochabamba.crash
Content-Description: Crash Report

Process:               Emacs [96352]
Path:                  /Applications/Emacs.app/Contents/MacOS/Emacs
Identifier:            Emacs
Version:               Version 27.0.50 (9.0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Emacs [96352]
User ID:               506

Date/Time:             2020-01-04 16:56:25.885 +0100
OS Version:            Mac OS X 10.13.6 (17G10021)
Report Version:        12
Anonymous UUID:        C9D55E82-4E1F-2DA8-B047-D13F7CEED0BF

Sleep/Wake UUID:       91A6300D-7755-4710-85B5-B476F6F50D8E

Time Awake Since Boot: 400000 seconds
Time Since Wake:       180 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00000009a434eff4
Exception Note:        EXC_CORPSE_NOTIFY

VM Regions Near 0x9a434eff4:
    MALLOC_LARGE           00000001627e6000-000000016fb4d000 [211.4M] rw-/rwx SM=COW  
--> 
    MALLOC_NANO            0000600000000000-0000600002600000 [ 38.0M] rw-/rwx SM=PRV  

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff754efb66 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff756ba080 pthread_kill + 333
2   libsystem_c.dylib             	0x00007fff753fd6fe raise + 26
3   org.gnu.Emacs                 	0x0000000101193ab1 terminate_due_to_signal + 273
4   org.gnu.Emacs                 	0x00000001011c9103 emacs_abort + 19
5   org.gnu.Emacs                 	0x00000001013a7178 ns_term_shutdown + 168
6   org.gnu.Emacs                 	0x0000000101193eb3 shut_down_emacs + 611
7   org.gnu.Emacs                 	0x0000000101193a4d terminate_due_to_signal + 173
8   org.gnu.Emacs                 	0x00000001011cdb58 handle_fatal_signal + 24
9   org.gnu.Emacs                 	0x00000001011cdbf2 deliver_thread_signal + 146
10  org.gnu.Emacs                 	0x00000001011cb3da deliver_fatal_thread_signal + 26
11  org.gnu.Emacs                 	0x00000001011cdc96 handle_sigsegv + 134
12  libsystem_platform.dylib      	0x00007fff756adf5a _sigtramp + 26
13  ???                           	000000000000000000 0 + 0
14  org.gnu.Emacs                 	0x0000000101053bab Fmouse_pixel_position + 187
15  org.gnu.Emacs                 	0x00000001012a20c2 funcall_subr + 466
16  org.gnu.Emacs                 	0x00000001012a0e40 Ffuncall + 464
17  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
18  org.gnu.Emacs                 	0x00000001012a29d2 funcall_lambda + 1650
19  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
20  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
21  org.gnu.Emacs                 	0x00000001012a29d2 funcall_lambda + 1650
22  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
23  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
24  org.gnu.Emacs                 	0x00000001012a2575 funcall_lambda + 533
25  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
26  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
27  org.gnu.Emacs                 	0x00000001012a2575 funcall_lambda + 533
28  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
29  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
30  org.gnu.Emacs                 	0x00000001012a2575 funcall_lambda + 533
31  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
32  org.gnu.Emacs                 	0x000000010129d515 Fapply + 133
33  org.gnu.Emacs                 	0x00000001012a2001 funcall_subr + 273
34  org.gnu.Emacs                 	0x00000001012a0e40 Ffuncall + 464
35  org.gnu.Emacs                 	0x0000000101313417 exec_byte_code + 8983
36  org.gnu.Emacs                 	0x00000001012a2575 funcall_lambda + 533
37  org.gnu.Emacs                 	0x00000001012a0e88 Ffuncall + 536
38  org.gnu.Emacs                 	0x00000001012a19c4 call1 + 68
39  org.gnu.Emacs                 	0x00000001011a586e timer_check_2 + 1726
40  org.gnu.Emacs                 	0x00000001011a5128 timer_check + 168
41  org.gnu.Emacs                 	0x00000001011a2a8f readable_events + 31
42  org.gnu.Emacs                 	0x00000001011a4fe0 get_input_pending + 64
43  org.gnu.Emacs                 	0x00000001011a16b6 detect_input_pending_run_timers + 54
44  org.gnu.Emacs                 	0x0000000101327ae3 wait_reading_process_output + 5683
45  org.gnu.Emacs                 	0x000000010103cc1e sit_for + 734
46  org.gnu.Emacs                 	0x000000010119fcad read_char + 5357
47  org.gnu.Emacs                 	0x000000010119accc read_key_sequence + 1980
48  org.gnu.Emacs                 	0x000000010119967c command_loop_1 + 1452
49  org.gnu.Emacs                 	0x000000010129a3cf internal_condition_case + 127
50  org.gnu.Emacs                 	0x00000001011b175c command_loop_2 + 44
51  org.gnu.Emacs                 	0x0000000101299b48 internal_catch + 72
52  org.gnu.Emacs                 	0x00000001011984c8 command_loop + 280
53  org.gnu.Emacs                 	0x0000000101198300 recursive_edit_1 + 192
54  org.gnu.Emacs                 	0x0000000101198694 Frecursive_edit + 308
55  org.gnu.Emacs                 	0x0000000101195ad8 main + 7048
56  libdyld.dylib                 	0x00007fff7539f015 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff754efcf2 __select + 10
1   org.gnu.Emacs                 	0x00000001013a89da -[EmacsApp fd_handler:] + 202
2   com.apple.Foundation          	0x00007fff4f4e8a18 __NSThread__start__ + 1197
3   libsystem_pthread.dylib       	0x00007fff756b7661 _pthread_body + 340
4   libsystem_pthread.dylib       	0x00007fff756b750d _pthread_start + 377
5   libsystem_pthread.dylib       	0x00007fff756b6bf9 thread_start + 13

Thread 2:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fff754e61fa mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff754e5714 mach_msg + 60
2   com.apple.CoreFoundation      	0x00007fff4d3bff65 __CFRunLoopServiceMachPort + 341
3   com.apple.CoreFoundation      	0x00007fff4d3bf2b7 __CFRunLoopRun + 1783
4   com.apple.CoreFoundation      	0x00007fff4d3be927 CFRunLoopRunSpecific + 487
5   com.apple.AppKit              	0x00007fff4aa88fc4 _NSEventThread + 184
6   libsystem_pthread.dylib       	0x00007fff756b7661 _pthread_body + 340
7   libsystem_pthread.dylib       	0x00007fff756b750d _pthread_start + 377
8   libsystem_pthread.dylib       	0x00007fff756b6bf9 thread_start + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff754f028a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff756b720e _pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x00007fff756b6be9 start_wqthread + 13

Thread 4:
0   libsystem_pthread.dylib       	0x00007fff756b6bdc start_wqthread + 0
1   ???                           	0x0000000000000010 0 + 16

Thread 5:
0   libsystem_pthread.dylib       	0x00007fff756b6bdc start_wqthread + 0
1   ???                           	0x4058504320000000 0 + 4636544065607827456

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007fffadabb380  rcx: 0x000000010184f1a8  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: 0x000000010184f1e0  rsp: 0x000000010184f1a8
   r8: 0x0000604000c7ccc0   r9: 0x00007fffa733c9d0  r10: 0x0000000000000000  r11: 0x0000000000000287
  r12: 0x0000000000000307  r13: 0x0000000000000000  r14: 0x0000000000000006  r15: 0x000000000000002d
  rip: 0x00007fff754efb66  rfl: 0x0000000000000286  cr2: 0x0000000112867022
  
Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x101034000 -        0x101440ff3 +org.gnu.Emacs (Version 27.0.50 - 9.0) <5DFB1EDC-2E12-380C-A83C-92608B365FF4> /Applications/Emacs.app/Contents/MacOS/Emacs
       0x10191c000 -        0x1019ffff3 +libxml2.2.dylib (0) <D8A0034E-16E6-3706-9DEB-CD6335F0AD70> /opt/local/lib/libxml2.2.dylib
       0x101a38000 -        0x101a72fff +libncurses.6.dylib (0) <3B904C44-262A-3B6A-90E7-2329766B17F3> /opt/local/lib/libncurses.6.dylib
       0x101a84000 -        0x101bd2fdf +libgnutls.30.dylib (0) <1B18B176-02BD-3F73-87D0-7C4651F7ED99> /opt/local/lib/libgnutls.30.dylib
       0x101c1a000 -        0x101c51fff +liblcms2.2.dylib (0) <9BB70D43-597B-3F0B-9975-DA34D02E41A9> /opt/local/lib/liblcms2.2.dylib
       0x101c65000 -        0x101c75ff3 +libz.1.dylib (0) <ACB7269B-A127-30F2-8EE4-1F6E0B286AF1> /opt/local/lib/libz.1.dylib
       0x101c7c000 -        0x101dfeff3 +libicui18n.65.dylib (0) <D667D175-C296-330A-9CD1-B90A7546D33D> /opt/local/lib/libicui18n.65.dylib
       0x101f0d000 -        0x102028ff3 +libicuuc.65.dylib (0) <F9F7247A-9C08-3407-86B9-1985FFAE2DDB> /opt/local/lib/libicuuc.65.dylib
       0x1020a3000 -        0x103b51fff +libicudata.65.dylib (0) <48D4002F-03CC-3C7E-95A5-17EB27C74F5C> /opt/local/lib/libicudata.65.dylib
       0x103b53000 -        0x103b6eff7 +liblzma.5.dylib (0) <4AD094D9-BACF-37DA-99E6-7B5506E6B48D> /opt/local/lib/liblzma.5.dylib
       0x103b75000 -        0x103c69ff3 +libiconv.2.dylib (0) <23583374-BE1C-314C-B1C7-3DD94E1D394B> /opt/local/lib/libiconv.2.dylib
       0x103c7a000 -        0x103d22fff +libp11-kit.0.dylib (0) <D59B26FA-C20B-3934-8EDA-CFB5DD630B6D> /opt/local/lib/libp11-kit.0.dylib
       0x103ddc000 -        0x103dfafff +libidn2.0.dylib (0) <B4D0DA64-9A9A-3218-B58A-2B2B94EB549B> /opt/local/lib/libidn2.0.dylib
       0x103e05000 -        0x103f68fff +libunistring.2.dylib (0) <28164419-3CB1-3363-9E50-0815FB81E4A3> /opt/local/lib/libunistring.2.dylib
       0x103f81000 -        0x103f8dfff +libtasn1.6.dylib (0) <9A877B52-4962-313F-B9B4-097057DB5188> /opt/local/lib/libtasn1.6.dylib
       0x103f93000 -        0x103fbbfff +libnettle.7.dylib (0) <47C42B5F-D752-3A1B-B3A8-B72CAD1C3146> /opt/local/lib/libnettle.7.dylib
       0x103fe3000 -        0x10400bfff +libhogweed.5.dylib (0) <C500A2F5-4D70-3BC8-B90E-F002827DDE7C> /opt/local/lib/libhogweed.5.dylib
       0x104028000 -        0x104099fdf +libgmp.10.dylib (0) <EE0416EC-73D5-3B70-BEF5-E96A2EA8D77E> /opt/local/lib/libgmp.10.dylib
       0x1040a5000 -        0x1040adff7 +libintl.8.dylib (0) <EB2A624B-2A0F-3FAE-AADA-2CBF84BFDCD4> /opt/local/lib/libintl.8.dylib
       0x1040b8000 -        0x1040bcfff +libffi.6.dylib (0) <8D5AC8F5-EF47-30F6-82E7-6E860832E8C9> /opt/local/lib/libffi.6.dylib
       0x107c8c000 -        0x107cd6adf  dyld (551.5) <ACC6AC7F-EAD9-340E-B2A8-AD26FE5B387B> /usr/lib/dyld
       0x154d01000 -        0x154d1fffb +p11-kit-trust.so (0) <16B1773B-88C6-30A5-81F2-1AB6FF1B0CCD> /opt/local/lib/*/p11-kit-trust.so
    0x7fff4565a000 -     0x7fff459a8ff7  com.apple.RawCamera.bundle (8.05.0 - 1017.4.1) <CAF490E6-CB0E-3EF0-B3D2-C4880CF85077> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff46f35000 -     0x7fff46fb6ff7  com.apple.driver.AppleIntelHD4000GraphicsMTLDriver (10.36.26 - 10.3.6) <6F367C1D-D6E6-375B-A9A4-E8336DAC08C2> /System/Library/Extensions/AppleIntelHD4000GraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelHD4000GraphicsMTLDriver
    0x7fff4927c000 -     0x7fff4945cff3  com.apple.avfoundation (2.0 - 1536.36) <BB65ED51-CE44-31BD-A6EC-4B1EC5EADDD9> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fff4945d000 -     0x7fff49516fff  com.apple.audio.AVFAudio (1.0 - ???) <ECE63BA3-4344-3522-904B-71F89677AC7D> /System/Library/Frameworks/AVFoundation.framework/Versions/A/Frameworks/AVFAudio.framework/Versions/A/AVFAudio
    0x7fff4961c000 -     0x7fff4961cfff  com.apple.Accelerate (1.11 - Accelerate 1.11) <2EF00EFE-06E8-3082-85C3-2988B422A19D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff4961d000 -     0x7fff49634ff7  libCGInterfaces.dylib (417.2) <C9175EDD-A2E3-34E9-A72E-1BF895A60DD3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff49635000 -     0x7fff49d83ffb  com.apple.vImage (8.1 - ???) <56C275C1-459F-37CD-BF29-2E6D81C29E53> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff49d84000 -     0x7fff49f24ff3  libBLAS.dylib (1211.50.2) <93259222-2D94-333D-A1EB-09C6FC4A64B4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff49f25000 -     0x7fff49f5ffef  libBNNS.dylib (38.1) <0AAE0109-71D5-3B26-8401-3E62DDF97624> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff49f60000 -     0x7fff4a339ff7  libLAPACK.dylib (1211.50.2) <70781D0B-AEAD-33EB-9900-10DC30F37D61> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff4a33a000 -     0x7fff4a350ff7  libLinearAlgebra.dylib (1211.50.2) <FB5A35EA-D636-3D69-AB53-B67E1EB8134C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff4a351000 -     0x7fff4a356ff3  libQuadrature.dylib (3) <3D6BF66A-55B2-3692-BAC7-DEB0C676ED29> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff4a357000 -     0x7fff4a3d7fff  libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff4a3d8000 -     0x7fff4a3eaff7  libSparseBLAS.dylib (1211.50.2) <994A7D7E-FA3B-3943-A59C-8150B9AF86BE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff4a3eb000 -     0x7fff4a55efe7  libvDSP.dylib (622.50.5) <4BF310F4-31A3-3DA5-80E4-7F8014AD380B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff4a55f000 -     0x7fff4a615fef  libvMisc.dylib (622.50.5) <88143A88-4FDE-35A1-85FE-54FF0C2A9E43> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff4a616000 -     0x7fff4a616fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <880DEF40-389A-3F56-ACA1-B62A5BC57E59> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff4a617000 -     0x7fff4a671ff7  com.apple.Accounts (113 - 113) <D2892B2B-2846-3E75-9A4B-224A9F343A44> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fff4a672000 -     0x7fff4a909ff7  com.apple.AddressBook.framework (11.0 - 1808.8) <0F9FD4D6-69E6-3110-A661-25346C17D691> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
    0x7fff4a90a000 -     0x7fff4b768fff  com.apple.AppKit (6.9 - 1561.61.100) <E08E4FD1-41F6-387C-A5B0-EF7CA0BDAA78> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff4b7ba000 -     0x7fff4b7bafff  com.apple.ApplicationServices (48 - 50) <0E4AA883-7EFC-36EE-8B8E-E226E2C37965> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff4b7bb000 -     0x7fff4b821fff  com.apple.ApplicationServices.ATS (377 - 445.5) <703CE7E4-426A-35C0-A229-F140F30F5340> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff4b8ba000 -     0x7fff4b9dcfff  libFontParser.dylib (222.1.7) <9C4CEFB4-0F08-3B60-BD50-0120A37F6EA2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff4b9dd000 -     0x7fff4ba28ff7  libFontRegistry.dylib (221.6) <30C6D1DE-C0E3-3447-A0EF-829443D95F0E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff4ba7a000 -     0x7fff4ba7ffff  libFontRegistryUI.dylib (221.6) <C9FF5F1A-07BC-3472-ADD8-C07005E1AB53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistryUI.dylib
    0x7fff4bacd000 -     0x7fff4bb00ff7  libTrueTypeScaler.dylib (222.1.7) <E401BD38-5F0E-382F-B4CB-AC6063871C0F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff4bb6a000 -     0x7fff4bb6eff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <A5FB2694-1559-34A8-A3D3-2029F68A63CA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff4bc0e000 -     0x7fff4bc60ffb  com.apple.HIServices (1.22 - 625) <78A1FB4F-A39C-3159-B285-600C997335FB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff4bc61000 -     0x7fff4bc6ffff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <B65FF7E6-E9B5-34D8-8CA7-63D415A8A9A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff4bc70000 -     0x7fff4bcbcfff  com.apple.print.framework.PrintCore (13.4 - 503.2) <B90C67C1-0292-3CEC-885D-F1882CD104BE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff4bcbd000 -     0x7fff4bcf7fff  com.apple.QD (3.12 - 404.2) <38B20AFF-9D54-3B52-A6DC-C0D71380AA5F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff4bcf8000 -     0x7fff4bd04fff  com.apple.speech.synthesis.framework (7.8.1 - 7.8.1) <A08DE016-C8F2-3B0E-BD34-15959D13DBF0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff4bd05000 -     0x7fff4bf93ff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <514DC09A-54F3-3136-9FEF-F090208FBBE5> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff4bf95000 -     0x7fff4bf95fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <294802B9-E24D-34EB-973F-6D2B8E2E86CB> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff4c2b8000 -     0x7fff4c655fff  com.apple.CFNetwork (902.5 - 902.5) <2D37E75A-42FD-3CDE-BAE3-D4228EF813F0> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff4c66a000 -     0x7fff4c66afff  com.apple.Carbon (158 - 158) <F8B370D9-2103-3276-821D-ACC756167F86> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff4c66b000 -     0x7fff4c66effb  com.apple.CommonPanels (1.2.6 - 98) <2391761C-5CAA-3F68-86B7-50B37927B104> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff4c66f000 -     0x7fff4c974fff  com.apple.HIToolbox (2.1.1 - 911.10) <BF7F9C0E-C732-3FB2-9BBC-362888BDA57B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff4c975000 -     0x7fff4c978ffb  com.apple.help (1.3.8 - 66) <DEBADFA8-C189-3195-B0D6-A1F2DE95882A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff4c979000 -     0x7fff4c97efff  com.apple.ImageCapture (9.0 - 9.0) <23B4916F-3B43-3DFF-B956-FC390EECA284> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff4c97f000 -     0x7fff4ca14ffb  com.apple.ink.framework (10.9 - 221) <5206C8B0-22DA-36C9-998E-846EDB626D5B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff4ca15000 -     0x7fff4ca2fff7  com.apple.openscripting (1.7 - 174) <1B2A1F9E-5534-3D61-83CA-9199B39E8708> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff4ca50000 -     0x7fff4ca51fff  com.apple.print.framework.Print (12 - 267) <3682ABFB-2561-3419-847D-02C247F4800D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff4ca52000 -     0x7fff4ca54ff7  com.apple.securityhi (9.0 - 55006) <C1406B8D-7D05-3959-808F-9C82189CF57F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff4ca55000 -     0x7fff4ca5bfff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2ED8643D-B0C3-3F17-82A2-BBF13E6CBABC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff4cb7c000 -     0x7fff4cb7cfff  com.apple.Cocoa (6.11 - 22) <17A98C08-64CF-3232-80EE-E10BAF68778F> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff4cb8a000 -     0x7fff4cc43fff  com.apple.ColorSync (4.13.0 - 3325) <D283C285-447D-3258-A7E4-59532123B8FF> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff4cdd0000 -     0x7fff4ce63ff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <EB35D3EC-56EA-33E6-98DC-BDC3A5FA8ACE> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff4ceca000 -     0x7fff4cef3ffb  com.apple.CoreBluetooth (1.0 - 1) <E1335074-9D07-370E-8440-61C4874BAC56> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff4cef4000 -     0x7fff4d258ff3  com.apple.CoreData (120 - 851) <8D605466-8676-3D45-9A4B-8980971551C3> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff4d259000 -     0x7fff4d33cfff  com.apple.CoreDisplay (99.14 - 99.14) <A1B91ADD-828D-33A0-8A92-CC3F83DF89D0> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff4d33d000 -     0x7fff4d7d9fff  com.apple.CoreFoundation (6.9 - 1455.12) <D8DF93F5-4558-3B28-8BDF-9739C995D27C> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff4d7db000 -     0x7fff4de0aff7  com.apple.CoreGraphics (2.0 - 1161.21.3) <90736977-F257-3C9A-B47C-EE03F7AF6068> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff4de0c000 -     0x7fff4e0fbfff  com.apple.CoreImage (13.0.0 - 579.5) <AAE2DFD0-9B0A-3D56-8A3E-C460BAF70394> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff4e38a000 -     0x7fff4e480ffb  com.apple.CoreMedia (1.0 - 2276.80.4) <DE77D8E2-7D5F-3AAB-881B-7EE84046C194> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff4e481000 -     0x7fff4e4cffff  com.apple.CoreMediaIO (814.0 - 4995) <77EE43A9-EB31-3C15-A215-C9B98CD3AFC2> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff4e4d0000 -     0x7fff4e4d0fff  com.apple.CoreServices (822.37 - 822.37) <7B04988B-C0D4-314E-8B3B-AE446B4A38CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff4e4d1000 -     0x7fff4e545ffb  com.apple.AE (735.2 - 735.2) <690A6F47-1306-371F-B257-783D8F83EA9E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff4e546000 -     0x7fff4e81dfff  com.apple.CoreServices.CarbonCore (1178.4.2 - 1178.4.2) <08AF7B7B-219B-3957-86CE-C96B423C823C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff4e81e000 -     0x7fff4e852fff  com.apple.DictionaryServices (1.2 - 284.2) <6505B075-41C3-3C62-A4C3-85CE3F6825CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff4e853000 -     0x7fff4e85bffb  com.apple.CoreServices.FSEvents (1239.50.2 - 1239.50.2) <AC3A1A72-92B3-3746-BAED-44F2BB245653> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff4e85c000 -     0x7fff4ea1aff7  com.apple.LaunchServices (822.37 - 822.37) <6AA93307-220A-3417-BBC2-FE1C0DE0B652> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff4ea1b000 -     0x7fff4eacbfff  com.apple.Metadata (10.7.0 - 1191.7) <1F7AC682-06A1-33D5-A9B8-0BCD934286E6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff4eacc000 -     0x7fff4eb2cfff  com.apple.CoreServices.OSServices (822.37 - 822.37) <4AD2FC98-C6CB-392A-A22F-196A723D7FAE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff4eb2d000 -     0x7fff4eb9bfff  com.apple.SearchKit (1.4.0 - 1.4.0) <3662545A-B1CF-3079-BDCD-C83855CEFEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff4eb9c000 -     0x7fff4ebc0ffb  com.apple.coreservices.SharedFileList (71.21 - 71.21) <1B5228EF-D869-3A50-A373-7F4B0289FADD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff4ee61000 -     0x7fff4efb1fff  com.apple.CoreText (352.0 - 578.22) <6129F39D-284D-3BBF-8999-7854AB61C01C> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff4efb2000 -     0x7fff4efecfff  com.apple.CoreVideo (1.8 - 0.0) <86CCC036-51BB-3DD1-9601-D93798BCCD0F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff4efed000 -     0x7fff4f078ff3  com.apple.framework.CoreWLAN (13.0 - 1350.2) <DC9E1B0B-FD96-38A7-A6E0-820CA414AA94> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff4f206000 -     0x7fff4f211ff7  com.apple.DirectoryService.Framework (10.13 - 207.50.1) <BE0D8038-7974-3B06-80E1-31E27E5CD634> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff4f2f3000 -     0x7fff4f2f8fff  com.apple.DiskArbitration (2.7 - 2.7) <2F628584-8177-3894-92CE-9CA6089B61C6> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff4f4b9000 -     0x7fff4f880ffb  com.apple.Foundation (6.9 - 1455.12) <54095045-C829-358F-B8EE-953F670492F5> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff4f8f1000 -     0x7fff4f921ff3  com.apple.GSS (4.0 - 2.0) <FC69A120-3C19-3802-87B4-C29217758143> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff4fa33000 -     0x7fff4fb37ffb  com.apple.Bluetooth (6.0.7 - 6.0.7f16) <C75C43B6-1936-3E3C-94E6-B568D8CDD233> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff4fb97000 -     0x7fff4fc32fff  com.apple.framework.IOKit (2.0.2 - 1445.71.6) <C68CE7ED-85CA-3D1F-BAA0-908327BEC0DE> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff4fc34000 -     0x7fff4fc3bfff  com.apple.IOSurface (211.15 - 211.15) <9FD406F1-6BF2-35B0-8339-DF83A1A661EB> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff4fc3c000 -     0x7fff4fc91ff3  com.apple.ImageCaptureCore (7.0 - 7.0) <0DAB3D7E-8C3F-35DE-96DF-C370AD35EB65> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff4fc92000 -     0x7fff4fe10ff7  com.apple.ImageIO.framework (3.3.0 - 1739.3.2) <B621F985-BA8E-3E57-BFA6-1BA1E8010E78> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff4fe11000 -     0x7fff4fe15ffb  libGIF.dylib (1739.3.2) <D6BD9E6A-1F03-3C47-AF70-D70B4BBAB48B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff4fe16000 -     0x7fff4fefdff7  libJP2.dylib (1739.3.2) <58840C1B-1221-3B4B-B4F7-F6E3A3C74637> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff4fefe000 -     0x7fff4ff21fff  libJPEG.dylib (1739.3.2) <B4288A42-94EE-3DD8-8280-656DECAAEA06> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff501fe000 -     0x7fff50224ff3  libPng.dylib (1739.3.2) <9631956D-054D-32E3-870A-E793932C2E36> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff50225000 -     0x7fff50227ff3  libRadiance.dylib (1739.3.2) <A983495E-E115-3206-9522-B9C4C3AB2443> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff50228000 -     0x7fff50275ff3  libTIFF.dylib (1739.3.2) <40E0EE87-E8D0-37B5-A463-5CF5BF46AB35> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff50431000 -     0x7fff51117fff  com.apple.JavaScriptCore (13605 - 13605.3.8) <E6B49CDA-72F0-3E58-85EF-98AF10CE04B0> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
    0x7fff5112f000 -     0x7fff51148ff7  com.apple.Kerberos (3.0 - 1) <F86DCCDF-93C1-38B3-82C2-477C12E8EE6D> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff51149000 -     0x7fff5117efff  com.apple.LDAPFramework (2.4.28 - 194.5) <0C9DA595-56FD-375B-9EED-713FAA1EE9FE> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff51407000 -     0x7fff5140efff  com.apple.MediaAccessibility (1.0 - 114) <9F72AACD-BAEB-3646-BD0F-12C47591C20D> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fff514be000 -     0x7fff51b28ff7  com.apple.MediaToolbox (1.0 - 2276.80.4) <81DF46D3-40E0-3025-9643-69FBC875EC1B> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff51b2a000 -     0x7fff51babfff  com.apple.Metal (125.30 - 125.30) <6B9EBDEE-C64C-3C1C-922A-0363B642C9BC> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff51bc8000 -     0x7fff51be3fff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <AD754E8F-CA00-3878-9AF3-208C224A230B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff51be4000 -     0x7fff51c53fef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <338B7779-E608-3D68-8A07-2ACC11299744> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff51c54000 -     0x7fff51c78fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <9CE072D7-853B-3939-9645-7EB951376B87> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff51c79000 -     0x7fff51d60ff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <0DE891AD-27E5-38FF-AEC8-4A95356C4357> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff51d61000 -     0x7fff51d61ff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <2D2D261C-50B0-32F9-BF9A-5C01382BB528> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff52d60000 -     0x7fff52d6cffb  com.apple.NetFS (6.0 - 4.0) <471DD96F-FA2E-3FE9-9746-2519A6780D1A> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff55b5e000 -     0x7fff55bb8ff7  com.apple.opencl (2.8.24 - 2.8.24) <CF922AFD-CBA4-3B23-A0C1-E3E5362BB6C7> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff55bb9000 -     0x7fff55bd5ffb  com.apple.CFOpenDirectory (10.13 - 207.50.1) <29F55F7B-379F-3053-8FF3-5C6675A3DD4D> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff55bd6000 -     0x7fff55be1fff  com.apple.OpenDirectory (10.13 - 207.50.1) <F895547D-4915-353F-9C1E-E95172BA803B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff56d60000 -     0x7fff56d62fff  libCVMSPluginSupport.dylib (16.7.4) <6846D939-478C-3AE3-9DCD-CD4F4CD05409> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff56d63000 -     0x7fff56d68ffb  libCoreFSCache.dylib (162.9) <DD9DD721-2957-3D05-B361-70AF9EBFB280> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff56d69000 -     0x7fff56d6dfff  libCoreVMClient.dylib (162.9) <4E4F3EA2-5B53-31A3-8256-54EFAA94E4D6> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff56d6e000 -     0x7fff56d77ff3  libGFXShared.dylib (16.7.4) <6187AD8B-1CD2-3775-84CD-76A0EA8BCDD4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff56d78000 -     0x7fff56d83fff  libGL.dylib (16.7.4) <2BB333D3-5C61-33DF-8545-06DF2D08B83D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff56d84000 -     0x7fff56dbffe7  libGLImage.dylib (16.7.4) <4DA003CE-0B74-3FE4-808C-B2FBCE517EB4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff56f2e000 -     0x7fff56f6cffb  libGLU.dylib (16.7.4) <BCB09CD8-EB0E-38FA-8B5A-9E29532EE364> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff578e4000 -     0x7fff578f3ff3  com.apple.opengl (16.7.4 - 16.7.4) <7B71A596-B6D8-335A-B7CA-8684D83B9C0E> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff57c72000 -     0x7fff57dbeff7  com.apple.QTKit (7.7.3 - 3014.8) <E873393A-4865-35EA-A240-F5144D0C48FC> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff57dbf000 -     0x7fff58024ff7  com.apple.imageKit (3.0 - 1043) <F007F40B-D1C3-374B-92F1-F21AE2C5094D> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff58025000 -     0x7fff58114ff3  com.apple.PDFKit (1.0 - 677.68) <07888D80-F4FD-38AD-8F21-48F59E486886> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff58115000 -     0x7fff58627ff7  com.apple.QuartzComposer (5.1 - 364) <1369D6DA-8842-3878-B546-1D09828331F5> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff58628000 -     0x7fff5864bfff  com.apple.quartzfilters (1.10.0 - 1.10.0) <C95CB89D-148D-341B-BC50-82D8C32BF767> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff5864c000 -     0x7fff58745ff7  com.apple.QuickLookUIFramework (5.0 - 743.13) <09B296B3-4242-3224-9F44-5DFB4AB894CC> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff58746000 -     0x7fff58746fff  com.apple.quartzframework (1.5 - 21) <DCEB0FCC-2C32-3D02-8752-7B6FA009AB85> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff58747000 -     0x7fff58993ff7  com.apple.QuartzCore (1.11 - 584.64.2) <DDA39332-DE09-3737-A332-0002AE05DD39> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff58994000 -     0x7fff589ebff7  com.apple.QuickLookFramework (5.0 - 743.13) <8254FFF2-EE0D-323D-A6F3-BEB59615EE47> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff58bb1000 -     0x7fff58bcbff3  com.apple.SafariServices.framework (13608 - 13608.4.9.1.4) <E1C6EAE7-B8E9-3D50-89BC-A0C788B820E5> /System/Library/Frameworks/SafariServices.framework/Versions/A/SafariServices
    0x7fff591cb000 -     0x7fff594f6fff  com.apple.security (7.0 - 58286.70.15) <4E3E9BE5-939F-3D3F-AAA3-153707997C6E> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff594f7000 -     0x7fff59583ff7  com.apple.securityfoundation (6.0 - 55185.50.5) <EB62490A-AA77-3F51-86B3-03669C3897B3> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff59584000 -     0x7fff595b4fff  com.apple.securityinterface (10.0 - 55109.50.6) <842FE6C2-7040-3E4F-9577-ADB66EBE1E67> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff595b5000 -     0x7fff595b9ffb  com.apple.xpc.ServiceManagement (1.0 - 1) <E3146BBE-7F32-3605-AD2B-54C0E70759DC> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff5995e000 -     0x7fff599ceff3  com.apple.SystemConfiguration (1.17 - 1.17) <CD4A4C66-7886-3323-A3B9-0C8952500856> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff59b83000 -     0x7fff59efefff  com.apple.VideoToolbox (1.0 - 2276.80.4) <9584525B-EAEC-3B8D-81EE-09F7052499B5> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff5a1a6000 -     0x7fff5a705feb  libwebrtc.dylib (7605.3.8) <BCFA176B-4553-386B-B2E7-E578AC89E3E2> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/Frameworks/libwebrtc.dylib
    0x7fff5a706000 -     0x7fff5bdd9ff7  com.apple.WebCore (13605 - 13605.3.8) <7A44888D-C70E-39D6-A7A7-DB8228B4CB63> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff5bdda000 -     0x7fff5bfc1ff7  com.apple.WebKitLegacy (13605 - 13605.3.8) <AE310856-11EF-3B19-A149-28B2413B5B14> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebKitLegacy.framework/Versions/A/WebKitLegacy
    0x7fff5bfc2000 -     0x7fff5c45bfff  com.apple.WebKit (13605 - 13605.3.8) <A30A0B01-81C7-35A3-9A68-A6E29B8F65EC> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
    0x7fff5c8cb000 -     0x7fff5c95eff3  com.apple.APFS (1.0 - 1) <70133D37-FDD3-3B2C-B295-00BECEA7EDA8> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff5d58b000 -     0x7fff5d5b3fff  com.apple.framework.Apple80211 (13.0 - 1370.4) <B37A91A0-5823-3F97-B575-9BB804FCEB00> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff5d5b5000 -     0x7fff5d5c4fef  com.apple.AppleFSCompression (96.60.1 - 1.0) <A7C875C4-F5EE-3272-AFB6-57C9FD5352B3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff5d6c3000 -     0x7fff5d6ceff7  com.apple.AppleIDAuthSupport (1.0 - 1) <2FAF5567-CDB3-33EF-AB71-05D37F2248B7> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
    0x7fff5d708000 -     0x7fff5d750ff3  com.apple.AppleJPEG (1.0 - 1) <8DD410CB-76A1-3F22-9A9F-0491FA0CEB4A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff5d763000 -     0x7fff5d781ff3  com.apple.aps.framework (4.0 - 4.0) <142A38BC-8266-3462-86A7-C39198651F2A> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fff5d782000 -     0x7fff5d78aff3  com.apple.AppleSRP (5.0 - 1) <4CEC34CF-63E3-3023-B61B-F8D133698534> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff5d78b000 -     0x7fff5d7b3fff  com.apple.applesauce (1.0 - ???) <CCA8B094-1BCE-3AE3-A0A7-D544C818DE36> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff5d87c000 -     0x7fff5d87ffff  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <39419365-1166-3B27-BFFB-ADD281E38290> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff5d880000 -     0x7fff5d8d0ff7  com.apple.AppleVAFramework (5.0.41 - 5.0.41) <3E322B24-26DC-3A1F-A253-425BBAD293D8> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff5dc06000 -     0x7fff5de9fffb  com.apple.AuthKit (1.0 - 1) <6CA71A11-91C5-307C-B933-9FCDEDCB580A> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
    0x7fff5dfd6000 -     0x7fff5dfddff7  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <51A41CA3-DB1D-3380-993E-99C54AEE518E> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff5dfde000 -     0x7fff5e065ff7  com.apple.backup.framework (1.9.6 - 1.9.6) <3C96FD26-C7F2-3F37-885A-5A71372FA8F4> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff5e06e000 -     0x7fff5e074ff7  com.apple.BezelServicesFW (305.1 - 305.1) <7D2C4717-FFF2-3262-B822-1982596BE46B> /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
    0x7fff5e0df000 -     0x7fff5e11bfff  com.apple.bom (14.0 - 194.2.4) <31CEB295-7DFF-30C9-963D-1A17189FA296> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff5e74f000 -     0x7fff5e77cfff  com.apple.CalendarAgentLink (8.0 - 250) <55B60B04-2EAA-3F22-88EF-1602129D5294> /System/Library/PrivateFrameworks/CalendarAgentLink.framework/Versions/A/CalendarAgentLink
    0x7fff5ee47000 -     0x7fff5ee96ff3  com.apple.ChunkingLibrary (189 - 189) <C021A0EB-82E7-3A1E-A772-96B0E7E038D9> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff5fa1f000 -     0x7fff5fa28ff3  com.apple.CommonAuth (4.0 - 2.0) <21AF4AC2-E650-35F9-AB33-3EBA2769FBC0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff5fa3d000 -     0x7fff5fa52ff7  com.apple.commonutilities (8.0 - 900) <5EC02BD4-F1F8-3A96-BE1A-6620D3080CD4> /System/Library/PrivateFrameworks/CommonUtilities.framework/Versions/A/CommonUtilities
    0x7fff5fc81000 -     0x7fff5fce1fff  com.apple.AddressBook.ContactsFoundation (8.0 - ???) <997AADA4-DD8A-38C5-B441-C3FEDC5AFCE7> /System/Library/PrivateFrameworks/ContactsFoundation.framework/Versions/A/ContactsFoundation
    0x7fff5fce2000 -     0x7fff5fd04fff  com.apple.contacts.ContactsPersistence (1.0 - 2330.3) <B7EA2D0A-8A43-3E9C-A7D2-E9585064C328> /System/Library/PrivateFrameworks/ContactsPersistence.framework/Versions/A/ContactsPersistence
    0x7fff5fd64000 -     0x7fff6016cfff  com.apple.CoreAUC (259.0.0 - 259.0.0) <1E0FB2C7-109E-3924-8E7F-8C6ACD78AF26> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff6016d000 -     0x7fff6019dff7  com.apple.CoreAVCHD (5.9.0 - 5900.4.1) <E9FF9574-122A-3966-AA2B-546E512ACD06> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff60234000 -     0x7fff60286ff7  com.apple.corebrightness (1.0 - 1) <9E20777F-4758-358E-939A-F8D4A3203B87> /System/Library/PrivateFrameworks/CoreBrightness.framework/Versions/A/CoreBrightness
    0x7fff603c5000 -     0x7fff603ceff7  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <35A43584-2AF8-3202-A139-27D916E444BE> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fff6053c000 -     0x7fff6054cff7  com.apple.CoreEmoji (1.0 - 69.3) <A4357F5C-0C38-3A61-B456-D7321EB2CEE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff60850000 -     0x7fff60866ff7  com.apple.CoreMediaAuthoring (2.2 - 956) <FBA28A76-97E2-3023-A3F6-D03280AE2889> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff60b95000 -     0x7fff60b9aff7  com.apple.CoreOptimization (1.0 - 1) <785B622B-8F7D-3B4D-83AF-EB98CB79FFF6> /System/Library/PrivateFrameworks/CoreOptimization.framework/Versions/A/CoreOptimization
    0x7fff60b9b000 -     0x7fff60c40fff  com.apple.CorePDF (4.0 - 414) <D64D17C3-9AD0-3A29-89DE-36BEF0156381> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff60ce0000 -     0x7fff60ce8ff3  com.apple.CorePhoneNumbers (1.0 - 1) <A5D41251-9F38-3AB9-9DE7-F77023FAAA44> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
    0x7fff60ce9000 -     0x7fff60d45fff  com.apple.CorePrediction (1.0 - 1) <A26425DF-E222-333B-8CAE-6141A58B172C> /System/Library/PrivateFrameworks/CorePrediction.framework/Versions/A/CorePrediction
    0x7fff60e73000 -     0x7fff60ea4ff3  com.apple.CoreServicesInternal (309.1 - 309.1) <4ECD14EA-A493-3B84-A32F-CF928474A405> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff6121e000 -     0x7fff612affff  com.apple.CoreSymbolication (9.3 - 64026.2) <A8D4315F-5DD5-3164-8672-ECDAF2766644> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff61332000 -     0x7fff61467fff  com.apple.coreui (2.1 - 494.1) <B2C515C3-FCE8-3B28-A225-05AD917F509B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff61468000 -     0x7fff61599fff  com.apple.CoreUtils (5.6 - 560.11) <1A02D6F0-8C65-3FAE-AD63-56477EDE4773> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff615ee000 -     0x7fff61652fff  com.apple.framework.CoreWiFi (13.0 - 1350.2) <50E8598A-0611-323D-B9A8-72A336424090> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff61653000 -     0x7fff61663ff7  com.apple.CrashReporterSupport (10.13 - 1) <A909F468-0648-3F51-A77E-3F9ADBC9A941> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff616e2000 -     0x7fff616f1ff7  com.apple.framework.DFRFoundation (1.0 - 191.7) <9BBCCA62-F7BA-3B44-B044-E7C12ACC49F2> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff616f4000 -     0x7fff616f8ffb  com.apple.DSExternalDisplay (3.1 - 380) <901B7F6D-376A-3848-99D0-170C4D00F776> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff61739000 -     0x7fff61779ffb  com.apple.datadetectors (5.0 - 376.1) <12BF834C-0B19-3719-BCC4-796568901107> /System/Library/PrivateFrameworks/DataDetectors.framework/Versions/A/DataDetectors
    0x7fff6177a000 -     0x7fff617f0fff  com.apple.datadetectorscore (7.0 - 590.3) <B4706195-CBE6-320D-A0E1-A9D4BDF52791> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff6183e000 -     0x7fff6187eff7  com.apple.DebugSymbols (181.0 - 181.0) <299A0238-ED78-3676-B131-274D972824AA> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff6187f000 -     0x7fff619aefff  com.apple.desktopservices (1.12.5 - 1.12.5) <7739C9A5-64D9-31A5-899B-5FFA242AD70D> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff61a21000 -     0x7fff61a22ff7  com.apple.diagnosticlogcollection (10.0 - 1000) <DA2427D1-82AA-3718-907F-05543665184B> /System/Library/PrivateFrameworks/DiagnosticLogCollection.framework/Versions/A/DiagnosticLogCollection
    0x7fff61c7c000 -     0x7fff61c80ff7  com.apple.DisplayServicesFW (3.1 - 380) <6F0B8AC6-7E62-3DFC-B373-BF04833724C0> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff62469000 -     0x7fff62481fff  com.apple.Engram (1.0 - 1) <47B568AF-DF75-3039-AD55-802A2C826D08> /System/Library/PrivateFrameworks/Engram.framework/Versions/A/Engram
    0x7fff627c3000 -     0x7fff62bf1fff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <B574FE33-4A41-3611-9738-388EBAF03E37> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff6484d000 -     0x7fff6484dfff  libmetal_timestamp.dylib (802.4.8) <B428D084-681A-3A20-837D-6BCB3B2AE2A3> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib
    0x7fff65eb9000 -     0x7fff65ebefff  com.apple.GPUWrangler (3.20.17 - 3.20.17) <33899AB1-65AF-3E28-85D1-E152D358952D> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff66272000 -     0x7fff66297ff3  com.apple.GenerationalStorage (2.0 - 285.3) <13B96400-FF70-376B-B20E-FB7D61064800> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff66c34000 -     0x7fff66c43fff  com.apple.GraphVisualizer (1.0 - 5) <B993B8A2-5700-3DFC-9EB7-4CCEE8F959F1> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff66cc6000 -     0x7fff66d3afff  com.apple.Heimdal (4.0 - 2.0) <BAE3D978-2285-35DF-907E-02BC37986D02> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff66d3b000 -     0x7fff66d69fff  com.apple.HelpData (2.3 - 167.2) <F391924B-1F5B-3FE5-9190-5EE9F40CA0D3> /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
    0x7fff66dd5000 -     0x7fff66eeaff3  com.apple.ids (10.0 - 1000) <2925D308-8A32-3500-8947-38F90A8D3B18> /System/Library/PrivateFrameworks/IDS.framework/Versions/A/IDS
    0x7fff66eeb000 -     0x7fff66fcbff7  com.apple.idsfoundation (10.0 - 1000) <2F45D69D-91E7-3759-AEE3-66E826E564C1> /System/Library/PrivateFrameworks/IDSFoundation.framework/Versions/A/IDSFoundation
    0x7fff6751d000 -     0x7fff67583ff3  com.apple.imfoundation (10.0 - 1000) <E91460AB-5A38-30FE-AE08-659BF0C31971> /System/Library/PrivateFrameworks/IMFoundation.framework/Versions/A/IMFoundation
    0x7fff6764d000 -     0x7fff67654ff7  com.apple.IOAccelerator (378.28 - 378.28) <BE5CBEAA-314E-348B-BE85-7E4B2E4C42FF> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff67658000 -     0x7fff6766ffff  com.apple.IOPresentment (1.0 - 35.1) <53B47F2A-9A9A-33F5-ADCB-FF766292B93A> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff67a3a000 -     0x7fff67a60ffb  com.apple.IconServices (97.6 - 97.6) <A56D826D-20D2-34BE-AACC-A80CFCB4E915> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff67b6d000 -     0x7fff67b70ff3  com.apple.InternationalSupport (1.0 - 1) <5AB382FD-BF81-36A1-9565-61F1FD398ECA> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
    0x7fff67bde000 -     0x7fff67beeffb  com.apple.IntlPreferences (2.0 - 227.5.2) <7FC3783F-C96A-3CD6-BBA8-2BC682BC7109> /System/Library/PrivateFrameworks/IntlPreferences.framework/Versions/A/IntlPreferences
    0x7fff67ce5000 -     0x7fff67cf8ff3  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <3A6D6354-9CD6-3EE5-B0AB-D25B02D4847D> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
    0x7fff67cf9000 -     0x7fff67deeff7  com.apple.LanguageModeling (1.0 - 159.5.3) <7F0AC200-E3DD-39FB-8A95-00DD70B66A9F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff67def000 -     0x7fff67e31fff  com.apple.Lexicon-framework (1.0 - 33.5) <DC94CF9E-1EB4-3C0E-B298-CA1190885276> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff67e35000 -     0x7fff67e3cff7  com.apple.LinguisticData (1.0 - 238.3) <49A54649-1021-3DBD-99B8-1B2EDFFA5378> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff67f7e000 -     0x7fff67f9bff7  com.apple.LookupFramework (1.2 - 239.1) <444F849B-FC06-35BD-8969-49032EFE8814> /System/Library/PrivateFrameworks/Lookup.framework/Versions/A/Lookup
    0x7fff6863c000 -     0x7fff6863ffff  com.apple.Mangrove (1.0 - 1) <27D6DF76-B5F8-3443-8826-D25B284331BF> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff686cb000 -     0x7fff686cdff7  com.apple.marco (10.0 - 1000) <F09F17FA-D420-3C24-8C47-8DC1637453BA> /System/Library/PrivateFrameworks/Marco.framework/Versions/A/Marco
    0x7fff68b4f000 -     0x7fff68bb8ff7  com.apple.gpusw.MetalTools (1.0 - 1) <B4217182-B2AA-3AA3-80E8-F4C80B71BDDC> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff68bc1000 -     0x7fff68bd8ff7  com.apple.MobileAssets (1.0 - 437.60.1) <5FFD8A8B-F33F-3FA9-8F50-31C24A67862C> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
    0x7fff68d48000 -     0x7fff68d61fff  com.apple.MobileKeyBag (2.0 - 1.0) <7D657BC6-B779-3E51-B50D-07C95791DD04> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fff68ded000 -     0x7fff68e17ffb  com.apple.MultitouchSupport.framework (1614.1 - 1614.1) <A0709B43-FA9E-3617-8E7A-D68CDFAB2167> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff6907e000 -     0x7fff69089fff  com.apple.NetAuth (6.2 - 6.2) <2CFA1228-61A1-3708-988D-30499A1D6A9F> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff69096000 -     0x7fff69182ff3  com.apple.Network (1.0 - 1) <216E7165-A2C5-3846-986E-8015ED9C5B8F> /System/Library/PrivateFrameworks/Network.framework/Versions/A/Network
    0x7fff6a922000 -     0x7fff6a932ffb  com.apple.PerformanceAnalysis (1.194 - 194) <8022ED1F-CE70-388E-B37B-6FB1E5F90CF2> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff6a9aa000 -     0x7fff6a9aaff7  com.apple.PhoneNumbers (1.0 - 1) <EB82645C-AF19-3751-8A53-F6148F77EC38> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
    0x7fff6c6f1000 -     0x7fff6c70ffff  com.apple.ProtocolBuffer (1 - 260) <40704740-4A53-3010-A49B-08D1D69D1D5E> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff6c87c000 -     0x7fff6c892ff7  com.apple.QuickLookThumbnailing (1.0 - 1) <8F0092E4-6494-349D-B4C9-494DF293D716> /System/Library/PrivateFrameworks/QuickLookThumbnailing.framework/Versions/A/QuickLookThumbnailing
    0x7fff6c8dd000 -     0x7fff6c8e9fff  com.apple.xpc.RemoteServiceDiscovery (1.0 - 1205.70.12) <2F346908-26B6-35D5-9F5F-5C5689054B5D> /System/Library/PrivateFrameworks/RemoteServiceDiscovery.framework/Versions/A/RemoteServiceDiscovery
    0x7fff6c8ea000 -     0x7fff6c90dffb  com.apple.RemoteViewServices (2.0 - 125) <592323D1-CB44-35F1-9921-4C2AB8D920A0> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff6c90e000 -     0x7fff6c923ff3  com.apple.xpc.RemoteXPC (1.0 - 1205.70.12) <731C1EAA-37D7-3C31-B9AA-75B8226104C8> /System/Library/PrivateFrameworks/RemoteXPC.framework/Versions/A/RemoteXPC
    0x7fff6e233000 -     0x7fff6e348ff7  com.apple.Sharing (1050.22.6 - 1050.22.6) <1D71D23A-2544-386E-834C-7245F2FF1569> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff6e349000 -     0x7fff6e368ff7  com.apple.shortcut (2.16 - 99) <201F92AE-F8E6-3A24-B9DE-26B88CD2EF18> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
    0x7fff6e373000 -     0x7fff6e374ff7  com.apple.performance.SignpostNotification (1.2.6 - 2.6) <8F04800F-3570-3392-A24D-B229FF03F7F9> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification
    0x7fff6f0d2000 -     0x7fff6f36efff  com.apple.SkyLight (1.600.0 - 312.103.11) <A4D01EC8-6CED-3AA3-98EA-CD89E2B6559B> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff6fb37000 -     0x7fff6fb44fff  com.apple.SpeechRecognitionCore (4.6.1 - 4.6.1) <87EE7AB5-6925-3D21-BE00-F155CB457699> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff6fff1000 -     0x7fff70018fff  com.apple.StreamingZip (1.0 - 1) <32F550C9-3DF8-3DF9-A1EC-699C3D32621B> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
    0x7fff706ea000 -     0x7fff70773fc7  com.apple.Symbolication (9.3 - 64033) <FAA17252-6378-34A4-BBBB-22DF54EC1626> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff70ce3000 -     0x7fff70cebff7  com.apple.TCC (1.0 - 1) <E1EB7272-FE6F-39AB-83CA-B2B5F2A88D9B> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff70ef8000 -     0x7fff70fb5ff7  com.apple.TextureIO (3.7 - 3.7) <F8BAC954-405D-3CC3-AB7B-048C866EF980> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff7100c000 -     0x7fff71027ffb  com.apple.ToneKit (1.0 - 1) <030D229F-084B-3852-9EF8-1A608A5C9B50> /System/Library/PrivateFrameworks/ToneKit.framework/Versions/A/ToneKit
    0x7fff71028000 -     0x7fff7104ffff  com.apple.ToneLibrary (1.0 - 1) <40669A87-2E48-3A42-8310-34046580C684> /System/Library/PrivateFrameworks/ToneLibrary.framework/Versions/A/ToneLibrary
    0x7fff71066000 -     0x7fff71216fff  com.apple.UIFoundation (1.0 - 547.9) <FD224A4A-D528-34DE-A956-51A04BD7F908> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff71eeb000 -     0x7fff71fbaff7  com.apple.ViewBridge (343.2 - 343.2) <5519FCED-1F88-3BE6-9BE1-69992086B01B> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fff72992000 -     0x7fff72994ffb  com.apple.loginsupport (1.0 - 1) <D1232C1B-80EA-3DF8-9466-013695D0846E> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff72995000 -     0x7fff729aafff  com.apple.login (3.0 - 3.0) <79189BF9-70D4-3839-9E2F-B3990B673A3E> /System/Library/PrivateFrameworks/login.framework/Versions/A/login
    0x7fff729d5000 -     0x7fff72a02fff  com.apple.contacts.vCard (1.0 - 2330.3) <02AB9DF0-0471-3FDA-8EC6-27C72E00DD75> /System/Library/PrivateFrameworks/vCard.framework/Versions/A/vCard
    0x7fff72afb000 -     0x7fff72b2eff7  libclosured.dylib (551.5) <112BC241-6626-3848-8DD8-B34B5B6F7ABC> /usr/lib/closure/libclosured.dylib
    0x7fff72be8000 -     0x7fff72c21ff7  libCRFSuite.dylib (41) <FE5EDB68-2593-3C2E-BBAF-1C52D206F296> /usr/lib/libCRFSuite.dylib
    0x7fff72c22000 -     0x7fff72c2dfff  libChineseTokenizer.dylib (28) <53633C9B-A3A8-36F7-A53C-432D802F4BB8> /usr/lib/libChineseTokenizer.dylib
    0x7fff72cbf000 -     0x7fff72cc0ff3  libDiagnosticMessagesClient.dylib (104) <9712E980-76EE-3A89-AEA6-DF4BAF5C0574> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff72cf7000 -     0x7fff72ec1ff3  libFosl_dynamic.dylib (17.8) <C58ED77A-4986-31C2-994C-34DDFB8106F0> /usr/lib/libFosl_dynamic.dylib
    0x7fff72ef9000 -     0x7fff72ef9fff  libOpenScriptingUtil.dylib (174) <610F0242-7CE5-3C86-951B-B646562694AF> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff73030000 -     0x7fff73034ffb  libScreenReader.dylib (562.18.5) <0FEFDAC8-0FDF-38A0-AB88-A84E0DBA058F> /usr/lib/libScreenReader.dylib
    0x7fff73035000 -     0x7fff73036ffb  libSystem.B.dylib (1252.50.4) <E54FDA93-C9AE-38F0-B6FC-D8BA96220485> /usr/lib/libSystem.B.dylib
    0x7fff730c9000 -     0x7fff730c9fff  libapple_crypto.dylib (109.50.15) <A8DEA8E9-5769-3C78-824D-969A98B94086> /usr/lib/libapple_crypto.dylib
    0x7fff730ca000 -     0x7fff730e0ff7  libapple_nghttp2.dylib (1.24) <01402BC4-4822-3676-9C80-50D83F816424> /usr/lib/libapple_nghttp2.dylib
    0x7fff730e1000 -     0x7fff7310bff3  libarchive.2.dylib (54) <8FC28DD8-E315-3C3E-95FE-D1D2CBE49888> /usr/lib/libarchive.2.dylib
    0x7fff7310c000 -     0x7fff7320ffe7  libate.dylib (1.13.1) <DABEA1B1-806C-34C9-8AFF-DEB6AB2829E3> /usr/lib/libate.dylib
    0x7fff73213000 -     0x7fff73213ff3  libauto.dylib (187) <A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib
    0x7fff73214000 -     0x7fff732cdffb  libboringssl.dylib (109.50.15) <373EECDD-D8EC-3081-B71D-705067DA9A0D> /usr/lib/libboringssl.dylib
    0x7fff732ce000 -     0x7fff732deff3  libbsm.0.dylib (39) <6BC96A72-AFBE-34FD-91B1-748A530D8AE6> /usr/lib/libbsm.0.dylib
    0x7fff732df000 -     0x7fff732ecffb  libbz2.1.0.dylib (38) <0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib
    0x7fff732ed000 -     0x7fff73343fff  libc++.1.dylib (400.9) <7D3DACCC-3804-393C-ABC1-1A580FD00CB6> /usr/lib/libc++.1.dylib
    0x7fff73344000 -     0x7fff73368ff7  libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
    0x7fff7336a000 -     0x7fff7337afff  libcmph.dylib (6) <890DEC4C-4334-393C-8B56-7C8560BBED9D> /usr/lib/libcmph.dylib
    0x7fff7337b000 -     0x7fff73392fd3  libcompression.dylib (47.60.2) <CC7ACB0A-49CD-3564-978F-49F843186F27> /usr/lib/libcompression.dylib
    0x7fff7363d000 -     0x7fff73655ff7  libcoretls.dylib (155.50.1) <D350052E-DC4D-3185-ADBA-BA48EDCEE955> /usr/lib/libcoretls.dylib
    0x7fff73656000 -     0x7fff73657ff3  libcoretls_cfhelpers.dylib (155.50.1) <B297F5D8-F2FE-3566-A752-E9D998B9C039> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff73b28000 -     0x7fff73b7dff3  libcups.2.dylib (462.2.9) <A105EE33-6A7E-392C-8B52-B0F1ABD5CAB0> /usr/lib/libcups.2.dylib
    0x7fff73cbd000 -     0x7fff73cbdfff  libenergytrace.dylib (16) <A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib
    0x7fff73cf4000 -     0x7fff73cf9ff3  libheimdal-asn1.dylib (520.50.9) <EF65C17E-31CD-31DC-876C-BF3EF393099C> /usr/lib/libheimdal-asn1.dylib
    0x7fff73d25000 -     0x7fff73e16ff7  libiconv.2.dylib (51.50.1) <2FEC9707-3FAF-3828-A50D-8605086D060F> /usr/lib/libiconv.2.dylib
    0x7fff73e17000 -     0x7fff7403effb  libicucore.A.dylib (59181.0.1) <2CE6205F-D375-3BF5-AA0A-3254BC4773D0> /usr/lib/libicucore.A.dylib
    0x7fff7408b000 -     0x7fff7408cfff  liblangid.dylib (128) <39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib
    0x7fff7408d000 -     0x7fff740a6ffb  liblzma.5.dylib (10) <3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib
    0x7fff740a7000 -     0x7fff740bdff7  libmarisa.dylib (9) <D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib
    0x7fff7416e000 -     0x7fff74396ff7  libmecabra.dylib (779.7.6) <F462F170-E872-3D09-B219-973D5E99C09F> /usr/lib/libmecabra.dylib
    0x7fff7456e000 -     0x7fff746e9fff  libnetwork.dylib (1229.70.2) <E185D902-AC7F-3044-87C0-AE2887C59CE7> /usr/lib/libnetwork.dylib
    0x7fff74770000 -     0x7fff74b613b7  libobjc.A.dylib (723) <BEEA51E2-1C4D-3672-87F6-F267B4AC6221> /usr/lib/libobjc.A.dylib
    0x7fff74b74000 -     0x7fff74b78fff  libpam.2.dylib (22) <7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib
    0x7fff74b7b000 -     0x7fff74bb3ff7  libpcap.A.dylib (79.20.3) <6A9D27FA-2780-3E96-8B2E-645638AC13AC> /usr/lib/libpcap.A.dylib
    0x7fff74c32000 -     0x7fff74c4effb  libresolv.9.dylib (65.1) <D9BB6307-71E4-3A94-A745-1FCA114C6894> /usr/lib/libresolv.9.dylib
    0x7fff74c8a000 -     0x7fff74c9cfff  libsasl2.2.dylib (211) <04EF3F61-12EC-3319-A649-851999F4C7A4> /usr/lib/libsasl2.2.dylib
    0x7fff74c9d000 -     0x7fff74c9eff3  libspindump.dylib (252) <D8E27057-E3CC-3D7F-A010-4A87830F6A83> /usr/lib/libspindump.dylib
    0x7fff74c9f000 -     0x7fff74e2cff7  libsqlite3.dylib (274.8.1) <B70A2908-E0F7-364E-952A-1D2D19787B89> /usr/lib/libsqlite3.dylib
    0x7fff74fb3000 -     0x7fff74fe8fff  libtidy.A.dylib (15.18.3) <5CB99602-56F6-310B-85E2-4E55BEE0B26B> /usr/lib/libtidy.A.dylib
    0x7fff75000000 -     0x7fff75060ff3  libusrtcp.dylib (1229.70.2) <1E065228-D0E3-3808-9405-894056C6BEC0> /usr/lib/libusrtcp.dylib
    0x7fff75061000 -     0x7fff75064ffb  libutil.dylib (51.20.1) <216D18E5-0BAF-3EAF-A38E-F6AC37CBABD9> /usr/lib/libutil.dylib
    0x7fff75065000 -     0x7fff75072ff3  libxar.1.dylib (417.1) <351781D5-3CCF-320F-BB5A-4DFCC1CCD31D> /usr/lib/libxar.1.dylib
    0x7fff75076000 -     0x7fff7515dff7  libxml2.2.dylib (31.16) <CCDF1705-05BF-3F24-B242-1488455CE531> /usr/lib/libxml2.2.dylib
    0x7fff7515e000 -     0x7fff75186fff  libxslt.1.dylib (15.16) <57D56366-1E7B-356C-B2B8-F4688FF666E6> /usr/lib/libxslt.1.dylib
    0x7fff75187000 -     0x7fff75199ffb  libz.1.dylib (70) <48C67CFC-940D-3857-8DAD-857774605352> /usr/lib/libz.1.dylib
    0x7fff75235000 -     0x7fff75239ff7  libcache.dylib (80) <092479CB-1008-3A83-BECF-E115F24D13C1> /usr/lib/system/libcache.dylib
    0x7fff7523a000 -     0x7fff75244ff3  libcommonCrypto.dylib (60118.50.1) <029F5985-9B6E-3DCB-9B96-FD007678C6A7> /usr/lib/system/libcommonCrypto.dylib
    0x7fff75245000 -     0x7fff7524cfff  libcompiler_rt.dylib (62) <968B8E3F-3681-3230-9D78-BB8732024F6E> /usr/lib/system/libcompiler_rt.dylib
    0x7fff7524d000 -     0x7fff75256ffb  libcopyfile.dylib (146.50.5) <3885083D-50D8-3EEC-B481-B2E605180D7F> /usr/lib/system/libcopyfile.dylib
    0x7fff75257000 -     0x7fff752dcffb  libcorecrypto.dylib (562.70.3) <37AF8EC6-BF34-3D15-BC3A-A9B98F2427D4> /usr/lib/system/libcorecrypto.dylib
    0x7fff75364000 -     0x7fff7539dff7  libdispatch.dylib (913.60.3) <BF368549-2DFB-3530-B4CB-31D5EDAC4F2F> /usr/lib/system/libdispatch.dylib
    0x7fff7539e000 -     0x7fff753bbff7  libdyld.dylib (551.5) <49BF9E96-8297-30CF-8AA6-128CC14054B2> /usr/lib/system/libdyld.dylib
    0x7fff753bc000 -     0x7fff753bcffb  libkeymgr.dylib (28) <E34E283E-90FA-3C59-B48E-1277CDB9CDCE> /usr/lib/system/libkeymgr.dylib
    0x7fff753bd000 -     0x7fff753c9ff3  libkxld.dylib (4570.71.63) <FA731E5F-625D-30E2-A970-8FA415906FA8> /usr/lib/system/libkxld.dylib
    0x7fff753ca000 -     0x7fff753caff7  liblaunch.dylib (1205.70.12) <4950A0B3-5EE1-3F9A-8B1A-94FB85FCCA2C> /usr/lib/system/liblaunch.dylib
    0x7fff753cb000 -     0x7fff753cfffb  libmacho.dylib (906) <1902A611-081A-3452-B11E-EBD1B166E831> /usr/lib/system/libmacho.dylib
    0x7fff753d0000 -     0x7fff753d2fff  libquarantine.dylib (86.70.1) <94427FF6-D161-393E-8587-3E30C48E69B1> /usr/lib/system/libquarantine.dylib
    0x7fff753d3000 -     0x7fff753d4ff3  libremovefile.dylib (45) <711E18B2-5BBE-3211-A916-56740C27D17A> /usr/lib/system/libremovefile.dylib
    0x7fff753d5000 -     0x7fff753ecfff  libsystem_asl.dylib (356.70.1) <39E46A6F-B228-3E78-B83E-1779F9707A39> /usr/lib/system/libsystem_asl.dylib
    0x7fff753ed000 -     0x7fff753edfff  libsystem_blocks.dylib (67) <17303FDF-0D2D-3963-B05E-B4DF63052D47> /usr/lib/system/libsystem_blocks.dylib
    0x7fff753ee000 -     0x7fff75477ff7  libsystem_c.dylib (1244.50.9) <1187BFE8-4576-3247-8177-481554E1F9E7> /usr/lib/system/libsystem_c.dylib
    0x7fff75478000 -     0x7fff7547bffb  libsystem_configuration.dylib (963.50.9) <A5DC1AFC-2C3E-3113-BE20-48F96064DB0F> /usr/lib/system/libsystem_configuration.dylib
    0x7fff7547c000 -     0x7fff7547fffb  libsystem_coreservices.dylib (51) <486000D3-D8CB-3BE7-8EE5-8BF380DE6DF7> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff75480000 -     0x7fff75481fff  libsystem_darwin.dylib (1244.50.9) <09C21A4A-9EE0-388B-A9D9-DFF8F6758791> /usr/lib/system/libsystem_darwin.dylib
    0x7fff75482000 -     0x7fff75488ffb  libsystem_dnssd.dylib (878.70.4) <384F7843-0AE8-3D10-8F8D-37FCB912F875> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff75489000 -     0x7fff754d2ff7  libsystem_info.dylib (517.30.1) <AB634A98-B8AA-3804-8436-38261FC8EC4D> /usr/lib/system/libsystem_info.dylib
    0x7fff754d3000 -     0x7fff754f9ff7  libsystem_kernel.dylib (4570.71.63) <FE6431AB-0D4A-3FDC-BB0C-27BDC34D9A70> /usr/lib/system/libsystem_kernel.dylib
    0x7fff754fa000 -     0x7fff75545fcb  libsystem_m.dylib (3147.50.1) <17570F46-566C-39FC-BEF6-635A355DD549> /usr/lib/system/libsystem_m.dylib
    0x7fff75546000 -     0x7fff75565ff7  libsystem_malloc.dylib (140.50.7) <A45A484C-3BDE-3BC4-A219-726E3CB332D9> /usr/lib/system/libsystem_malloc.dylib
    0x7fff75566000 -     0x7fff75696ff7  libsystem_network.dylib (1229.70.2) <5E86B2DE-9E15-3354-8714-4094ED5F698D> /usr/lib/system/libsystem_network.dylib
    0x7fff75697000 -     0x7fff756a1ffb  libsystem_networkextension.dylib (767.70.2) <9DC03712-552D-3AEE-9519-B5ED70980B70> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff756a2000 -     0x7fff756abff3  libsystem_notify.dylib (172) <08012EC0-2CD2-34BE-BF93-E7F56491299A> /usr/lib/system/libsystem_notify.dylib
    0x7fff756ac000 -     0x7fff756b3ff7  libsystem_platform.dylib (161.50.1) <6355EE2D-5456-3CA8-A227-B96E8F1E2AF8> /usr/lib/system/libsystem_platform.dylib
    0x7fff756b4000 -     0x7fff756bffff  libsystem_pthread.dylib (301.50.1) <0E51CCBA-91F2-34E1-BF2A-FEEFD3D321E4> /usr/lib/system/libsystem_pthread.dylib
    0x7fff756c0000 -     0x7fff756c3fff  libsystem_sandbox.dylib (765.70.1) <553DFCC6-9D31-3B9C-AB7C-30F6F265786D> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff756c4000 -     0x7fff756c5ff3  libsystem_secinit.dylib (30) <DE8D14E8-A276-3FF8-AE13-77F7040F33C1> /usr/lib/system/libsystem_secinit.dylib
    0x7fff756c6000 -     0x7fff756cdff7  libsystem_symptoms.dylib (820.60.3) <441C6CA0-5711-3BB1-8420-DDAC3D5272E1> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff756ce000 -     0x7fff756e2ff7  libsystem_trace.dylib (829.70.2) <B7172373-7BBB-3D01-9BF5-77E7C8FB37C4> /usr/lib/system/libsystem_trace.dylib
    0x7fff756e4000 -     0x7fff756e9ff7  libunwind.dylib (35.3) <BEF3FB49-5604-3B5F-82B5-332B80023AC3> /usr/lib/system/libunwind.dylib
    0x7fff756ea000 -     0x7fff75717ff7  libxpc.dylib (1205.70.12) <7B82608D-ED82-35C1-B13F-99855E25D6DC> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 3292
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 5230128
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=470.8M resident=0K(0%) swapped_out_or_unallocated=470.8M(100%)
Writable regions: Total=731.6M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=731.6M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               384K        4 
Activity Tracing                   256K        2 
CG backing stores                 15.5M       10 
CG image                           192K       23 
CoreAnimation                      188K       27 
CoreGraphics                         8K        2 
CoreImage                           40K       11 
CoreUI image data                 1080K       13 
CoreUI image file                  180K        3 
Foundation                          60K        3 
Image IO                           116K        7 
Kernel Alloc Once                    8K        2 
MALLOC                           701.9M      123 
MALLOC guard page                   48K       12 
Memory Tag 242                      12K        2 
STACK GUARD                         20K        6 
Stack                             10.5M        7 
Stack (reserved)                  1596K        2         reserved VM address space (unallocated)
Stack Guard                       54.4M        2 
VM_ALLOCATE                        148K       28 
__DATA                            38.7M      329 
__FONT_DATA                          4K        2 
__LINKEDIT                       196.6M       24 
__TEXT                           274.1M      328 
__UNICODE                          560K        2 
mapped file                        1.2G     1164 
shared memory                      636K       14 
===========                     =======  ======= 
TOTAL                              2.5G     2125 
TOTAL, minus reserved VM space     2.4G     2125 


--=-=-=
Content-Type: text/plain


-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 2 Jan 2020 14:06:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 02 09:06:32 2020
Received: from localhost ([127.0.0.1]:38386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1in17Q-0005hO-Gs
	for submit <at> debbugs.gnu.org; Thu, 02 Jan 2020 09:06:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1in17O-0005h6-Io
 for 38748 <at> debbugs.gnu.org; Thu, 02 Jan 2020 09:06:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55832)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1in17J-0004hr-4J; Thu, 02 Jan 2020 09:06:25 -0500
Received: from [176.228.60.248] (port=4122 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1in17B-0000Pp-BV; Thu, 02 Jan 2020 09:06:23 -0500
Date: Thu, 02 Jan 2020 16:06:23 +0200
Message-Id: <834kxej6lc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-reply-to: <m25zhuyklw.fsf@HIDDEN> (message from Andrii Kolomoiets on
 Wed, 01 Jan 2020 22:42:19 +0200)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN> <m25zhuyklw.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> Cc: alan@HIDDEN,  38748 <at> debbugs.gnu.org,  jguenther@HIDDEN
> Date: Wed, 01 Jan 2020 22:42:19 +0200
> 
> >   (gdb) p last_marked_index
> >   $2 = 1
> >   (gdb) p last_marked[0]
> >   $3 = XIL(0x8000000006287630)
> >   (gdb) xtype
> >   Lisp_String
> >   (gdb) xstring
> >   $4 = (struct Lisp_String *) 0x6287630
> >   " *buffer-defaults*"
> 
> I'm still have no luck to print last_marked item:
> 
> (gdb) p last_marked_index
> $1 = 278
> (gdb) p last_marked[277]
> 'last_marked' has unknown type; cast it to its declared type

This looks like some compiler bug, or maybe bug in GDB on your
platform?  Because the source clearly says

   Lisp_Object last_marked[LAST_MARKED_SIZE] EXTERNALLY_VISIBLE;

so the type should be known to GDB.  But this is just an aside.

> But I found the commit after which error is occurs:
> b2949d39261e82c33572ba8a250298ef0b165b95
> 
> Commenting out that 'ok = false;' line make Emacs works without errors.

I cannot explain how that change could cause any harm.  Here's the
relevant code fragment:

      if (CONSP (parent_face))
	{
	  Lisp_Object tail;
	  ok = false;
	  for (tail = parent_face; !NILP (tail); tail = XCDR (tail))
	    {
	      ok = get_lface_attributes (w, f, XCAR (tail), inherited_attrs,
					 false, named_merge_points);
	      if (!ok)
		break;
	      attr_val = face_inherited_attr (w, f, inherited_attrs, attr_idx,
					      named_merge_points);
	      if (!UNSPECIFIEDP (attr_val))
		break;
	    }
	  if (!ok)	/* bad face? */
	    break;  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	}
      else
	{
	  ok = get_lface_attributes (w, f, parent_face, inherited_attrs,
				     false, named_merge_points);
	  if (!ok)
	    break;
	  attr_val = inherited_attrs[attr_idx];
	}

Since parent_face is a cons cell, then we enter the for-loop (since a
cons cell cannot be nil), and then we immediately call
get_lface_attributes whose return value overwrites the initial value
of 'ok'.

So how could the initial value of 'ok' matter here?  What am I
missing?

Can you run the unmodified code with a breakpoint on the line
indicated by "<<<<<" above, and see if the breakpoint ever breaks?  If
it does break, can you show the face being merged in this case?

Also, if you build Emacs with exactly the same configure options, but
without optimizations, does the problem persist?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 1 Jan 2020 20:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 15:42:29 2020
Received: from localhost ([127.0.0.1]:37638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imkp2-0000IR-Oy
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 15:42:29 -0500
Received: from mail-lf1-f47.google.com ([209.85.167.47]:41917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1imkp1-0000IF-F7
 for 38748 <at> debbugs.gnu.org; Wed, 01 Jan 2020 15:42:27 -0500
Received: by mail-lf1-f47.google.com with SMTP id m30so28739867lfp.8
 for <38748 <at> debbugs.gnu.org>; Wed, 01 Jan 2020 12:42:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=yaEDnTf9W7HwfkEEENO2jhwjtyjdnjhqOd521iqWtSU=;
 b=Dg/Y6uCdXP+Q7mwhjpbjIZ7JrPrM9W2ZgOQBWFBO9mCynGdeYrrdyXPOyVHVwJevT8
 n1RaRzxTe5JJ4jQJDU7e2TOld9S9TY8Kws+cSe0T7zE8fKDhrDCpX0yh5It43Nag7ROY
 QZngpuEhClXtzcDpd/zivVLPN6NuFzqaTma/F/o5dsco3zjqsRg4cdmYMfIfvsexrnSh
 OAFdQfhgSdjFmTowLivCIXO26mrdru3eDAYZ2YHvGxZpVOV2lL6jyk5ZToSLXjJQU2xv
 0AldTnVyRFko4b7oYkDtxp50L+3hsqoG5Uh4cUaS65dGJ6Hwx0DZc0ha1gHhPzklMeiI
 NG9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=yaEDnTf9W7HwfkEEENO2jhwjtyjdnjhqOd521iqWtSU=;
 b=Qri+1m4QG3SVWatEbZyJBHGA1KClih5LETgfMxHbXMt+dk56uQhw1WYdZFUVFh27zF
 N9JEt0X1EMmK2mDFXZvdpaYY80v2uHbRWmHr8VHL9Oxfr1CN+juhRwvlnEQViTjS+pdH
 wx75lZ50xrZwgpGQjGZ5jv1ozfJBXVr0xZEXA26DckSD9mBeGYZRuSbmqXdp/hlMLYu6
 P+KKR64Z2bvlognI8ORomVb4o5O6XXva7T9tAcam3JTfuGa2wdL8FzzrHh3PmsJJJVnq
 mwYHHU0aGqm/CZdtrkRZP1WkyWLNfRVxOHwiklNlaCJg5M7S4jcZDVtgAagCHwKcRC0X
 AE9g==
X-Gm-Message-State: APjAAAVKSGGb3RNpMYJZJMk6CK3xpEmZQBV3MeTPgFR1Pl3Pv0EDro1k
 Xpvz0tJi+LhJXeYByDERI4k=
X-Google-Smtp-Source: APXvYqzyQaZbAL3k+zDMuE4NEtjsmtWnQrnn2hJAv4B9CZyrRJhKsnTUC/U3PzQUhVIB5mUR0YKaAg==
X-Received: by 2002:ac2:55a8:: with SMTP id y8mr44462239lfg.117.1577911341451; 
 Wed, 01 Jan 2020 12:42:21 -0800 (PST)
Received: from muffinmac.local ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id z5sm18368632lji.40.2020.01.01.12.42.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 01 Jan 2020 12:42:20 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
 <m2lfqv7y7d.fsf@HIDDEN> <83sgl3lyii.fsf@HIDDEN>
Date: Wed, 01 Jan 2020 22:42:19 +0200
In-Reply-To: <83sgl3lyii.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 29 Dec
 2019 21:31:17 +0200")
Message-ID: <m25zhuyklw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, jguenther@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
>> Cc: alan@HIDDEN,  38748 <at> debbugs.gnu.org
>> Date: Sun, 29 Dec 2019 21:01:42 +0200
>> 
>> I can print the 'last_marked_index':
>> 
>> (gdb) p last_marked_index
>> $2 = 41
>> 
>> But what can I do with 'last_marked'?
>> 
>> (gdb) p last_marked[40]
>> 'last_marked' has unknown type; cast it to its declared type
>
> last_marked is an array of Lisp objects, arranged in circular order,
> i.e. when the index reaches the last element, it is reset back to
> zero.
>
> To print the object at last_marked[i], for some i, you do
>
>   (gdb) p last_marked[i]
>   (gdb) xtype
>
> The xtype command will tell you the type of the Lisp object.  You then
> display it with the corresponding xTYPE command: xint for an integer,
> xcons for a cons cell, xstring for a string, xvector for a vector,
> xbuffer for a buffer, etc.  Here's a short example:
>
>   (gdb) p last_marked_index
>   $2 = 1
>   (gdb) p last_marked[0]
>   $3 = XIL(0x8000000006287630)
>   (gdb) xtype
>   Lisp_String
>   (gdb) xstring
>   $4 = (struct Lisp_String *) 0x6287630
>   " *buffer-defaults*"

I'm still have no luck to print last_marked item:

(gdb) p last_marked_index
$1 = 278
(gdb) p last_marked[277]
'last_marked' has unknown type; cast it to its declared type

IDK if it make sense, casting last_modified to Lisp_Object gives me
this:

(gdb) p (Lisp_Object)last_marked
$6 = XIL(0x102dc4203)
(gdb) xtype
Lisp_Cons
(gdb) xcons
$7 = (struct Lisp_Cons *) 0x102dc4200
{
  u = {
    s = {
      car = XIL(0x102a3aa15), 
      u = {
        cdr = XIL(0x102dc4213), 
        chain = 0x102dc4213
      }
    }, 
    gcaligned = 0x15
  }
}

But I found the commit after which error is occurs:
b2949d39261e82c33572ba8a250298ef0b165b95

Commenting out that 'ok = false;' line make Emacs works without errors.

Justin, can you please check if Emacs prior to that commit is works fine
for you?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 29 Dec 2019 19:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 14:31:23 2019
Received: from localhost ([127.0.0.1]:60254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ileHa-0008Ou-UG
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 14:31:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ileHX-0008Oc-Et
 for 38748 <at> debbugs.gnu.org; Sun, 29 Dec 2019 14:31:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52335)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ileHS-0002MN-0U; Sun, 29 Dec 2019 14:31:14 -0500
Received: from [176.228.60.248] (port=3291 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ileHQ-0003ZE-Tl; Sun, 29 Dec 2019 14:31:13 -0500
Date: Sun, 29 Dec 2019 21:31:17 +0200
Message-Id: <83sgl3lyii.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-reply-to: <m2lfqv7y7d.fsf@HIDDEN> (message from Andrii Kolomoiets on
 Sun, 29 Dec 2019 21:01:42 +0200)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN> <m2lfqv7y7d.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> Cc: alan@HIDDEN,  38748 <at> debbugs.gnu.org
> Date: Sun, 29 Dec 2019 21:01:42 +0200
> 
> I can print the 'last_marked_index':
> 
> (gdb) p last_marked_index
> $2 = 41
> 
> But what can I do with 'last_marked'?
> 
> (gdb) p last_marked[40]
> 'last_marked' has unknown type; cast it to its declared type

last_marked is an array of Lisp objects, arranged in circular order,
i.e. when the index reaches the last element, it is reset back to
zero.

To print the object at last_marked[i], for some i, you do

  (gdb) p last_marked[i]
  (gdb) xtype

The xtype command will tell you the type of the Lisp object.  You then
display it with the corresponding xTYPE command: xint for an integer,
xcons for a cons cell, xstring for a string, xvector for a vector,
xbuffer for a buffer, etc.  Here's a short example:

  (gdb) p last_marked_index
  $2 = 1
  (gdb) p last_marked[0]
  $3 = XIL(0x8000000006287630)
  (gdb) xtype
  Lisp_String
  (gdb) xstring
  $4 = (struct Lisp_String *) 0x6287630
  " *buffer-defaults*"

So in this example, the last marked object was a Lisp string whose
contents is " *buffer-defaults*".  GDB stores its C definition in
history slot $4, so we can look at its details:

  (gdb) p *$4
  $5 = {
    u = {
      s = {
	size = 18,
	size_byte = -2,
	intervals = 0x0,
	data = 0x19a1dea <DEFAULT_REHASH_SIZE+14054> " *buffer-defaults*"
      },
      next = 0x12,
      gcaligned = 18 '\022'
    }
  }

All of those commands are in src/.gdbinit; if GDB says it doesn't know
these commands, tell it to read that file:

  (gdb) source /path/to/emacs/src/.gdbinit

If last_marked_index is 41, you should print the objects starting from
last_marked[40], going back (39, 38, 37, etc.), trying to find the
object that is corrupted (e.g., the corresponding xTYPE command will
error out trying to display it).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 29 Dec 2019 19:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 14:01:53 2019
Received: from localhost ([127.0.0.1]:60240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ildp3-0007iD-2k
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 14:01:53 -0500
Received: from mail-lf1-f53.google.com ([209.85.167.53]:40342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ildp1-0007hz-9G
 for 38748 <at> debbugs.gnu.org; Sun, 29 Dec 2019 14:01:51 -0500
Received: by mail-lf1-f53.google.com with SMTP id i23so23950067lfo.7
 for <38748 <at> debbugs.gnu.org>; Sun, 29 Dec 2019 11:01:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=6QnAGveK///sXNJe+YtOS+LdyMFseXZUT3fIhExRCx0=;
 b=XZuXSbEOh5LTejMk5Z9/2Zcf8Gk7BCkc9N1BrXc4FKliN6Db1nyOKFi1Xp3F4kolh9
 ktiMis70szJ2Ucq9H5iTAKDZ1I/FQIaMGC1v/nTKO1NiZmq8ikltuHhYwKecjGXk5koI
 k+2ZnLczRiqEj6uyzGN2y6F8P6CaSlZR/61b2bX4WOF04zb7HEMjdjSOn9I6mV5tAZdw
 B7JsPeSsaHDHHHc1fGkHeuj7t0YuysBlU7yRBeLsU84JWZrv7OPzC8zNxWUlCHRt0e6E
 7FtVXITmSW/Q9pCxzWk32WbAK3Y8SFjmcJ3XSrxMjxKSwVrIwzHRl5OxkHwY/3AnmO90
 NWRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=6QnAGveK///sXNJe+YtOS+LdyMFseXZUT3fIhExRCx0=;
 b=DrEX7+g11UrmzpeIRVeiNOIQZbA/He0WBRn4s9w0ED99kpLdFRusX1IttDH79SJx39
 /wvy1V8MWnEpjq4ZlYmISPvmZrfC2ioUONOJ4Ch8RMdgrjYykQ7B6KRT13Vb9rHLCngP
 B4sL0F5/zzdMhfaQTbV9oCeGf0QD4zx8peYSMwdVQQETJ290EtUkD/pCQz0p6eeZGi7G
 pcsY0ZSOdny7NDsDGKLb35XNe0G/VWVQap4L60LKfbKlPDeqf/GeA/vEQJvIEBMgZ3LZ
 mVCSs7SPBqwDs1y4094ZECA0J/y4UbG1WAdX734OIqDRaHymMld4OpZeGxkFpXfAujzW
 APOw==
X-Gm-Message-State: APjAAAUa6K5GWDrYlsMqcbJ60bvp4p7SdmjOUxqYLVAuQgeyNV07O/h0
 EGIz4nhyk7Uw+0rI10oGqNSv7gFG
X-Google-Smtp-Source: APXvYqzKU65ja3HGeHlgV0fGv1dtVO1d1AdtBwDUz22rnM7L5q9+sebwktFkW/1tWlsW2Nyd5+HwdA==
X-Received: by 2002:ac2:489b:: with SMTP id x27mr36194803lfc.130.1577646104897; 
 Sun, 29 Dec 2019 11:01:44 -0800 (PST)
Received: from muffinmac.local ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id v5sm16409638ljk.67.2019.12.29.11.01.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 Dec 2019 11:01:44 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN> <83blrtq2j0.fsf@HIDDEN>
Date: Sun, 29 Dec 2019 21:01:42 +0200
In-Reply-To: <83blrtq2j0.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Dec
 2019 16:14:11 +0200")
Message-ID: <m2lfqv7y7d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
>> Cc: Alan Third <alan@HIDDEN>,  38748 <at> debbugs.gnu.org
>> Date: Fri, 27 Dec 2019 13:28:11 +0200
>> 
>> > One possibility is stack overflow.  If that's not the reason, then one
>> > needs to employ the technique described in etc/DEBUG to find out which
>> > object got corrupted and why.
>> 
>> I followed the steps described in etc/DEBUG.
>> 
>> See gdb session output attached.
>
> The attachment just shows the output of "bt full", I see nothing there
> that should have been produced by following the etc/DEBUG instructions
> under "Debugging problems which happen in GC".
>
> Are you sure you posted the file you intended to?

My bad, didn't read that section at all.  I read only "Configuring Emacs
for debugging" section because of this text in `report-emacs-bug'
letter: "If Emacs crashed, include the output from 'bt full' and 'xbacktrace'".

Now Emacs is built with -O0 and I need some help, please.

(gdb) bt full
#0  terminate_due_to_signal (sig=607650026, backtrace_limit=1116) at ../../emacs/src/emacs.c:370
No locals.
#1  0x0000000100a28660 in ?? ()
No symbol table info available.
#2  0x0000000000000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
Cannot access memory at address 0xadf0

I can print the 'last_marked_index':

(gdb) p last_marked_index
$2 = 41

But what can I do with 'last_marked'?

(gdb) p last_marked[40]
'last_marked' has unknown type; cast it to its declared type

Give me some tips, please. TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 27 Dec 2019 14:14:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 27 09:14:21 2019
Received: from localhost ([127.0.0.1]:56649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikqNg-0002Q0-Uk
	for submit <at> debbugs.gnu.org; Fri, 27 Dec 2019 09:14:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ikqNf-0002Pn-Tx
 for 38748 <at> debbugs.gnu.org; Fri, 27 Dec 2019 09:14:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45051)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ikqNa-0001mh-OB; Fri, 27 Dec 2019 09:14:14 -0500
Received: from [176.228.60.248] (port=2983 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ikqNZ-0006Sy-6T; Fri, 27 Dec 2019 09:14:13 -0500
Date: Fri, 27 Dec 2019 16:14:11 +0200
Message-Id: <83blrtq2j0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
In-reply-to: <m28smyypmc.fsf@HIDDEN> (message from Andrii Kolomoiets on
 Fri, 27 Dec 2019 13:28:11 +0200)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
 <m28smyypmc.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: alan@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
> Cc: Alan Third <alan@HIDDEN>,  38748 <at> debbugs.gnu.org
> Date: Fri, 27 Dec 2019 13:28:11 +0200
> 
> > One possibility is stack overflow.  If that's not the reason, then one
> > needs to employ the technique described in etc/DEBUG to find out which
> > object got corrupted and why.
> 
> I followed the steps described in etc/DEBUG.
> 
> See gdb session output attached.

The attachment just shows the output of "bt full", I see nothing there
that should have been produced by following the etc/DEBUG instructions
under "Debugging problems which happen in GC".

Are you sure you posted the file you intended to?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 27 Dec 2019 11:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 27 06:28:22 2019
Received: from localhost ([127.0.0.1]:56586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iknn3-00031P-OE
	for submit <at> debbugs.gnu.org; Fri, 27 Dec 2019 06:28:22 -0500
Received: from mail-lj1-f175.google.com ([209.85.208.175]:44374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1iknn1-00031B-Dz
 for 38748 <at> debbugs.gnu.org; Fri, 27 Dec 2019 06:28:20 -0500
Received: by mail-lj1-f175.google.com with SMTP id u71so26867047lje.11
 for <38748 <at> debbugs.gnu.org>; Fri, 27 Dec 2019 03:28:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=L4ed1/onL71b41xJXTxFv42WMJQOqnhImoZ5oAmcrQs=;
 b=hQtiSTS6KS5ka6f7AbLJHXN6VNhexMAQKwemYutZlHNan2J6eFuEdnlf/0Tx9HF7GR
 kcL1ZmmXmFKOd13oj8TF2tBFW4dKAOYNoC8DgQG61xk1wQ1zPe1OLBevKGb8dPBDeWpe
 RkuytUUv51JGFZdXFzR7gI+fGRzUUsyXsbuPI4aOwX2fbzi5yEORAJipk2ovZcQBpD3S
 6XJXgvYXYWdoirgCKVVr+h3RezkLesjINueZQqCCSHQDyB4ftxE7AH2h7n7Lm36ZlXpB
 TthBxNmwVGngb1G8a9Cj/ExU/5FZQnkkSGZh5GhV9IrxYqriGwi1pIByGtj0+CYJ3Tys
 6Trg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=L4ed1/onL71b41xJXTxFv42WMJQOqnhImoZ5oAmcrQs=;
 b=Cg2ifWbjtsNmT3/KD0v7OiUFDoa4j8XwfPIBtNfx5o5wlhFJbq67K/l3lCjZFbSNWC
 IIDNnwlVkHFTFVxvC5GTHKu8lI20CpLWPmgCN/1bkbHLP2x1O2Kt8yHU1uD6dwWpB7a/
 7cuHtfg5987xENaBAPU8fbC4q5Yoc4M9Dq2yK7lyBFRyGxSBm60Lqpl+km1OP1Y05Vg2
 dzQP6STOK+ugXMK36YaKHh9zk4+96tQQzx9j0fPFVg2Rn/TpXbOM3nXZs/H7RnMRb/Gm
 jQ1RTXWAmmmpB+Bz4/v9QCBWQGhtjVaJvwTCK38b8QFPsavjlUKoyROkIf5yqu+jUIqQ
 ldTg==
X-Gm-Message-State: APjAAAW/pXyvKzz1gQzgr7r0S0YLvnuyqQW2Dzo9HkWLUmrGNq5VWBWG
 Z+GI4nDk84ttUkhOcZjtht2f67wN
X-Google-Smtp-Source: APXvYqzIlD/ZYsXP31OyAGQS8slowiTxPwZW8hLuKrqysxDKMIsD0EwAaEBLm2L2FPnQq23nPdILFQ==
X-Received: by 2002:a2e:9196:: with SMTP id f22mr28837155ljg.18.1577446093108; 
 Fri, 27 Dec 2019 03:28:13 -0800 (PST)
Received: from muffinmac.local (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id
 g24sm14532831lfb.85.2019.12.27.03.28.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 27 Dec 2019 03:28:12 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN> <83fth7qa3a.fsf@HIDDEN>
Date: Fri, 27 Dec 2019 13:28:11 +0200
In-Reply-To: <83fth7qa3a.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 26 Dec
 2019 19:18:33 +0200")
Message-ID: <m28smyypmc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38748
Cc: Alan Third <alan@HIDDEN>, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 26 Dec 2019 13:04:20 +0000
>> From: Alan Third <alan@HIDDEN>
>> Cc: 38748 <at> debbugs.gnu.org
>> 
>> > 20  org.gnu.Emacs                 	0x00000001084a7c86 handle_sigsegv + 168
>> > 21  libsystem_platform.dylib      	0x00007fff6b73a42d _sigtramp + 29
>> > 22  ???                           	000000000000000000 0 + 0
>> > 23  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
>> > 24  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
>> 
>> Looks like a crash in GC.
>
> Yes, but why?
>
> One possibility is stack overflow.  If that's not the reason, then one
> needs to employ the technique described in etc/DEBUG to find out which
> object got corrupted and why.

I followed the steps described in etc/DEBUG.

Emacs is configured using:
'configure --without-xml2 --with-ns --with-modules
 --disable-ns-self-contained --enable-checking=yes,glyphs
 --enable-check-lisp-object-type 'CFLAGS=-O3 -g3''

See gdb session output attached.

Hope this will help.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=gdb-bt-full.txt

Current directory is ~/workspace/emacs-build/src/
GNU gdb (GDB) 8.3
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin19.0.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from emacs...
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = muffinmac.local
TERM = dumb
(gdb) run
Starting program: /Users/mad/workspace/emacs-build/src/emacs
[New Thread 0x1103 of process 53190]
[New Thread 0xe03 of process 53190]
[New Thread 0x1503 of process 53190]
warning: unhandled dyld version (16)
[New Thread 0x110f of process 53190]
[New Thread 0x1603 of process 53190]
[New Thread 0x1703 of process 53190]
[New Thread 0x1803 of process 53190]
[New Thread 0x1903 of process 53190]
[New Thread 0x2603 of process 53190]
[New Thread 0x2703 of process 53190]
[New Thread 0x2803 of process 53190]
[New Thread 0x2903 of process 53190]
[New Thread 0x1a0b of process 53190]
[New Thread 0xe5f of process 53190]
[New Thread 0x190f of process 53190]
[New Thread 0x1a3f of process 53190]
[New Thread 0x2607 of process 53190]
[New Thread 0x272f of process 53190]
[New Thread 0xe63 of process 53190]
[New Thread 0x111f of process 53190]
[New Thread 0x1607 of process 53190]
[New Thread 0x1a43 of process 53190]
[New Thread 0xe67 of process 53190]
[New Thread 0x1123 of process 53190]
[New Thread 0x160b of process 53190]
[New Thread 0x1803 of process 53190]
[New Thread 0x2753 of process 53190]
[New Thread 0x16a7 of process 53190]
[New Thread 0x1807 of process 53190]
[New Thread 0x1a6b of process 53190]
[New Thread 0x1b7f of process 53190]
[New Thread 0x2403 of process 53190]
[New Thread 0x2503 of process 53190]
[New Thread 0x261b of process 53190]
[New Thread 0x28df of process 53190]

Thread 3 hit Breakpoint 1, terminate_due_to_signal (sig=-272671680, backtrace_limit=-272671360) at ../../emacs/src/emacs.c:370
370	{
(gdb) bt full
#0  terminate_due_to_signal (sig=-272671680, backtrace_limit=-272671360) at ../../emacs/src/emacs.c:370
No locals.
#1  0x0000000000005490 in ?? ()
No symbol table info available.
#2  0x0000000000000013 in ?? ()
No symbol table info available.
#3  0x00007ffeefbf5d08 in ?? ()
No symbol table info available.
#4  0x0000001300000000 in ?? ()
No symbol table info available.
#5  0x0000000000005460 in ?? ()
No symbol table info available.
#6  0x000000000000d140 in ?? ()
No symbol table info available.
#7  0x000000000000d140 in ?? ()
No symbol table info available.
#8  0x000000000000d140 in ?? ()
No symbol table info available.
#9  0x000000000000d140 in ?? ()
No symbol table info available.
#10 0x0000000000002af0 in ?? ()
No symbol table info available.
#11 0x000000000000d140 in ?? ()
No symbol table info available.
#12 0x000000000000d140 in ?? ()
No symbol table info available.
#13 0x000000000000d140 in ?? ()
No symbol table info available.
#14 0x000000000000d140 in ?? ()
No symbol table info available.
#15 0x000000000000d140 in ?? ()
No symbol table info available.
#16 0x000000000000d140 in ?? ()
No symbol table info available.
#17 0x000000000000d140 in ?? ()
No symbol table info available.
#18 0x000000000000d140 in ?? ()
No symbol table info available.
#19 0x000000000000d140 in ?? ()
No symbol table info available.
#20 0x000000000000d140 in ?? ()
No symbol table info available.
#21 0x0000000001078300 in ?? ()
No symbol table info available.
#22 0x000000000000d140 in ?? ()
No symbol table info available.
#23 0x000000000000d140 in ?? ()
No symbol table info available.
#24 0x000000000000d140 in ?? ()
No symbol table info available.
#25 0x04584540b994009d in ?? ()
No symbol table info available.
#26 0x00000000efbf5d01 in ?? ()
No symbol table info available.
#27 0x0000000000000013 in ?? ()
No symbol table info available.
#28 0x0000000101b00e80 in ?? ()
No symbol table info available.
#29 0x00007ffeefbf60d0 in ?? ()
No symbol table info available.
#30 0x0000000101b00c50 in ?? ()
No symbol table info available.
#31 0x00007ffeefbf5df0 in ?? ()
No symbol table info available.
#32 0x0000000100106432 in merge_named_face (w=0x101b00c50, f=0x101b00c50, face_name=..., to=0x7ffeefbf60d0, named_merge_points=0x13, attr_filter=28315264) at ../../emacs/src/xfaces.c:2226
        from = {XIL(0x5460), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0x2af0), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0xd140), XIL(0x1078300), XIL(0xd140), XIL(0xd140), XIL(0xd140)}
        val = <optimized out>
        ok = <optimized out>
        named_merge_point = <optimized out>
        from = <optimized out>
        val = <optimized out>
        ok = <optimized out>
Backtrace stopped: frame did not save the PC

Thread 3 hit Breakpoint 1, 0x00000001002dea74 in terminate_due_to_signal ()
(gdb) The program being debugged stopped while in a function called from GDB.
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 26 Dec 2019 17:18:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 12:18:44 2019
Received: from localhost ([127.0.0.1]:56157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikWma-0006HI-KC
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 12:18:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ikWmY-0006H5-NN
 for 38748 <at> debbugs.gnu.org; Thu, 26 Dec 2019 12:18:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46256)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ikWmT-0002o8-A9; Thu, 26 Dec 2019 12:18:37 -0500
Received: from [176.228.60.248] (port=2127 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ikWmS-0007R9-KV; Thu, 26 Dec 2019 12:18:37 -0500
Date: Thu, 26 Dec 2019 19:18:33 +0200
Message-Id: <83fth7qa3a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alan Third <alan@HIDDEN>
In-reply-to: <20191226130420.GB71460@HIDDEN> (message from
 Alan Third on Thu, 26 Dec 2019 13:04:20 +0000)
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
References: <m2eewrv2oe.fsf@HIDDEN>
 <20191226130420.GB71460@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38748
Cc: andreyk.mad@HIDDEN, 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 26 Dec 2019 13:04:20 +0000
> From: Alan Third <alan@HIDDEN>
> Cc: 38748 <at> debbugs.gnu.org
> 
> > 20  org.gnu.Emacs                 	0x00000001084a7c86 handle_sigsegv + 168
> > 21  libsystem_platform.dylib      	0x00007fff6b73a42d _sigtramp + 29
> > 22  ???                           	000000000000000000 0 + 0
> > 23  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
> > 24  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
> 
> Looks like a crash in GC.

Yes, but why?

One possibility is stack overflow.  If that's not the reason, then one
needs to employ the technique described in etc/DEBUG to find out which
object got corrupted and why.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at 38748 <at> debbugs.gnu.org:


Received: (at 38748) by debbugs.gnu.org; 26 Dec 2019 13:04:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 08:04:30 2019
Received: from localhost ([127.0.0.1]:55016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikSoY-00081G-EF
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 08:04:30 -0500
Received: from mail-wm1-f54.google.com ([209.85.128.54]:51298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1ikSoW-000812-QK
 for 38748 <at> debbugs.gnu.org; Thu, 26 Dec 2019 08:04:29 -0500
Received: by mail-wm1-f54.google.com with SMTP id d73so5858592wmd.1
 for <38748 <at> debbugs.gnu.org>; Thu, 26 Dec 2019 05:04:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to;
 bh=DYXPsx1W2YudW+wEEIWR+3JJLVo115foLWLK+IoSnUc=;
 b=k5fFondhUV0IVvQLPbg2KDNjcfE3rXd8gO7El5jxZBEyuLII5Hf1fnT+FvVu1oRP9C
 t6+j2qnDIS2o4Fxz+0MRgeO9z4DdLFUDpXWcggXspESh7dsAB2V5D/vjt2Df72m2IFJ1
 Eblv/pkILhUvyCbDICaUlRTWe4q4/DlBIuyNgwNGRCvj0LmHzxu0gnJw5vPWIqGZGA8h
 sdvppmEJl9J6dUjPf+LMax49R8TWf4KArnA2t7tCaOmcMblpNzQSmv7/L5EwCjvwc9qd
 20s0aQ20j8wMYHhECV4k+tA7+d/lcEOFccXVmw0hYKHsoXtTnSxz23iYfPJa+D4ESoNa
 edYw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to;
 bh=DYXPsx1W2YudW+wEEIWR+3JJLVo115foLWLK+IoSnUc=;
 b=OWbyJ0cE48KnT2XeJf/tS/R5fXXNXJfTusBPiTzf0TwocpP95baOoGRbZ8hCKBoYxF
 vD2FLlXAQU7zqrCY3J88RCaOGfEEOTaqlzx0Xs7xjJiLT0GTaNvlNKaZJu3POqHwZ5B5
 nW71Sbm1N/FGdjCy77pw39xjDZ80f5450gGfnr8SfqhGwzqUrOIaZdK3+7YvcmglHg2+
 S3XGoo4XKD0R9RDiHXniylGZfpGvYq6oXbNT/3UdNBj25g6+coRvMu7uQ8WwMXLuMS5P
 6N3k21/p6Wu5W945+56uxx1ZT8WDGJTyFzYfKT6Ea89Y8r+BOie+dhWcREJMltZHuEt8
 j1cw==
X-Gm-Message-State: APjAAAWzCTCkDefaBwR5uYjEHJ12/wkv88a1uz2YD7XdAZr9Dq8zyg23
 L9lhCO4CRpSfVPXjCgdsY9w=
X-Google-Smtp-Source: APXvYqyksMyRK3LcjBNtLwd/JTxabCoUn986hmkwctQXIiRshmkbYN5YBYfGXjRf3Ey2/j0uxGCNKA==
X-Received: by 2002:a7b:cc09:: with SMTP id f9mr14306181wmh.71.1577365463047; 
 Thu, 26 Dec 2019 05:04:23 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5065-467f-7969-bf01.holly.idiocy.org.
 [2001:8b0:3f8:8129:5065:467f:7969:bf01])
 by smtp.gmail.com with ESMTPSA id 18sm8162242wmf.1.2019.12.26.05.04.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 26 Dec 2019 05:04:22 -0800 (PST)
Date: Thu, 26 Dec 2019 13:04:20 +0000
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#38748: 28.0.50; crash on MacOS 10.15.2
Message-ID: <20191226130420.GB71460@HIDDEN>
References: <m2eewrv2oe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2eewrv2oe.fsf@HIDDEN>
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38748
Cc: 38748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Thu, Dec 26, 2019 at 11:47:29AM +0200, Andrii Kolomoiets wrote:
> Unfortunately I have no recipe to reproduce this issue.  Emacs just
> crashing from time to time.
> 
> See attached crash info.
> 
> Emacs is buit from nearly recent master (commit
> 7c5d6a2afc6c23a7fff8456f506ee2aa2d37a3b9)
> 
<snip>
> 
> Exception Type:        EXC_BAD_ACCESS (SIGABRT)
> Exception Codes:       KERN_INVALID_ADDRESS at 0x00000000434f4e44
> Exception Note:        EXC_CORPSE_NOTIFY
> 
<snip>
>
> 20  org.gnu.Emacs                 	0x00000001084a7c86 handle_sigsegv + 168
> 21  libsystem_platform.dylib      	0x00007fff6b73a42d _sigtramp + 29
> 22  ???                           	000000000000000000 0 + 0
> 23  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
> 24  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272

Looks like a crash in GC.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Dec 2019 09:48:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 26 04:48:03 2019
Received: from localhost ([127.0.0.1]:54939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikPkR-000157-G3
	for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 04:48:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:49141)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ikPkQ-000150-Ct
 for submit <at> debbugs.gnu.org; Thu, 26 Dec 2019 04:48:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55267)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ikPkH-0006kS-9L
 for bug-gnu-emacs@HIDDEN; Thu, 26 Dec 2019 04:48:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreyk.mad@HIDDEN>) id 1ikPk7-00084n-BT
 for bug-gnu-emacs@HIDDEN; Thu, 26 Dec 2019 04:47:52 -0500
Received: from mail-lf1-x12c.google.com ([2a00:1450:4864:20::12c]:40285)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreyk.mad@HIDDEN>)
 id 1ikPk6-000848-Ed
 for bug-gnu-emacs@HIDDEN; Thu, 26 Dec 2019 04:47:43 -0500
Received: by mail-lf1-x12c.google.com with SMTP id i23so18175866lfo.7
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Dec 2019 01:47:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=FmYzWHMfI7AnxQfiVjGNplV49mXrYMeAu3bQtO57IRk=;
 b=pzq/LQQxT8F3OJHTGZU5+2/x5n+etx4h7p03ggyOJwfDXOqUWRNj3IKBWPqJCklh2d
 ygEB/WYqMzi/lUESwToUuA87h3lpJkboTLd2f3hXjXZusJrOkR/c7LARHDogjNAhMC9U
 a9JR4Mmwj83GPuUgVtdKVyWw2Co49/iVTpkV2JJLmElzoRMxj4EZ7eTBGc6LzwonuJv9
 WzIE2N13D8+xaosF1AAYuj63GKp4Uv99sFazry+G3CZ8Ti97DuSljcd09cDTPYz6r+1b
 EFzMhziSPEzr+Y5EZGEveeRb8WT7KFj/4BnaNHmJJ9dgV6M1Q/O1fzi9E5x/3FxA78tj
 B+Bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=FmYzWHMfI7AnxQfiVjGNplV49mXrYMeAu3bQtO57IRk=;
 b=AQupurslfUdoo5jGaZwiRIzHfVvZUxjL6JxFy8chyC1kHvRBioFYGh+yb/1cAquNSK
 LO9+WW2xPJhxEOZJsPaTmI6OoKPN0y4pN5K15SsD5JULmvaAg4Jw8AzbOldtKDJlHhK8
 2Ix68IA7B7yuKMQXjuz/FhoYHECur4ijplOqHBrTdKb1p3ubITB4p11DYWG2BPiI2Dpc
 vGLraSrYiLkya2K4lZtZdw9M5JDrjgxid4OLQH7A3Yb6Kk92Eo2eeLQbqyAtWzQmBGC/
 HvaOa9scU29h3v2PqFm8sqh6oIQiwUNFf444uuVH4ecyECsm58kJ2ggxQJ6dtNuR/H2K
 54/A==
X-Gm-Message-State: APjAAAVPK92Yvm0guKae6FXiKr3ScFDOXpBVPX2Y33Rgm3yybly3SdT/
 FTJ2s1SKhgC9Fyvpf5T+5i3YiAFq
X-Google-Smtp-Source: APXvYqyJ4qNpmg4x8wyGMEFEOp49FRRRJ/JTCleOcBBmwoHYN4jxaS8sIj/45IcbDcyAqn5krv9PRA==
X-Received: by 2002:a19:c80a:: with SMTP id y10mr24873963lff.177.1577353660345; 
 Thu, 26 Dec 2019 01:47:40 -0800 (PST)
Received: from muffinmac.local (188-42-207-82.ip.ukrtel.net. [82.207.42.188])
 by smtp.gmail.com with ESMTPSA id
 n23sm12679556lfa.41.2019.12.26.01.47.38 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 26 Dec 2019 01:47:39 -0800 (PST)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; crash on MacOS 10.15.2
Date: Thu, 26 Dec 2019 11:47:29 +0200
Message-ID: <m2eewrv2oe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::12c
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Unfortunately I have no recipe to reproduce this issue.  Emacs just
crashing from time to time.

See attached crash info.

Emacs is buit from nearly recent master (commit
7c5d6a2afc6c23a7fff8456f506ee2aa2d37a3b9)

In GNU Emacs 28.0.50 (build 2, x86_64-apple-darwin19.2.0, NS appkit-1894.20 Version 10.15.2 (Build 19C57))
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.2

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs/dev/share/info/emacs
 --prefix=/usr/local/Cellar/emacs/dev --with-gnutls --without-x
 --with-xml2 --without-dbus --with-modules --disable-ns-self-contained
 --with-ns'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER GMP

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=emacs-crash.txt
Content-Description: emacs-crash-info

Process:               Emacs [23260]
Path:                  /Applications/Emacs.app/Contents/MacOS/Emacs
Identifier:            org.gnu.Emacs
Version:               Version 28.0.50 (9.0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Emacs [23260]
User ID:               501

Date/Time:             2019-12-26 11:23:47.557 +0200
OS Version:            Mac OS X 10.15.2 (19C57)
Report Version:        12
Anonymous UUID:        91C25591-E15C-1151-477D-A560DC709258

Sleep/Wake UUID:       46AC1074-B860-4837-8D71-FF07FC257969

Time Awake Since Boot: 150000 seconds
Time Since Wake:       5600 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x00000000434f4e44
Exception Note:        EXC_CORPSE_NOTIFY

VM Regions Near 0x434f4e44:
-->
    __TEXT                 00000001083f0000-00000001085ce000 [ 1912K] r-x/r-x SM=COW  /Applications/Emacs.app/Contents/MacOS/Emacs

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff6b6887fa __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff6b745bc1 pthread_kill + 432
2   libsystem_c.dylib             	0x00007fff6b59f3a2 raise + 26
3   org.gnu.Emacs                 	0x0000000108590dce terminate_due_to_signal + 153
4   org.gnu.Emacs                 	0x00000001085914f8 emacs_abort + 15
5   org.gnu.Emacs                 	0x00000001084fb033 signal_or_quit + 1251
6   org.gnu.Emacs                 	0x0000000108592af6 Fsignal + 32
7   org.gnu.Emacs                 	0x0000000108592b0d xsignal + 9
8   org.gnu.Emacs                 	0x000000010859298a xsignal1 + 28
9   org.gnu.Emacs                 	0x0000000108591e5c compile_pattern.cold.1 + 22
10  org.gnu.Emacs                 	0x00000001084c9b20 compile_pattern + 541
11  org.gnu.Emacs                 	0x00000001084c98ce fast_string_match_internal + 30
12  org.gnu.Emacs                 	0x00000001084b89af Ffind_file_name_handler + 176
13  org.gnu.Emacs                 	0x00000001084ba2c5 Fexpand_file_name + 83
14  org.gnu.Emacs                 	0x00000001084bfbca Fdo_auto_save + 273
15  org.gnu.Emacs                 	0x000000010848e1a6 shut_down_emacs + 301
16  org.gnu.Emacs                 	0x0000000108590d9b terminate_due_to_signal + 102
17  org.gnu.Emacs                 	0x00000001084a7b6c handle_fatal_signal + 14
18  org.gnu.Emacs                 	0x00000001084a7bde deliver_thread_signal + 114
19  org.gnu.Emacs                 	0x00000001084a69ba deliver_fatal_thread_signal + 9
20  org.gnu.Emacs                 	0x00000001084a7c86 handle_sigsegv + 168
21  libsystem_platform.dylib      	0x00007fff6b73a42d _sigtramp + 29
22  ???                           	000000000000000000 0 + 0
23  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
24  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
25  org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
26  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
27  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
28  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
29  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
30  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
31  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
32  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
33  org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
34  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
35  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
36  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
37  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
38  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
39  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
40  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
41  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
42  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
43  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
44  org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
45  org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
46  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
47  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
48  org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
49  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
50  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
51  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
52  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
53  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
54  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
55  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
56  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
57  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
58  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
59  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
60  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
61  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
62  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
63  org.gnu.Emacs                 	0x00000001084dec94 mark_localized_symbol + 84
64  org.gnu.Emacs                 	0x00000001084de030 mark_object + 960
65  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
66  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
67  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
68  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
69  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
70  org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
71  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
72  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
73  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
74  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
75  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
76  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
77  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
78  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
79  org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
80  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
81  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
82  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
83  org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
84  org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
85  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
86  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
87  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
88  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
89  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
90  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
91  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
92  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
93  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
94  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
95  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
96  org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
97  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
98  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
99  org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
100 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
101 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
102 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
103 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
104 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
105 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
106 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
107 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
108 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
109 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
110 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
111 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
112 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
113 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
114 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
115 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
116 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
117 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
118 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
119 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
120 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
121 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
122 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
123 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
124 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
125 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
126 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
127 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
128 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
129 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
130 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
131 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
132 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
133 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
134 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
135 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
136 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
137 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
138 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
139 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
140 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
141 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
142 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
143 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
144 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
145 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
146 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
147 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
148 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
149 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
150 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
151 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
152 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
153 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
154 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
155 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
156 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
157 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
158 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
159 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
160 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
161 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
162 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
163 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
164 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
165 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
166 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
167 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
168 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
169 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
170 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
171 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
172 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
173 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
174 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
175 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
176 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
177 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
178 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
179 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
180 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
181 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
182 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
183 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
184 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
185 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
186 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
187 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
188 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
189 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
190 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
191 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
192 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
193 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
194 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
195 org.gnu.Emacs                 	0x00000001084dec94 mark_localized_symbol + 84
196 org.gnu.Emacs                 	0x00000001084de030 mark_object + 960
197 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
198 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
199 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
200 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
201 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
202 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
203 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
204 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
205 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
206 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
207 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
208 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
209 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
210 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
211 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
212 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
213 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
214 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
215 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
216 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
217 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
218 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
219 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
220 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
221 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
222 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
223 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
224 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
225 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
226 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
227 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
228 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
229 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
230 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
231 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
232 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
233 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
234 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
235 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
236 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
237 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
238 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
239 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
240 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
241 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
242 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
243 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
244 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
245 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
246 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
247 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
248 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
249 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
250 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
251 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
252 org.gnu.Emacs                 	0x00000001084dec94 mark_localized_symbol + 84
253 org.gnu.Emacs                 	0x00000001084de030 mark_object + 960
254 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
255 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
256 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
257 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
258 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
259 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
260 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
261 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
262 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
263 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
264 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
265 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
266 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
267 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
268 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
269 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
270 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
271 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
272 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
273 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
274 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
275 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
276 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
277 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
278 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
279 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
280 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
281 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
282 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
283 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
284 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
285 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
286 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
287 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
288 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
289 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
290 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
291 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
292 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
293 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
294 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
295 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
296 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
297 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
298 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
299 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
300 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
301 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
302 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
303 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
304 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
305 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
306 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
307 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
308 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
309 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
310 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
311 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
312 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
313 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
314 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
315 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
316 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
317 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
318 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
319 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
320 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
321 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
322 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
323 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
324 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
325 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
326 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
327 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
328 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
329 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
330 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
331 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
332 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
333 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
334 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
335 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
336 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
337 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
338 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
339 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
340 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
341 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
342 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
343 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
344 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
345 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
346 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
347 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
348 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
349 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
350 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
351 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
352 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
353 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
354 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
355 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
356 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
357 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
358 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
359 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
360 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
361 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
362 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
363 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
364 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
365 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
366 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
367 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
368 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
369 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
370 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
371 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
372 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
373 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
374 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
375 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
376 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
377 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
378 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
379 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
380 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
381 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
382 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
383 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
384 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
385 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
386 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
387 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
388 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
389 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
390 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
391 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
392 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
393 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
394 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
395 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
396 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
397 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
398 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
399 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
400 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
401 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
402 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
403 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
404 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
405 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
406 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
407 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
408 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
409 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
410 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
411 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
412 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
413 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
414 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
415 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
416 org.gnu.Emacs                 	0x00000001084de885 mark_buffer + 18
417 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
418 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
419 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
420 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
421 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
422 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
423 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
424 org.gnu.Emacs                 	0x00000001084de885 mark_buffer + 18
425 org.gnu.Emacs                 	0x00000001084dec8b mark_localized_symbol + 75
426 org.gnu.Emacs                 	0x00000001084de030 mark_object + 960
427 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
428 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
429 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
430 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
431 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
432 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
433 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
434 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
435 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
436 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
437 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
438 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
439 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
440 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
441 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
442 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
443 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
444 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
445 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
446 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
447 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
448 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
449 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
450 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
451 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
452 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
453 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
454 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
455 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
456 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
457 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
458 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
459 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
460 org.gnu.Emacs                 	0x00000001084de000 mark_object + 912
461 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
462 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
463 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
464 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
465 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
466 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
467 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
468 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
469 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
470 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
471 org.gnu.Emacs                 	0x00000001084de9a6 mark_compiled + 89
472 org.gnu.Emacs                 	0x00000001084ddeb5 mark_object + 581
473 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
474 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
475 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
476 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
477 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
478 org.gnu.Emacs                 	0x00000001084de03b mark_object + 971
479 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
480 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
481 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
482 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
483 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
484 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
485 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
486 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
487 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
488 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
489 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
490 org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
491 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
492 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
493 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
494 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
495 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
496 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
497 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
498 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
499 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
500 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
501 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
502 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
503 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
504 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
505 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
506 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
507 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
508 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
509 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92
510 org.gnu.Emacs                 	0x00000001084ddff7 mark_object + 903
511 org.gnu.Emacs                 	0x00000001084dec2f mark_vectorlike + 92

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff6b68a5be __select + 10
1   org.gnu.Emacs                 	0x00000001085610c1 -[EmacsApp fd_handler:] + 170
2   com.apple.Foundation          	0x00007fff36580788 __NSThread__start__ + 1064
3   libsystem_pthread.dylib       	0x00007fff6b745e65 _pthread_start + 148
4   libsystem_pthread.dylib       	0x00007fff6b74183b thread_start + 15

Thread 2:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fff6b68225a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff6b6825d0 mach_msg + 60
2   com.apple.CoreFoundation      	0x00007fff33ee6d0b __CFRunLoopServiceMachPort + 322
3   com.apple.CoreFoundation      	0x00007fff33ee58e7 __CFRunLoopRun + 1695
4   com.apple.CoreFoundation      	0x00007fff33ee4bd3 CFRunLoopRunSpecific + 499
5   com.apple.AppKit              	0x00007fff3124fa72 _NSEventThread + 132
6   libsystem_pthread.dylib       	0x00007fff6b745e65 _pthread_start + 148
7   libsystem_pthread.dylib       	0x00007fff6b74183b thread_start + 15

Thread 3:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 4:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 5:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 6:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 7:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 8:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 9:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 10:
0   libsystem_pthread.dylib       	0x00007fff6b741818 start_wqthread + 0

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000112be4dc0  rcx: 0x00000001089dc138  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: 0x00000001089dc160  rsp: 0x00000001089dc138
   r8: 0x00000001085b954f   r9: 0x00000001085b954a  r10: 0x0000000112be4dc0  r11: 0x0000000000000246
  r12: 0x0000000000000307  r13: 0x00000001089dd668  r14: 0x0000000000000006  r15: 0x0000000000000016
  rip: 0x00007fff6b6887fa  rfl: 0x0000000000000246  cr2: 0x0000600004a13090

Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x1083f0000 -        0x1085cdff7 +org.gnu.Emacs (Version 28.0.50 - 9.0) <82FA9CC6-C658-34D3-BFFA-1EA59EF85A7A> /Applications/Emacs.app/Contents/MacOS/Emacs
       0x108a8c000 -        0x108bdcfdb +libgnutls.30.dylib (0) <98BC4282-B213-3DCD-965F-966915C33BDD> /usr/local/opt/gnutls/lib/libgnutls.30.dylib
       0x108c2c000 -        0x108c34ff3 +libjansson.4.dylib (0) <AC130728-6541-392A-86E6-3047FCD1D281> /usr/local/opt/jansson/lib/libjansson.4.dylib
       0x108c3a000 -        0x108c96fcf +libgmp.10.dylib (0) <7D2A1AB0-B206-3196-954C-5A0E17049998> /usr/local/opt/gmp/lib/libgmp.10.dylib
       0x108ca4000 -        0x108d45ff3 +libp11-kit.0.dylib (0) <7416C885-4C5F-3CB2-A80A-3E1C1E7EFF0A> /usr/local/opt/p11-kit/lib/libp11-kit.0.dylib
       0x108d98000 -        0x108db6ffb +libidn2.0.dylib (0) <7F3D8A59-ED6D-3A36-9860-20235B5D3661> /usr/local/opt/libidn2/lib/libidn2.0.dylib
       0x108dc0000 -        0x108f23fff +libunistring.2.dylib (0) <A4545916-E2F4-3D6A-862B-528A6806E9FC> /usr/local/opt/libunistring/lib/libunistring.2.dylib
       0x108f3b000 -        0x108f47ff7 +libtasn1.6.dylib (0) <7DC4D741-CF1F-321E-868B-5BDCC5246810> /usr/local/opt/libtasn1/lib/libtasn1.6.dylib
       0x108f4f000 -        0x108f74ff7 +libnettle.6.dylib (0) <F07C4E8D-7087-384C-AC93-46234AEB2391> /usr/local/opt/nettle/lib/libnettle.6.dylib
       0x108f7e000 -        0x108fa7ffb +libhogweed.4.dylib (0) <E0C32E51-C7D4-3C15-A269-272AD3BC3BBE> /usr/local/opt/nettle/lib/libhogweed.4.dylib
       0x108fb3000 -        0x108fbbffb +libintl.8.dylib (0) <CD236902-DB50-39BB-86BB-E9F0D22E5649> /usr/local/opt/gettext/lib/libintl.8.dylib
       0x108fc3000 -        0x108fc7fff +libffi.6.dylib (0) <47F6B233-3552-3D42-A3EC-1917E141AC53> /usr/local/opt/libffi/lib/libffi.6.dylib
       0x10de8d000 -        0x10de90047  libobjc-trampolines.dylib (781.2) <EB56CAD4-64BB-3EA4-B533-0E93F7DAEC45> /usr/lib/libobjc-trampolines.dylib
       0x10e603000 -        0x10e603fff  com.apple.applescript.component (2.7 - 395) <7B59E821-813F-37EB-B5CD-748F5A6005E1> /System/Library/Components/AppleScript.component/Contents/MacOS/AppleScript
       0x10fda0000 -        0x10fda2ff3  com.apple.CloudDocsFileProvider (1.0 - 690.1) <5884914D-8C4F-3BF1-8EF7-CFC3C4800CC7> /System/Library/Frameworks/FileProvider.framework/OverrideBundles/CloudDocsFileProvider.bundle/Contents/MacOS/CloudDocsFileProvider
       0x10fe44000 -        0x10fe47fff  com.apple.FileProviderOverride (265 - 265) <D18BF2F1-B0C1-327D-A913-D03DD67E28FD> /System/Library/Frameworks/FileProvider.framework/OverrideBundles/FileProviderOverride.bundle/Contents/MacOS/FileProviderOverride
       0x10febb000 -        0x10fed2ffb  com.apple.findersync.fileprovideroverride.FinderSyncCollaborationFileProviderOverride (1.0 - 1298.2.10) <4E2D8328-0B68-367B-8FA0-4A43A53A2E0E> /System/Library/Frameworks/FileProvider.framework/OverrideBundles/FinderSyncCollaborationFileProviderOverride.bundle/Contents/MacOS/FinderSyncCollaborationFileProviderOverride
       0x112b1b000 -        0x112babcb7  dyld (733.8) <EEA931D0-403E-3BC8-862A-CBA037DE4A74> /usr/lib/dyld
       0x1283e8000 -        0x1283fdfff +vterm-module.so (0) <C61C8FD0-C6F4-3E1E-A466-B1AAC24E58AC> /Users/USER/*/vterm-module.so
    0x7fff284e7000 -     0x7fff286f3ff7  com.apple.RawCamera.bundle (9.00.1 - 1310.23) <5683F10A-5153-38D7-81F0-1063B5C5C1B3> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff2bc73000 -     0x7fff2bd06ffb  com.apple.driver.AppleIntelHD5000GraphicsMTLDriver (14.3.9 - 14.0.3) <710A2DD1-8C70-3B34-B377-A9E2FC2F6AC2> /System/Library/Extensions/AppleIntelHD5000GraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelHD5000GraphicsMTLDriver
    0x7fff2fc0b000 -     0x7fff2fc0bfff  com.apple.Accelerate (1.11 - Accelerate 1.11) <EEBE6680-1AAB-3192-AA7C-450537B07F27> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff2fc0c000 -     0x7fff2fc22fff  libCGInterfaces.dylib (524.2) <3DA50D4A-BE22-33FB-AE8E-4B68FE3294CF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff2fc23000 -     0x7fff3028efef  com.apple.vImage (8.1 - 524.2) <2BDE5231-B5ED-313E-918A-876ACE1C0FCF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff3028f000 -     0x7fff304f8fff  libBLAS.dylib (1303.60.1) <94F6B3C0-5039-3F66-8B2E-98791287E459> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff304f9000 -     0x7fff307e8ff7  libBNNS.dylib (144.40.3) <F15D7D9E-0B9F-34FF-B144-DCA264614C54> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff307ea000 -     0x7fff30b8ffff  libLAPACK.dylib (1303.60.1) <DCC36295-FF39-35A1-8DF1-1E8A714E2265> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff30b90000 -     0x7fff30ba5ff8  libLinearAlgebra.dylib (1303.60.1) <E3C0CC64-906B-3B44-B8AA-3075BA20E161> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff30ba6000 -     0x7fff30babff3  libQuadrature.dylib (7) <17EC31E3-3D77-3B5A-8ADD-6A3DBC1531E7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff30bac000 -     0x7fff30c1cfff  libSparse.dylib (103) <350DAE1C-C990-343F-A98A-1B4317EAA869> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff30c1d000 -     0x7fff30c2ffef  libSparseBLAS.dylib (1303.60.1) <8C0C7291-AC3A-3808-9D45-E359A5E03F0E> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff30c30000 -     0x7fff30e09ffb  libvDSP.dylib (735.40.1) <BD49856D-39CE-397F-A069-63B2F0D79529> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff30e0a000 -     0x7fff30ec5fd7  libvMisc.dylib (735.40.1) <9C40AC77-59A4-3180-AA4F-8F13CABF02D9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff30ec6000 -     0x7fff30ec6fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <A8B35A80-7217-38B1-8A20-E8B4F73124F0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff30ec7000 -     0x7fff30f26ffc  com.apple.Accounts (113 - 113) <ABA6CA9E-22B4-3EE9-8C8D-080CB863FD72> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fff3106c000 -     0x7fff31e27fff  com.apple.AppKit (6.9 - 1894.20.140) <80D94BA8-5CEC-3D85-AEE9-364513234AC6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff31e66000 -     0x7fff31e76ff7  com.apple.AppleScriptObjC (1.4 - 35) <41D27624-B9DB-3BCE-9263-45FA9B2C51CB> /System/Library/Frameworks/AppleScriptObjC.framework/Versions/A/AppleScriptObjC
    0x7fff31e77000 -     0x7fff31e77fff  com.apple.ApplicationServices (48 - 50) <DD9B7CF2-A6CA-3C88-804A-C15AFFEC3CD6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff31e78000 -     0x7fff31ee3fff  com.apple.ApplicationServices.ATS (377 - 493.0.2.1) <6BDB3B14-0F4E-3B10-93C8-7F0E5E4F2EFE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff31f7c000 -     0x7fff31fbaff8  libFontRegistry.dylib (274.0.2.3) <3DD574D6-06F2-35A1-8CE0-6097BDD3DE1F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff32015000 -     0x7fff32044ff7  com.apple.ATSUI (1.0 - 1) <FA934D50-2391-3515-95D4-35696E165C37> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATSUI.framework/Versions/A/ATSUI
    0x7fff32045000 -     0x7fff32049ff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <C0801FB4-954F-3897-B384-276B73B062B5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff320e4000 -     0x7fff3213aff2  com.apple.HIServices (1.22 - 674.1) <8A3BBFB0-D41E-3BF1-AF8F-4E9082A49FC6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff3213b000 -     0x7fff32149fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <BEDFF67B-5FD5-38FA-AC8F-D9458DC2EF50> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff3214a000 -     0x7fff3218fff2  com.apple.print.framework.PrintCore (15 - 516) <14C48FDF-5E58-391B-873E-B96E55CDA21C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff32190000 -     0x7fff3219afff  com.apple.QD (4.0 - 413) <AD40EB5E-231E-39C5-A468-5B979374912C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff3219b000 -     0x7fff321a8ff0  com.apple.speech.synthesis.framework (9.0.24 - 9.0.24) <16454C5C-4029-396A-A8F4-730E50CE2024> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff321a9000 -     0x7fff32289ffa  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <9F13C2FB-6042-339A-8D85-E8E499BA856B> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff3228b000 -     0x7fff3228bfff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <22A443ED-28B0-3161-9CF6-890FD03275D3> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff32601000 -     0x7fff3298dff6  com.apple.CFNetwork (1121.1.2 - 1121.1.2) <CD7AA80C-C73B-39C7-AE03-A36BFB936F29> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff32a07000 -     0x7fff32a07fff  com.apple.Carbon (160 - 162) <27DBFB11-A568-3C45-B98D-F5F5165E939B> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff32a08000 -     0x7fff32a0bffb  com.apple.CommonPanels (1.2.6 - 101) <AE22F241-E6CE-3F18-9EB5-437CF0FDE477> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff32a0c000 -     0x7fff32d00ffb  com.apple.HIToolbox (2.1.1 - 994) <21D1507B-BFC3-33B7-88FE-64417FE9CAD5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff32d01000 -     0x7fff32d04ff3  com.apple.help (1.3.8 - 68) <94E3E502-C479-3C37-8927-239FFF0205B3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff32d05000 -     0x7fff32d0aff7  com.apple.ImageCapture (9.0 - 1600.25.4.1) <89D63EAA-364C-34B4-A417-7A51BF52C4AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff32d0b000 -     0x7fff32d0bfff  com.apple.ink.framework (10.15 - 227) <66BD9432-DB9B-33EC-85B2-F5F21F39C4C3> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff32d0c000 -     0x7fff32d26ff2  com.apple.openscripting (1.7 - 185.1) <DF25310B-227E-3DB5-948C-E52F9877DEE7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff32d47000 -     0x7fff32d47fff  com.apple.print.framework.Print (15 - 271) <27E1B868-53A4-3207-B36A-F08BDCBBBB3D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff32d48000 -     0x7fff32d4aff7  com.apple.securityhi (9.0 - 55008) <2C8B6D0E-3089-3964-B305-9EC3F74673A5> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff32d4b000 -     0x7fff32d51ff7  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <93A00BEB-FEE0-3FC6-ABCA-846EDA81818E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff32d52000 -     0x7fff32eebffa  com.apple.cloudkit.CloudKit (860 - 860) <10DA4BBC-C7DD-35F9-85A4-819D61B2BC2A> /System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit
    0x7fff32efa000 -     0x7fff330e5ff7  com.apple.ColorSync (4.13.0 - 3394.3) <2DCA9B8E-1202-36F0-8867-AF4F687E17D2> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff333d5000 -     0x7fff338e4ffa  com.apple.audio.CoreAudio (5.0 - 5.0) <E297B888-EC18-3333-AB26-5C80F4A2E40A> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff33937000 -     0x7fff3396eff0  com.apple.CoreBluetooth (1.0 - 1) <C2C12610-0109-35C0-BAFF-871D41D9EDE2> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff3396f000 -     0x7fff33d51ffe  com.apple.CoreData (120 - 977.1) <B2656DA8-4BB1-3D54-AD5A-C02EDFD56AA3> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff33d52000 -     0x7fff33e61ff6  com.apple.CoreDisplay (1.0 - 186.3.8) <33C67C14-A3D8-36D8-96E4-3F5D61F6F7B2> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff33e62000 -     0x7fff342e2fe7  com.apple.CoreFoundation (6.9 - 1674.103) <D1F93A5F-5FB9-3088-BC16-36DBF58144C0> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff342e4000 -     0x7fff3495dff0  com.apple.CoreGraphics (2.0 - 1348.15) <21459707-0D60-3520-9999-49511ED16D85> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff3496b000 -     0x7fff34cc8ff5  com.apple.CoreImage (15.0.0 - 920.9) <0A757F12-78A7-3C10-8F1D-118D855F6C65> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff34cc9000 -     0x7fff34d31ff5  com.apple.corelocation (2389.0.8 - 2389.0.8) <8FB99F90-C009-3924-828A-36114F2535CE> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff3508c000 -     0x7fff35166ff4  com.apple.CoreMedia (1.0 - 2520.9.4.1) <A53EF3A8-E192-3045-B4EA-8A05D1C5B521> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff35252000 -     0x7fff35252fff  com.apple.CoreServices (1069.11 - 1069.11) <DD05556D-DEF3-348D-878D-CA3AB5C91D66> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff35253000 -     0x7fff352d8fff  com.apple.AE (838 - 838) <1D2A4944-20FA-372A-B8DE-01067521CF8C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff352d9000 -     0x7fff355baff7  com.apple.CoreServices.CarbonCore (1217 - 1217) <17EE58A1-232F-3E35-AC81-C88509A1CE8F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff355bb000 -     0x7fff35608ffd  com.apple.DictionaryServices (1.2 - 323.3) <631AEDD4-9328-33A7-ACE5-5FDE790FE7FD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff35609000 -     0x7fff35611fff  com.apple.CoreServices.FSEvents (1268.60.1 - 1268.60.1) <9C5A3C2D-CA76-329E-B80C-9CA1A1B1BE51> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff35612000 -     0x7fff3584bff0  com.apple.LaunchServices (1069.11 - 1069.11) <7D9167B7-8C60-3F42-BA15-8A85E6238FD2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff3584c000 -     0x7fff358e4ff9  com.apple.Metadata (10.7.0 - 2075.4) <E57FA2CF-3BD5-3947-84CC-976F192C07C7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff358e5000 -     0x7fff35912ff7  com.apple.CoreServices.OSServices (1069.11 - 1069.11) <C7F894DA-EA68-3467-B004-1D6C7D58703A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff35913000 -     0x7fff3597afff  com.apple.SearchKit (1.4.1 - 1.4.1) <644BE782-F3CA-3CC2-A062-5472ECC68230> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff3597b000 -     0x7fff3599fff5  com.apple.coreservices.SharedFileList (131.3 - 131.3) <3B586025-C347-38CF-B89F-9942CB88AA79> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff35cc8000 -     0x7fff35e7cffe  com.apple.CoreText (643.1.2.3 - 643.1.2.3) <97DA20DE-64C9-3589-92EB-BEC07B81EF19> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff35e7d000 -     0x7fff35ec1fff  com.apple.CoreVideo (1.8 - 334.0) <63E19193-0864-373F-AC59-DC97514B02A5> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff35ec2000 -     0x7fff35f4fff9  com.apple.framework.CoreWLAN (13.0 - 1455.3) <DC360D58-99EE-3760-9D79-5712B2872497> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff36113000 -     0x7fff3611efff  com.apple.DirectoryService.Framework (10.15 - 220.40.1) <DF3ED7B3-3CD7-3921-A2F9-02CC994E05C2> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff3611f000 -     0x7fff361caff0  com.apple.DiscRecording (9.0.3 - 9030.4.5) <2163991C-1EA0-3A85-BC29-4C21C341B845> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff361ef000 -     0x7fff361f5fff  com.apple.DiskArbitration (2.7 - 2.7) <8B55B221-DB4E-3CCD-B104-FC52A4127A66> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff363e9000 -     0x7fff3650fff6  com.apple.FileProvider (265 - 265) <5A6F54E2-6B39-318D-A4BD-83E6FA2679D3> /System/Library/Frameworks/FileProvider.framework/Versions/A/FileProvider
    0x7fff36527000 -     0x7fff368efff4  com.apple.Foundation (6.9 - 1674.103) <9D7DB588-6BDC-3D7B-B267-761D4ECC88A9> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff3695c000 -     0x7fff369acff7  com.apple.GSS (4.0 - 2.0) <03016123-6D22-33EA-B9A7-EB60DD458FAB> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff36ae7000 -     0x7fff36bffff8  com.apple.Bluetooth (7.0.2 - 7.0.2f4) <33538BF2-D6D3-3BF2-844D-A11C118E479E> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff36c66000 -     0x7fff36d09ffb  com.apple.framework.IOKit (2.0.2 - 1726.60.2) <65BD2F00-4BC5-3EF6-BF4D-DA1F0513E2B9> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff36d0b000 -     0x7fff36d1bffc  com.apple.IOSurface (269.6 - 269.6) <D90653D3-7E7F-3CFF-8F00-931B0AA725B1> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff36d91000 -     0x7fff36eeeffe  com.apple.ImageIO.framework (3.3.0 - 1972.15) <EB8B6FA3-46BF-3358-848C-49A8BC86E277> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff36eef000 -     0x7fff36ef2fff  libGIF.dylib (1972.15) <2455E308-AF71-31A8-909B-35FC74A12CCD> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff36ef3000 -     0x7fff36fadfe7  libJP2.dylib (1972.15) <B83242E3-6504-3AA6-84F4-916A264C9660> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff36fae000 -     0x7fff36fd2fef  libJPEG.dylib (1972.15) <7358172D-7732-3ECA-ABA3-725787905AC9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff37250000 -     0x7fff3726afef  libPng.dylib (1972.15) <FC12703E-0CFA-3C06-9748-4AF1121C28BA> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff3726b000 -     0x7fff3726cfff  libRadiance.dylib (1972.15) <7CA6773D-F597-3DEB-8DBE-33B8CD3A1B3D> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff3726d000 -     0x7fff372b6feb  libTIFF.dylib (1972.15) <32E24562-BA64-388E-8AD5-864C184C77BC> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff386dc000 -     0x7fff386eeff3  com.apple.Kerberos (3.0 - 1) <A7787101-9525-3C28-BDD5-77B3C73ED8B0> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff386ef000 -     0x7fff386effff  libHeimdalProxy.dylib (77) <CB20F0B8-EDC1-3592-8B2D-6AEF80BE080B> /System/Library/Frameworks/Kerberos.framework/Versions/A/Libraries/libHeimdalProxy.dylib
    0x7fff386f0000 -     0x7fff38726fff  com.apple.LDAPFramework (2.4.28 - 194.5) <36821308-0C82-343C-A315-12B77A4BAE4E> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff38a82000 -     0x7fff38a8cff3  com.apple.MediaAccessibility (1.0 - 125) <A2CC9230-534D-3D1E-96E7-33EB54EBB8CF> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
    0x7fff38b58000 -     0x7fff3929dff7  com.apple.MediaToolbox (1.0 - 2520.9.4.1) <C11D9AAA-0B53-3FE5-A9B8-8E3EB34F7B87> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff3929f000 -     0x7fff39362ff1  com.apple.Metal (212.2.4 - 212.2.4) <EC7C6127-B280-3EF0-AA80-5FB505148EED> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff3937f000 -     0x7fff393bbff3  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <7B7AF6B3-CD50-320A-85CA-45958CDF850A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
    0x7fff393bc000 -     0x7fff39442fe6  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <3D396C87-5CA4-3A8F-8EEF-FFE3883AD75A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
    0x7fff39443000 -     0x7fff39467ff8  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <D7E077C7-9332-30F9-8AFE-F02520EDF96B> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
    0x7fff39468000 -     0x7fff3947dfff  com.apple.MetalPerformanceShaders.MPSNDArray (1.0 - 1) <EE87BFE1-5811-3A0C-BC68-6966D7FEDAE5> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNDArray.framework/Versions/A/MPSNDArray
    0x7fff3947e000 -     0x7fff395ddff4  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <08A6AF10-E23F-3F1D-AA26-E79E7FC09B07> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff395de000 -     0x7fff3962cfff  com.apple.MetalPerformanceShaders.MPSRayIntersector (1.0 - 1) <6FA84C3F-72F0-3234-9406-8F9EB922D3A2> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector
    0x7fff3962d000 -     0x7fff3962eff5  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <4DB9192E-5464-3A78-A9D3-35153717A21F> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
    0x7fff3a574000 -     0x7fff3a580ffe  com.apple.NetFS (6.0 - 4.0) <C803F10A-5C01-365B-A988-64B021DCDDD5> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff3a581000 -     0x7fff3a6c4ff6  com.apple.Network (1.0 - 1) <B87BEA5C-05CF-3284-BB74-33F9297225F8> /System/Library/Frameworks/Network.framework/Versions/A/Network
    0x7fff3a6c5000 -     0x7fff3a92cffa  com.apple.NetworkExtension (1.0 - 1) <B63B1EC0-C194-3EEE-BA06-B9C970B1B246> /System/Library/Frameworks/NetworkExtension.framework/Versions/A/NetworkExtension
    0x7fff3d0ed000 -     0x7fff3d145ff7  com.apple.opencl (3.5 - 3.5) <987CE84F-AC14-3CD4-9233-51CA828DA927> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff3d146000 -     0x7fff3d162fff  com.apple.CFOpenDirectory (10.15 - 220.40.1) <BD6064BC-F588-3A34-A70C-CF8B62CA04E0> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff3d163000 -     0x7fff3d16eff7  com.apple.OpenDirectory (10.15 - 220.40.1) <17B8A217-97DE-3DCA-B91B-6FB68451B94B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff3dac9000 -     0x7fff3dacbfff  libCVMSPluginSupport.dylib (17.10.22) <F040B206-0834-3D3C-8941-B89F74D1F054> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff3dacc000 -     0x7fff3dad1fff  libCoreFSCache.dylib (176.10) <72D4F770-DB3F-3242-B3DB-8488D910BD47> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff3dad2000 -     0x7fff3dad6fff  libCoreVMClient.dylib (176.10) <05AF05BB-AE62-39F9-BDEA-1BB1EE643301> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff3dad7000 -     0x7fff3dadfff7  libGFXShared.dylib (17.10.22) <6F327728-FC25-3428-B734-824B48EFC20B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff3dae0000 -     0x7fff3daeafff  libGL.dylib (17.10.22) <EA373BF1-0720-31A6-A5EF-8F1E67787264> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff3daeb000 -     0x7fff3db20fff  libGLImage.dylib (17.10.22) <6B0D6644-CEB0-3821-BAD4-05A56369A4F9> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff3dcb4000 -     0x7fff3dcf0fff  libGLU.dylib (17.10.22) <3516B087-6286-3831-9706-87634DB3AF07> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff3e720000 -     0x7fff3e72fff7  com.apple.opengl (17.10.22 - 17.10.22) <43B981BE-B730-345F-9AA4-49D075EBE0DB> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff3ed87000 -     0x7fff3ed8dff6  com.apple.PushKit (1.0 - 1) <F74751B9-ACEB-3D3A-9B05-948A9797DBF5> /System/Library/Frameworks/PushKit.framework/Versions/A/PushKit
    0x7fff3f6ea000 -     0x7fff3f968ff0  com.apple.QuartzCore (1.11 - 815.26) <D0953F98-5F8A-3346-8438-DBD870E9088B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff404b8000 -     0x7fff4080affa  com.apple.security (7.0 - 59306.61.1) <8B67829D-DDEB-3208-A4CE-FD5A57B1A0BB> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff4080b000 -     0x7fff40894ff7  com.apple.securityfoundation (6.0 - 55236.60.1) <D4B6FD66-8DB2-3373-B192-00CB9DFF9AA7> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff408c3000 -     0x7fff408c7ff0  com.apple.xpc.ServiceManagement (1.0 - 1) <AC719A11-8152-3BA1-9A01-62AD8A8F4022> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff41658000 -     0x7fff416c2fff  com.apple.SystemConfiguration (1.19 - 1.19) <96A25B9C-51EA-33B2-B681-B92365686CDB> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff4193e000 -     0x7fff41c98ffc  com.apple.VideoToolbox (1.0 - 2520.9.4.1) <DF0BB3D7-2F3E-3BDA-ACE5-C1E0AA17CA6B> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff45431000 -     0x7fff454f5fe7  com.apple.APFS (1412.61.1 - 1412.61.1) <AB316478-3C6D-33C1-A060-47D836CD01E1> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff465e8000 -     0x7fff465e9ff1  com.apple.AggregateDictionary (1.0 - 1) <29A10B7A-673A-3930-AB40-F1A57CE2D41E> /System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary
    0x7fff46af9000 -     0x7fff46b16ffc  com.apple.AppContainer (4.0 - 448.60.2) <EDF36C00-E6DD-399C-A096-E837956D396C> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
    0x7fff46b6b000 -     0x7fff46b79ff7  com.apple.AppSandbox (4.0 - 448.60.2) <FE493C66-50EB-3B23-A88A-5886D1C1543E> /System/Library/PrivateFrameworks/AppSandbox.framework/Versions/A/AppSandbox
    0x7fff47008000 -     0x7fff4702cff3  com.apple.framework.Apple80211 (13.0 - 1460.1) <4358EB87-7120-30C3-9517-A99F2B31E8ED> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff47162000 -     0x7fff47171fef  com.apple.AppleFSCompression (119 - 1.0) <48D076F0-D93E-3EFE-8400-9A7615D34F9F> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff47270000 -     0x7fff4727bff7  com.apple.AppleIDAuthSupport (1.0 - 1) <1C27C132-6261-33D8-A2E2-2AC85AAA7494> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
    0x7fff472bd000 -     0x7fff47305fff  com.apple.AppleJPEG (1.0 - 1) <E24CA921-96D1-356A-9E24-F5BB15BA123A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff476ba000 -     0x7fff476dfffd  com.apple.aps.framework (4.0 - 4.0) <0CF0374F-5A3E-345E-BC89-9D46D4DE3387> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fff476e0000 -     0x7fff476e4ff7  com.apple.AppleSRP (5.0 - 1) <1C833F7F-662E-33D0-A9E6-3F5C850A46AD> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff476e5000 -     0x7fff47707fff  com.apple.applesauce (1.0 - 16.22) <FB2BE134-D950-39FC-9912-C53B1CCFC38F> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
    0x7fff47708000 -     0x7fff47788ff2  com.apple.applescript (2.7 - 395) <BA6D4AF1-49E9-386D-9EE2-18814FD078A0> /System/Library/PrivateFrameworks/AppleScript.framework/Versions/A/AppleScript
    0x7fff477c7000 -     0x7fff477caffb  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <1374869E-E504-3C4F-999E-DF08DCF2643B> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff477cb000 -     0x7fff4781bff7  com.apple.AppleVAFramework (6.1.2 - 6.1.2) <583AA51D-9755-3558-AAE0-8141D05810B1> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff47864000 -     0x7fff47873ff9  com.apple.AssertionServices (1.0 - 223.60.4) <2C4FB378-B226-3134-A39E-ECB46B6FA5FA> /System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices
    0x7fff47db2000 -     0x7fff481b0ff4  com.apple.audio.AudioResourceArbitration (1.0 - 1) <88BB4F0D-F9DD-3F63-B11D-21DB1365C7C8> /System/Library/PrivateFrameworks/AudioResourceArbitration.framework/Versions/A/AudioResourceArbitration
    0x7fff48407000 -     0x7fff48644ff7  com.apple.audio.AudioToolboxCore (1.0 - 1104.30) <20C1EA64-71AD-326A-A552-E37DC0D907BE> /System/Library/PrivateFrameworks/AudioToolboxCore.framework/Versions/A/AudioToolboxCore
    0x7fff48645000 -     0x7fff4875eff4  com.apple.AuthKit (1.0 - 1) <1AE3B67D-F772-3711-9D9B-3B0AF9C31680> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
    0x7fff48919000 -     0x7fff48922ff3  com.apple.coreservices.BackgroundTaskManagement (1.0 - 104) <C12221CF-CA5D-333F-B384-201235F2AB92> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff48923000 -     0x7fff489c4ff8  com.apple.backup.framework (1.11.2 - 1298.2.10) <29722310-281C-3DD8-A096-A3D4ECCD6176> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff489c5000 -     0x7fff48a46ffd  com.apple.BaseBoard (464.1 - 464.1) <9D9C02DD-412F-3678-8618-E11632006139> /System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard
    0x7fff48b48000 -     0x7fff48b84fff  com.apple.bom (14.0 - 219.2) <6DAE8ED0-92B1-3E4B-B54C-E30D5588E02B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff48ca3000 -     0x7fff48cdaff9  com.apple.C2 (1.3 - 487) <9F7AF163-1B23-3EB8-8FE1-12416D58C7BC> /System/Library/PrivateFrameworks/C2.framework/Versions/A/C2
    0x7fff4970a000 -     0x7fff49759fff  com.apple.ChunkingLibrary (302 - 302) <C9AFF6B0-8BBC-3FE7-BD65-0631E06DA637> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff49888000 -     0x7fff49913ff4  com.apple.CloudDocs (1.0 - 690.1) <1C34BCEE-EA57-39D4-8E10-6D65C461BB75> /System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
    0x7fff4a619000 -     0x7fff4a62afff  com.apple.CommonAuth (4.0 - 2.0) <4DB8B487-119C-3606-9F9D-A62AAB097D3D> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff4a63e000 -     0x7fff4a655fff  com.apple.commonutilities (8.0 - 900) <3F9742B4-C4D6-3EE8-89C2-1630F7C754CF> /System/Library/PrivateFrameworks/CommonUtilities.framework/Versions/A/CommonUtilities
    0x7fff4ad4c000 -     0x7fff4b121fc8  com.apple.CoreAUC (283.0.0 - 283.0.0) <54B58388-0D28-35E4-B4BD-9C1D279BD9ED> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff4b122000 -     0x7fff4b150ffb  com.apple.CoreAVCHD (6.1.0 - 6100.4.1) <E57A2D84-4A66-35F6-A888-314AB0852643> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff4b173000 -     0x7fff4b192ff0  com.apple.analyticsd (1.0 - 1) <9AD0F7A2-37DE-3F14-A843-D573DED81646> /System/Library/PrivateFrameworks/CoreAnalytics.framework/Versions/A/CoreAnalytics
    0x7fff4b45d000 -     0x7fff4b468ff7  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <68D6AC85-CAFE-3223-BF1C-1FD8FFA61144> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
    0x7fff4b6e9000 -     0x7fff4b6f9ff3  com.apple.CoreEmoji (1.0 - 107) <4BBD8552-5D0D-32F7-AB41-85A51F59B2CA> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff4bd4d000 -     0x7fff4bdb7ff0  com.apple.CoreNLP (1.0 - 213) <682C4550-F662-3BD0-BD30-A4BEF5E2B74B> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff4c229000 -     0x7fff4c231ff0  com.apple.CorePhoneNumbers (1.0 - 1) <8E2800B5-D750-340B-824C-F294A3581D51> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
    0x7fff4c97e000 -     0x7fff4c9a1ff7  com.apple.CoreSVG (1.0 - 129) <DF071FDE-1BE6-3899-B203-29275A39AD1E> /System/Library/PrivateFrameworks/CoreSVG.framework/Versions/A/CoreSVG
    0x7fff4c9a2000 -     0x7fff4c9d5ff7  com.apple.CoreServicesInternal (446.6 - 446.6) <B7CEA8A6-6C94-3E88-844D-6A3169CC2BA9> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff4c9d6000 -     0x7fff4ca04ff7  com.apple.CSStore (1069.11 - 1069.11) <C7CCB364-F4ED-3E46-90D6-1376F10F8DB3> /System/Library/PrivateFrameworks/CoreServicesStore.framework/Versions/A/CoreServicesStore
    0x7fff4cf07000 -     0x7fff4cf8efff  com.apple.CoreSymbolication (11.0 - 64509.98.1) <38CCC6A0-E7F8-3FE0-A3E2-DF27CC6C8A58> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff4d026000 -     0x7fff4d152ff4  com.apple.coreui (2.1 - 608.3) <98D37B78-FC09-3D5B-B3F6-2B8A0E20360B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff4d153000 -     0x7fff4d2eeff6  com.apple.CoreUtils (6.1 - 610.18) <CCC7314C-57F5-3528-B6F4-C470385069AF> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
    0x7fff4d423000 -     0x7fff4d436ff1  com.apple.CrashReporterSupport (10.13 - 15011) <72E8461C-DA63-3768-84DC-FB52DCB0CC4F> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff4d6a0000 -     0x7fff4d6b2ffc  com.apple.framework.DFRFoundation (1.0 - 252) <B5747371-51E9-30C2-A80E-AB995925CEB5> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
    0x7fff4d6b3000 -     0x7fff4d6b8fff  com.apple.DSExternalDisplay (3.1 - 380) <58AB05D2-DA0C-376E-972B-F50A774D726D> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
    0x7fff4d721000 -     0x7fff4d79cff8  com.apple.datadetectorscore (8.0 - 659) <FA91248B-4B1A-355B-BC2D-E6531DD67863> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff4d7e8000 -     0x7fff4d826ff0  com.apple.DebugSymbols (194 - 194) <63EC0BF1-7FAC-3234-870A-0AB25921DADB> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff4d827000 -     0x7fff4d983ffe  com.apple.desktopservices (1.14.2 - 1281.2.6) <61257EE1-FBCA-3B57-84C8-6EA97BCF39CC> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff4dac6000 -     0x7fff4db8eff6  com.apple.DiskImagesFramework (559.40.3 - 559.40.3) <FC858532-A872-3B43-8650-7D7E960C5457> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff4db8f000 -     0x7fff4dc5fff6  com.apple.DiskManagement (13.0 - 1648.60.1) <05521AEB-172A-3AAC-90CB-F0FA6B952883> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
    0x7fff4dd08000 -     0x7fff4dd3dff7  com.apple.SystemConfiguration.EAP8021X (14.0.0 - 14.0) <EF22F931-70F1-38F2-A0AE-76F1ED92FA50> /System/Library/PrivateFrameworks/EAP8021X.framework/Versions/A/EAP8021X
    0x7fff4dd3e000 -     0x7fff4dd42ff9  com.apple.EFILogin (2.0 - 2) <6FA447B0-32F6-3A81-B5EC-DAA9B595FACB> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff4f1c4000 -     0x7fff4f5dfff9  com.apple.vision.FaceCore (4.3.0 - 4.3.0) <8B2604AE-C6F8-3A53-8A94-DBA2A762EC2B> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff4fc0f000 -     0x7fff4fc0fffb  com.apple.FinderSyncPriv (1.0.2 - 1298.2.10) <E903BEDA-F279-3D06-A787-E77EDB35BDC3> /System/Library/PrivateFrameworks/FinderSyncPriv.framework/Versions/A/FinderSyncPriv
    0x7fff4fc43000 -     0x7fff4fd7affc  libFontParser.dylib (277.2.1.2) <06A40213-0043-31F3-9AF5-DA513322DA20> /System/Library/PrivateFrameworks/FontServices.framework/libFontParser.dylib
    0x7fff4fd7b000 -     0x7fff4fdaffff  libTrueTypeScaler.dylib (277.2.1.2) <84394970-1C12-3DFB-A72F-9E80944B2191> /System/Library/PrivateFrameworks/FontServices.framework/libTrueTypeScaler.dylib
    0x7fff4fdb0000 -     0x7fff4fe13fff  libType1Scaler.dylib (146) <2BD81454-61C0-3D3B-AE4F-5DA25EC6CEB6> /System/Library/PrivateFrameworks/FontServices.framework/libType1Scaler.dylib
    0x7fff4fe14000 -     0x7fff4fe24ff6  libhvf.dylib (1.0 - $[CURRENT_PROJECT_VERSION]) <DF14F485-8D5C-3F5F-9846-7433958B752F> /System/Library/PrivateFrameworks/FontServices.framework/libhvf.dylib
    0x7fff532e9000 -     0x7fff532eafff  libmetal_timestamp.dylib (902.11.1) <815B0315-2A6A-374E-A9F5-A86A8242482B> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3902/Libraries/libmetal_timestamp.dylib
    0x7fff54991000 -     0x7fff54997fff  com.apple.GPUWrangler (4.5.21 - 4.5.21) <ACFA40E7-18A3-3A98-BCB3-0196FFD230D2> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
    0x7fff54cb3000 -     0x7fff54cd9ffb  com.apple.GenerationalStorage (2.0 - 313) <EF5FDA24-EE14-3EF6-BF2B-FA72FFA175C6> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff54cf2000 -     0x7fff55ccfff6  com.apple.GeoServices (1.0 - 1624.22.10.8.7) <759472D8-D79F-3CF6-980E-7FC5A8BF2B64> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff55dfd000 -     0x7fff55e0bffb  com.apple.GraphVisualizer (1.0 - 100.1) <F59FCBF7-63DA-3C59-945E-E5BB66C4CCFF> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
    0x7fff55f9e000 -     0x7fff5605bff4  com.apple.Heimdal (4.0 - 2.0) <DE4CE40D-4797-3793-97FE-49FC4B764E56> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff5819a000 -     0x7fff581a2ffd  com.apple.IOAccelerator (438.2.8 - 438.2.8) <15817F17-2AF1-32DF-8A6C-DD65B80075D7> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff581a5000 -     0x7fff581bbff7  com.apple.IOPresentment (1.0 - 37) <F70AC027-E18E-39BC-A96E-ED15B802C832> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
    0x7fff58545000 -     0x7fff58590ff4  com.apple.IconServices (438.3 - 438.3) <1F6BDF56-6C42-3C29-BD16-5C9921C64D87> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff5874e000 -     0x7fff58754ffc  com.apple.InternationalSupport (1.0 - 45) <5A076C86-0CA4-338E-AEC1-1C8F5E601DA3> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
    0x7fff58995000 -     0x7fff589b5ff6  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <665A02F2-2DC9-3BE1-8A91-DC8629495B1D> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
    0x7fff58b0d000 -     0x7fff58bdbff5  com.apple.LanguageModeling (1.0 - 215.1) <34D9FCAB-CDB6-3F3A-AAD8-A9D0A0713AE3> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff58bdc000 -     0x7fff58c24ff7  com.apple.Lexicon-framework (1.0 - 72) <7413459B-0E19-3C4F-BB84-4E8914875C2D> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff58c2b000 -     0x7fff58c2fff2  com.apple.LinguisticData (1.0 - 353.6) <63A3EE9B-A415-31A0-88DA-278AC277E1B1> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff58c56000 -     0x7fff58c7affe  com.apple.locationsupport (2389.0.8 - 2389.0.8) <EFEB2042-AF4B-3E37-B202-8359A8C11BEE> /System/Library/PrivateFrameworks/LocationSupport.framework/Versions/A/LocationSupport
    0x7fff58cd3000 -     0x7fff58cd8ff7  com.apple.LoginUICore (4.0 - 4.0) <468B06DF-5690-3404-B97E-FA6C393CACD6> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
    0x7fff594c9000 -     0x7fff594ccfff  com.apple.Mangrove (1.0 - 25) <B7599CE8-F263-314E-BE6D-454A183C08B0> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff59735000 -     0x7fff597bfff0  com.apple.MediaExperience (1.0 - 1) <560BBD61-82DB-33F0-8EF5-B0DF6DCAA7BB> /System/Library/PrivateFrameworks/MediaExperience.framework/Versions/A/MediaExperience
    0x7fff597c0000 -     0x7fff597f3fff  com.apple.MediaKit (16 - 923) <C55D7226-8635-3C3D-84F6-B63051C78097> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff59f89000 -     0x7fff59fd5fff  com.apple.spotlight.metadata.utilities (1.0 - 2075.4) <65B49E2A-EF09-30EB-9821-4B348E35EE0B> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
    0x7fff59fd6000 -     0x7fff5a0a4ffd  com.apple.gpusw.MetalTools (1.0 - 1) <0E41F3B9-EEB3-35AD-8464-75864345693A> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
    0x7fff5a0fe000 -     0x7fff5a117ff8  com.apple.MobileAssets (1.0 - 619.60.1) <FAEEE25D-5258-3C1F-8A2E-355FFC46CC43> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
    0x7fff5a2d4000 -     0x7fff5a2f2ff7  com.apple.MobileKeyBag (2.0 - 1.0) <8C650D8D-3711-32C6-AF4B-E0F165B55B5E> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
    0x7fff5a559000 -     0x7fff5a587ff7  com.apple.MultitouchSupport.framework (3420.2 - 3420.2) <1BB8C03E-ACBA-3042-9AFA-A918B6183C01> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff5aa86000 -     0x7fff5aa90fff  com.apple.NetAuth (6.2 - 6.2) <CB6D1EE0-3397-3254-A67B-FB24ABC3CF43> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff5b481000 -     0x7fff5b4cdff7  com.apple.OTSVG (1.0 - 643.1.2.3) <21D6DEC5-89CF-3856-977F-FFB033605FF6> /System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG
    0x7fff5c663000 -     0x7fff5c66effe  com.apple.PerformanceAnalysis (1.243.1 - 243.1) <3D906473-45A4-3C06-93DB-F66ACF9E217D> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff5c66f000 -     0x7fff5c697ffb  com.apple.persistentconnection (1.0 - 1.0) <FDBC8DE5-1C73-3D5C-A9BA-3C391B10A7BD> /System/Library/PrivateFrameworks/PersistentConnection.framework/Versions/A/PersistentConnection
    0x7fff5e0af000 -     0x7fff5e0dfff1  com.apple.pluginkit.framework (1.0 - 1) <B7C7947B-70FF-352A-8203-59D8EAEED7C8> /System/Library/PrivateFrameworks/PlugInKit.framework/Versions/A/PlugInKit
    0x7fff5e108000 -     0x7fff5e11bff8  com.apple.PowerLog (1.0 - 1) <6AA2A5E6-E9DF-3DE0-8DCB-B4B67DB90AD7> /System/Library/PrivateFrameworks/PowerLog.framework/Versions/A/PowerLog
    0x7fff5ef89000 -     0x7fff5efe3ff7  com.apple.ProtectedCloudStorage (1.0 - 1) <53AE5D1D-D3A3-3085-88F8-2CE1076CF210> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
    0x7fff5efe4000 -     0x7fff5effdfff  com.apple.ProtocolBuffer (1 - 274.20.7.15.1) <7CE69139-FFAC-3C48-A491-39604B93CA37> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff5f406000 -     0x7fff5f42fff9  com.apple.RemoteViewServices (2.0 - 148) <590871B7-47F6-3936-AA17-B0AA0DC177D4> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff5f595000 -     0x7fff5f5d0ff4  com.apple.RunningBoardServices (1.0 - 223.60.4) <2DF794E5-4008-3D86-9856-F28C49142FE3> /System/Library/PrivateFrameworks/RunningBoardServices.framework/Versions/A/RunningBoardServices
    0x7fff60f16000 -     0x7fff60f19ff9  com.apple.SecCodeWrapper (4.0 - 448.60.2) <4EED91B7-2B87-3EDF-9E92-311F55247B3C> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
    0x7fff6108c000 -     0x7fff611b0ff4  com.apple.Sharing (1506.6 - 1506.6) <6E65B170-45C1-354E-8D55-22BF5DFF9C90> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff621c8000 -     0x7fff624c0ffa  com.apple.SkyLight (1.600.0 - 450.1) <65653F86-25AD-3283-9F81-DA56A8D01F69> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff62d08000 -     0x7fff62d16fff  com.apple.SpeechRecognitionCore (6.0.91 - 6.0.91) <0D6C7167-ECA8-3D6E-BC08-CCE8B4115F8E> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff62dd8000 -     0x7fff63063ff6  com.apple.spotlight.index (10.7.0 - 2075.4) <4DFD4A1B-BCEA-3BA8-83B8-25EF715E7542> /System/Library/PrivateFrameworks/SpotlightIndex.framework/Versions/A/SpotlightIndex
    0x7fff633e7000 -     0x7fff63428ff9  com.apple.StreamingZip (1.0 - 1) <EE12C4F6-D0AB-30E3-975D-4FBC599CB608> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
    0x7fff63539000 -     0x7fff63542ff7  com.apple.SymptomDiagnosticReporter (1.0 - 1238.60.1) <06787E03-CFFE-3240-B95A-8D2763ED550B> /System/Library/PrivateFrameworks/SymptomDiagnosticReporter.framework/Versions/A/SymptomDiagnosticReporter
    0x7fff635b4000 -     0x7fff635deffc  com.apple.framework.SystemAdministration (1.0 - 1.0) <1B306488-1675-33B8-B544-B3C3C93ECB39> /System/Library/PrivateFrameworks/SystemAdministration.framework/Versions/A/SystemAdministration
    0x7fff637f8000 -     0x7fff63808ff3  com.apple.TCC (1.0 - 1) <5DDF1103-C7EE-3588-A532-F33AC526B288> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff63cfd000 -     0x7fff63dc4ff4  com.apple.TextureIO (3.10.9 - 3.10.9) <360BB4A8-E37F-30DB-B798-2DAD29DEA9D3> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
    0x7fff63f41000 -     0x7fff63f42fff  com.apple.TrustEvaluationAgent (2.0 - 33) <B479997B-F2E3-3D95-88F2-572D25B14A15> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff64c1b000 -     0x7fff64e75ff2  com.apple.UIFoundation (1.0 - 660) <5BAA592B-3B1B-367F-8A26-3AFFB4C355D0> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff65a69000 -     0x7fff65a89fff  com.apple.UserManagement (1.0 - 1) <EDB62A60-2BCA-3022-A07F-83E9E0431C48> /System/Library/PrivateFrameworks/UserManagement.framework/Versions/A/UserManagement
    0x7fff6683d000 -     0x7fff66927ffe  com.apple.ViewBridge (462 - 462) <AD0573C5-5C5A-3BE3-AD29-FEE92A78B169> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
    0x7fff66acd000 -     0x7fff66acefff  com.apple.WatchdogClient.framework (1.0 - 67.60.1) <DE42FAF9-24CB-34DA-9AD0-76FE0F3C1C5E> /System/Library/PrivateFrameworks/WatchdogClient.framework/Versions/A/WatchdogClient
    0x7fff676ab000 -     0x7fff676aeffa  com.apple.dt.XCTTargetBootstrap (1.0 - 15700) <E7FE2B68-51FA-3863-AB49-BEE9D862DBAB> /System/Library/PrivateFrameworks/XCTTargetBootstrap.framework/Versions/A/XCTTargetBootstrap
    0x7fff67727000 -     0x7fff67735ff5  com.apple.audio.caulk (1.0 - 32.3) <400717FB-3552-3F61-BCBE-53F89F33DDAE> /System/Library/PrivateFrameworks/caulk.framework/Versions/A/caulk
    0x7fff67a76000 -     0x7fff67a78ff3  com.apple.loginsupport (1.0 - 1) <1E3EFDAA-97FB-352A-8802-005343FE60F9> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff67a79000 -     0x7fff67a8cffd  com.apple.login (3.0 - 3.0) <40531B9D-B0F1-371F-A5E8-0FC91D7AD175> /System/Library/PrivateFrameworks/login.framework/Versions/A/login
    0x7fff67d9c000 -     0x7fff67dd2ffa  libAudioToolboxUtility.dylib (1104.30) <5688DDAC-8A24-3061-B431-43AFCA320EF5> /usr/lib/libAudioToolboxUtility.dylib
    0x7fff67dd9000 -     0x7fff67e0eff7  libCRFSuite.dylib (48) <7E22F62C-3EEA-3880-9CCD-0EA93FB953DC> /usr/lib/libCRFSuite.dylib
    0x7fff67e11000 -     0x7fff67e1bff3  libChineseTokenizer.dylib (34) <3023F415-2B77-38DA-ABDD-16BFD18CED69> /usr/lib/libChineseTokenizer.dylib
    0x7fff67e1c000 -     0x7fff67ea5fff  libCoreStorage.dylib (551) <5CA96279-B9E0-390D-8488-CD77D5EB89A6> /usr/lib/libCoreStorage.dylib
    0x7fff67ea8000 -     0x7fff67eaaff7  libDiagnosticMessagesClient.dylib (112) <D84AA565-8B5C-39EB-AB5E-61DC38B8493C> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff67eef000 -     0x7fff680a6ff3  libFosl_dynamic.dylib (100.4) <84A5F946-01EE-3740-BD2F-4C2A6B1FE82B> /usr/lib/libFosl_dynamic.dylib
    0x7fff680cd000 -     0x7fff680d3ff3  libIOReport.dylib (54) <B68B8787-1D0A-3E06-8E6A-0E59771F796C> /usr/lib/libIOReport.dylib
    0x7fff681b3000 -     0x7fff681bafff  libMatch.1.dylib (36) <F161E5B5-59CB-3C46-BA6D-0E5DE36DF7FC> /usr/lib/libMatch.1.dylib
    0x7fff681ea000 -     0x7fff68209fff  libMobileGestalt.dylib (826.60.1) <7FA72434-FD46-300D-A6BD-D47A4FEF03C5> /usr/lib/libMobileGestalt.dylib
    0x7fff68370000 -     0x7fff68371ff3  libSystem.B.dylib (1281) <2F6BCFD9-A5F9-30FE-BF5A-5C53D3CBAB4D> /usr/lib/libSystem.B.dylib
    0x7fff68400000 -     0x7fff68401fff  libThaiTokenizer.dylib (3) <DDCB09BD-CBDF-3628-B44F-C5328037A929> /usr/lib/libThaiTokenizer.dylib
    0x7fff68419000 -     0x7fff6842ffff  libapple_nghttp2.dylib (1.39.2) <0685C38F-7A9F-34CB-B3FF-92601483A0FF> /usr/lib/libapple_nghttp2.dylib
    0x7fff68464000 -     0x7fff684d6ff7  libarchive.2.dylib (72.40.2) <88E010D7-060F-333E-B5B4-0249154B9868> /usr/lib/libarchive.2.dylib
    0x7fff684d7000 -     0x7fff6856dfc5  libate.dylib (2.0.9) <63A28B5E-0AAA-3893-91DD-1A64A03FE8A2> /usr/lib/libate.dylib
    0x7fff68571000 -     0x7fff68571ff3  libauto.dylib (187) <724B1E92-64DC-30CD-A90B-DA90B5794A94> /usr/lib/libauto.dylib
    0x7fff68638000 -     0x7fff68648ff3  libbsm.0.dylib (60) <2E6E444F-7BF3-32E0-AF3A-DE9BF9D9DAAB> /usr/lib/libbsm.0.dylib
    0x7fff68649000 -     0x7fff68655fff  libbz2.1.0.dylib (44) <8FCE28A3-D250-37F5-93B6-866E8494DCAA> /usr/lib/libbz2.1.0.dylib
    0x7fff68656000 -     0x7fff686a9ff7  libc++.1.dylib (800.7) <6018A70E-5CD3-32AF-BA60-E7A0B7E7CEB2> /usr/lib/libc++.1.dylib
    0x7fff686aa000 -     0x7fff686befff  libc++abi.dylib (800.7) <BC1E5821-4540-3226-ABB0-BC35E4DDF0B9> /usr/lib/libc++abi.dylib
    0x7fff686bf000 -     0x7fff686bfffb  libcharset.1.dylib (59) <1B71DC8A-FBF2-37F8-92C0-34AE72B7CED3> /usr/lib/libcharset.1.dylib
    0x7fff686c0000 -     0x7fff686d1ffb  libcmph.dylib (8) <55F5F96B-F93C-3A1A-80F7-61B9ED2C2F6C> /usr/lib/libcmph.dylib
    0x7fff686d2000 -     0x7fff686e9fe7  libcompression.dylib (87) <35A0C0B0-6545-3E18-AEA7-F8C70E0FB095> /usr/lib/libcompression.dylib
    0x7fff689b9000 -     0x7fff689cfff7  libcoretls.dylib (167) <EFA4D470-4840-3D55-A287-32E82EC0EC58> /usr/lib/libcoretls.dylib
    0x7fff689d0000 -     0x7fff689d1fff  libcoretls_cfhelpers.dylib (167) <F0EAEB10-7C1F-3CB1-B04E-D7B96665C749> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff68e75000 -     0x7fff68f79fe7  libcrypto.44.dylib (47.11.1) <605586E0-F9D4-356B-80A6-3B630864535F> /usr/lib/libcrypto.44.dylib
    0x7fff68f7c000 -     0x7fff68f87ff7  libcsfde.dylib (551) <71213116-5522-34A0-B731-EA243E7CD88B> /usr/lib/libcsfde.dylib
    0x7fff68f8f000 -     0x7fff68feefff  libcups.2.dylib (483.2) <2C8BF301-578F-3148-9A52-C1CA90402D9B> /usr/lib/libcups.2.dylib
    0x7fff68ff0000 -     0x7fff69057fff  libcurl.4.dylib (118) <B8AE54EE-41F3-314B-BE6F-F2B70D186C4F> /usr/lib/libcurl.4.dylib
    0x7fff690fa000 -     0x7fff690fafff  libenergytrace.dylib (21) <38819A80-4A1A-32D7-99D3-B675808F30CF> /usr/lib/libenergytrace.dylib
    0x7fff690fb000 -     0x7fff69114ff7  libexpat.1.dylib (19.60.2) <81E75AD6-C332-3DC6-804F-A71FC64EC6A1> /usr/lib/libexpat.1.dylib
    0x7fff69122000 -     0x7fff69124fff  libfakelink.dylib (149) <AAA5BBB4-F6FA-3B36-9245-B6999A95C63C> /usr/lib/libfakelink.dylib
    0x7fff69125000 -     0x7fff6912af4f  libffi.dylib (25) <72403FC3-C895-326B-9E0A-05A343367A74> /usr/lib/libffi.dylib
    0x7fff69133000 -     0x7fff69138fff  libgermantok.dylib (24) <6D3925E0-8A6F-3BE1-8729-ABEDE2264AF1> /usr/lib/libgermantok.dylib
    0x7fff69139000 -     0x7fff69142ff7  libheimdal-asn1.dylib (564.60.2) <69184137-9EFE-366C-BE2D-7027A1677F76> /usr/lib/libheimdal-asn1.dylib
    0x7fff69143000 -     0x7fff69233ff7  libiconv.2.dylib (59) <54B90704-F9C8-31B4-AE04-FE496B3725A3> /usr/lib/libiconv.2.dylib
    0x7fff69234000 -     0x7fff6948cff7  libicucore.A.dylib (64252.0.1) <AD2FDFC2-F9D9-3D64-950A-6CF6FC114B95> /usr/lib/libicucore.A.dylib
    0x7fff694a6000 -     0x7fff694a7fff  liblangid.dylib (133) <7E36BF2A-6E88-3A32-8412-4FD5D850D44A> /usr/lib/liblangid.dylib
    0x7fff694a8000 -     0x7fff694c0ff3  liblzma.5.dylib (16) <A4980A1E-CA23-31F2-8CAD-3BA62F802FE7> /usr/lib/liblzma.5.dylib
    0x7fff694d8000 -     0x7fff6957ffff  libmecab.dylib (883.1.1) <790EBEF5-E677-363E-848F-C5E378F35C98> /usr/lib/libmecab.dylib
    0x7fff69580000 -     0x7fff697e2fe1  libmecabra.dylib (883.1.1) <B59546A4-D7B2-365E-ADB3-13BC524E3407> /usr/lib/libmecabra.dylib
    0x7fff69b4e000 -     0x7fff69b7dff7  libncurses.5.4.dylib (57) <D781E97A-8970-329C-ADB8-F3CEA0343F8E> /usr/lib/libncurses.5.4.dylib
    0x7fff69cac000 -     0x7fff6a122ff7  libnetwork.dylib (1880.60.5) <0B1AF784-11A0-31EE-AC24-2E0BAB975CC7> /usr/lib/libnetwork.dylib
    0x7fff6a123000 -     0x7fff6a139fff  libnetworkextension.dylib (1095.60.2) <9CBF2B1A-A0F9-32A6-8034-5483E5EF072F> /usr/lib/libnetworkextension.dylib
    0x7fff6a1c1000 -     0x7fff6a1f2fc6  libobjc.A.dylib (781.2) <17241F77-6A7A-39D7-8836-63E2725AA3C9> /usr/lib/libobjc.A.dylib
    0x7fff6a1f3000 -     0x7fff6a1f4ff7  libodfde.dylib (26) <A2D8BCBC-AE08-3814-A7F7-E9852D69AB97> /usr/lib/libodfde.dylib
    0x7fff6a205000 -     0x7fff6a209fff  libpam.2.dylib (25) <C6BFA445-E6A2-3A18-89F3-2E1D85405E69> /usr/lib/libpam.2.dylib
    0x7fff6a20c000 -     0x7fff6a242ff7  libpcap.A.dylib (89.60.2) <882835C6-7DA0-3465-A646-EBA215EF9DAD> /usr/lib/libpcap.A.dylib
    0x7fff6a2c4000 -     0x7fff6a2dcff7  libresolv.9.dylib (67.40.1) <2DEF6C56-0CF8-3469-B21C-D8994D048807> /usr/lib/libresolv.9.dylib
    0x7fff6a2de000 -     0x7fff6a322fff  libsandbox.1.dylib (1217.61.1) <5D1AC9FE-A068-3883-AEB6-5F0D2F8B93A5> /usr/lib/libsandbox.1.dylib
    0x7fff6a323000 -     0x7fff6a335fff  libsasl2.2.dylib (213) <600FEDE0-0868-3579-8773-25BD2EC3C687> /usr/lib/libsasl2.2.dylib
    0x7fff6a336000 -     0x7fff6a337ff7  libspindump.dylib (281.2) <8541CC86-40AB-3118-BD79-6B15F5871188> /usr/lib/libspindump.dylib
    0x7fff6a338000 -     0x7fff6a525ff7  libsqlite3.dylib (308.4) <5FAC89DA-EC45-3F38-8D00-FE638D6FD4D5> /usr/lib/libsqlite3.dylib
    0x7fff6a619000 -     0x7fff6a646ffb  libssl.46.dylib (47.11.1) <82B7CF9F-0C56-304B-874E-08DEDD5AD390> /usr/lib/libssl.46.dylib
    0x7fff6a71b000 -     0x7fff6a776ff8  libusrtcp.dylib (1880.60.5) <5D0CEAF0-F412-3768-9BE1-4D51F9832D29> /usr/lib/libusrtcp.dylib
    0x7fff6a777000 -     0x7fff6a77affb  libutil.dylib (57) <86C9C769-0523-38C6-940E-900C8CAB780A> /usr/lib/libutil.dylib
    0x7fff6a77b000 -     0x7fff6a788fff  libxar.1.dylib (420) <03679705-EDE0-361D-B0B2-1A69170A6FF1> /usr/lib/libxar.1.dylib
    0x7fff6a78e000 -     0x7fff6a870ff7  libxml2.2.dylib (32.13) <DDA76502-B9D9-3459-97DB-C8B85D9310A9> /usr/lib/libxml2.2.dylib
    0x7fff6a874000 -     0x7fff6a89cfff  libxslt.1.dylib (16.7) <0BBEC00F-116C-3AF8-B751-970482388AED> /usr/lib/libxslt.1.dylib
    0x7fff6a89d000 -     0x7fff6a8afffb  libz.1.dylib (76) <1005ADEB-04A2-3E42-B915-AB4B40A7AB3A> /usr/lib/libz.1.dylib
    0x7fff6b313000 -     0x7fff6b318ff3  libcache.dylib (83) <AD7479C0-73FA-3B2E-9544-D566DFFAB4C6> /usr/lib/system/libcache.dylib
    0x7fff6b319000 -     0x7fff6b324fff  libcommonCrypto.dylib (60165) <F7B65873-FAC8-3EB5-8912-34109EFC74B5> /usr/lib/system/libcommonCrypto.dylib
    0x7fff6b325000 -     0x7fff6b32cfff  libcompiler_rt.dylib (101.2) <51107CAA-0727-370D-8287-940D40D09AC1> /usr/lib/system/libcompiler_rt.dylib
    0x7fff6b32d000 -     0x7fff6b336fff  libcopyfile.dylib (166.40.1) <6454A046-88E5-32D6-898C-FB0D30D28637> /usr/lib/system/libcopyfile.dylib
    0x7fff6b337000 -     0x7fff6b3cefe7  libcorecrypto.dylib (866.60.3) <8090C446-35C8-31B4-8B1E-AF6D0EF3524B> /usr/lib/system/libcorecrypto.dylib
    0x7fff6b4e5000 -     0x7fff6b526ff0  libdispatch.dylib (1173.60.1) <A9EDFE95-31BA-3BEF-89CA-60DE153237FA> /usr/lib/system/libdispatch.dylib
    0x7fff6b527000 -     0x7fff6b55cff7  libdyld.dylib (733.8) <8E2D3DED-0756-37A0-9D55-B9264CA020B4> /usr/lib/system/libdyld.dylib
    0x7fff6b55d000 -     0x7fff6b55dffb  libkeymgr.dylib (30) <0B9A3AF7-086E-3E7A-A52E-3DAF2E52CF86> /usr/lib/system/libkeymgr.dylib
    0x7fff6b55e000 -     0x7fff6b56aff7  libkxld.dylib (6153.61.1) <E4A12D21-999B-34CE-ACEC-7C7972B3BAED> /usr/lib/system/libkxld.dylib
    0x7fff6b56b000 -     0x7fff6b56bff7  liblaunch.dylib (1738.61.1) <A061D971-A337-3528-8B78-FFAD2B0B5CC6> /usr/lib/system/liblaunch.dylib
    0x7fff6b56c000 -     0x7fff6b571ff7  libmacho.dylib (949.0.1) <9831715F-ED86-3A9D-88CD-152C888B784B> /usr/lib/system/libmacho.dylib
    0x7fff6b572000 -     0x7fff6b574ff7  libquarantine.dylib (110.40.3) <58CE8913-EC7B-376B-BC80-69763993A1E4> /usr/lib/system/libquarantine.dylib
    0x7fff6b575000 -     0x7fff6b576ff7  libremovefile.dylib (48) <4E1AD797-3993-3E05-BB9B-B4E3038CE09C> /usr/lib/system/libremovefile.dylib
    0x7fff6b577000 -     0x7fff6b58efff  libsystem_asl.dylib (377.60.2) <2CD6CABE-F8D7-3CCA-A930-08F8AC356D30> /usr/lib/system/libsystem_asl.dylib
    0x7fff6b58f000 -     0x7fff6b58ffff  libsystem_blocks.dylib (74) <71A75F21-83AD-382F-95E4-4D6B77B4B9FE> /usr/lib/system/libsystem_blocks.dylib
    0x7fff6b590000 -     0x7fff6b617ff7  libsystem_c.dylib (1353.60.8) <ECA8CD0D-0B55-3151-B389-8109DAEC85B1> /usr/lib/system/libsystem_c.dylib
    0x7fff6b618000 -     0x7fff6b61bffb  libsystem_configuration.dylib (1061.40.2) <CE186284-4923-35DE-9141-7B6B89523668> /usr/lib/system/libsystem_configuration.dylib
    0x7fff6b61c000 -     0x7fff6b61fff7  libsystem_coreservices.dylib (114) <FBE4483A-7B6E-30CF-AECE-828AFFACDC15> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff6b620000 -     0x7fff6b628fff  libsystem_darwin.dylib (1353.60.8) <9AC37996-630C-3B1E-8285-CFC77B684359> /usr/lib/system/libsystem_darwin.dylib
    0x7fff6b629000 -     0x7fff6b630ffb  libsystem_dnssd.dylib (1096.60.2) <7F0DF910-F4AC-3CED-9494-295B5E45549C> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff6b631000 -     0x7fff6b632ffb  libsystem_featureflags.dylib (17) <985005B7-C0B3-3DCA-B064-6D34A0687212> /usr/lib/system/libsystem_featureflags.dylib
    0x7fff6b633000 -     0x7fff6b680fff  libsystem_info.dylib (538) <D9805FBC-1BBD-3825-AB62-83C3ABB4191F> /usr/lib/system/libsystem_info.dylib
    0x7fff6b681000 -     0x7fff6b6adff7  libsystem_kernel.dylib (6153.61.1) <90F8650F-D3A9-38B3-BB8C-B5D3686393BC> /usr/lib/system/libsystem_kernel.dylib
    0x7fff6b6ae000 -     0x7fff6b6f5fcf  libsystem_m.dylib (3178) <92F1FF45-BD1C-32FE-A9A9-D12AF02C8212> /usr/lib/system/libsystem_m.dylib
    0x7fff6b6f6000 -     0x7fff6b71dfff  libsystem_malloc.dylib (283.60.1) <51472F42-71BE-348F-B42E-4EDD3040B690> /usr/lib/system/libsystem_malloc.dylib
    0x7fff6b71e000 -     0x7fff6b72bffb  libsystem_networkextension.dylib (1095.60.2) <846C06C0-A705-38AE-8A29-3FA4153252B3> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff6b72c000 -     0x7fff6b735ff3  libsystem_notify.dylib (241) <7CB7DE46-5877-3CAD-8526-CACEA22F3AD5> /usr/lib/system/libsystem_notify.dylib
    0x7fff6b736000 -     0x7fff6b73ffef  libsystem_platform.dylib (220) <AC9560A9-CCE8-3158-BCC8-8FF47929397A> /usr/lib/system/libsystem_platform.dylib
    0x7fff6b740000 -     0x7fff6b74afff  libsystem_pthread.dylib (416.60.2) <9D14694F-F3FE-385D-9B23-6A87844D5CBF> /usr/lib/system/libsystem_pthread.dylib
    0x7fff6b74b000 -     0x7fff6b74ffff  libsystem_sandbox.dylib (1217.61.1) <AA2E4441-A517-3921-AF0E-AA8158D2A6D9> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff6b750000 -     0x7fff6b752fff  libsystem_secinit.dylib (62.60.1) <129C187A-E580-3F00-A0C3-E96A633364F1> /usr/lib/system/libsystem_secinit.dylib
    0x7fff6b753000 -     0x7fff6b75affb  libsystem_symptoms.dylib (1238.60.1) <5540DEA3-9C3A-3991-8C3A-7B375A5410C7> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff6b75b000 -     0x7fff6b771ff2  libsystem_trace.dylib (1147.60.3) <EF6BD746-85CD-3490-92E6-7C7EDA0B703B> /usr/lib/system/libsystem_trace.dylib
    0x7fff6b773000 -     0x7fff6b778ffb  libunwind.dylib (35.4) <769F4C16-2746-3182-85C1-45CC98D119C8> /usr/lib/system/libunwind.dylib
    0x7fff6b779000 -     0x7fff6b7adffe  libxpc.dylib (1738.61.1) <AC9AD00D-BAA9-3ABC-B557-77E604CF9955> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 8
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 338978
    thread_create: 0
    thread_set_state: 561

VM Region Summary:
ReadOnly portion of Libraries: Total=574.2M resident=0K(0%) swapped_out_or_unallocated=574.2M(100%)
Writable regions: Total=1.2G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=1.2G(100%)

                                VIRTUAL   REGION
REGION TYPE                        SIZE    COUNT (non-coalesced)
===========                     =======  =======
Accelerate framework               256K        2
Activity Tracing                   256K        1
CG backing stores                 1320K        2
CG image                           108K       11
CoreAnimation                     69.2M       13
CoreGraphics                         8K        1
CoreImage                           40K        4
CoreServices                        80K        1
CoreUI image data                 1212K       11
Foundation                           4K        1
Kernel Alloc Once                    8K        1
MALLOC                           740.3M      470
MALLOC guard page                   32K        6
MALLOC_LARGE (reserved)          394.0M       60         reserved VM address space (unallocated)
Memory Tag 242                      12K        1
Memory Tag 249                     120K        3
STACK GUARD                         40K       10
Stack                             13.1M       11
Stack (reserved)                  1596K        1         reserved VM address space (unallocated)
Stack Guard                       54.4M        1
VM_ALLOCATE                        120K       19
__DATA                            33.9M      345
__DATA_CONST                       184K       11
__FONT_DATA                          4K        1
__LINKEDIT                       354.9M       20
__OBJC_RO                         32.0M        1
__OBJC_RW                         1780K        2
__TEXT                           219.3M      337
__UNICODE                          564K        1
mapped file                      520.8M      193
shared memory                      640K       16
===========                     =======  =======
TOTAL                              2.4G     1557
TOTAL, minus reserved VM space     2.0G     1557

Model: MacBookPro11,4, BootROM 195.0.0.0.0, 4 processors, Quad-Core Intel Core i7, 2,2 GHz, 16 GB, SMC 2.29f24
Graphics: kHW_IntelIrisProItem, Intel Iris Pro, spdisplays_builtin
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x802C, 0x31364B544631473634485A2D314736453120
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x802C, 0x31364B544631473634485A2D314736453120
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x152), Broadcom BCM43xx 1.0 (7.77.106.3 AirPortDriverBrcmNIC-1435.3)
Bluetooth: Version 7.0.2f4, 3 services, 18 devices, 1 incoming serial ports
Network Service: USB 10/100 LAN, Ethernet, en5
Serial ATA Device: APPLE SSD SM0256G, 251 GB
USB Device: USB 3.0 Bus
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Bluetooth USB Host Controller
USB Device: USB 10/100 LAN
Thunderbolt Bus: MacBook Pro, Apple Inc., 27.1

--=-=-=--




Acknowledgement sent to Andrii Kolomoiets <andreyk.mad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38748; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Jan 2020 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.